export const jsonvalues = async (id) => {
    try {
        const response = await axios.post('/postidlog', { id: id });
        return response.data;
    } catch (error) {
        console.error('Error:', error);
    }
}
export const TaskLog = async () => {
    try {
        const response = await axios.get('/gettask');
        return response.data;
    } catch (error) {
        console.error('Error:', error);
    }
}
export const TaskLog1 = async () => {
    try {
        const response = await axios.get('/gettasks');
        return response.data;
    } catch (error) {
        console.error('Error:', error);
    }
}
// utils/getjson.js


export const fetchDataBySelection = async (selectedOption) => {
    try {
        const response = await axios.get(`/gettasks1?option=${selectedOption}`); // Pass selected option as query parameter
        return response.data; // Return the fetched data
    } catch (error) {
        console.error("Error fetching data by selection:", error);
        throw error; // Re-throw the error to be handled in the component
    }
};

export const fetchDataBySelection1 = async (dropdownValue, subDropdownValue) => {
    try {
        const response = await axios.get(`/gettasks1`, {
            params: {
                option: dropdownValue,
                subOption: subDropdownValue
            }
        });
        return response.data; // Return the fetched data
    } catch (error) {
        console.error("Error fetching data by sub-dropdown selection:", error);
        throw error; // Re-throw the error to be handled in the component
    }
};


export const TaskAdd = async (taskname, assignUsers, date, proritylist, ststus, maintask, subtask, tag) => {
    try {
        const response = await axios.post('/createtask', { taskname: taskname, assignUsers: assignUsers, date: date, proritylist: proritylist, ststus: ststus, maintask: maintask, subtask: subtask, id: tag });
        return response.data;
    } catch (error) {
        console.error('Error:', error);
    }
}


export const UpdateTaskname = async (ids, value) => {
    try {
        const response = await axios.post('/updatetask', { id: ids, name: value });
        return response.data;
    } catch (error) {
        console.error('Error:', error);
    }
}

export const TrashTaskname = async (ids) => {
    try {
        const response = await axios.post('/trashtask', { id: ids });
        return response.data;
    } catch (error) {
        console.error('Error:', error);
    }
}

export const UpadteStatus = async (ids, status1, tag) => {
    try {
        const response = await axios.post('/upadteStatus', { id: ids, status: status1, tag: tag });
        return response.data;
    } catch (error) {
        console.error('Error:', error);
    }
}

export const GetIddata = async (id) => {
    try {
        const response = await axios.post('/getelement', { id: id });
        return response.data;
    } catch (error) {
        console.error('Error:', error);
    }
}

export const AddThread = async (comtval1, id) => {
    try {
        const response = await axios.post('/addThread', { text: comtval1, id: id });
        return response.data;
    } catch (error) {
        console.error('Error:', error);
    }
}