

<!-- round(1.6666666666666665 * 595.28px, 1px) -->





@extends('header.topnav')

@section('title', 'Welcome')

@section('content')
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="/css/custom.css" media="screen" />
    <!-- <link rel="stylesheet" type="text/css" href="../css/content1.css" media="screen" /> -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <link rel="shortcut icon" href="../images/favicon.png">
    <title>Smarthub - RN</title>


    <!-- ************* Date *********** -->
    <link rel='stylesheet' href='https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css'>
    <script src='https://cdn.jsdelivr.net/jquery/latest/jquery.min.js'></script>
    <script src='https://cdn.jsdelivr.net/momentjs/latest/moment.min.js'></script>
    <script src='https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js'></script>


    <!-- --------- Chart -------------- -->
    <script src="https://cdn.amcharts.com/lib/4/core.js"></script>
    <script src="https://cdn.amcharts.com/lib/4/charts.js"></script>
    <script src="https://rawgit.com/eKoopmans/html2pdf/master/dist/html2pdf.bundle.js"></script>



    <style>
        html,body,.main_container{ 
            font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Helvetica,Arial,sans-serif !important;
            margin: 0;
            padding: 0;
            height: 100%;
        }
        .main{
            font-size: 18px;
            margin: 2rem 0 0;
        }
        .main_body_container {
            display: flex;
            width: 100%;
            height: 100%;
        }
        .nav_cont {
            width: max-content;
        }
        .content_container {
            width: 100%;
            overflow-y: auto;
        }
        .content_container {
            scrollbar-width: none !important; /* Firefox */
            -ms-overflow-style: none !important; /* Internet Explorer and Edge */
        }
        /* Hide the scrollbar for Webkit-based browsers (Chrome, Safari) */
        .content_container::-webkit-scrollbar {
            width: 0 !important;
            display: none !important;
        }


        /* ************************* */

        .customer-main-container {
            padding: 2rem;
        }
        .customer-main-container .customer-first-container {
            display:flex;
            align-items:center;
            gap: 1rem;
            font-weight: 600
        }
        .customer-main-container .customer-first-container span {
            color:#a2a2a2;
        }
        .customer-main-container .customer-tab {
            display:flex;
            gap:1rem;
            border-bottom: 1px solid #ddd;
        }
        .customer-main-container .customer-tab span {
            padding: .5rem 1rem 5px 1rem;
            border: 1px solid #ddd;
            border-radius: 12px 12px 0 0;
            border-bottom:none;
            cursor:pointer;
        }

        .customer-main-container .cutomer-sub-tag #cutom-inbox-shared {
            height: 2rem;
            width: 12%;
            background: #dfecfe;
            border: none;
            border-radius: 8px;
            padding: 0 10px;
            font-size: 14px;
        }

        .customer-main-container .cutomer-sub-tag #cutom-Temmates {
            height: 2rem;
            width: 12%;
            background: #dfecfe;
            border: none;
            border-radius: 8px;
            padding: 0 10px;
            font-size: 14px;
        }
        .customer-main-container .cutomer-sub-tag input[name='datetimes'] {
            height: 2rem;
            border-radius: 8px;
            border: none;
            background: #dfecfe;
            padding: 0 12px;
        }
        .customer-main-container .cutomer-second-body h3 {
            display: flex;
            align-items: center;
        }
        .customer-main-container .cutomer-second-body p {
            margin-top: 0rem;
            color: #5f5f5f;
            font-size: 14px;
        }

        .customer-main-container .cutomer-second-body .trade-percentage {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            gap: 15px;
            width: 10%;
        }

        #chartdiv3563456 {
            width: 54%;
            height: 400px;
        }

        #chartdivline {
            width: 100%;
            height: 500px;
        }

       
    </style>

</head>
<body>
    
    <div class="main_container">
     
        <div class="main_body_container">
           
            <div class="content_container">
                <div class="customer-main-container">
                    <div class="customer-first-container gap-1 mb-4">
                        <h1 class="text-xl">Customer Satisfaction</h1>
                        <span class="text-xs">Last updated just now</span>
                    </div>
                    <div class="customer-tab">
                        <span>All data</span><span>Incoming Emails</span><span>Support Team Performance</span><span>Add view</span>
                    </div>
                    <br/>
                    <div class="cutomer-sub-tag mb-4 px-4 flex items-center gap-1">
                        <!-- <input type="text" name="datetimes" class="text-xs" /> -->
                        <div id="cutom-inbox-shared" class="relative flex items-center border " style="width: 18rem;">
                            <!-- Left arrow button -->
                            <button class="py-2  left-0 top-0 h-full px-3 flex items-center justify-center text-gray-600">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chevron-left" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0"/>
                            </svg>
                            </button>
                            <!-- Input field -->
                            <input type="text" id="date-range" style="width: 12rem; background: #dfecfe;" Onchange="Unrange1()" class="border-none rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500">
                            <!-- Right arrow button -->
                            <button class="py-2  right-0 top-0 h-full px-3 flex items-center justify-center text-gray-600">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chevron-right" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708"/>
                            </svg>
                            </button>
                        </div>

                        <select name="cutom-inbox-shared" id="cutom-inbox-shared" style="width:14%" class="text-xs">
                            <option value=""><img src="/images/trash_blue.svg" /> All shared inboxes</option>
                        </select>
                        <select name="cutom-Temmates" id="cutom-Temmates" class="text-xs">
                            <option value="">Temmates</option>
                        </select>
                    </div>
                    <div class="cutomer-second-body ">
                        <h3 class="mb-3 font-semibold">Customer Satisfaction &nbsp;&nbsp; <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-exclamation-circle cursor-pointer" viewBox="0 0 16 16">
  <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14m0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16"/>
  <path d="M7.002 11a1 1 0 1 1 2 0 1 1 0 0 1-2 0M7.1 4.995a.905.905 0 1 1 1.8 0l-.35 3.507a.552.552 0 0 1-1.1 0z"/>
</svg></h3>
                        <div style="display: flex;align-items: baseline;justify-content: space-between;width: 61%;"><p>Scores based on 99 surey responses the period. Previous period: 94 responses, Oct 12, 2024 - Oct 18,2024</p><span><img style="cursor:pointer;" Onclick="downloadlink()" src="../images/arrow_bar_up.svg" alt=""></span></div>
                        <div style="display:flex;">
                            <div id="chartdiv3563456"></div>
                            <div class="trade-percentage">
                                <span style="color:#7735ab;">↘ - 0.5%</span>
                                <span style="color:#7735ab;">↘ - 1.2%</span>
                                <span style="color:#245d8a;">↗ + 1.0%</span>
                                <span style="color:#245d8a;">↗ + 5.5%</span>
                                <span style="color:#7735ab;">↘ - 4.8%</span>
                            </div>
                            <div style="margin-top: 15px;padding-left: 49px;" class="pt-5 pr-6">
                                <h3 class="mb-1 font-semibold flex items-center justify-between"><div class="flex items-center gap-1">Survey Comments <img src="/images/exclamation_circle.svg" title="very bad" style="height: 16px;width: 26px;cursor: pointer;"/></div><img style="cursor:pointer;" onclick="downloadlink()" src="/images/arrow_bar_up.svg" alt=""></h3>
                                <p class="mb-3">3 of 99. Export to see all, including comments.</p><br>
                                <div class="flex flex-col gap-3" style="height: 78%;width: 25rem;background-color: #fff;border-radius: 8px;">
                                <!-- ****** step 1 ******* -->
                                    <div class="w-10/12">
                                        <div class="items-center" style="display: flex;
                                                    gap: 1rem;
                                                    ">
                                            <div style="background: #77787b;
                                                        width: 3rem;
                                                        height: 3rem;
                                                        border-radius: 50%;
                                                        display: flex;
                                                        justify-content: center;
                                                        align-items: center;
                                                        font-size: 21px;
                                                        font-weight: bold;
                                                        color:#fff;">MO</div>
                                            <div style="display: inline-flex;
                                                        flex-direction: column;
                                                        row-gap: 2px;
                                                        "><b>Matter Of Tact</b><p>⭐⭐⭐⭐⭐ Oct25</p></div>
                                        </div>
                                        <div style="margin-top: 10px;">
                                            <p>"Thx for everything!"</p>
                                        </div>
                                    </div>
                                    <!-- ****** step 2 ******* -->
                                    <div class="w-10/12">
                                        <div class="items-center" style="display: flex;
                                                    gap: 1rem;
                                                    ">
                                            <div style="background: #77787b;
                                                        width: 3rem;
                                                        height: 3rem;
                                                        border-radius: 50%;
                                                        display: flex;
                                                        justify-content: center;
                                                        align-items: center;
                                                        font-size: 21px;
                                                        font-weight: bold;
                                                        color:#fff;">AD</div>
                                            <div style="display: inline-flex;
                                                        flex-direction: column;
                                                        row-gap: 2px;
                                                        "><b>aydin dashti</b><p>⭐⭐⭐⭐⭐ Oct25</p></div>
                                        </div>
                                        <div style="margin-top: 10px;">
                                            <p>"Received a reply within 24 hours. Had no problems with it."</p>
                                        </div>
                                    </div>
                                        <!-- ****** step 3 ******* -->
                                    <div class="w-10/12">
                                        <div class="items-center" style="display: flex;
                                                    gap: 1rem;
                                                    ">
                                            <div style="background: #77787b;
                                                        width: 3rem;
                                                        height: 3rem;
                                                        border-radius: 50%;
                                                        display: flex;
                                                        justify-content: center;
                                                        align-items: center;
                                                        font-size: 21px;
                                                        font-weight: bold;
                                                        color:#fff;">B</div>
                                            <div style="display: inline-flex;
                                                        flex-direction: column;
                                                        row-gap: 2px;
                                                        "><b>blejatv6@gmail.com</b><p>⭐⭐⭐⭐⭐ Oct25</p></div>
                                        </div>
                                        <div style="margin-top: 10px;">
                                            <p>"Everything! work great. Gig thanks!"</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div>
                            <div id="chartdivline"></div>
                        </div>
                       
                        <!-- <div class="demo" style="width:round(1.6666666666666665 * 595.28px, 1px);"></div> -->
                        <br/><br/><br/><br/><br/><br/>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>

        function unckvdf(originalString) {
            
        }

        

        $(function() {
            $('#date-range').daterangepicker({
                dateFormat: "M d, yy",
            opens: 'right',  
            startDate: moment().subtract(7, 'days'),
            endDate: moment(),
            ranges: {
                'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                'This Month': [moment().startOf('month'), moment().endOf('month')],
                'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            },
            locale: {
                format: "MMM D, YYYY" 
            }
            });
        });


        




  

        var chart = am4core.create("chartdiv3563456", am4charts.PieChart);
        chart.logo.disabled = true;
        var Data_Cutome = {!! json_encode($datas) !!};

        // Add data
        chart.data = [{
            "country": "1 star",
            "litres":  10,
            "color": am4core.color("#f1f6fc")
        }, {
            "country": "2 stars",
            "litres": 10,
            "color": am4core.color("#dfecfe")
        }, {
            "country": "3 stars",
            "litres": 10,
            "color": am4core.color("#b9dbf8")
        }, {
            "country": "4 stars",
            "litres": 10,
            "color": am4core.color("#367fee")
        }, {
            "country": "5 stars",
            "litres": 60,
            "color": am4core.color("#2356b3")
        }];

        // data.forEach(function(item) {
        //     item.innerRadius = am4core.percent(item.litres / 2); // Adjust the factor as needed
        // });

        // Add and configure Series
        var pieSeries = chart.series.push(new am4charts.PieSeries());
        pieSeries.dataFields.value = "litres";
        pieSeries.dataFields.category = "country";
        pieSeries.dataFields.hidden = "hidden";
        pieSeries.slices.template.propertyFields.fill = "color";
        // pieSeries.slices.template.propertyFields.innerRadius = "innerRadius";
        //  console.log('pieSeries',pieSeries.slices.template.adapter.add("innerRadius", function(innerRadius, target) {
        //     return am4core.percent(16);
        //  }));

        // Let's cut a hole in our Pie chart the size of 40% the radius
        chart.innerRadius = am4core.percent(60);

        var labelBullet = pieSeries.bullets.push(new am4charts.LabelBullet());
        labelBullet.label.text = "{values.value.percent.formatNumber('#.0')}%";
        labelBullet.label.horizontalCenter = "middle";
        labelBullet.label.verticalCenter = "middle";
        labelBullet.label.fontSize = 12;
        labelBullet.label.fill = '#000';
        

        // Disable ticks and labels
        pieSeries.labels.template.disabled = true;
        pieSeries.ticks.template.disabled = true;

        // Disable tooltips
        pieSeries.slices.template.tooltipText = "";
      

        // Add a legend
        chart.legend = new am4charts.Legend();
        chart.legend.position = "right";
        chart.legend.useDefaultMarker = true;
        var marker = chart.legend.markers.template.children.getIndex(0);
        marker.cornerRadius(12, 12, 12, 12);
        marker.strokeWidth = 1;
        marker.strokeOpacity = 1;
        marker.stroke = am4core.color("#ccc");




        var centerLabel = chart.seriesContainer.createChild(am4core.Label);
        // centerLabel.html = true;
        centerLabel.text = "Overall Satisfaction";
        centerLabel.horizontalCenter = "middle";
        centerLabel.verticalCenter = "middle";
        centerLabel.fontSize = 16;
        centerLabel.fill = '#616161';
        centerLabel.wrap = true;
        centerLabel.textAlign = "middle";
        centerLabel.dy = -30;

        console.log('Data_Cutome',Data_Cutome);

        var centerLabel1 = chart.seriesContainer.createChild(am4core.Label);
        // centerLabel.html = true;
        centerLabel1.text = "0%";
        centerLabel1.horizontalCenter = "middle";
        centerLabel1.verticalCenter = "middle";
        centerLabel1.fontSize = 40;
        centerLabel1.wrap = true;
        centerLabel1.textAlign = "middle";
        centerLabel1.dy = 10;

        var centerLabel = chart.seriesContainer.createChild(am4core.Label);
        // centerLabel.html = true;
        centerLabel.text = "↗ 0.9%";
        centerLabel.horizontalCenter = "middle";
        centerLabel.verticalCenter = "middle";
        centerLabel.fontSize = 16;
        centerLabel.fill = '#367fee';
        centerLabel.wrap = true;
        centerLabel.textAlign = "middle";
        centerLabel.dy = 47;
        centerLabel.dx = -5;

        // var Data_Cutome = {!! json_encode($datas) !!};
        // const starsArray = [
        //     parseInt(Data_Cutome[0].star1),
        //     parseInt(Data_Cutome[0].star2),
        //     parseInt(Data_Cutome[0].star3),
        //     parseInt(Data_Cutome[0].star4),
        //     parseInt(Data_Cutome[0].star5)
        // ];

        // console.log('sdfvsdfvs',starsArray);
        for (let p = 0; p < Data_Cutome.length; p++) { 
            var tabledetail = `
            <style>
            #customers {
                font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Helvetica,Arial,sans-serif !important;
                border-collapse: collapse;
                width: 100%;
            }

            #customers td, #customers th {
                border: 1px solid #ddd;
                padding: 4px;
            }

            #customers th {
                padding-top: 8px;
                padding-bottom: 8px;
                text-align: center;
                background-color: #f2f2f2;
                color: #000;
                font-size:13px;
                letter-spacing: 1px;
            }#customers td {
                text-align: center;
                font-size:12px;
                letter-spacing: 1px;
            }
            #content {
                padding: 2rem 4rem;
            }
            </style>
            <div id="content">
                <h3>Customer Satisfaction</h3>
                <p style="margin-top: -1rem;color: #5f5f5f;font-size: 11px;">Scores based on 99 surey responses the period. Previous period: 94 responses, Oct 12, 2024 - Oct 18,2024</p>
                <table id="customers">
                    <tr>
                        <th>Star1</th>
                        <th>Star2</th>
                        <th>Star3</th>
                        <th>Star4</th>
                        <th>Star5</th>
                    </tr>
                    <tr>
                        <td>`+Data_Cutome[p].star1+`</td>
                        <td>`+Data_Cutome[p].star2+`</td>
                        <td>`+Data_Cutome[p].star3+`</td>
                        <td>`+Data_Cutome[p].star4+`</td>
                        <td>`+Data_Cutome[p].star5+`</td>
                    </tr>
                </table>
          </div>
          `;
        }
        // console.log('tabledetail',tabledetail);
        $('.demo').html(tabledetail);

        function downloadlink() {
            var originalStringqqq = $('#date-range').val()
            var PDFName = Math.floor(Math.random() * 101444666);
            var exporttable = `
                                <style>
                                #customers {
                                    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Helvetica,Arial,sans-serif !important;
                                    border-collapse: collapse;
                                    width: 100%;
                                }

                                #customers td, #customers th {
                                    border: 1px solid #ddd;
                                    padding: 4px;
                                }

                                #customers th {
                                    padding-top: 8px;
                                    padding-bottom: 8px;
                                    text-align: center;
                                    background-color: #f2f2f2;
                                    color: #000;
                                    font-size:13px;
                                    letter-spacing: 1px;
                                }#customers td {
                                    text-align: center;
                                    font-size:12px;
                                    letter-spacing: 1px;
                                }
                                #content {
                                    padding: 2rem 4rem;
                                }
                                </style>
                                <div id="content">
                                    <h3>Customer Satisfaction</h3>
                                    <br>
                                    <p style="margin-top: -1rem;color: #5f5f5f;font-size: 11px;">Scores based on 99 surey responses the period. Previous period: 1 responses, `+originalStringqqq+`</p>
                                    <br>
                                    <table id="customers">
                                        <tr>
                                            <th>Star1</th>
                                            <th>Star2</th>
                                            <th>Star3</th>
                                            <th>Star4</th>
                                            <th>Star5</th>
                                        </tr>
                                        <tr>
                                            <td>`+chart.data[0].litres+`</td>
                                            <td>`+chart.data[1].litres+`</td>
                                            <td>`+chart.data[2].litres+`</td>
                                            <td>`+chart.data[3].litres+`</td>
                                            <td>`+chart.data[4].litres+`</td>
                                        </tr>
                                    </table>
                                </div>`;
            html2pdf(exporttable).from(exporttable).save(PDFName + '.pdf');
        }



        function Unrange1() {

            

            var originalString = $('#date-range').val()

            const parts = originalString.split(" - ");
            // Extract the start and end dates from the parts
            const startDate = parts[0];
            const endDate = parts[1];

            // Function to convert date from "MMM D, YYYY" to "YYYY-MM-DD" format
            const formatDate = (dateString) => {
                const date = new Date(dateString);
                const year = date.getFullYear();
                const month = String(date.getMonth() + 1).padStart(2, "0");
                const day = String(date.getDate()).padStart(2, "0");
                return `${year}/${month}/${day}`;
            };

            // Format the start and end dates
            const formattedStartDate = formatDate(startDate);
            const formattedEndDate = formatDate(endDate);

            // Construct the final formatted string
            var dataing = `${formattedStartDate} - ${formattedEndDate}`;


            // var dataing = unckvdf(originalString = $('#date-range').val());
            console.log('dataing',dataing.split('-')[0])

                $.ajax({
                    type: "post",
                    url: "{{ route('customer') }}",
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    data: {
                        ref: "csat_pi",
                        startDate: dataing.split('-')[0],
                        endDate: dataing.split('-')[1],
                    },
                    success: function(result) {
                        var target = result.upchart;
                        
                        
                        let totalStar1 = 0;
                        let totalStar2 = 0;
                        let totalStar3= 0;
                        let totalStar4 = 0;
                        let totalStar5 = 0;
                        target.forEach(item=> {
                            totalStar1 += item.star1;
                            totalStar2 += item.star2;
                            totalStar3 += item.star3;
                            totalStar4 += item.star4;
                            totalStar5 += item.star5;
                        });
                        let a = 5;
                        let x = Number(totalStar1+totalStar2+totalStar3+totalStar4+totalStar5) / 100 * a;
                        centerLabel1.text = Math.round(x)+"%";

                        console.log('chart',chart.data[0].litres = totalStar1/target.length);
                        console.log('chart',chart.data[1].litres = totalStar2/target.length);
                        console.log('chart',chart.data[2].litres = totalStar3/target.length);
                        console.log('chart',chart.data[3].litres = totalStar4/target.length);
                        console.log('chart',chart.data[4].litres = totalStar5/target.length);
                        chart.invalidateData();
                       
                    }
                })

    }




</script>
<script src="https://cdn.amcharts.com/lib/4/themes/animated.js"></script>
<script>



        // ********************* Line CHART *************************//
        
        
        am4core.ready(function() {

        // Themes begin
        am4core.useTheme(am4themes_animated);
        // Themes end

        // Create chart instance
        var chartline = am4core.create("chartdivline", am4charts.XYChart);
        chartline.logo.disabled = true;

        // Add data
        chartline.data = generateChartData();

        // Create axes
        var dateAxis = chartline.xAxes.push(new am4charts.DateAxis());
        dateAxis.renderer.minGridDistance = 50;

        var valueAxis = chartline.yAxes.push(new am4charts.ValueAxis());

        // Create series
        var series = chartline.series.push(new am4charts.LineSeries());
        series.dataFields.valueY = "visits";
        series.dataFields.dateX = "date";
        series.strokeWidth = 2;
        series.minBulletDistance = 10;
        series.tooltipText = "{valueY}";
        series.tooltip.pointerOrientation = "vertical";
        series.tooltip.background.cornerRadius = 20;
        series.tooltip.background.fillOpacity = 0.5;
        series.tooltip.label.padding(12,12,12,12);


        // Add scrollbar
        chartline.scrollbarX = new am4charts.XYChartScrollbar();
        chartline.scrollbarX.series.push(series);

        // Add cursor
        chartline.cursor = new am4charts.XYCursor();
        chartline.cursor.xAxis = dateAxis;
        chartline.cursor.snapToSeries = series;


        function generateChartData() {
            var chartData = [];
            var firstDate = new Date();
            firstDate.setDate(firstDate.getDate() - 1000);
            var visits = 1200;
            for (var i = 0; i < 500; i++) {
                // we create date objects here. In your data, you can have date strings
                // and then set format of your dates using chart.dataDateFormat property,
                // however when possible, use date objects, as this will speed up chart rendering.
                var newDate = new Date(firstDate);
                newDate.setDate(newDate.getDate() + i);
                
                visits += Math.round((Math.random()<0.5?1:-1)*Math.random()*10);

                chartData.push({
                    date: newDate,
                    visits: visits
                });
            }
            return chartData;
        }

        }); 

    </script>
</body>
</html>

@endsection 