@extends('header.topnav')

@section('title', 'Welcome')

@section('content')

    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="shortcut icon" href="../images/favicon.png">
        <title>Smarthub - RN</title>
        <meta name="csrf-token" content="{{ csrf_token() }}">


        
        
        {{-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"> --}}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">


        <style>
            /* slide nav bar css */
            #menu5 span {
                width: max-content !important;
            }

            .ok_btn {
                background-color: #0069d9;
                color: #fff;
                padding: 5px 20px;
                border: none;
                border-radius: 5px;
            }

            .sou-yt-pupop {
                height: 19rem;
                width: 39rem;
                background-color: white;
                position: absolute;
                top: 1rem;
                right: 2rem;
                box-shadow: 4px 6px 11px -1px #ddd;
                border-radius: 8px;
                padding: 1rem;
                display: none;
            }

            .sou-pay-pupop {
                height: 19rem;
                width: 39rem;
                background-color: white;
                position: absolute;
                top: 22rem;
                right: 2rem;
                box-shadow: 4px 6px 11px -1px #ddd;
                border-radius: 8px;
                padding: 1rem;
                display: none;
            }


            html,
            body,
            .main_container {
                font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif !important;
                margin: 0;
                padding: 0;
                height: 100%;
            }

            .main {
                font-size: 18px;
                margin: 2rem 0 0;
            }

            .main_body_container {
                display: flex;
                width: 100%;
                height: 100%;
            }

            .compose_btn {
                border-radius: 25px !important;
                font-size: 14px !important;
                height: 30px;
                width: 45%;
                background-color: #4573d2;
                color: #fff;
                border: 2px solid #4573d2;
                font-weight: 500;
            }

            .compose_btn:hover {
                background-color: #fff;
                color: #4573d2;
            }

            .dropdown-content a {
                position: relative !important;
                left: -21px !important;
                padding: 8px 0px 13px 0px !important;
            }

            #yourDataTableId_wrapper {
                top: -27px;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button {
                background-color: #fff !important;
                color: #186ed5 !important;
                border: 1px solid #0d71e9 !important;
                font-weight: 500 !important;
                padding: 2px 10px !important;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button.current {
                background-color: #186ed5 !important;
                color: #fff !important;
                border: 1px solid #0d71e9 !important;
                font-weight: bold !important;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
                background: #82afe5 !important;
                color: #fff !important;
                border: 1px solid #0d71e9 !important;
            }

            #yourDataTableId {
                border-collapse: collapse;
                width: 100%;
                border: 0;
                border-radius: 10px;
                overflow: hidden;
            }

            #yourDataTableId th {
                background: #111827;
                padding: 10px 0;
                text-align: center;
            }

            #yourDataTableId td {
                border: 1px solid #ddd;
                padding: 8px;
                text-align: center;
            }

            .dataTables_info,
            .dataTables_paginate,
            .dataTables_length {
                padding-top: 20px !important;
                padding-bottom: 20px !important;
            }

            .dataTables_wrapper .dataTables_filter {
                padding: 20px 0 !important;
                position: relative !important;
            }

            #yourDataTableId_filter label {
                color: #000 !important;
                display: flex !important;
                margin: auto;
                justify-content: center;
                place-items: center;
            }

            #yourDataTableId_filter input {
                height: 30px !important;
                width: 150px !important;
                border: 1px solid #b1b1b1 !important;
                border-radius: 10px !important;
                box-shadow: inset 0px 0px 7px -2px #716d6d !important;
                padding: 10px !important;
            }

            .dataTables_length select {
                border: 1px solid #efefef !important;
            }

            .test[data-title] {
                position: relative;
            }

            /* Tooltip text */
            .test[data-title]::after {
                content: attr(data-title);
                position: absolute;
                transform: translateX(-50%);
                background-color: black;
                color: white;
                padding: 5px;
                border-radius: 3px;
                white-space: nowrap;
                opacity: 0;
                transition: opacity 0.3s;
                z-index: 1;
            }

            /* Tooltip display on hover */
            .test[data-title]:hover::after {
                opacity: 1;
            }

            textarea {
                text-decoration: none;
            }

            .login {
                border-color: #1345ac !important;
                box-shadow: none;
                background-color: #1345AB !important;
                position: relative;
            }

            .modal-header {
                display: -ms-flexbox;
                display: flex;
                -ms-flex-align: start;
                align-items: flex-start;
                -ms-flex-pack: justify;
                justify-content: space-between;
                padding: 1rem 1rem;
                border-bottom: 1px solid #dee2e6;
                border-top-left-radius: calc(.3rem - 1px);
                border-top-right-radius: calc(.3rem - 1px);
                background-color: #4573d1;
            }

            .modalabel {
                font-size: 14px;
                line-height: 28px;
                font-weight: bold;
                color: #1345ac;
            }


            .green {
                padding: 10px;
                background: green;
                color: #fff;
                border-radius: 7px;
            }

            .red {
                padding: 10px;
                background: red;
                color: #fff;
                border-radius: 7px;

            }

            .full {
                width: auto;
                height: auto;
                border-radius: 6px;
                overflow: auto;
            }

            summary {
                height: 50px;
            }

            .number {
                background-color: #ccc;
                position: relative;
                z-index: 1;
                color: #0069d9;
                border: 2px solid;
                border-radius: 20px;
                padding: 7px 13px;
            }

            .open_div {
                padding: 20px 10px;
                display: none;
                color: #000000;
                font-size: 16px;
                background-color: #f8f8f8;
                margin-top: 20px;
                border-radius: 6px;
                box-shadow: 3px 3px 4px -4px;
            }

            #sentence_1 {
                font-weight: 600;
                cursor: pointer;
            }

            .open_div span {
                font-size: 14px;
                font-weight: 500;
            }

            .mail {
                background: lightgreen;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #000;
            }

            .remove {
                background: lightgrey;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #000;
            }

            .actiondone11 {
                background: #0069d9;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #fff;
            }

            .modal-dialog {
                max-width: 500px;
                position: relative;
                left: 0;
            }

            .modal-body {
                z-index: 11;
            }

            .modal-content {
                box-shadow: 0px 0px 10px -2px #000 !important;
            }

            #payment_div,
            #send_mail,
            #request_div {
                padding: 20px;
                background-color: #ffffff00;
                position: relative;
                height: 100%;
                top: 0;
                width: 0%;
                position: absolute;
                left: 50%;
                display: none;
            }

            .email_send_divv {
                padding: 20px;
                background-color: #ffffff00;
                position: relative;
                height: 100%;
                top: 0;
                width: 0%;
                position: absolute;
                left: 50%;
                display: none;
            }
        </style>



        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
        <script type="module" src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.js"></script>

        <!-- Include Bootstrap CSS and JS -->
        <link rel="stylesheet" href="{{ asset('css/stackpath.min.css') }}">
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

        <!-- jQuery UI library -->
        <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/themes/smoothness/jquery-ui.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
        <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js">
        </script>
        <script>
            $.noConflict();
            jQuery(document).ready(function($) {
                $('#yourDataTableId').DataTable({
                    "pageLength": 10,
                    "stripeClasses": []
                });
            });
        </script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

        <script>
            function toggleDiv() {
                $('#div1').toggle();
                $('#div2').hide();
                $('#div3').hide();
                $('#div4').hide();
                $('#div5').hide();
                $('#div6').hide();
            }

            function toggleDiv2() {
                $('#div1').hide();
                $('#div2').toggle();
                $('#div3').hide();
                $('#div4').hide();
                $('#div5').hide();
                $('#div6').hide();
            }

            function toggleDiv3() {
                $('#div1').hide();
                $('#div2').hide();
                $('#div3').toggle();
                $('#div4').hide();
                $('#div5').hide();
                $('#div6').hide();
            }

            function toggleDiv4() {
                $('#div1').hide();
                $('#div2').hide();
                $('#div3').hide();
                $('#div4').toggle();
                $('#div5').hide();
                $('#div6').hide();
            }

            function toggleDiv5() {
                $('#div1').hide();
                $('#div2').hide();
                $('#div3').hide();
                $('#div4').hide();
                $('#div5').toggle();
                $('#div6').hide();
            }

            function toggleDiv6() {
                $('#div1').hide();
                $('#div2').hide();
                $('#div3').hide();
                $('#div4').hide();
                $('#div5').hide();
                $('#div6').toggle();
            }

            function toggleDiv7() {
                $('#div1').hide();
                $('#div2').hide();
                $('#div3').hide();
                $('#div4').hide();
                $('#div5').hide();
                $('#div6').hide();
                $('#div7').toggle();
            }

            function comment_asana() {

                $.ajax({
                    type: 'POST',
                    url: '{{ route('postcommentsinasana') }}',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        gid: $('#gid').text(),
                        comment: $('#texst_value').val()
                    },
                    success: function(result) {

                        console.log('result', result);
                        $('#texst_value').val('');
                        $('.modal-dialog').css('left', '-6%');
                        $('.modal-dialog').css('max-width', '70%');
                        $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                        $('#sou-yt-pupop').toggle();


                        $('.sub-tk-msg').css('display', 'none')
                        $('#btnsief').css('display', 'none')

                        $('.sub-tk-msg11').css('display', 'block');
                        $('.div2done').css('display', 'block');
                        $('.div2pending').css('display', 'none');
                        $('#div2text').text('Admin Action Completed');
                        $('#request5_d').css('display', 'block');
                        $('#request5').css('display', 'none');

                        $('#data-container').empty();
                        let html = '';
                        $('#data-container').html(html);
                        let comments = result.comments.data; // Access the comments array

                        $.each(comments, function(index, value) {
                            // Get the first two letters of the name
                            let firstTwoLetters = value.created_by.name.substring(0, 2);

                            // Calculate time difference
                            let timestamp = new Date(value.created_at);
                            let currentDate = new Date();
                            let diff = Math.floor((currentDate - timestamp) /
                                1000); // Difference in seconds

                            let days = Math.floor(diff / (60 * 60 * 24));
                            diff -= days * (60 * 60 * 24);

                            let hours = Math.floor(diff / (60 * 60));
                            diff -= hours * (60 * 60);

                            let minutes = Math.floor(diff / 60);
                            let htmlTime = '';

                            if (days > 0) {
                                htmlTime = `${days} Days`;
                            } else if (hours > 0) {
                                htmlTime = `${hours} Hours`;
                            } else if (minutes > 0) {
                                htmlTime = `${minutes} Minutes`;
                            } else {
                                htmlTime = 'Less than a minute ago';
                            }

                            // Build HTML string
                            html += `
        <div style="width:100%; display: flex; align-items: center; gap: 1rem; margin: 12px 0;">
            <div style="height:3.5rem; width:3.5rem; background-color:#ffab40; border-radius:50%; display: flex; justify-content: center; align-items: center;">
                ${firstTwoLetters}
            </div>
            <div style="width: 86%;">
                <div style="display: flex; gap: 1rem;">
                    <span>${value.created_by.name}</span>
                    <span style="color:#b4b4b4;">${htmlTime}</span>
                </div>
                <div style="margin-top: 5px;">${value.text}</div>
            </div>
        </div>
    `;
                        });

                        // Insert the HTML into the container
                        $('#data-container').html(html);
                        $('#sou-yt-pupop').css('display', 'block')

                    }
                })




            }

            function subtask_create(event, mail) {
                $.ajax({
                    type: 'POST',
                    url: '{{ route('revenuesubtaskcreate') }}',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        taskid: event,
                        mail: mail
                    },
                    success: function(result) {

                        console.log('result', result);

                        $('.modal-dialog').css('left', '-6%');
                        $('.modal-dialog').css('max-width', '70%');
                        $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                        $('#sou-yt-pupop').toggle();
                        $('#gid').text(result.gid);

                        $('.sub-tk-msg').css('display', 'none')
                        $('#btnsief').css('display', 'none')

                        $('.sub-tk-msg11').css('display', 'block');
                        $('.div2done').css('display', 'block');
                        $('.div2pending').css('display', 'none');
                        $('#div2text').text('Admin Action Completed');
                        $('#request5_d').css('display', 'block');
                        $('#request5').css('display', 'none');

                        $('#data-container').empty();
                        let html = '';
                        $('#data-container').html(html);
                        let comments = result.comments.data; // Access the comments array

                        $.each(comments, function(index, value) {
                            // Get the first two letters of the name
                            let firstTwoLetters = value.created_by.name.substring(0, 2);

                            // Calculate time difference
                            let timestamp = new Date(value.created_at);
                            let currentDate = new Date();
                            let diff = Math.floor((currentDate - timestamp) /
                                1000); // Difference in seconds

                            let days = Math.floor(diff / (60 * 60 * 24));
                            diff -= days * (60 * 60 * 24);

                            let hours = Math.floor(diff / (60 * 60));
                            diff -= hours * (60 * 60);

                            let minutes = Math.floor(diff / 60);
                            let htmlTime = '';

                            if (days > 0) {
                                htmlTime = `${days} Days`;
                            } else if (hours > 0) {
                                htmlTime = `${hours} Hours`;
                            } else if (minutes > 0) {
                                htmlTime = `${minutes} Minutes`;
                            } else {
                                htmlTime = 'Less than a minute ago';
                            }

                            // Build HTML string
                            html += `
        <div style="width:100%; display: flex; align-items: center; gap: 1rem; margin: 12px 0;">
            <div style="height:3.5rem; width:3.5rem; background-color:#ffab40; border-radius:50%; display: flex; justify-content: center; align-items: center;">
                ${firstTwoLetters}
            </div>
            <div style="width: 86%;">
                <div style="display: flex; gap: 1rem;">
                    <span>${value.created_by.name}</span>
                    <span style="color:#b4b4b4;">${htmlTime}</span>
                </div>
                <div style="margin-top: 5px;">${value.text}</div>
            </div>
        </div>
    `;
                        });

                        // Insert the HTML into the container
                        $('#data-container').html(html);
                        $('#sou-yt-pupop').css('display', 'block')

                    }
                })




            }



            function slack_create(userid, name, email, formid) {


                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                $('#sou-yt-pupop1').toggle();
                $('#sou-yt-pupop1').css('display', 'block');

                $('#commentslack').val('Please can I check if ' + email + ' is recognised email from ' + name + ' ?UID(' +
                    userid + ')');
                $('#formid').val(formid);


            }




            function comment_slack() {

                var cmts = document.getElementById('commentslack').value;
                var formid = document.getElementById('formid').value;


                $.ajax({
                    type: 'POST',
                    url: '{{ route('commentinslack') }}',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        comment: cmts,
                        formid: formid
                    },
                    success: function(result) {
                        $('#commentslack').val('');
                        $('#div3text').text('Admin Action Completed');
                        $('.div3pending').css('display', 'none');
                        $('.div3done').css('display', 'block');
                        $('.sub-tk-msg3').css('display', 'none');
                        $('#btnsief1').css('display', 'none');
                        $('#sub-tk-msg13').css('display', 'block');
                        $('#request15').css('display', 'block');
                        $('#request15_d').css('display', 'none');
                        $('#ts').text(result.ts);
                        const getmessages = result.getmessages;
                        const replymessages = result.replymessages;
                        const userData = result.userData;

                        $('#data-container1').empty();
                        if (getmessages.length > 0) {
                            var htmlContent = '';
                            $.each(getmessages, function(index, messages) {
                                var user = 'Smarthub-Support';
                                var firstTwoLetters = user.substring(0, 1);
                                var iconUrl = '';

                                // Logic to check userData and set user and iconUrl
                                if (messages.user) {
                                    if (userData.length > 0) {
                                        $.each(userData, function(i, datas) {
                                            if (messages.user == datas.user.id) {
                                                user = datas.user.real_name || 'Smarthub-Support';
                                                firstTwoLetters = user.substring(0, 1);
                                                iconUrl = datas.image_32 || '';
                                                return false; // Break the loop
                                            }
                                        });
                                    } else {
                                        user = messages.user;
                                        firstTwoLetters = user.substring(0, 2);
                                        iconUrl = messages.bot_profile.icons.image_36 || '';
                                    }
                                }

                                var count = 0;
                                var replyHtml = '';
                                if (replymessages.length > 0) {
                                    $.each(replymessages, function(i, message) {
                                        if (message.messages[0].text == messages.text) {
                                            $.each(message.messages, function(j, m) {
                                                if (m.text != messages.text) {
                                                    count++;
                                                    $.each(userData, function(k, datas) {
                                                        if (m.user == datas.user
                                                            .id) {
                                                            var user1 = datas.user
                                                                .real_name;
                                                            var firstTwoLetters1 =
                                                                user1.substring(0,
                                                                    1);
                                                            var iconUrl1 = datas
                                                                .image_32 || '';

                                                            replyHtml += `
                                                        <div class="reply_cont">
                                                            <div style="margin: auto 0;background: #ffab40;padding: 5px 10px;border-radius: 6px;">
                                                                <span>
                                                                    ${iconUrl1 ? `<img src="${iconUrl1}" alt="User Icon" style="width: 100%; border-radius: 50%;">` : firstTwoLetters1}
                                                                </span>
                                                            </div>
                                                            <div>
                                                                <div>
                                                                    <div style="font-weight: 600;">${user1}</div>
                                                                </div>
                                                                <div class="replay_text">
                                                                    ${m.text}
                                                                </div>
                                                            </div>
                                                        </div>
                                                    `;
                                                            return false; // Break the loop
                                                        }
                                                    });
                                                }
                                            });
                                        }
                                    });
                                }

                                htmlContent += `
                            <div id="data-container2" style="width:100%;display: flex;align-items: start;gap: 1rem;margin: 12px 0;">
                                <div style="height:3.5rem;width:3.5rem;background-color:#ffab40;border-radius:50%;display: flex;justify-content: center;align-items: center;">
                                    ${iconUrl ? `<img src="${iconUrl}" alt="User Icon" style="width: 100%; border-radius: 50%;">` : firstTwoLetters}
                                </div>
                                <div style="width: 86%;">
                                    <div style="display: flex;gap: 1rem;">
                                        <span>${user}</span><span style="color:#b4b4b4;"></span>
                                    </div>
                                    <div style="margin-top: 5px;">${messages.text}</div>
                                    <div class="reply_div">
                                        ${count != 0 ? count + '&nbsp; <strong onclick="toggleReplies(this, event)">reply</strong>' : ''}
                                        <div class="replay_div_slide" style="display: none;">
                                            ${replyHtml}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        `;
                            });

                            $('#data-container1').html(htmlContent);



                        }



                    }
                })

            }


            // Toggle replies
            function toggleReplies(element, event) {
                event.preventDefault();
                const slideDiv = $(element).next('.replay_div_slide');
                slideDiv.toggle();
            }


            function request16(id) {
                $('#formid2').val(id);
                $('#confirmSLACK').css('display', 'block');
                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '55%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');

            }

            function request6(id) {
                $('#formid1').val(id);
                $('#approveFSA').css('display', 'block');
                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '55%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');

            }

            function slackok() {
                $.ajax({
                    type: 'POST',
                    url: '{{ route('revenueslackapprove') }}',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        formid: $('#formid2').val()
                    },
                    success: function(result) {
                        $('#confirmSLACK').css('display', 'none');
                        $('#div3text').text('Completed');
                        $('#numberdiv3').css('background', '#0069d9');
                        $('#div3number').css('color', '#fff');
                        $('#approveslack').text('Approved');
                        $('#approveslack1').css({
                            'pointer-events': 'none',
                            'cursor': 'not-allowed',
                        });
                        $('#rejectslack').css('display', 'none');
                        $('.modal-dialog').css('left', '0');
                        $('.modal-dialog').css('max-width', '500px');
                        $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                    }
                })
            }

            function fsaok() {
                $.ajax({
                    type: 'POST',
                    url: '{{ route('revenueasanaapprove') }}',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        formid: $('#formid1').val()
                    },
                    success: function(result) {
                        $('#approveFSA').css('display', 'none');
                        $('#div2text').text('Completed');
                        $('#numberdiv2').css('background', '#0069d9');
                        $('#div2number').css('color', '#fff');
                        $('#fsaapprove').text('Approved');
                        $('#fsaapprove1').css({
                            'pointer-events': 'none',
                            'cursor': 'not-allowed',
                        });
                        $('#rejectfsa').css('display', 'none');
                        $('.modal-dialog').css('left', '0');
                        $('.modal-dialog').css('max-width', '500px');
                        $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                    }
                })
            }

            function request7() {
                $('.dnt_info').css('display', 'block');
                $('.ok_dnt').css('display', 'none');
                $('.sou-yt-pupop').css('display', 'none');


                $('.ass-crt-suf-popup2').css('display', 'none');
                $('.ass-crt-suf-popup3').css('display', 'block');

                setTimeout(function() {
                    $('.ass-crt-suf-popup3').css('display', 'none');
                    $('.modal-dialog').css('left', '0');
                    $('.modal-dialog').css('max-width', '500px');
                    $('.modal-dialog').css('transition', 'max-width 0.4s ease');

                }, 992000);

                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
            }

            function request7_d() {
                $('.denied').html(`
            <div style="padding: 10px;background: #4573d1;color: #fff">INFO</div>
                                    <div style="padding: 0;background: #fff;">   
                                     <div style="display: none; padding: 20px;" class="ok_dnt"> Denied Successfully.</div> 
                                    </div>
        `);
                $('.ass-crt-suf-popup3').css('top', '13rem');
                $('.modal-dialog').css('max-width', '50%');
                $('.sou-yt-pupop').css('display', 'none');


                $('.dnt_info').css('display', 'none');
                $('.ok_dnt').css('display', 'block');
                $('.ass-crt-suf-popup3').css('display', 'block');

                setTimeout(function() {
                    $('.ass-crt-suf-popup3').css('display', 'none');
                    $('.modal-dialog').css('left', '0');
                    $('.modal-dialog').css('max-width', '500px');
                    $('.modal-dialog').css('transition', 'max-width 0.4s ease');

                }, 3000);
            }

            function request5() {



                $.ajax({
                    type: 'GET',
                    url: '{{ route('getcomments') }}',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        subtaskid: $('#gid').text()
                    },
                    success: function(result) {
                        $('#data-container').empty();
                        $('.modal-dialog').css('left', '-6%');
                        $('.modal-dialog').css('max-width', '70%');
                        $('.modal-dialog').css('transition', 'max-width 0.4s ease');

                        var html = '';
                        $('#data-container').html(html);

                        let comments = result.comments.data; // Access the comments array

                        $.each(comments, function(index, value) {
                            // Get the first two letters of the name
                            let firstTwoLetters = value.created_by.name.substring(0, 2);

                            // Calculate time difference
                            let timestamp = new Date(value.created_at);
                            let currentDate = new Date();
                            let diff = Math.floor((currentDate - timestamp) /
                                1000); // Difference in seconds

                            let days = Math.floor(diff / (60 * 60 * 24));
                            diff -= days * (60 * 60 * 24);

                            let hours = Math.floor(diff / (60 * 60));
                            diff -= hours * (60 * 60);

                            let minutes = Math.floor(diff / 60);
                            let htmlTime = '';

                            if (days > 0) {
                                htmlTime = `${days} Days`;
                            } else if (hours > 0) {
                                htmlTime = `${hours} Hours`;
                            } else if (minutes > 0) {
                                htmlTime = `${minutes} Minutes`;
                            } else {
                                htmlTime = 'Less than a minute ago';
                            }

                            // Build HTML string
                            html += `
        <div style="width:100%; display: flex; align-items: center; gap: 1rem; margin: 12px 0;">
            <div style="height:3.5rem; width:3.5rem; background-color:#ffab40; border-radius:50%; display: flex; justify-content: center; align-items: center;">
                ${firstTwoLetters}
            </div>
            <div style="width: 86%;">
                <div style="display: flex; gap: 1rem;">
                    <span>${value.created_by.name}</span>
                    <span style="color:#b4b4b4;">${htmlTime}</span>
                </div>
                <div style="margin-top: 5px;">${value.text}</div>
            </div>
        </div>
    `;
                        });

                        // Insert the HTML into the container
                        $('#data-container').html(html);



                        $('#sou-yt-pupop').css('display', 'block');
                        $('#request5').css('display', 'none');
                        $('#request5_d').css('display', 'block');
                        $('.ttop').css({
                            'bottom': '-5px',
                            'position': 'relative'
                        });
                    }
                })
            }

            function fsacancel() {
                $('#approveFSA').css('display', 'none');
                $('.modal-dialog').css('left', '0');
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
            }

            function slackcancel() {
                $('#confirmSLACK').css('display', 'none');
                $('.modal-dialog').css('left', '0');
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
            }

            function request15() {

                $.ajax({
                    type: 'GET',
                    url: '{{ route('getcommentslack') }}',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        formid: $('#formid').val()
                    },
                    success: function(result) {
                        $('#data-container1').empty();
                        $('.modal-dialog').css('left', '-6%');
                        $('.modal-dialog').css('max-width', '70%');
                        $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                        const getmessages = result.getmessages;
                        const replymessages = result.replymessages;
                        const userData = result.userData;
                        console.log(replymessages);
                        $('#data-container1').empty();
                        if (getmessages.length > 0) {
                            var htmlContent = '';
                            $.each(getmessages, function(index, messages) {
                                var user = 'Smarthub-Support';
                                var firstTwoLetters = user.substring(0, 1);
                                var iconUrl = '';

                                // Logic to check userData and set user and iconUrl
                                if (messages.user) {
                                    if (userData.length > 0) {
                                        $.each(userData, function(i, datas) {
                                            if (messages.user == datas.user.id) {
                                                user = datas.user.real_name || 'Smarthub-Support';
                                                firstTwoLetters = user.substring(0, 1);
                                                iconUrl = datas.image_32 || '';
                                                return false; // Break the loop
                                            }
                                        });
                                    } else {
                                        user = messages.user;
                                        firstTwoLetters = user.substring(0, 2);
                                        iconUrl = messages.bot_profile.icons.image_36 || '';
                                    }
                                }

                                var count = 0;
                                var replyHtml = '';
                                if (replymessages.length > 0) {
                                    $.each(replymessages, function(i, message) {
                                        if (message.messages[0].text == messages.text) {
                                            $.each(message.messages, function(j, m) {
                                                if (m.text != messages.text) {
                                                    count++;
                                                    $.each(userData, function(k, datas) {
                                                        if (m.user == datas.user
                                                            .id) {
                                                            var user1 = datas.user
                                                                .real_name;
                                                            var firstTwoLetters1 =
                                                                user1.substring(0,
                                                                    1);
                                                            var iconUrl1 = datas
                                                                .image_32 || '';

                                                            replyHtml += `
                                                        <div class="reply_cont">
                                                            <div style="margin: auto 0;background: #ffab40;padding: 5px 10px;border-radius: 6px;">
                                                                <span>
                                                                    ${iconUrl1 ? `<img src="${iconUrl1}" alt="User Icon" style="width: 100%; border-radius: 50%;">` : firstTwoLetters1}
                                                                </span>
                                                            </div>
                                                            <div>
                                                                <div>
                                                                    <div style="font-weight: 600;">${user1}</div>
                                                                </div>
                                                                <div class="replay_text">
                                                                    ${m.text}
                                                                </div>
                                                            </div>
                                                        </div>
                                                    `;
                                                            return false; // Break the loop
                                                        }
                                                    });
                                                }
                                            });
                                        }
                                    });
                                }

                                htmlContent += `
                            <div id="data-container2" style="width:100%;display: flex;align-items: start;gap: 1rem;margin: 12px 0;">
                                <div style="height:3.5rem;width:3.5rem;background-color:#ffab40;border-radius:50%;display: flex;justify-content: center;align-items: center;">
                                    ${iconUrl ? `<img src="${iconUrl}" alt="User Icon" style="width: 100%; border-radius: 50%;">` : firstTwoLetters}
                                </div>
                                <div style="width: 86%;">
                                    <div style="display: flex;gap: 1rem;">
                                        <span>${user}</span><span style="color:#b4b4b4;"></span>
                                    </div>
                                    <div style="margin-top: 5px;">${messages.text}</div>
                                    <div class="reply_div">
                                        ${count != 0 ? count + '&nbsp; <strong onclick="toggleReplies(this, event)">reply</strong>' : ''}
                                        <div class="replay_div_slide" style="display: none;">
                                            ${replyHtml}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        `;
                            });

                            $('#data-container1').html(htmlContent);



                        }

                        $('#sou-yt-pupop1').css('display', 'block');
                        $('#request15').css('display', 'none');
                        $('#request15_d').css('display', 'block');
                        $('.ttop').css({
                            'bottom': '-5px',
                            'position': 'relative'
                        });
                    }
                })
            }

            function request15_d() {

                $('.modal-dialog').css('left', '0');
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                $('#sou-yt-pupop1').css('display', 'none');
                $('#request15_d').css('display', 'none');
                $('#request15').css('display', 'block');
            }

            function request5_d() {

                $('.modal-dialog').css('left', '0');
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                $('#sou-yt-pupop').css('display', 'none');
                $('#request5_d').css('display', 'none');
                $('#request5').css('display', 'block');
            }



            function send_mail() {
                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                $('#send_mail').css('width', '50%');
                $('#send_mail').css('transition', 'width 0.4s ease');
                $('#send_mail').css('display', 'block');
                $('.svg2').css('display', 'block');
            }
            function extractfull(data) {
  return data.map(item => {
    // Remove outer quotes and unescape the JSON string
    const cleanedJsonString = item.RevenueShareTo.replace(/^"|"$/g, '').replace(/\\"/g, '"');
    
    // Parse the JSON string into an object
    const jsonObject = JSON.parse(cleanedJsonString);
    
    // Return the UPCid value
    return jsonObject;
  });
}
            function payment() {
                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                // $('#payment_div').css('width', '50%');
                // $('#payment_div').css('transition', 'width 0.4s ease');
                // $('#payment_div').css('display', 'block');
                // $('.svg3').css('display', 'block');
                $('.sou-pay-pupop').css('display', 'block');
            }

            function send() {
                $('.box').css('display', 'none');
                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '50%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                $('#request_div').css('display', 'none');
                $('#send_mail').css('display', 'none');
                $('#payment_div').css('display', 'none');
                $('#email_send_div').css('display', 'block');
                $('.ass-crt-suf-popup').css('display', 'none');


                $('#partially_5').text('Admin Action Completed');
                $('.slacksvg1').css('display', 'none');
                $('.slacksvg2').css('display', 'block');
                $('#slackhide').css('display', 'none');
                $('#slackshow').css('display', 'block');

                $('.ass-crt-suf-popup1').css('display', 'block');
                setTimeout(function() {
                    $('#email_send_div').css('display', 'none');
                    $('.modal-dialog').css('max-width', '500px');
                    $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                    $('.ass-crt-suf-popup1').css('display', 'none');
                    $('#request_div').css('width', '0');
                    $('#request_div').css('transition', 'width 0.4s ease');
                    $('#request_div').css('display', 'none');
                    $('#ass-crt-suf-popup').css('display', 'none');
                    $('#send_mail').css('width', '0');
                    $('#send_mail').css('transition', 'width 0.4s ease');
                    $('#send_mail').css('display', 'none');

                    $('#payment_div').css('width', '0');
                    $('#payment_div').css('transition', 'width 0.4s ease');
                    $('#payment_div').css('display', 'none');

                    $('#email_send_div').css('display', 'none');

                    $('.svg').css('display', 'none');
                    $('.svg2').css('display', 'none');
                    $('.svg3').css('display', 'none');
                }, 2000);
            }

            function close_mail() {
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');

                $('#request_div').css('width', '0');
                $('#request_div').css('transition', 'width 0.4s ease');
                $('#request_div').css('display', 'none');

                $('#send_mail').css('width', '0');
                $('#send_mail').css('transition', 'width 0.4s ease');
                $('#send_mail').css('display', 'none');

                $('#payment_div').css('width', '0');
                $('#payment_div').css('transition', 'width 0.4s ease');
                $('#payment_div').css('display', 'none');

                $('#email_send_div').css('display', 'none');

                $('.svg').css('display', 'none');
                $('.svg2').css('display', 'none');
                $('.svg3').css('display', 'none');
                $('#unlink_mail').css('display', 'none');

            }


            $(document).ready(function() {

                var analysisData = <?php echo json_encode($data); ?>;

                var analysisData1 = <?php echo json_encode($data1); ?>;

                var analysisData2 = <?php echo json_encode($data2); ?>;

                var analysisData3 = <?php echo json_encode($data3); ?>;
                var analysisData4 = <?php echo json_encode($data4); ?>;

                $('.view').click(function() {
                    var formId = $(this).data('form-id');
                    var details = analysisData;
                    var detail = details.find(function(item) {
                        return item.id == formId;
                    });

                    $('#email').text(detail.email);
                    $('#userid').text(detail.userid);
                    $('#username').text(detail.username);
                   




                    $.ajax({
    type: 'GET',
    data: {
        formid: formId,
    },
    url: 'getallvalues_revenue',
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    },
    success: function(result) {

      
        const dataArray = result.data;

  


        const datas = extractfull(dataArray);


        let htmlContent1 = '';

// Function to get values based on the dynamic key
const getValue = (obj, prefix) => {
  const keys = Object.keys(obj);
  const key = keys.find(k => k.startsWith(prefix));
  return key ? obj[key] : '';
};

// Process each main object in the data array
datas.forEach(record => {
  const { UPCid, ISRC, RevenueShareTo } = record;
  
  // Add UPCid and ISRC to HTML content
  htmlContent1 += `
    <div style="width: 100%; text-align: center;">
      <span>UPCid: <strong>${UPCid}</strong></span>
      <span>ISRC: <strong>${ISRC}</strong></span>
    </div>
    <br>
  `;
  
  
  RevenueShareTo.forEach(user => {
    const userId = getValue(user, 'Userid');
    const userName = getValue(user, 'Username');
    const percentage = getValue(user, 'Percentage');
    var result = (percentage / 100) * 85;
    var balance = 85 - result;


    htmlContent1 += `      <div style="width: 50%; gap: 40px; display: flex; text-align: center; margin-bottom: 20px;">
    <div>
          UserID:<br> <strong class="frm_vals">${detail.userid}</strong>
        </div>
        <div>
          UserName: <br><strong class="frm_vals">${detail.username}</strong>
        </div>
        <div>
          Percentage: <br><strong class="frm_vals">${balance}%</strong>
        </div>
        </div>
    `;
    htmlContent1 += ` <div style="width: 50%; gap: 40px; display: flex; text-align: center; margin-bottom: 20px;">
        <div>
          UserID:<br> <strong class="frm_vals">${userId}</strong>
        </div>
        <div>
          UserName: <br><strong class="frm_vals">${userName}</strong>
        </div>
        <div>
          Percentage: <br><strong class="frm_vals">${result}%</strong>
        </div>
      </div>
    `;

    htmlContent1 += `<div style="width: 10%; gap: 40px; text-align: center; margin-bottom: 20px;">
   
    
        <div style="
    display: flex;
    gap: 13%;
">
          RN: <strong class="frm_vals">15%</strong>
        </div>
        </div>
    `;
    htmlContent1 += '<br><br>';
  });

  // Add a line break to separate records
});




$('#revenuedetails').html(`${htmlContent1}`);


    }

                
                    
                    })


                    var link = $('#exportdata');

                    link.attr('href', '{{ route('exportform3') }}?id=' + detail.id);
                    $('#viewpop').modal('show');
                });





                $('.analysis').click(function() {

                    $('#sub-tk-msg11').css('display', 'none');
                    $('#sub-tk-msg').css('display', 'none');
                    $('#btnsief').css('display', 'none');
                    var formId = $(this).data('form-id');
                    $('#analysismodal1').modal('show');

                    var matchingEntry = analysisData.find(function(item) {
                        return item.id === formId;
                    });

                    $('#formid').val(matchingEntry.id);

                    if (matchingEntry) {
                        var matchingEntry1 = analysisData1.find(function(item) {
                            return item.userid.toString() === matchingEntry.id.toString() && item
                                .type === 'revenueform';

                        });
                        if (matchingEntry1) {
                            $('.sub-tk-msg11').css('display', 'block');
                            $('#gid').text(`${matchingEntry1.gid}`);
                            $('.div2done').css('display', 'block');
                            $('.div2pending').css('display', 'none');
                            $('#div2text').text('Admin Action Completed');
                        }
                        $('#div1').html(`
                <span style="padding: 10px;">EMAIL: ${matchingEntry.email}</span><br>
            `);
                        var data2 = '';
                        if (matchingEntry1) {
                            data2 = '';

                        } else {
                            data2 =
                                `<div class="sub-tk-msg" 
style="font-size:14px;font-weight: 600;color: #7d7d7d;padding: 0px 0;left: 48px;
position: relative;">Please raise FSA Review on Asana.</div>  
<button onclick="subtask_create('${matchingEntry.id}','${matchingEntry.email}')" id="btnsief" style="
background: #0069d9;padding: 10px 14px;border: none;border-radius: 6px;color: #fff;margin: 9px 17px 0px 45px;font-weight:bold;width: 59%;cursor: pointer;">Create Subtask<span><img src="https://smarthub.rn-test.com/images/asana_logo.svg" style="left: 9px;width: 66px;height: 15px;position: relative;" alt="logo"></span></button> `;
                        }
                        $.ajax({
                            
                            type: "get",
                            url: "{{ route('fsacheck') }}",
                            headers: {
                                'X-CSRF-TOKEN': '{{ csrf_token() }}'
                            },
                            data: {
                               
                                uid: matchingEntry.userid,
                            },
                            success: function(response) {
                                console.log(response);
                                var varible='<ul style="text-align: left;">';
                                if (response.fsacheck == '0') {
                                    varible+='<li> <b>FSA - NO</b>&nbsp;&nbsp;</li>' ;
                                    $('.sub-tk-msg').css('display','none');
                                    $('#btnsief').css('display','none')
                                    
                            $('.div2done').css('display', 'block');
                            $('.div2pending').css('display', 'none');
                            $('#div2text').text('Completed');
                            $('#numberdiv2').css('background', '#0069d9');
                            $('#div2number').css('color', '#fff');
                                                        }else{
                                     varible+='<li> <b>FSA - YES</b>&nbsp;&nbsp;</li>' ;  
                                  
                                }

                                if (response.fsacheck == '0') {
                                    varible+=' <li> <b> Is the User in Standard Payment List? </b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br>   <span  style="padding: 3px 1rem;background: green;color: #fff;border-radius: 5px;font-weight: 600;" >No</span> </li>' ;
                                }else{
                                     varible+=`<li> <b> Is the User in Standard Payment List? </b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br>   <span  style="padding: 3px 1rem;background: #f40505;color: #fff;border-radius: 5px;font-weight: 600;" >Yes</span> </li></ul>${data2}` ;  
                                }
                                $('#div2sub').html(`

${varible}



`);

                        }
                        })


                      
                        $('.sub-tk-msg11').html(`
<div 
style="font-weight: 600;color: #7d7d7d;padding: 7px 0;position: relative;">
Subtask Created..</div>

<div style="margin: -9px 0 0 0px;padding: 10px 0; ">
<ul style="list-style: none;text-align: initial;">
    <li><b>Assignee:</b> Bryn</li>
    <li><b>Description:</b> Can you Please check the <br>userid(72567) for the FSA Payment Tracker?</li>
    <li><b>Status:</b> Completed</li>
</ul>
</div>

<div style="display:flex;gap:2%">       

<div style="cursor: pointer;color: #1010ffde;" ><span  id="request5" onclick="request5()" style="padding: 8px 1rem;  background: #0069d9;  color: #fff;  border-radius: 5px;  font-weight: 600;">View Comments</span>
<span onclick="request5_d()" id="request5_d" style="padding: 8px 1rem;  background: #0069d9;  color: #fff;  border-radius: 5px;  font-weight: 600;display:none">View Comments</span>
</div>
<div id="fsaapprove1" style="cursor: pointer;color: #1010ffde;margin: auto 0;" onclick="request6('${matchingEntry.id}')"><span id="fsaapprove" style="padding: 8px 1rem;background: #158a1d;color: #fff;border-radius: 5px;font-weight: 600;" >Approve</span></div>
<div id="rejectfsa" style="cursor: pointer;color: #1010ffde;margin: auto 0;" onclick="request7()"><span  style="padding: 8px 1rem;background: #f40505;color: #fff;border-radius: 5px;font-weight: 600;" >Deny</span></div>

</div>
`);
                  
                        var matchingEntry3 = analysisData2.find(function(item) {
                            return item.userid === matchingEntry.userid && item.type === 'revenueform';

                        });
                        var data4 = '';
                        if (matchingEntry3.email_to != matchingEntry.email) {
                            $.ajax({
                            // url: "../settingmail.php",
                            // method: "POST",
                            type: "post",
                            url: "{{ route('uncategorised') }}",
                            headers: {
                                'X-CSRF-TOKEN': '{{ csrf_token() }}'
                            },
                            data: {
                                ref: "sgsgsg",
                                usuid: matchingEntry3.email_to,
                            },
                            success: function(result) {
                                if(result.ememail_data){
                                    data4 = ` <li> <b> Is this Associated Email Address? </b>&nbsp;&nbsp;&nbsp;&nbsp;
         <span style="padding: 3px 1rem; background:#158a1d; color: #fff; border-radius: 5px; font-weight: 600;">
     YES
</span> </li>`;
                                }else{
                                    data4 = `  <li> <b> Is this Associated Email Address? </b>&nbsp;&nbsp;&nbsp;&nbsp;
         <span style="padding: 3px 1rem; background:#f40505; color: #fff; border-radius: 5px; font-weight: 600;">
     NO
</span> </li>`;
                                }
    }
})
                        
                        }


                        $('#div3sub').html(`
<ul style="text-align: left;">
<li> <b>Revenue request came from (email address)?</b>  ${matchingEntry3.email_to}&nbsp;&nbsp;
</li>
<li> <b> Is this Registered Email Address from RN? </b>&nbsp;
<span style="padding: 3px 2rem; background: ${matchingEntry3.email_to === matchingEntry.email ? '#158a1d' : '#f40505'}; color: #fff; border-radius: 5px; font-weight: 600;">
      ${matchingEntry3.email_to === matchingEntry.email ? 'Yes' : 'No'}
</span> 
</li> 
${data4}
</ul>
<div class="sub-tk-msg3" style="display:none;font-size:14px;font-weight: 600;color: #7d7d7d;padding: 7px 0;left: 2px;position: relative;">
Please Raise UPC & Email Address on Slack Channel.</div>  
<button onclick="slack_create('${matchingEntry.userid}','${matchingEntry.username}','${matchingEntry3.email_to}','${matchingEntry.id}')" id="btnsief1" style="background: #fff;display:none;padding: 10px 14px;border: none;border-radius: 6px;color: black;margin: 9px 17px 0px -7px;font-weight:bold;width: 81%;cursor: pointer;">#as-support<span><img src="https://smarthub.rn-test.com/images/slack.png" style="left: 9px;width: 36px;height: 30px;position: relative;" alt="logo"></span></button>  
`);
                        if (matchingEntry3.email_to != matchingEntry.email) {
                            $('#btnsief1').css('display', 'block');
                            $('.sub-tk-msg3').css('display', 'block');
                            $('.div3done').css('display', 'none');
                            $('.div3pending').css('display', 'block');
                            $('#div3text').text('Admin Action needed');
                            $('#numberdiv3').css('background', '#ccc');
                            $('#div3number').css('color', 'black');

                        }
                        $('#sub-tk-msg13').html(`
<div style="display: flex; gap: 20px;">                                                    
<div style="cursor: pointer;color: #1010ffde;" ><span  id="request15" onclick="request15()" style="padding: 8px 1rem;  background: #0069d9;  color: #fff;  border-radius: 5px;  font-weight: 600;">View Comments</span>
<span onclick="request15_d()" id="request15_d" style="padding: 8px 1rem;  background: #0069d9;  color: #fff;  border-radius: 5px;  font-weight: 600;display:none">View Comments</span>
</div>
<div id="approveslack1" style="cursor: pointer;color: #1010ffde;margin: auto 0;" onclick="request16(${matchingEntry.id})"><span id="approveslack" style="padding: 8px 1rem;background: #158a1d;color: #fff;border-radius: 5px;font-weight: 600;" >Approve</span></div>
<div id="rejectslack" style="cursor: pointer;color: #1010ffde;margin: auto 0;" onclick="request17()"><span  style="padding: 8px 1rem;background: #f40505;color: #fff;border-radius: 5px;font-weight: 600;" >Deny</span></div>
`);
                        if (matchingEntry3.email_to == matchingEntry.email) {
                            $('.sub-tk-msg3').css('display', 'none');
                        }
                        var matchingEntry4 = analysisData3.find(function(item) {
                            return item.form_id === formId;
                        });
                        if (matchingEntry4) {
                            $('#btnsief1').css('display', 'none');
                            $('.sub-tk-msg3').css('display', 'none');
                            $('#sub-tk-msg13').css('display', 'block');
                            $('.div3done').css('display', 'block');
                            $('.div3pending').css('display', 'none');
                            $('#div3text').text('Admin Action Completed');
                            $('#ts').text(matchingEntry4.message_ts);
                        }  
                        function extractUPCid(data) {
  return data.map(item => {
    // Remove outer quotes and unescape the JSON string
    const cleanedJsonString = item.RevenueShareTo.replace(/^"|"$/g, '').replace(/\\"/g, '"');
    
    // Parse the JSON string into an object
    const jsonObject = JSON.parse(cleanedJsonString);
    
    // Return the UPCid value
    return jsonObject.UPCid;
  });
}

                        if (matchingEntry) {

                            $.ajax({
    type: 'GET',
    data: {
        formid: $('#formid').val(),
    },
    url: 'getallvalues_revenue',
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    },
    success: function(result) {

      
        const dataArray = result.data;

  

const upcidValues = extractUPCid(dataArray);

       var  htmlContent ='';
         htmlContent = `<ul style="text-align: left;"><li ><b>USER ID: </b>${matchingEntry.userid}&nbsp;&nbsp;</li>`;

         $.each(upcidValues, function(index, upcid) {


htmlContent += `<li ><b>UPC: </b>${upcid}&nbsp;&nbsp;
</li>
<li style="display:flex;gap:5%"><p><svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green" viewBox="0 0 24 24" style="position: absolute;z-index: 1;width: 20px;">
<path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
</path>
</svg></p><p>Given UPC that has been provided on the Revenue Share Request belongs to UserId</p>
</li>`;
         })
htmlContent += `</ul>`;               
               
          
        $('#div4').html(`
        <ul style="text-align: left;">
            ${htmlContent}
        </ul>
        `);


        const datas = extractfull(dataArray);


        let htmlContent1 = '';

// Function to get values based on the dynamic key
const getValue = (obj, prefix) => {
  const keys = Object.keys(obj);
  const key = keys.find(k => k.startsWith(prefix));
  return key ? obj[key] : '';
};

// Process each main object in the data array
datas.forEach(record => {
  const { UPCid, ISRC, RevenueShareTo } = record;
  
  // Add UPCid and ISRC to HTML content
  htmlContent1 += `
    <div style="width: 100%; text-align: center;">
      <span>UPCid: <strong>${UPCid}</strong></span>
      <span>ISRC: <strong>${ISRC}</strong></span>
    </div>
    <br>
  `;
  
  
  RevenueShareTo.forEach(user => {
    const userId = getValue(user, 'Userid');
    const userName = getValue(user, 'Username');
    const percentage = getValue(user, 'Percentage');
    var result = (percentage / 100) * 85;
    var balance = 85 - result;


    htmlContent1 += `      <div style="width: 50%; gap: 40px; display: flex; text-align: center; margin-bottom: 20px;">
    <div>
          UserID:<br> <strong class="frm_vals">${matchingEntry.userid}</strong>
        </div>
        <div>
          UserName: <br><strong class="frm_vals">${matchingEntry.username}</strong>
        </div>
        <div>
          Percentage: <br><strong class="frm_vals">${balance}%</strong>
        </div>
        </div>
    `;
    htmlContent1 += ` <div style="width: 50%; gap: 40px; display: flex; text-align: center; margin-bottom: 20px;">
        <div>
          UserID:<br> <strong class="frm_vals">${userId}</strong>
        </div>
        <div>
          UserName: <br><strong class="frm_vals">${userName}</strong>
        </div>
        <div>
          Percentage: <br><strong class="frm_vals">${result}%</strong>
        </div>
      </div>
    `;

    htmlContent1 += `<div style="width: 10%; gap: 40px; text-align: center; margin-bottom: 20px;">
   
    
        <div style="
    display: flex;
    gap: 13%;
">
          RN: <strong class="frm_vals">15%</strong>
        </div>
        </div>
    `;
  });

  
});



$('#div7sub').html(`${htmlContent1}`);


    }
});

                        }

                     
                        $('#div5').html(`
<table  style="font-size: 14px;text-align: center" class="stripe bordered">
                    <thead
                        style="width: 100%;background-color: #807a7a; justify-content: space-between;color: #fff;font-size: 14px; font-weight: 500;text-align: center;">
                        <tr>             
                            <th style="width:10%">USER ID</th>
                            <th style="width:10%">USERNAME</th>
                            <th style="width:10%">Match</th>
                        </tr>
                    </thead>
                    <tbody >
                       
                            <tr>
                                <td>38</td>
                                <td>test</td>
                                
                                <td><svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green" viewBox="0 0 24 24" style="z-index: 1;width: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg></td>

                            </tr>

</tbody>
</table>
`);
                        $('#div6sub').html(`
<div>
<span>User Id:</span><br>
<strong>${matchingEntry.userid}</strong>
</div> 

<div>
<span>Email Id:</span><br>
<strong>${matchingEntry.email}</strong>
</div>

<div >
<span>Revenue Share Info:</span><br>
<strong>100%</strong>
</div>
`);



                    

                 





                        if (matchingEntry.asana_confirm == '1') {
                            console.log(matchingEntry.asana_confirm);
                            $('#rejectfsa').css('display', 'none');
                            $('.div3done').css('display', 'block');
                            $('.div3pending').css('display', 'none');
                            $('#div2text').text('Completed');

                            $('#numberdiv2').css('background', '#0069d9');
                            $('#div2number').css('color', '#fff');
                            $('#fsaapprove').text('Approved');
                            $('#fsaapprove1').css({
                                'pointer-events': 'none',
                                'cursor': 'not-allowed',
                            });
                        }

                        if (matchingEntry.slack_confirm == '1') {
                            $('#rejectslack').css('display', 'none');
                            $('.div3done').css('display', 'block');
                            $('.div3pending').css('display', 'none');
                            $('#div3text').text('Completed');

                            $('#numberdiv3').css('background', '#0069d9');
                            $('#div3number').css('color', '#fff');
                            $('#approveslack').text('Approved');
                            $('#approveslack1').css({
                                'pointer-events': 'none',
                                'cursor': 'not-allowed',
                            });
                        }



                        var matchingEntry4 = analysisData4.find(function(item) {
                            return item.form_id === matchingEntry.id && item.type === 'revenue';
                        })
                        console.log(matchingEntry4);
                        if (matchingEntry4) {
                            if (matchingEntry4.status == 'approve') {
                                $('#approve').css({
                                    'pointer-events': 'none',
                                    'cursor': 'not-allowed',
                                });
                                //$('#approve').css('display', 'block');
                                $('#approvetext').text('Approved & Assigned to Luna');
                                $('#reject').css('display', 'none');
                                $('#request').css('display', 'none');
                            } else if (matchingEntry4.status == 'request') {
                                $('#request').css({
                                    'pointer-events': 'none',
                                    'cursor': 'not-allowed',
                                });
                                $('#requesttext').text('Requested Information');

                                $('#approve').css('display', 'none');
                                $('#reject').css('display', 'none');
                               // $('#request').css('display', 'block');
                            } else {
                                $('#reject').css({
                                    'pointer-events': 'none',
                                    'cursor': 'not-allowed',
                                });
                                $('#rejecttext').text('Rejected');

                                $('#approve').css('display', 'none');
                              //  $('#reject').css('display', 'block');
                                $('#request').css('display', 'none');

                            }
                            
                        }else{
                  
                  $('#reject').css('display', 'flex');
                  $('#request').css('display', 'flex');
                  $('#approve').css('display', 'flex');

          }

                    }

                })




            });

            function request() {
                var analysisData = <?php echo json_encode($data); ?>;
            var formId = $('#formid').val();
            var matchingEntry = analysisData.find(function(item) {
                    return item.id == formId;
                });
                console.log(matchingEntry);
                $('#requestto').text(matchingEntry.email);
                $('#requestname').text(`Dear ${matchingEntry.username},
Revenue Share form request is under-progress status. Please provide the following details to proceed







Many Warm Regards,
The RouteNote Team`);
                $('#requestmail').modal('show');
                $('#analysismodal1').modal('hide');
            }

            function reject() {
                var analysisData = <?php echo json_encode($data); ?>;
            var formId = $('#formid').val();
            var matchingEntry = analysisData.find(function(item) {
                    return item.id == formId;
                });
                console.log(matchingEntry);
                $('#rejectto').text(matchingEntry.email);
                $('#rejectname').text(`Dear ${matchingEntry.username},
Revenue Share form rejected for the following reasons:






Many Warm Regards,
The RouteNote Team`);
                $('#rejectmail').modal('show');
                $('#analysismodal1').modal('hide');
                $('#approvemodal').modal('hide');

            }

            function mailsent(value) {

                if(value == 'reject'){
                var body = $('#rejectname').val();
                var to = $('#rejectto').text();
            }else if(value == 'request'){
                var body = $('#requestname').val();
                var to = $('#requestto').text();
            }else{
                var body = '';
                var to = $('#approveto').val();
            }

            $.ajax({
                type: 'GET',
                data: {
                    formid: $('#formid').val(),
                    value: value,
                    type: 'revenue',
                    body:body,
                    to:to
                },
                    url: 'actiondone',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                    success: function(result) {
                        console.log(result);
                        $('#mailsentinfo').modal('show');
                        $('#requestmail').modal('hide');
                        $('#rejectmail').modal('hide');
                    }
                })
            }

            function approve() {
                
                var analysisData = <?php echo json_encode($data); ?>;
            var formId = $('#formid').val();
            var matchingEntry = analysisData.find(function(item) {
                    return item.id == formId;
                });
                $('#approveto').val(matchingEntry.email);
                $.ajax({
                    type: 'GET',
                    data: {
                        formid: $('#formid').val(),
                        value: 'approve',
                        type: 'revenue',
                        to:$('#approveto').val()
                    },
                    url: 'actiondone',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                    success: function(result) {
                        $('#approvemodal').modal('show');
                        $('#analysismodal1').modal('hide');
                    }
                })

            }
        </script>

    <body class="w-full h-1/2">



        <!-- Full Container Start -->
        <div class="full_container_start" style="width: 100%;overflow: scroll;height: 75vh;    padding: 17px;">

            <h4>Revenue Request OTL Forms</h4><br>




            <table id="yourDataTableId" style="font-size: 14px;" class="stripe bordered">
                <thead
                    style="width: 100%;background-color: #807a7a; justify-content: space-between;color: #fff;font-size: 14px; font-weight: 500;text-align: center;">
                    <tr>
                        <th style="width:5%">#</th>
                        <th style="width:10%">Form Type</th>
                        <th style="width:10%">UserName</th>
                        <th style="width:10%">Submitted On</th>

                        <th style="width:15%">Form Details</th>
                        <th style="width:10%">Smarthub Report</th>
                    </tr>
                </thead>
                <tbody id="tbody">
                    @foreach ($data as $item)
                        <tr>
                            <td>{{ $item->id }}</td>
                            <td>Revenue Request Form</td>
                            <td>{{ $item->username }}
                            </td>
                            <td>{{ $item->submitted_at }}</td>
                            <td><button class="btn btn-secondary view" style="border-radius: 9px;background-color: #0069d9;"
                                    data-form-id="{{ $item->id }}">View Details</button></td>
                            <td><button class="btn btn-secondary analysis"
                                    style="width: 128px;height: 37px;border-radius: 9px;background-color: #0069d9;"
                                    data-form-id="{{ $item->id }}">View Details</button></td>

                        </tr>
                    @endforeach

                </tbody>
            </table>

        </div>


        <script>
            function revenue_request() {
                $('#revenueshare').toggle();
            }

            function revenue_request_close() {
                $('#revenueshare').toggle();
            }
        </script>


        <!-- Modal HTML -->
        <div class="modal fade" id="analysismodal1" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width: 122%;height: ;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Processing the Revenue Share
                            Request</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span onclick="close_mail()" style="color: #fff">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">




                        <div class="full">
                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">
                                    <span class="number" style="background-color: #0069d9;"> <span
                                            style="color:#fff;font-weight: bold">1</span></span>

                                    <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                            d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>
                                    <span class="hover_txt">Completed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv()" style="font-size: medium;"> Checking Email
                                        Addresses</span>

                                    <div class="open_div" id="div1">

                                    </div>
                                </div>
                            </div>

                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">

                                    <span class="number" id="numberdiv2" style="background-color: #ccc;"><span
                                            id="div2number" style="color:black;font-weight: bold">2</span></span>


                                    <svg class="div2done w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="display:none;position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>

                                    <svg class="div2pending exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24"
                                        height="24" fill="#fff" viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                        <path stroke="red" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>

                                    <span id="div2text" class="hover_txt">
                                        Admin Action Needed</span>

                                </div>

                                <div style="padding: 20px;width: 100%;gap: 10px;">
                                    <span id="sentence_1" onclick="toggleDiv2()" style="font-size: medium;">
                                        Is the Account FSA?</span>
                                    <span style="display:none" id="gid"></span>
                                    <div style="width: 100%;display: flex;">
                                        <div id="div2" class="open_div" style=" width: auto;height: 10%;z-index:11">
                                            <div style="display: grid;" id="div2sub">


                                            </div>
                                            <div>
                                                <div class="sub-tk-msg11" style="display:none;">


                                                </div>
                                            </div>

                                        </div>

                                        <div class="box svg" style="display: none;margin-top: -31px;"></div>


                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="sou-yt-pupop" id="sou-yt-pupop">
                            <div class="yt-header">
                                <div>All Activity in&nbsp;<span><img
                                            src="https://smarthub.rn-test.com/images/asana_logo.svg" style="height: 15px;"
                                            alt="logo" /></span></div>
                            </div>
                            <div id="data-container" style="height: 12rem;width: 100%;padding: 1.5rem;overflow:auto">

                            </div>
                            <div style="display: flex;align-items: baseline;gap: 1rem;">
                                <input type="text" id="texst_value" style="width: 85%;padding: 6px;"
                                    placeholder="comments *">
                                <button
                                    style="background: #0069d9;padding: 7px 14px;border: none;border-radius: 6px;color: #fff;margin-top:1rem"
                                    Onclick="comment_asana()">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                        fill="currentColor" class="bi bi-send" viewBox="0 0 16 16">
                                        <path
                                            d="M15.854.146a.5.5 0 0 1 .11.54l-5.819 14.547a.75.75 0 0 1-1.329.124l-3.178-4.995L.643 7.184a.75.75 0 0 1 .124-1.33L15.314.037a.5.5 0 0 1 .54.11ZM6.636 10.07l2.761 4.338L14.13 2.576zm6.787-8.201L1.591 6.602l4.339 2.76z" />
                                    </svg>
                                </button>
                            </div>

                        </div>



                        <div id="approveFSA"
                            style="display:none;box-shadow: 4px 6px 11px -1px #ddd;overflow: hidden;border-radius: 7px;position: absolute;right: 2rem;top: 13rem;width: 20rem;">
                            <div style="padding: 10px;background: #4573d1;color: #fff">INFO</div><input type="hidden"
                                id="formid1">
                            <div style="padding: 0;background: #fff;">
                                <div style=" padding: 20px;border-bottom:1px solid #ccc" class="apr_info"> FSA Payment
                                    Tracker Confirmed via Asana.</div>
                                <div style="padding: 10px;display: flex;justify-content: end;gap:20px">
                                    <div class="apr_cancel btnn " onclick="fsacancel()">Cancel</div>
                                    <div class="apr_ok btnn "
                                        style="color:white;background:rgb(0, 105, 217);cursor:pointer;" onclick="fsaok()">
                                        ok</div>
                                </div>
                            </div>

                        </div>



                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">



                                <span id="numberdiv3" class="number" style="background-color: #0069d9;"><span
                                        id="div3number" style="color:#fff;font-weight: bold">3</span></span>

                                <svg class="div3pending exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                    aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    fill="#fff" viewBox="0 0 24 24"
                                    style="display:none;position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                    <path stroke="red" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                                </svg>

                                <svg class="div3done exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                    aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    fill="green" viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>


                                <span class="hover_txt" id="div3text">Completed</span>

                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv3()" style="font-size: medium;">Are they an
                                    Artist Services Account Requests</span>
                                <span style="display:none" id="ts"></span>

                                <div class="open_div" id="div3" style="width: 26rem;">

                                    <div style="width:100%;">

                                        <div style="width: 95%;text-align: center;">
                                            <div
                                                style="font-weight:bold;font-size: larger;left: -138px;position: relative;">
                                            </div>
                                            <div id="div3sub">

                                            </div>
                                            <div id="sub-tk-msg13" style="display:none;">


                                            </div>
                                        </div>

                                    </div>

                                </div>


                                <style>
                                    .ass-crt-suf-popup {
                                        height: auto;
                                        width: 28rem;
                                        background-color: #fff;
                                        position: absolute;
                                        right: 6rem;
                                        top: 17rem;
                                        border-radius: 8px;
                                        box-shadow: 0px 2px 7px 1px #dddddd96;
                                        display: none;
                                        overflow: hidden;
                                    }

                                    .ass-crt-suf-popup .suf-header {
                                        height: 3rem;
                                        width: 100%;
                                        background-color: #0069d9;
                                        color: #fff;
                                        padding: 12px 1rem;
                                        font-weight: bolder;
                                    }
                                </style>


                                <div class="sou-yt-pupop" style="display:none" id="sou-yt-pupop1">
                                    <div class="yt-header">
                                        <div>All Activity in&nbsp;<span><img
                                                    src="https://smarthub.rn-test.com/images/slack.png"
                                                    style="left: 9px;width: 36px;height: 30px;position: relative;"
                                                    alt="logo"></span></div>
                                    </div>
                                    <div id="data-container1"
                                        style="height: 12rem;width: 100%;padding: 1.5rem;overflow:auto">



                                    </div>
                                    <div style="display: flex;align-items: baseline;gap: 1rem;">
                                        <input type="hidden" id="formid">
                                        <input type="text" id="commentslack" style="width: 85%;padding: 6px;"
                                            placeholder="comments *">
                                        <button
                                            style="background: #0069d9;padding: 7px 14px;border: none;border-radius: 6px;color: #fff;margin-top:1rem"
                                            Onclick="comment_slack()">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                                fill="currentColor" class="bi bi-send" viewBox="0 0 16 16">
                                                <path
                                                    d="M15.854.146a.5.5 0 0 1 .11.54l-5.819 14.547a.75.75 0 0 1-1.329.124l-3.178-4.995L.643 7.184a.75.75 0 0 1 .124-1.33L15.314.037a.5.5 0 0 1 .54.11ZM6.636 10.07l2.761 4.338L14.13 2.576zm6.787-8.201L1.591 6.602l4.339 2.76z" />
                                            </svg>
                                        </button>
                                    </div>




                                </div>
                                <div id="confirmSLACK"
                                    style="display:none;box-shadow: 4px 6px 11px -1px #ddd;overflow: hidden;border-radius: 7px;position: absolute;right: 2rem;top: 13rem;width: 20rem;">
                                    <div style="padding: 10px;background: #4573d1;color: #fff">INFO</div><input
                                        type="hidden" id="formid2">
                                    <div style="padding: 0;background: #fff;">
                                        <div style=" padding: 20px;border-bottom:1px solid #ccc" class="apr_info"> Email
                                            Address confirmed via Slack.</div>
                                        <div style="padding: 10px;display: flex;justify-content: end;gap:20px">
                                            <div class="apr_cancel btnn " onclick="slackcancel()">Cancel</div>
                                            <div class="apr_ok btnn "
                                                style="color:white;background:rgb(0, 105, 217);cursor:pointer;"
                                                onclick="slackok()">ok</div>
                                        </div>
                                    </div>

                                </div>

                                <style>
                                    .btnn {
                                        background: #ccc;
                                        color: #000;
                                        padding: 5px 10px;
                                        border: none;
                                        border-radius: 6px;
                                    }
                                </style>


                                <div class="ass-crt-suf-popup3"
                                    style="box-shadow: 4px 6px 11px -1px #ddd;display:none;overflow: hidden;border-radius: 7px;position: absolute;right: 2rem;top: 2rem; ">


                                    <div id="" style=" width: 100%;">
                                        <div class="modal-content denied" style="border: none !important;">
                                            <div class="modal-header">
                                                <h5 style="color: white;" class="modal-title" id="customPopupLabel">
                                                    Request for Paypal</h5>
                                                <button type="button" class="close">
                                                    <span onclick="close_mail()" style="color: #fff">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <label class="modalabel">To:</label><br>
                                                <label disabled class="login-form__input">
                                                    mcltest022@gmail.com</label><br>
                                                <label class="modalabel">Subject:</label><br>
                                                <input class="login-form__input" type="text" name="Email"
                                                    id="name" size="59px" value="Revenue Share Request - Denied">
                                                <br><br>
                                                <label class="modalabel">Body:</label><br>
                                                <textarea class="login-form__input" type="text" name="Email" id="name"
                                                    style="position: relative;height: 150px;width: 100%;text-align: left">Dear sellerrnn,
                                                    This email address is not an approved email address.
                                                    Please check and send request from the registered email address.

                                                    Many Warm Regards,
                                                    The RouteNote Team

                                                    </textarea>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="dnt_ok btnn dnt_info">Close</button>
                                                <button type="submit" class="dnt_ok btnn dnt_info">Send</button>
                                            </div>
                                        </div>
                                    </div>

                                </div>


                            </div>
                        </div>



                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">



                                <span class="number" style="background-color:#0069d9;"><span
                                        style="color:#fff;font-weight: bold">4</span></span>


                                <svg class="earning_tick w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"></path>
                                </svg>
                                <span class="hover_txt" id="action_6">Completed</span>



                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv4()" style="font-size: medium;">Individual Track
                                    Requests - Checking ISRC and UPC matches</span>

                                <div style="width: 100%;display:flex;">
                                    <div id="div4" class="open_div"
                                        style="height: 10%;z-index:11;text-align: center;width: 30rem;">



                                    </div>

                                </div>
                            </div>
                        </div>
                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">


                                <span class="number" style="background-color:#0069d9;"><span
                                        style="color:#fff;font-weight: bold">5</span></span>


                                <svg class="earning_tick w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"></path>
                                </svg>
                                <span class="hover_txt" id="action_6">Completed</span>


                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv5()" style="font-size: medium;">Checking User ID
                                    and Username matches</span>

                                <div style="width: 100%;display:flex;">
                                    <div id="div5" class="open_div"
                                        style="height: 10%;z-index:11;width: 30rem;padding: 0;overflow: hidden;">

                                    </div>

                                </div>
                            </div>
                        </div>

                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">



                                <span class="number half6" style="background-color:#0069d9;"><span id="half6"
                                        style="color:#fff;font-weight: bold">6</span></span>


                                <svg class="earning_tick w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"></path>
                                </svg>
                                <span class="hover_txt" id="action_6">Completed</span>



                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv6()" style="font-size: medium;">Viewing the
                                    Existing Shares</span>

                                <div style="width: 100%;display:flex;">
                                    <div id="div6" class="open_div"
                                        style="height: 10%;z-index:11;text-align: center;width: 30rem;">

                                        <div style="text-align: left;font-weight: 600;">
                                            Share details:
                                        </div>

                                        <div id="div6sub" style="display: flex; justify-content: space-around;">


                                        </div>


                                    </div>

                                </div>
                            </div>
                        </div>

                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">



                                <span class="number half6" style="background-color:#0069d9;"><span id="half6"
                                        style="color:#fff;font-weight: bold">7</span></span>

                                <svg class="earning_tick w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"></path>
                                </svg>
                                <span class="hover_txt" id="action_6">Completed</span>



                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv7()" style="font-size: medium;">Requested
                                    Percentage Share</span>

                                <div style="width: 100%;display:flex;">
                                    <div id="div7" class="open_div"
                                        style="height: 10%;z-index:11;text-align: center;width: 30rem;">

                                        <div style="font-weight: 600;padding: 20px 5px;text-align: left;">
                                            Revenue Share To
                                        </div>

                                        <div id="div7sub" style="width: 100%;" class="form_input">


                                        </div>


                                    </div>


                                </div>
                            </div>



                        </div>
                    </div>

                    <div style="display: flex;padding: 10px;justify-content: end;gap: 7px;">


                        <button id="approve" class="ap_rej_btns" style="background: #00a000;height: 51px;display: flex;" onclick="approve()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24">
                                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"></path>
                            </svg>


                            <span id="approvetext">Approve &amp; Apply Album and Tracks</span></button>


                        <button id="reject" class="ap_rej_btns" style="background: #d41111;height: 50px;display: flex;" onclick="reject()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor" viewBox="0 0 24 24">
                                <path fill-rule="evenodd" d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z" clip-rule="evenodd"></path>
                            </svg>


                            <span id="rejecttext"> Reject</span>
                        </button>

                        <button id="request" class="ap_rej_btns" style="background: #fcba03;height: 53px;display: flex;gap: 10%;" onclick="request()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor" viewBox="0 0 24 24">
                                <path fill-rule="evenodd" d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z" clip-rule="evenodd"></path>
                            </svg>


                            <span id="requesttext" style="
    margin-left: -33px;
"> Request Information</span>
                        </button>
                    </div>
                    <!-- <div style="display: flex;padding: 10px;justify-content: end;gap: 10px;">


                        <button id="approve" class="ap_rej_btns" style="background: #00a000;height: 40px;display: flex;" onclick="approve()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none"
                                viewBox="0 0 24 24">
                                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                                    stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                            </svg>


                            <span id="approvetext">Approve & Apply Album and Tracks</span></button>


                        <button id="reject" class="ap_rej_btns" style="background: #d41111;height: 40px;display: flex;" onclick="reject()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd" />
                            </svg>


                            <span id="rejecttext"> Reject</span>
                        </button>

                        <button id="request" class="ap_rej_btns" style="background: #fcba03;height: 40px;display: flex;" onclick="request()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd" />
                            </svg>


                            <span id="requesttext"> Request Information</span>
                        </button>
                    </div> -->

                </div>


                <div class="bar"
                    style="width: 6px;left: 52px;position: absolute;background-color: #0069d9;top: 94px;bottom: 134px;">
                </div>




            </div>

        </div>
        <style>
            .frm_vals {
                padding: 3px 5px;
                background: #eee;
                border: none;
                border-radius: 5px;
                display: block;
                width: 100%;
            }

            .ap_rej_btns {
                padding: 5px 5px;
                border: 1px solid;
                border-radius: 8px;
                color: #fff;
            }

            .form_input input {
                width: 95%;
                border: 1px solid #ccc;
                padding: 5px;
                border-radius: 6px;
                margin-top: 5px;
            }

            .user_detailss {
                display: flex;

                background: #f7f7f7;
                border-radius: 10px;
                padding: 10px;
            }

            .user_detailss span {
                margin: auto 0;
            }
        </style>




        </div>

        </div>
        </div>
        </div>




        <!-- Modal HTML -->


        <style>
            .ass-crt-suf-popup {
                height: auto;
                width: 28rem;
                background-color: #fff;
                position: absolute;
                right: 6rem;
                top: 17rem;
                border-radius: 8px;
                box-shadow: 0px 2px 7px 1px #dddddd96;
                display: none;
                overflow: hidden;
            }

            .ass-crt-suf-popup .suf-header {
                height: 3rem;
                width: 100%;
                background-color: #0069d9;
                color: #fff;
                padding: 12px 1rem;
                font-weight: bolder;
            }
        </style>


        <style>
            .hover_div:hover {
                cursor: pointer;
            }

            .hover_div:hover .hover_txt {
                display: block;
                cursor: pointer;
                color: #01216a;
            }

            .hover_txt {
                width: max-content;
                left: 50px;
                top: 20px;
                display: none;
                position: absolute;
                z-index: 9999;
                background: white;
                padding: 3px 14px;
                box-shadow: 0px 0px 15px 0px;
                border-radius: 7px;
            }

            input {
                width: 100%;
            }
        </style>





        <div class="modal fade" id="approvemodal" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:130%">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">
                            INFO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="modal-body">
                        <input type="hidden" id="approveto">
                            Revenue Share Request form is Approved and queued in luna successfully..
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" id="approvesend"
                                data-dismiss="modal">Close</button>
                        </div>

                    </div>
                </div>
            </div>
        </div>





        <div class="modal fade" id="requestmail" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document"
                style="max-width: 500px !important;left: 0 !important;transition: max-width 0.4s ease 0s;">
                <div class="modal-content" style="width:122%">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="modalabel">To:</label>
                        <label disabled="" class="login-form__input" id="requestto"> mcldevtest@gmail.com</label><br>
                        <label class="modalabel">Subject:</label>
                        <input class="login-form__input" type="text" name="Email" id="name" size="59px"
                            value="Revenue Share Form - Request for more Information">
                        <br><br>
                        <label class="modalabel">Body:</label><br>
                        <textarea class="login-form__input" type="text" name="Email" id="requestname"
                            style="position: relative;height: 150px;width: 100%;text-align: left">Dear sellerrnn,
Account Closure form request is under-progress status. Please provide the following details to proceed






Many Warm Regards,
The RouteNote Team

</textarea>
                    </div>

                    <div class="modal-footer">
                        <button type="submit" class="btn btn-secondary login maill"
                            onclick="mailsent('request')">Send</button>
                        <button type="button" class="btn btn-secondary" id="approvesend"
                            data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>





        <div class="modal fade" id="rejectmail" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document"
                style="max-width: 500px !important;left: 0 !important;transition: max-width 0.4s ease 0s;">
                <div class="modal-content" style="width:122%">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="modalabel">To:</label>
                        <label disabled="" class="login-form__input" id="rejectto"> mcldevtest@gmail.com</label><br>
                        <label class="modalabel">Subject:</label>
                        <input class="login-form__input" type="text" name="Email" id="name" size="59px"
                            value="Revenue Share Form - Request for more Information">
                        <br><br>
                        <label class="modalabel">Body:</label><br>
                        <textarea class="login-form__input" type="text" name="Email" id="rejectname"
                            style="position: relative;height: 150px;width: 100%;text-align: left">Dear sellerrnn,
If you'd like to receive the earnings on your account, you'll first need to add a payment method to your account. 

To link up your PayPal email to your account, you'll need to log in to your RouteNote account, hover over 'Your Account' and then click 'Payment Profile'. You'll see a prompt for a One-Time passcode which will have been sent to your registered email address. 
If you'd rather close your account without receiving your final earnings, we can proceed without the need to add a payment method to your account. 

This is in relation to the RouteNote account with the username sellerrnn and UID 72567.

Please confirm in your reply when you've registered these details, or if you'd like to have your account closed without receiving the earnings. If you do not respond within 30 days, we will close the account as initially requested.






Many Warm Regards,
The RouteNote Team

</textarea>
                    </div>

                    <div class="modal-footer">
                        <button type="submit" class="btn btn-secondary login maill"
                            onclick="mailsent('reject')">Send</button>
                        <button type="button" class="btn btn-secondary" id="approvesend"
                            data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>






        <div class="modal fade" id="mailsentinfo" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document"
                style="max-width: 500px !important;left: 0 !important;transition: max-width 0.4s ease 0s;">
                <div class="modal-content" style="">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        Email sent successfully.
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" id="approvesend"
                            data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal HTML -->


        </div>







        </div>
        </div>
        <!-- Full Container End -->











        <div class="modal fade" id="viewpop" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" style="margin-right: 640px;" role="document">
                <div class="modal-content" style="width:173% !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Revenue Share Form
                            Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div style="right: 0;position: absolute;"><a id="exportdata" href=""> <img
                                    src="{{ asset('images/upload.png') }}" style="width: 30px"></a></div><br>
                        <div>


                            <div>
                                <div style="display: flex;">
                                    <strong style="width: 30%">
                                        Email
                                    </strong>
                                    <span id="email" style="width: 70%">
                                    </span>
                                </div>
                                <div style="display: flex;">
                                    <strong style="width: 30%">
                                        User ID
                                    </strong>
                                    <span id="userid" style="width: 70%">

                                    </span>
                                </div>
                                <div style="display: flex;">
                                    <strong style="width: 30%">
                                        User Name
                                    </strong>
                                    <span id="username" style="width: 70%">

                                    </span>
                                </div>
                                <!-- <hr>
                                <div style="display: flex; ">
                                    <strong style="width: 30%">
                                        UPC
                                    </strong>
                                    <span id="upc" style="width: 70%">

                                    </span>
                                </div>
                                <div style="display: flex;">
                                    <strong style="width: 30%">
                                        ISRC
                                    </strong>
                                    <span id="isrc" style="width: 70%">

                                    </span>
                                </div> -->
                                <hr>

                                <div style="font-weight: 600;padding: 20px 0;">
                                    Revenue Share To
                                </div>
                                <div id="revenuedetails">


                                </div>

                                <br><br>
                            </div>
                        </div>


                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>

                </div>
            </div>






        </div>


    </body>

    </html>


@endsection
