@extends('header.topnav')

@section('title', 'Welcome')

@section('content')
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="shortcut icon" href="../images/favicon.png">
        <title>Smarthub - RN</title>
        <meta name="csrf-token" content="{{ csrf_token() }}">



        {{-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"> --}}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">


        <style>
            /* slide nav bar css */
            #menu5 span {
                width: max-content !important;
            }

            ul {
                list-style-type: disc;
                /* or circle, square, etc. */
                color: black;
                /* This will color the bullets if not using ::marker */
            }

            ul {
                list-style: none;
                /* Remove default markers */
                padding-left: 0;
            }

            ul li {
                position: relative;
                padding-left: 1.5em;
                /* Space for the marker */
            }

            ul li::before {
                content: '•';
                /* Or any other character */
                color: black;
                position: absolute;
                left: 0;
            }

            :root {
                --marker-color: black;
            }

            ul li::marker {
                color: var(--marker-color);
            }


            .ok_btn {
                background-color: #0069d9;
                color: #fff;
                padding: 5px 20px;
                border: none;
                border-radius: 5px;
            }

            .sou-yt-pupop {
                height: 19rem;
                width: 39rem;
                background-color: white;
                position: absolute;
                top: 1rem;
                right: 2rem;
                box-shadow: 4px 6px 11px -1px #ddd;
                border-radius: 8px;
                padding: 1rem;
                display: none;
            }

            .sou-pay-pupop {
                height: 19rem;
                width: 39rem;
                background-color: white;
                position: absolute;
                top: 22rem;
                right: 2rem;
                box-shadow: 4px 6px 11px -1px #ddd;
                border-radius: 8px;
                padding: 1rem;
                display: none;
            }


            html,
            body,
            .main_container {
                font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif !important;
                margin: 0;
                padding: 0;
                height: 100%;
            }

            .main {
                font-size: 18px;
                margin: 2rem 0 0;
            }

            .main_body_container {
                display: flex;
                width: 100%;
                height: 100%;
            }

            .compose_btn {
                border-radius: 25px !important;
                font-size: 14px !important;
                height: 30px;
                width: 45%;
                background-color: #4573d2;
                color: #fff;
                border: 2px solid #4573d2;
                font-weight: 500;
            }

            .compose_btn:hover {
                background-color: #fff;
                color: #4573d2;
            }

            .dropdown-content a {
                position: relative !important;
                left: -21px !important;
                padding: 8px 0px 13px 0px !important;
            }

            #yourDataTableId_wrapper {
                top: -27px;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button {
                background-color: #fff !important;
                color: #186ed5 !important;
                border: 1px solid #0d71e9 !important;
                font-weight: 500 !important;
                padding: 2px 10px !important;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button.current {
                background-color: #186ed5 !important;
                color: #fff !important;
                border: 1px solid #0d71e9 !important;
                font-weight: bold !important;
            }

            .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
                background: #82afe5 !important;
                color: #fff !important;
                border: 1px solid #0d71e9 !important;
            }

            #yourDataTableId {
                border-collapse: collapse;
                width: 100%;
                border: 1px solid #ddd;
                border-radius: 10px;
                overflow: hidden;
            }

            #yourDataTableId th {
                background: #111827;
                padding: 10px 0;
                text-align: center;
            }

            #yourDataTableId td {
                border: 1px solid #ddd;
                padding: 8px;
                text-align: center;
            }

            .dataTables_info,
            .dataTables_paginate,
            .dataTables_length {
                padding-top: 20px !important;
                padding-bottom: 20px !important;
            }

            .dataTables_wrapper .dataTables_filter {
                padding: 20px !important;
                position: relative !important;
            }

            #yourDataTableId_filter label {
                color: #000 !important;
                display: flex !important;
                margin: auto;
                justify-content: center;
                place-items: center;
            }

            #yourDataTableId_filter input {
                border-radius: 20px !important;
                padding-left: 20px !important;
                padding-right: 15px !important;
                color: #000 !important;
            }

            .dataTables_length select {
                border: 1px solid #efefef !important;
            }

            .test[data-title] {
                position: relative;
            }

            /* Tooltip text */
            .test[data-title]::after {
                content: attr(data-title);
                position: absolute;
                transform: translateX(-50%);
                background-color: black;
                color: white;
                padding: 5px;
                border-radius: 3px;
                white-space: nowrap;
                opacity: 0;
                transition: opacity 0.3s;
                z-index: 1;
            }

            /* Tooltip display on hover */
            .test[data-title]:hover::after {
                opacity: 1;
            }

            textarea {
                text-decoration: none;
            }

            .login {
                border-color: #1345ac !important;
                box-shadow: none;
                background-color: #1345AB !important;
                position: relative;
            }

            .modal-header {
                display: -ms-flexbox;
                display: flex;
                -ms-flex-align: start;
                align-items: flex-start;
                -ms-flex-pack: justify;
                justify-content: space-between;
                padding: 1rem 1rem;
                border-bottom: 1px solid #dee2e6;
                border-top-left-radius: calc(.3rem - 1px);
                border-top-right-radius: calc(.3rem - 1px);
                background-color: #4573d1;
            }

            .modalabel {
                font-size: 14px;
                line-height: 28px;
                font-weight: bold;
                color: #1345ac;
            }

            .modal {
                overflow: auto !important;
            }


            .green {
                padding: 10px;
                background: green;
                color: #fff;
                border-radius: 7px;
            }

            .red {
                padding: 10px;
                background: red;
                color: #fff;
                border-radius: 7px;

            }

            .full {
                width: auto;
                height: auto;
                border-radius: 6px;
                overflow: auto;
            }

            summary {
                height: 50px;
            }

            .number {
                background-color: #ccc;
                position: relative;
                z-index: 1;
                color: #0069d9;
                border: 2px solid;
                border-radius: 20px;
                padding: 7px 13px;
            }

            .open_div {
                padding: 20px 10px;
                display: none;
                color: #000000;
                font-size: 16px;
                background-color: #f8f8f8;
                margin-top: 20px;
                border-radius: 6px;
                box-shadow: 3px 3px 4px -4px;
            }

            #sentence_1 {
                font-weight: 600;
                cursor: pointer;
            }

            .open_div span {
                font-size: 14px;
                font-weight: 500;
            }

            .mail {
                background: lightgreen;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #000;
            }

            .remove {
                background: lightgrey;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #000;
            }

            .actiondone11 {
                background: #0069d9;
                padding: 10px 15px;
                border: none;
                border-radius: 6px;
                color: #fff;
            }

            .modal-dialog {
                max-width: 500px;
                position: relative;
                left: 0;
            }

            .modal-body {
                z-index: 11;
            }

            .modal-content {
                box-shadow: 0px 0px 10px -2px #000 !important;
            }

            #payment_div,
            #send_mail,
            #request_div {
                padding: 20px;
                background-color: #ffffff00;
                position: relative;
                height: 100%;
                top: 0;
                width: 0%;
                position: absolute;
                left: 50%;
                display: none;
            }

            .email_send_divv {
                padding: 20px;
                background-color: #ffffff00;
                position: relative;
                height: 100%;
                top: 0;
                width: 0%;
                position: absolute;
                left: 50%;
                display: none;
            }
        </style>



        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
        <script type="module" src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.js"></script>

        <!-- Include Bootstrap CSS and JS -->
        <link rel="stylesheet" href="{{ asset('css/stackpath.min.css') }}">
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

        <!-- jQuery UI library -->
        <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/themes/smoothness/jquery-ui.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
        <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js">
        </script>
        <script>
            $.noConflict();
            jQuery(document).ready(function($) {
                $('#yourDataTableId').DataTable({
                    "pageLength": 10,
                    "stripeClasses": []
                });
            });
        </script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js"></script>

        <script>
            function toggleDiv() {
                $('#div1').toggle();
                $('#div2').hide();
                $('#div3').hide();
                $('#div4').hide();
                $('#div5').hide();
                $('#div6').hide();
            }

            function toggleDiv2() {
                $('#div1').hide();
                $('#div2').toggle();
                $('#div3').hide();
                $('#div4').hide();
                $('#div5').hide();
                $('#div6').hide();
            }

            function toggleDiv3() {
                $('#div1').hide();
                $('#div2').hide();
                $('#div3').toggle();
                $('#div4').hide();
                $('#div5').hide();
                $('#div6').hide();
            }

            function toggleDiv4() {
                $('#div1').hide();
                $('#div2').hide();
                $('#div3').hide();
                $('#div4').toggle();
                $('#div5').hide();
                $('#div6').hide();
            }

            function toggleDiv5() {
                $('#div1').hide();
                $('#div2').hide();
                $('#div3').hide();
                $('#div4').hide();
                $('#div5').toggle();
                $('#div6').hide();
            }

            function toggleDiv6() {
                $('#div1').hide();
                $('#div2').hide();
                $('#div3').hide();
                $('#div4').hide();
                $('#div5').hide();
                $('#div6').toggle();
            }




            function close_mail() {
                $('#storemail').css('display', 'none');
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');

            }


            function request() {
                $('#requestmodal').modal('show');
                $('#analysismodal1').modal('hide');
                $('#approvemodal').modal('hide');
                $('#rejectmodal').modal('hide');

            }

            function reject() {
                $('#rejectmodal').modal('show');
                $('#analysismodal1').modal('hide');
                $('#approvemodal').modal('hide');

            }

            function mailsent(value) {

                $.ajax({
                    type: 'GET',
                    data: {
                        formid: $('#formid').val(),
                        value: value,
                        type: 'topic'
                    },
                    url: 'actiondone',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                    success: function(result) {
                        console.log(result);
                        $('#mailsentinfo').modal('show');
                        $('#requestmail').modal('hide');
                        $('#rejectmail').modal('hide');
                    }
                })
            }

            function approve() {

                if ($('#approvetext').text() == 'Close the Request') {
                    $('#analysismodal1').modal('hide');
                    return;
                }

                $.ajax({
                    type: 'GET',
                    data: {
                        formid: $('#formid').val(),
                        value: 'approve',
                        type: 'topic'
                    },
                    url: 'actiondone',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },

                    success: function(result) {

                        $('#analysismodal1').modal('hide');
                        $('#approvemodal').modal('show');
                    }
                })

            }



            function notifyuser() {
                var formId = $('#formid').val();
                var details = {!! json_encode($data) !!};
                var detail = details.find(function(item) {
                    return item.id == formId;
                });
                $('#Notifyuser').css('display', 'block');
                $('#notito').text(detail.email);
                $('#notiemail').text(` You recently submitted our  Youtube Music & Topic Channels Request form, however your art track hasn't been live for at least 30 days within YouTube Music.


This is in relation to the request with the UPC ${detail.upc} and the artist name ${detail.username}.


In order to process this request for you, YouTube require your release to have been live for at least 30 days.


Please resubmit the form once this timeframe has elapsed, and we will be able to request this for you. `);
                $('#div3').css('width', '41%');
                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                $('.modal-content').css('height', '600px');

            }

            function notifyuser1() {
                var formId = $('#formid').val();
                var details = {!! json_encode($data) !!};
                var detail = details.find(function(item) {
                    return item.id == formId;
                });
                $('#Notifyuser1').css('display', 'block');
                $('#notito').text(detail.email);
                $('#notisub').val('Request Information');

                $('#notiemail').text(`We need more information to proceed further
            
            
            
            
Many Warn Regards,
The RouteNote Team
            `);

                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                $('.modal-content').css('height', '600px');

            }


            function seconddone() {


                $('#Notifyuser').css('display', 'block');
                $('.modal-dialog').css('max-width', '796px');
                $('#div3').css('width', '55%');
                $('#Notifyuser').html(`<div id=" " style=" width: 300px;">
                        <div class="modal-content" style="border: none !important;">
                            <div class="modal-header">
                                <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                                <button type="button" class="close">
                                    <span onclick="close_mail()" style="color: #fff"></span>
                                </button>
                            </div>
                            <div class="modal-body">
                           Approved Successfully..
                               </div>
                             
                        </div>
                    </div>`);
                $('#Notifyuser').css('top', '10rem');
                $('#Notifyuser').css('right', '5rem');
                $('#notifyuser').css({
                    'pointer-events': 'none',
                    'cursor': 'not-allowed',
                });




                $('#seconddone').css({
                    'pointer-events': 'none',
                    'cursor': 'not-allowed',
                });

                setTimeout(function() {
                    $('#div3').css('width', '');

                    $('#Notifyuser').hide();
                    $('.modal-dialog').css('left', '0');
                    $('.modal-dialog').css('max-width', '500px');
                    $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                }, 2000);

                $('#div3text').text('Completed');


                $('.div3done').css('display', 'block');
                $('.div3notdone').css('display', 'none');
                $('#numberdiv3').css('background-color', '#0069d9');
                $('#div3number').css('color', 'white');
                $('#notifybutton').css('display', 'none');
                $('#seconddone').css('width', '25%');
                $('#seconddone').text('Approved');
            }

            function requestto()

            {

                $('#Notifyuser1').css('display', 'block');
                $('.modal-dialog').css('max-width', '796px');
                $('#Notifyuser1').html(`<div id=" " style=" width: 300px;">
                        <div class="modal-content" style="border: none !important;">
                            <div class="modal-header">
                                <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                                <button type="button" class="close">
                                    <span onclick="close_mail()" style="color: #fff"></span>
                                </button>
                            </div>
                            <div class="modal-body">
                           Request Completed Successfully..
                               </div>
                             
                        </div>
                    </div>`);
                $('#Notifyuser1').css('top', '13rem');
                $('#Notifyuser1').css('right', '5rem');
                $('#notifyuser1').css({
                    'pointer-events': 'none',
                    'cursor': 'not-allowed',
                });


                $('#div2text').text('Completed');
                $('.div2done').css('display', 'block');
                $('.div2notdone').css('display', 'none');
                $('#numberdiv2').css('background-color', '#0069d9');
                $('#div2number').css('color', 'white');
                $('#seconddone').css({
                    'pointer-events': 'none',
                    'cursor': 'not-allowed',
                });

                setTimeout(function() {

                    $('#Notifyuser1').hide();
                    $('.modal-dialog').css('left', '0');
                    $('.modal-dialog').css('max-width', '500px');
                    $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                }, 2000);




            }

            function notifysentmail() {

                //     $.ajax({
                // url: 'updatereleasestatus',  
                // method: 'GET',                  
                // data: { 
                //     formid:$('#formid').val(),
                //     text:$('#notiemail').text()
                // },        
                // dataType: 'json',                 
                // success: function(response) {
                $('.modal-dialog').css('max-width', '796px');
                $('#div3').css('width', '55%');
                $('#Notifyuser').html(`<div id=" " style=" width: 300px;">
                        <div class="modal-content" style="border: none !important;">
                            <div class="modal-header">
                                <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                                <button type="button" class="close">
                                    <span onclick="close_mail()" style="color: #fff"></span>
                                </button>
                            </div>
                            <div class="modal-body">
                            Email sent successfully. 
                               </div>
                             
                        </div>
                    </div>`);
                $('#Notifyuser').css('top', '10rem');
                $('#Notifyuser').css('right', '5rem');
                $('#notifyuser').css({
                    'pointer-events': 'none',
                    'cursor': 'not-allowed',
                });

                $('.modal-content').css('height', '');
                $('#div3text').text('Completed');
                $('.div3done').css('display', 'block');
                $('.div3notdone').css('display', 'none');
                $('#numberdiv3').css('background-color', '#0069d9');
                $('#div3number').css('color', 'white');
                $('#notifybutton').text('Notification Sent');

                $('#seconddone').css('display', 'none');



                $('.div4done').css('display', 'none');
                $('.div4notdone').css('display', 'block');
                $('#numberdiv4').css('background-color', '#ccc');
                $('#div4number').css('color', 'black');
                $('#div4text').text('No Action Needed');

                $('#approvetext').text('Close the Request');

                $('#notifybutton').css('color', '#000');
                $('#notifybutton').css('width', '45%');
                $('#notifybutton').css('background-color', '#ccc');
                $('#notifybutton').css({
                    'pointer-events': 'none',
                    'cursor': 'not-allowed',
                });
                // $('#approve').css({
                //     'pointer-events': 'none',
                //     'cursor': 'not-allowed',
                // });  
                $('#reject').css({
                    'pointer-events': 'none',
                    'cursor': 'not-allowed',
                });
                $('#request').css({
                    'pointer-events': 'none',
                    'cursor': 'not-allowed',
                });
                setTimeout(function() {
                    $('#div3').css('width', '');

                    $('#Notifyuser').hide();
                    $('.modal-dialog').css('left', '0');
                    $('.modal-dialog').css('max-width', '500px');
                    $('.modal-dialog').css('transition', 'max-width 0.4s ease');
                }, 2000);
                // }
                // })
            }

            function closemail() {
                $('#Notifyuser1').hide();
                $('#Notifyuser1').css('display', 'none');
                $('.modal-dialog').css('left', '0');
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');
            }


            $(document).ready(function() {
                var analysisData = <?php echo json_encode($data); ?>;
                var analysisData1 = <?php echo json_encode($data1); ?>;
                var analysisData2 = <?php echo json_encode($data2); ?>;




                $('.view').click(function() {
                    var formId = $(this).data('form-id');
                    var details = analysisData;
                    var matchingEntry = details.find(function(item) {
                        return item.id == formId;
                    });

                    $('#email').text(matchingEntry.email);

                    $('#upc').text(matchingEntry.upc);
                    $('#artist_name').text(matchingEntry.artist_name);
                    $('#action_needed').text(matchingEntry.action_needed);






                    var link = $('#exportdata');

                    link.attr('href', '{{ route('exportform2') }}?id=' + matchingEntry.id);
                    $('#viewpop').modal('show');
                });



                $('.analysis').click(function() {
                    var formId = $(this).data('form-id');

                    var matchingEntry = analysisData.find(function(item) {
                        return item.id === formId;
                    });
                    $('#formid').val(matchingEntry.id)
                    if (matchingEntry) {

                        $('#div1').html(`
                <span style="padding: 10px;"> <b>EMAIL:</b> ${matchingEntry.email}</span><br>
                <span style="padding: 10px;"><b>USER NAME:</b> ${matchingEntry.username}</span><br>
                <span style="padding: 10px;"><b>USER ID:</b> ${matchingEntry.userid}</span><br>
                <span style="padding: 10px;display: flex;gap: 5px;"><span style="font-size: 15px;">No FSA</span><span><svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green" viewBox="0 0 24 24" style="position: absolute;z-index: 1;width: 20px;">
<path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
</path>
</svg></span></span>

            `);

                        $('#div2').html(`
            <ul><li>${matchingEntry.action}</li>
            
            <li><b>NOTE:<br></b> Move my release under channel "channel1"</li></ul>
          
           <span style="display:flex;"><span id="seconddone1" onclick="requestto()" style="height: 31px;padding: 3px 1rem;background: green;color: #fff;border-radius: 5px;font-weight: 600;left: 40px;position: relative;width:38%;cursor:pointer;">Request to Youtube</span>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<span style="padding: 3px 1rem;background: #FCBA05;color: #fff;border-radius: 5px;font-weight: 600;left: 40px;position: relative;width:48%;cursor:pointer;" onclick="notifyuser1()" id="notifybutton1">Request More information</span></span>

            
            `);


                        $('#div3').html(`
            <ul><li>${matchingEntry.user_release}</li>
            <li>Is the video has been active over 30 days? <span style="padding: -2px 1rem; color: green; border-radius: 5px; font-weight: 600;">
               <b>- Yes </b>
            </span></li>
            </ul>
           <span style="color:#ccc">Is Art track hasn't been live for at least 30 days? </span>
           
           
           <br>
           <span style="display:flex;"><span id="seconddone" onclick="seconddone()" style="height: 31px;padding: 3px 1rem;background: green;color: #fff;border-radius: 5px;font-weight: 600;left: 40px;position: relative;width:14%;cursor:pointer;">Yes</span>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<span style="padding: 3px 1rem;background: red;color: #fff;border-radius: 5px;font-weight: 600;left: 40px;position: relative;width:33%;cursor:pointer;" onclick="notifyuser()" id="notifybutton">No-Notify User</span></span>

            `);

                        $('#div4').html(`
            <ul><li><b>UPC:</b> ${matchingEntry.upc}</li>
            <li><b>Release Link:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a style="font-size:13px" href="https://routenotetest.com/rn22/release_details_mod/${matchingEntry.upc}"> https://routenotetest.com/rn22/release_details_mod/${matchingEntry.upc}</a></li>
            </ul>
     
            `);
                        $('.div3done').css('display', 'none');
                        $('.div3notdone').css('display', 'block');
                        $('#numberdiv3').css('background-color', '#ccc');
                        $('#div3number').css('color', 'black');
                        $('#div3text').text('Admin Action Needed');
                        $('#notifybutton').css('display', 'block');


                        //    $('.div3done').css('display','block');
                        //    $('.div3notdone').css('display','none');
                        //    $('#numberdiv3').css('background-color','#0069d9'); 
                        //    $('#div3number').css('color','white');
                        //    $('#div3text').text('Completed');
                        // if(matchingEntry.user_release){
                        //    $('.div3done').css('display','block');
                        //    $('.div3notdone').css('display','none');
                        //    $('#numberdiv3').css('background-color','#0069d9'); 
                        //    $('#div3number').css('color','white');
                        //    $('#div3text').text('Completed');
                        //    $('#notifybutton').css('display','none');

                        //     }
                        //     else{
                        //         $('.div3done').css('display','none');
                        //    $('.div3notdone').css('display','block');
                        //    $('#numberdiv3').css('background-color','#ccc'); 
                        //    $('#div3number').css('color','black');
                        //    $('#div3text').text('Admin Action Needed');
                        //    $('#notifybutton').css('display','block');
                        //     }







                        var matchingEntry2 = analysisData2.find(function(item) {
                            return item.form_id === matchingEntry.id && item.type === 'youtubetopic';
                        })
                        if (matchingEntry2) {
                            if (matchingEntry2.status == 'approve') {
                                $('#approve').css({
                                    'pointer-events': 'none',
                                    'cursor': 'not-allowed',
                                });
                                $('#approve').css('display', 'block');
                                $('#approvetext').text('Approved & Assigned to Luna');
                                $('#reject').css('display', 'none');
                                $('#request').css('display', 'none');
                            } else if (matchingEntry2.status == 'request') {
                                $('#request').css({
                                    'pointer-events': 'none',
                                    'cursor': 'not-allowed',
                                });
                                $('#requesttext').text('Requested Information');

                                $('#approve').css('display', 'none');
                                $('#reject').css('display', 'none');
                                $('#request').css('display', 'block');
                            } else {
                                $('#reject').css({
                                    'pointer-events': 'none',
                                    'cursor': 'not-allowed',
                                });
                                $('#rejecttext').text('Rejected');

                                $('#approve').css('display', 'none');
                                $('#reject').css('display', 'block');
                                $('#request').css('display', 'none');

                            }
                        }
                    }

                    $('#analysismodal1').modal('show');
                });


                function generateDetailRow(label, value) {
                    return value ? `
        <div style="width: 70%; display: flex; gap: 10px;">
            <span style="width: 50%;">${label}</span> 
            <span style="width: 50%;">: ${value}</span>
        </div>
    ` : '';
                }

                function isSimilarStore(store1, store2) {
                    store1 = store1.toLowerCase().trim();
                    store2 = store2.toLowerCase().trim();
                    return store1.includes(store2) || store2.includes(store1);
                }





            });

            function requeststore(storename) {
                $('#storename').text(storename);
                var formId = $('#formid').val();
                var details = {!! json_encode($data1) !!};
                var detail = details.filter(function(item) {
                    return item.tbl_content_mapping_id == formId;
                });

                var store = detail.find(function(item) {
                    return item.choose_store == storename;
                });

                let content = '';

                if (store.name) {
                    content += `Artist name: name`;
                }

                if (store.primary_genre) {
                    content += `Primary genre : `;
                }

                if (store.secondary_genre) {
                    content += `Secondary genre : `;
                }

                if (store.city) {
                    content += `City : `;
                }

                if (store.state) {
                    content += `State : `;
                }

                if (store.country) {
                    content += `Country : `;
                }

                if (store.websitelinks) {
                    content += `Website Links : `;
                }
                if (store.biography) {
                    content += `Artist biography:`;
                }
                if (store.artist_photo) {
                    content += `Please find the attachment of artist photo.`;
                    $('#attachment').html(`ATTACHEMENT:<a href="${store.artist_photo}" >${store.artist_photo}</a>`);
                }




                $('#storemailtext').html(`
        Dear support,
Can this release please be moved to the correct artist page?

Release link: 

Correct artist page link: 

Store link:  

${content}


Many Warm Regards,
The RouteNote Team
`);

                $('#storemail').css('display', 'block');
                $('.storemail').css('right', '11rem');
                $('.storemail').css('z-index', '999');
                $('.storemail').css('top', '4rem');


                $('.modal-dialog').css('left', '-6%');
                $('.modal-dialog').css('max-width', '70%');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');

            }
        </script>

    <body>



        <!-- Full Container Start -->
        <div class="full_container_start" style="width: 100%;overflow: scroll;height: 75vh;    padding: 17px;">
            <br> <br>
            <h4>YouTube Music & topic channels</h4>
            <span style="color:#ccc">Various Artists/Release Topic channel queries </span>
            <br>
            <br>

            <table id="yourDataTableId" style="font-size: 14px;" class="stripe bordered">
                <thead
                    style="width: 100%;background-color: #807a7a; justify-content: space-between;color: #fff;font-size: 14px; font-weight: 500;text-align: center;">
                    <tr>
                        <th style="width:5%">#</th>
                        <th style="width:10%">Form Type</th>
                        <th style="width:10%">UserName</th>
                        <th style="width:10%">Submitted On</th>

                        <th style="width:15%">Form Details</th>
                        <th style="width:10%">Smarthub Report</th>
                    </tr>
                </thead>
                <tbody id="tbody">
                    @foreach ($data as $item)
                        <tr>
                            <td>{{ $item->id }}</td>
                            <td>YouTube Music & topic channels</td>
                            <td>{{ $item->username }}
                            </td>
                            <td>{{ $item->submitted_at }}</td>
                            <td><button class="btn btn-secondary view" style="border-radius: 9px;background-color: #0069d9;"
                                    data-form-id="{{ $item->id }}">View Details</button></td>
                            <td><button class="btn btn-secondary analysis"
                                    style="width: 128px;height: 37px;border-radius: 9px;background-color: #0069d9;"
                                    data-form-id="{{ $item->id }}">View Details</button></td>

                        </tr>
                    @endforeach

                </tbody>
            </table>

        </div>






        <!-- Modal HTML -->
        <div class="modal fade" id="analysismodal1" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width: 127%;height: ;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Processing the Youtube
                            Music & Topic Channels </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span onclick="close_mail()" style="color: #fff">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">




                        <div class="full">
                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">
                                    <span class="number" style="background-color: #0069d9;"> <span
                                            style="color:#fff;font-weight: bold">1</span></span>

                                    <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                            d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>
                                    <span class="hover_txt">Completed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv()" style="font-size: medium;"> Security
                                        Check</span>
                                    <div class="open_div" id="div1">

                                    </div>

                                </div>
                            </div>

                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">

                                    <span class="number" id="numberdiv3" style="background-color: #0069d9;"><span
                                            id="div3number" style="color:white;font-weight: bold">2</span></span>
                                    <input type="hidden" id="formid">
                                    <svg class="div3done w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="display:none;position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>


                                    <svg class="div3notdone exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24"
                                        height="24" fill="#fff" viewBox="0 0 24 24"
                                        style="display:none;position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                        <path stroke="red" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>

                                    <span id="div3text" class="hover_txt">
                                        Admin Action needed</span>
                                </div>

                                <div style="padding: 20px;width: 100%;gap: 10px;">
                                    <span id="sentence_1" onclick="toggleDiv3()" style="font-size: medium;">
                                        Release/Art Track</span>

                                    <div style="width: 98%;display: flex;">
                                        <div id="div3" class="open_div" style=" width: 94%;height: 10%;z-index:11">
                                            <div style="display: grid;">



                                            </div>

                                        </div>

                                        <div class="box svg" style="display: none;margin-top: -31px;"></div>


                                    </div>
                                </div>
                            </div>





                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">


                                    <span class="number" id="numberdiv4" style="background-color: #0069d9;"><span
                                            id="div4number" style="color:white;font-weight: bold">3</span></span>
                                    <input type="hidden" id="formid">
                                    <svg class="div4done w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                        viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>


                                    <svg class="div4notdone exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                        aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24"
                                        height="24" fill="#fff" viewBox="0 0 24 24"
                                        style="display:none;position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                        <path stroke="red" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2" d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>


                                    <span class="hover_txt" id="div4text">Completed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv4()" style="font-size: medium;">Topic Channel
                                        Details</span>

                                    <div class="open_div" id="div4">

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">

                                <span class="number" id="numberdiv2" style="background-color: #ccc;"><span
                                        id="div2number" style="color:black;font-weight: bold">4</span></span>
                                <input type="hidden" id="formid">
                                <svg class="div2done w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="display:none;position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>


                                <svg class="div2notdone exelen_half5 w-6 h-6 text-gray-800 dark:text-white"
                                    aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    fill="#fff" viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                    <path stroke="red" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                        d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"></path>
                                </svg>


                                <span class="hover_txt" id="div2text">Admin Action Needed</span>

                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv2()" style="font-size: medium;">Request from the
                                    user</span>

                                <div class="open_div" id="div2">

                                </div>
                            </div>
                        </div>
                        <div id="Notifyuser"
                            style="box-shadow: 4px 6px 11px -1px #ddd;display:none;overflow: hidden;border-radius: 7px;position: absolute;right: 8rem;top: -1rem; ">


                            <div id=" " style=" width: 100%;">
                                <div class="modal-content1" style="border: none !important;">
                                    <div class="modal-header">
                                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Email
                                            Confirmation</h5>
                                        <button type="button" class="close">
                                            <span data-dismiss="modal" style="color: #fff">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <label class="modalabel">To:</label><br>
                                        <label disabled id="notito" class="login-form__input">
                                        </label><br>


                                        <label class="modalabel">Subject:</label><br>
                                        <input class="login-form__input" type="text" name="Email" id="notisub"
                                            size="59px" value="YouTube - 30 days">
                                        <br><br>
                                        <label class="modalabel">Body:</label><br>

                                        <textarea class="login-form__input" type="text" name="notiemail" id="notiemail"
                                            style="position: relative;height: 150px;width: 100%;text-align: left">
                                         
                                          
                                            </textarea>

                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Close</button>
                                        <button type="submit" class="btn btn-secondary login maill"
                                            onclick="notifysentmail()">Send</button>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div id="Notifyuser1"
                            style="box-shadow: 4px 6px 11px -1px #ddd;display:none;overflow: hidden;border-radius: 7px;position: absolute;right: 8rem;top: -1rem; ">


                            <div id=" " style=" width: 100%;">
                                <div class="modal-content1" style="border: none !important;">
                                    <div class="modal-header">
                                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Email
                                            Confirmation</h5>
                                        <button type="button" class="close">
                                            <span data-dismiss="modal" style="color: #fff">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <label class="modalabel">To:</label><br>
                                        <label disabled id="notito" class="login-form__input">
                                        </label><br>


                                        <label class="modalabel">Subject:</label><br>
                                        <input class="login-form__input" type="text" name="Email" id="notisub"
                                            size="59px" value="YouTube - 30 days">
                                        <br><br>
                                        <label class="modalabel">Body:</label><br>

                                        <textarea class="login-form__input" type="text" name="notiemail" id="notiemail"
                                            style="position: relative;height: 150px;width: 100%;text-align: left">
                                         
                                          
                                            </textarea>

                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-secondary"
                                            onclick="closemail()">Close</button>
                                        <button type="submit" class="btn btn-secondary login maill"
                                            onclick="notifysentmail()">Send</button>
                                    </div>
                                </div>
                            </div>

                        </div>








                        <div class="bar"
                            style="width: 6px;left: 52px;position: absolute;background-color: #0069d9;top: 30px;bottom: 30px;">
                        </div>
                    </div>

                    <style>
                        .frm_vals {
                            padding: 3px 5px;
                            background: #eee;
                            border: none;
                            border-radius: 5px;
                            display: block;
                            width: 100%;
                        }

                        .ap_rej_btns {
                            padding: 5px 5px;
                            border: 1px solid;
                            border-radius: 8px;
                            color: #fff;
                        }

                        .form_input input {
                            width: 95%;
                            border: 1px solid #ccc;
                            padding: 5px;
                            border-radius: 6px;
                            margin-top: 5px;
                        }

                        .user_detailss {
                            display: flex;

                            background: #f7f7f7;
                            border-radius: 10px;
                            padding: 10px;
                        }

                        .user_detailss span {
                            margin: auto 0;
                        }
                    </style>

                    <div style="display: flex;padding: 10px;justify-content: end;gap: 10px;top: -1rem;position: relative;">
                        <button id="approve" class="ap_rej_btns"
                            style="background: #00a000;    height: 42px;display:flex;" onclick="approve()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none"
                                viewBox="0 0 24 24">
                                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                                    stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                            </svg>


                            <span id="approvetext">Confirm the Request</span></button>


                        <button id="reject" class="ap_rej_btns" style="height: 42px;display:flex;background: #d41111;"
                            onclick="reject()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd" />
                            </svg>


                            <span id="rejecttext"> Reject</span>
                        </button>

                        <button id="request" class="ap_rej_btns" style="height: 42px;display:flex;background: #fcba03;"
                            onclick="request()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd" />
                            </svg>


                            <span id="requesttext"> Request Information</span>
                        </button>
                    </div>


                </div>

            </div>
        </div>
        </div>





        <style>
            .hover_div:hover {
                cursor: pointer;
            }

            .hover_div:hover .hover_txt {
                display: block;
                cursor: pointer;
                color: #01216a;
            }

            .hover_txt {
                width: max-content;
                left: 50px;
                top: 20px;
                display: none;
                position: absolute;
                z-index: 9999;
                background: white;
                padding: 3px 14px;
                box-shadow: 0px 0px 15px 0px;
                border-radius: 7px;
            }

            input {
                width: 100%;
            }
        </style>




        </div>











        <!-- Modal HTML -->
        <div class="modal fade" id="approvemodal" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:130%">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">
                            INFO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="modal-body">
                            Youtube Music & Topic Channel request confirmed successfully..
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>

                    </div>
                </div>
            </div>
        </div>




        <!-- Modal HTML -->
        <div class="modal fade" id="requestmodal" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:123% !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Email Confirmation
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="modalabel">To:</label>
                        <label disabled class="login-form__input"> mcldev2024@gmail.com</label><br>
                        <label class="modalabel">Subject:</label>
                        <input class="login-form__input" type="text" name="Email" id="name" size="59px"
                            value=" Content Mapping Request Form - Reject">
                        <br><br>
                        <label class="modalabel">Body:</label><br>
                        <textarea class="login-form__input" type="text" name="Email" id="name"
                            style="position: relative;height: 205px;width: 100%;">
                    Dear sellerrnn,

                    Youtube Music & Topic Channel form request is rejected for the following reasons: 
                        1) 







                    Many Warm Regards,
                    The RouteNote Team
                    </textarea>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-secondary login" onclick="mailsent('reject')"
                            data-dismiss="modal">Send</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="mailsentinfo" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document"
                style="max-width: 500px !important;left: 0 !important;transition: max-width 0.4s ease 0s;">
                <div class="modal-content" style="">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        Email sent successfully.
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" id="approvesend"
                            data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="rejectmodal" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:123% !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Email Confirmation
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="modalabel">To:</label>
                        <label disabled class="login-form__input"> mcldev2024@gmail.com</label><br>
                        <label class="modalabel">Subject:</label>
                        <input class="login-form__input" type="text" name="Email" id="name" size="59px"
                            value=" Content Mapping Request Form - Request for Information">
                        <br><br>
                        <label class="modalabel">Body:</label><br>
                        <textarea class="login-form__input" type="text" name="Email" id="name"
                            style="position: relative;height: 205px;width: 100%;">
                    Dear sellerrnn,

                    Youtube Music & Topic Channel form request is rejected for the following reasons: 
                        1) 







                    Many Warm Regards,
                    The RouteNote Team
                    </textarea>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-secondary login" onclick="mailsent('request')"
                            data-dismiss="modal">Send</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>






        </div>







        </div>
        </div>
        <!-- Full Container End -->



        <div class="modal fade" id="viewpop" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
            aria-hidden="true">
            <div class="modal-dialog" style="margin-right: 640px;" role="document">
                <div class="modal-content" style="width:173% !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Revenue Share Form
                            Details</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div style="right: 0;position: absolute;"><a id="exportdata" href=""> <img
                                    src="{{ asset('images/upload.png') }}" style="width: 30px"></a></div><br>
                        <div>
                            <div style="display: flex;">
                                <strong style="width: 30%">
                                    Email
                                </strong>
                                <span id="email" style="width: 70%">
                                </span>
                            </div>
                            <hr>
                            <div style="display: flex; ">
                                <strong style="width: 30%">
                                    UPC
                                </strong>
                                <span id="upc" style="width: 70%">
                                </span>
                            </div>
                            <div style="display: flex;">
                                <strong style="width: 30%">
                                    Artist Name
                                </strong>
                                <span id="artist_name" style="width: 70%">
                                </span>
                            </div>
                            <hr>
                            <div style="display: flex;">
                                <strong style="width: 30%">
                                    Action needed?
                                </strong>
                                <span id="action_needed" style="width: 70%">
                                </span>
                            </div>
                            <hr>
                            <div id="totalinks"></div>


                            <hr>



                            <div id="totalpage">



                            </div>
                            <hr>


                        </div>

                    </div>


                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>

            </div>
        </div>








        </div>


    </body>

    </html>

@endsection
