
<?php $__env->startSection('content'); ?>
<?php
    $result = DB::table('comm_roles')->where('show_hide',0)->get();
?>
<head>
    <script src="https://unpkg.com/multiple-select@1.6.0/dist/multiple-select.min.js"></script>
    <link rel="stylesheet" href="https://unpkg.com/multiple-select@1.6.0/dist/multiple-select.min.css">
</head>
    <div class="p-4 overflow-y-auto" style="height:40rem;">
        <h1 class="text-2xl font-semibold">Roles</h1>
        <div class="w-full block items-center gap-3">
            <!-- ------------------- start -  Add/ Modify Roles   -->
            <div class="relative flex flex-col mt-6 text-gray-700 bg-white shadow-md bg-clip-border rounded-xl w-1/2 overflow-y-auto">
                <div class="p-6 w-full " style="height: 26.5rem;">
                    <div>
                        <h5 class="block mb-2 font-sans text-xl antialiased font-semibold leading-snug tracking-normal text-blue-gray-900">
                        Add/ Modify Roles&nbsp; <span style="color: red;">*</span>
                        </h5>
                        <?php 
                        if($_GET['sid'] ?? '' && $_GET['sid'] != '') {
                            $resultZ_ = DB::table('comm_roles')->where('id',$_GET['sid'])->get();
                        }
                        ?>
                        <p class="block font-sans text-base antialiased font-light leading-relaxed text-inherit">
                            <div class="w-auto flex items-center gap-4">
                                <div class="relative h-10 w-full min-w-[200px] ">
                                    <input type="text" placeholder="Roles Name" id="RolesName" value="<?php echo e($resultZ_[0]->roles_name ?? ''); ?>"
                                    class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                                </div>
                                <button
                            class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                            type="button" onclick="Fun_save_roles(this)"><?php if($_GET['sid'] ?? '' && $_GET['sid'] != '') {echo "Update"; }else {echo "Save"; }?></button>
                            </div>
                        </p>
                    </div>
                <div class="w-full relative overflow-x-auto shadow-md sm:rounded-lg mt-4">
                        <table class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                            <thead class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                                <tr>
                                    <th scope="col" class="px-6 py-3">
                                        Role name
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Modify
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="overflow-y-auto" id="getAddModifyGroup">
                                <?php if(count($result) > 0): ?>
                                    <?php $__currentLoopData = $result; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            <?php echo e($items->roles_name); ?>

                                        </th>
                                        <td class="px-6 py-3 cursor-pointer">
                                        <button Onclick="Fun_edit(<?php echo e($items->id); ?>)" class="select-none rounded-lg bg-gray-900 py-1 px-4 text-center align-middle font-sans text-xs font-bold text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button">
                                            Edit
                                        </button>
                                        <button Onclick="trash_roles(<?php echo e($items->id); ?>)" class="select-none rounded-lg bg-gray-900 py-1 px-4 text-center align-middle font-sans text-xs font-bold text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button">
                                            Remove
                                        </button>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th colspan="2" scope="row" class="text-center text-zinc-400 px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            No data available in table
                                        </th>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <script>
                function Fun_save_roles(event) {
                    var name = $('#RolesName').val();
                   var text = $(event).text();
                    if(name == '') {
                        alert('Please Enter Roles');
                    }else {
                        $.ajax({
                            type: "post",
                            url: "<?php echo e(route('autonomous-level')); ?>",
                            headers: {
                                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                            },
                            data: {
                                ref: text == 'Save' ? 'Roles_name_insert' : 'Roles_name_update',
                                name: name,
                                id: "<?php echo $_GET['sid'] ?? ''; ?>"
                            },
                            success: function(result) {
                                if(result.message) {
                                    alert(result.message);
                                    $('#RolesName').val('');
                                    if(result.message == 'Template Updated successfully') {
                                        location.replace('https://smarthub.rn-test.com/Roles');
                                    }else {
                                        location.reload();
                                    }
                                    // 
                                }
                            }
                        })
                    }
                }

                function Fun_edit(id) {
                    location.replace('https://smarthub.rn-test.com/Roles?sid='+id);
                }

                function trash_roles(id) {
                    $.ajax({
                            type: "post",
                            url: "<?php echo e(route('autonomous-level')); ?>",
                            headers: {
                                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                            },
                            data: {
                                ref: 'Roles_name_remove',
                                id: id
                            },
                            success: function(result) {
                                location.reload();
                                // if(result.message) {
                                //     alert(result.message);
                                //     $('#RolesName').val('');
                                //         location.reload();
                                //     // 
                                // }
                            }
                        })
                }
            </script>
            <!-- ------------------- end -  Add/ Modify Roles   -->
            <!-- ------------------- start -  Roles form & tale   -->
                <?php
                    $query = "SELECT cu.id, ku.roles_name, gu.groupname, GROUP_CONCAT(lu.action_name) AS action_name, cu.allowsupporthun, cu.allshardhub FROM comm_action_roles AS cu JOIN comm_roles AS ku ON cu.roles = ku.id JOIN comm_groupmanagement AS gu ON cu.group = gu.id JOIN comm_action AS lu ON FIND_IN_SET(lu.id, REPLACE(cu.action, ', ', ',')) > 0 WHERE cu.show_hide = '0' GROUP BY cu.id, ku.roles_name, gu.groupname, cu.allowsupporthun, cu.allshardhub";
                    $sett_rol_gro3 = DB::select($query);
                ?>
            <div class="relative flex flex-col mt-6 text-gray-700 bg-white shadow-md bg-clip-border rounded-xl w-full overflow-y-auto">
                <div class="p-6 w-full " style="height: 26.5rem;">
                    <div class="flex items-center justify-between">
                        <h5 class="block mb-2 font-sans text-xl antialiased font-semibold leading-snug tracking-normal text-blue-gray-900">
                        Roles&nbsp; <span style="color: red;">*</span>
                        </h5>
                        
                        <button
                            class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                            type="button" data-ripple-darks="true" data-popover-target="popover-with-image" Onclick="signindialog()">Add</button>
                    </div>
                <div class="w-full relative overflow-x-auto shadow-md sm:rounded-lg mt-4">
                        <table class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                            <thead class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                                <tr>
                                    <th scope="col" class="px-6 py-3">
                                        Roles
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Group
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Action
                                    </th>
                                    <!-- <th scope="col" class="px-6 py-3">
                                        Allow Support Hub
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Allow Shared Hub
                                    </th> -->
                                    <th scope="col" class="px-6 py-3">
                                        Modify
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="overflow-y-auto" id="getAddModifyGroup">
                                <?php if(count($sett_rol_gro3) > 0): ?>
                                    <?php $__currentLoopData = $sett_rol_gro3; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            <?php echo e($items->roles_name); ?>

                                        </th>
                                        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            <?php echo e($items->groupname); ?>

                                        </th>
                                        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">

                
                                            <?php echo str_replace(',', ',<br>', $sett_rol_gro3[0]->action_name); ?>

                                        </th>
                                        <!-- <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            <?php echo e($items->allowsupporthun); ?>

                                        </th>
                                        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            <?php echo e($items->allshardhub); ?>

                                        </th> -->
                                        <td class="px-6 py-3 cursor-pointer">
                                        <button Onclick="Fun_edit_rs(<?php echo e($items->id); ?>)" class="select-none rounded-lg bg-gray-900 py-1 px-4 text-center align-middle font-sans text-xs font-bold text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button">
                                            Edit
                                        </button>
                                        <button Onclick="Fun_edit_ret(<?php echo e($items->id); ?>)" class="select-none rounded-lg bg-gray-900 py-1 px-4 text-center align-middle font-sans text-xs font-bold text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button">
                                            Remove
                                        </button>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th colspan="2" scope="row" class="text-center text-zinc-400 px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            No data available in table
                                        </th>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <script>
                function Fun_edit_ret(id) {
                    $.ajax({
                        type: "post",
                        url: "<?php echo e(route('autonomous-level')); ?>",
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        },
                        data: {
                            ref: 'Roles_not_remove',
                            id: id
                        },
                        success: function(result) {
                            location.reload();
                            //signindialog_close()
                          // window.location.href = 'https://smarthub.rn-test.com/Roles'; // Replace with the target URL

                            //location.replace('https://smarthub.rn-test.com/Roles');
                            // if(result.message) {
                            //     alert(result.message);
                            //     document.getElementById("myForm").reset();
                            //     location.reload();
                           // }
                        }
                    })
                }

                function Fun_edit_rs(id) {
                    location.replace('https://smarthub.rn-test.com/Roles?id='+id);
                }
            </script>
            <!-- ------------------- end -  Roles form & tale   -->



            <!-- ****************************** Roles Add ***************************** -->
            <?php
                $curr_sett2 = DB::table('comm_action')->select('id', 'action_name')->where('show_hide','1')->get();
                if ($_GET['id'] ?? '' && $_GET['id'] != '') {
                    $curr_sett4 = DB::table('comm_action_roles')
                            ->select(DB::raw('CAST(action AS CHAR) AS action'))
                            ->where('id', '=', $_GET['id'])
                            ->get();


                            $id = $_GET['id'];
                            $query = "SELECT cu.id, cu.action, su.roles_name, gm.groupname, 
                                (SELECT GROUP_CONCAT(action_name) FROM comm_action WHERE id IN (cu.action)) AS action_name, 
                                cu.allowsupporthun, cu.allshardhub 
                                FROM comm_action_roles AS cu 
                                JOIN comm_roles AS su ON cu.roles = su.id 
                                JOIN comm_groupmanagement AS gm ON cu.group = gm.id 
                                WHERE cu.id = ?";

                            $curr_sett5 = DB::select($query, [$id]);      
                   
                   
                }

                
            ?>

            <div data-dialog-backdrop="sign-in-dialog" data-dialog-backdrop-close="true" id="bgcard" style="overflow-y:auto;"
                class="pointer-events-none fixed inset-0 z-[999] grid h-screen w-screen place-items-center bg-black bg-opacity-60 opacity-0 backdrop-blur-sm transition-opacity duration-300 ">
                <div data-dialog="sign-in-dialog" id="card"
                class="relative mx-auto flex w-full max-w-[24rem] flex-col rounded-xl bg-white bg-clip-border text-gray-700 shadow-md " style="height: 32rem;">
                <div class="flex flex-col gap-4 p-6 w-full">
                    <div class="relative flex flex-col text-gray-700 bg-transparent shadow-none rounded-xl bg-clip-border w-full">
                    <div class="flex items-center justify-between w-full">
                        <h4 class="block font-sans text-2xl antialiased font-semibold leading-snug tracking-normal text-blue-gray-900">
                            Roles&nbsp;<span style="color: red;">*</span>
                        </h4>
                        <button data-ripple-darks="true" data-dialog-close="true" Onclick="signindialog_close()" class="relative h-8 max-h-[32px] w-8 max-w-[32px] select-none rounded-lg text-center align-middle font-sans text-xs font-medium uppercase text-blue-gray-500 transition-all hover:bg-blue-gray-500/10 active:bg-blue-gray-500/30 disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button" style="position: relative; overflow: hidden;"><span class="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 transform"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" class="h-5 w-5"><path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12"></path></svg></span></button>
                    </div>
                    <form class="max-w-screen-lg mt-4 mb-2 w-full" id="myForm" onsubmit="memberActive(event)">
                        <div class="flex flex-col gap-6 mb-1 w-full">
                        <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Roles
                        </h6>
                        <div class="relative h-11 w-full min-w-[200px]">
                            <?php
                                $result_Rs = DB::table('comm_roles')->where('show_hide','0')->get();
                            ?>
                            <select id="select_rs" class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" >
                                <option selected="" value="">Select Roles</option>
                                <?php $__currentLoopData = $result_Rs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(in_array($items->roles_name, [$curr_sett5[0]->roles_name ?? ''])): ?>
                                        <option value="<?php echo e($items->id); ?>" selected><?php echo e($items->roles_name); ?></option>
                                    <?php else: ?>
                                        <option value="<?php echo e($items->id); ?>"><?php echo e($items->roles_name); ?></option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Group
                        </h6>
                        <div class="relative h-11 w-full min-w-[200px]">
                            <?php
                                $result_gp = DB::table('comm_groupmanagement')->get();
                            ?>
                            <select id="select_gp" class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" >
                                <option selected="" value="">Select Group</option>
                                <?php $__currentLoopData = $result_gp; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(in_array($items->groupname, [$curr_sett5[0]->groupname ?? ''])): ?>
                                        <option value="<?php echo e($items->id); ?>" selected><?php echo e($items->groupname); ?></option>
                                    <?php else: ?>
                                        <option value="<?php echo e($items->id); ?>"><?php echo e($items->groupname); ?></option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Action
                        </h6>
                        <div class="relative h-11 w-full min-w-[200px]">
                            <style>
                                .ms-choice {
                                    display: flex;
                                    border: none;
                                    align-items: center;
                                }
                                .ms-choice > span {
                                    position: unset;
                                }
                                .ms-drop {
                                    left: 1px;
                                }
                            </style> 
                            <select id="actions" multiple="selected" class="flex items-center three peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50"></select>
                               
                            <script>
                                var curr_s = <?php echo $curr_sett2; ?>;
                                var ctn = '<?php echo $curr_sett5[0]->action ?? ''; ?>';
                                for (let i = 0; i < curr_s.length; i++) {
                                    if (ctn.includes(curr_s[i].id)) {
                                        var rowoption = `<option selected value="` + curr_s[i].id + `">` + curr_s[i].action_name + `</option>`;
                                    } else {
                                        var rowoption = `<option value="` + curr_s[i].id + `">` + curr_s[i].action_name + `</option>`;
                                    }
                                    $('.three').append(rowoption);
                                }
                                $(function() { 
                                    $('#actions').multipleSelect()
                                    $('#actions').on('change', function() {
                                        var selectedValues = $('#actions').multipleSelect('getSelects');
                                    });
                                });
                            </script>
                        </div>
                        <!-- <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Allow Support Hub
                        </h6>
                        <div class="relative h-11 w-full min-w-[200px] flex gap-4" style="align-items: last baseline;" id="huballow">
                            <div class="flex items-center mb-4">
                                <input id="default-radio-1" type="radio" value="Yes" name="default-radio" class="default-radio w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 focus:ring-2 darks:bg-gray-700 darks:border-gray-600"
                                <?php //if($_GET['id'] ?? '' && $_GET['id'] != '') { if($curr_sett5[0]->allowsupporthun == 'Yes') {echo 'checked';}} ?>>
                                <label for="default-radio-1" class="ms-2 text-sm font-medium text-gray-900 darks:text-gray-300">Yes</label>
                            </div>
                            <div class="flex items-center">
                                <input <?php //if($_GET['id'] ?? '' && $_GET['id'] != '') { if($curr_sett5[0]->allowsupporthun == 'No') {echo 'checked';}} ?> id="default-radio-2" type="radio" value="No" name="default-radio" class="default-radio w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 focus:ring-2 darks:bg-gray-700 darks:border-gray-600">
                                <label for="default-radio-2" class="ms-2 text-sm font-medium text-gray-900 darks:text-gray-300">No</label>
                            </div>
                        </div>
                        <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Allow Shared Hub
                        </h6>
                        <div class="relative h-11 w-full min-w-[200px] flex gap-4" style="align-items: last baseline;">
                            <div class="flex items-center mb-4">
                                <input id="default-radio-11" <?php //if($_GET['id'] ?? '' && $_GET['id'] != '') { if($curr_sett5[0]->allshardhub == 'Yes') {echo 'checked';}} ?> type="radio" value="Yes" name="default-radio1" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 focus:ring-2 darks:bg-gray-700 darks:border-gray-600">
                                <label for="default-radio-11" class="ms-2 text-sm font-medium text-gray-900 darks:text-gray-300">Yes</label>
                            </div>
                            <div class="flex items-center">
                                <input <?php //if($_GET['id'] ?? '' && $_GET['id'] != '') { if($curr_sett5[0]->allshardhub == 'No') {echo 'checked';}} ?> id="default-radio-2" type="radio" value="No" name="default-radio1" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 focus:ring-2 darks:bg-gray-700 darks:border-gray-600">
                                <label for="default-radio-2" class="ms-2 text-sm font-medium text-gray-900 darks:text-gray-300">No</label>
                            </div>
                        </div> -->
                        </div>
                        <button
                        class="mt-2 block w-full select-none rounded-lg bg-gray-900 py-3 px-6 text-center align-middle font-sans text-xs font-bold uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                        type="button" onclick="fun_save(this)"><?php if($_GET['id'] ?? '' && $_GET['id'] != '') {echo "Update";}else {echo "Save";}?></button>
                    </form>
                    </div>  
                </div>
                </div>
            </div> 
            <script>
                function signindialog() {
                    $("#bgcard").removeClass();
                    $("#card").removeClass();
                    $("#bgcard").addClass("fixed inset-0 z-[999] grid h-screen w-screen place-items-center bg-black bg-opacity-60 backdrop-blur-sm transition-opacity duration-300")
                    $("#card").addClass("relative mx-auto flex w-full max-w-[24rem] flex-col rounded-xl bg-white bg-clip-border text-gray-700 shadow-md transition-all duration-300 opacity-1 translate-y-0")
                }
                <?php if($_GET['id'] ?? '' && $_GET['id'] != '') {?>
                    signindialog();
                    // var selectedValue111 = document.querySelectorAll('.default-radio');
                    // console.log('selectedValue111',selectedValue111);

                    

                   
                    // if('<?php echo $curr_sett5[0]->allowsupporthun; ?>' == 'Yes') {
                    //     // jQuery('input[name="default-radio"]:checked').prop('checked',true);
                    //     for (let i = 0; i < selectedValue111.length; i++) {
                    //         console.log('ffff',selectedValue111[i].value)
                    //     }
                    // }


                   
                    
                <?php } ?>
                function signindialog_close() {
                    $("#bgcard").removeClass();

                    $("#card").removeClass();
                    $("#bgcard").addClass("pointer-events-none fixed inset-0 z-[999] grid h-screen w-screen place-items-center bg-black bg-opacity-60 opacity-0 backdrop-blur-sm transition-opacity duration-300")
                    $("#card").addClass("relative mx-auto flex w-full max-w-[24rem] flex-col rounded-xl bg-white bg-clip-border text-gray-700 shadow-md")
                }

                function memberActive(event) {
                    event.preventDefault();
                }

                function fun_save(event) {
                    var roles = jQuery('#select_rs').val();
                    var group = jQuery('#select_gp').val();
                    var Action = jQuery('#actions').val();
                    var selectedValue = jQuery('input[name="default-radio"]:checked').val();
                    var selectedValue1 = jQuery('input[name="default-radio1"]:checked').val();

                    var text = $(event).text();

                    // alert(text == 'Save' ? 'Roles_insert' : 'Roles_Update');

                   

                    $.ajax({
                        type: "post",
                        url: "<?php echo e(route('autonomous-level')); ?>",
                        headers: {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        },
                        data: {
                            ref: text == 'Save' ? 'Roles_insert' : 'Roles_Update',
                            roles: roles,
                            group: group,
                            Action: Action,
                            selectedValue: selectedValue,
                            selectedValue1: selectedValue1,
                            id: '<?php echo $_GET['id'] ?? ''; ?>'
                        },
                        success: function(result) {
                            location.replace('https://smarthub.rn-test.com/Roles'); 
                          //  location.reload();
                            // if(result.message) {
                            //  //   alert(result.message);
                            //     document.getElementById("myForm").reset();
                            //     if(result.message == 'Template Updated successfully') {
                            //         location.replace('http://127.0.0.1:8000/Roles'); 
                            //     }else {
                            //         location.reload();
                            //     }
                            // }
                        }
                    })
                }
            </script>
            <!-- ****************************** Roles Add ***************************** -->
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\myinfo\smart-hub 6\Smarthub23Nov2024\resources\views/Roles.blade.php ENDPATH**/ ?>