
<?php $__env->startSection('content'); ?>


<script>
    function auto_suggest(event) {
        var checkbox = $(event).prop('checked');
        console.log('checkbox',checkbox)
        $.ajax({
            type: "post",
            url: "<?php echo e(route('autonomous-level')); ?>",
            headers: {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
            },
            data: {
                ref: 'Suggest',
                checkbox: checkbox == true ? 1 : 0,
            }
        })
    }
</script>

<div class="p-8 overflow-y-auto h-[39rem]">
    <h1 class="text-2xl font-bold">Access Control List (ACL) Settings <b class="text-[#ff0000] text-xl"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;UNDER DEVELOPMENT ....</b></h1>
    <br>
   

<div class="relative overflow-x-auto shadow-md sm:rounded-lg">
    <table class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
        <thead class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
            <tr>
                <th scope="col" class="px-6 py-3">
                    Autonomous
                </th>
                <th scope="col" class="px-6 py-3">
                    Description
                </th>
                <th scope="col" class="px-6 py-3">
                    Action
                </th>
            </tr>
        </thead>
        <tbody class="overflow-y-auto">
            
           <?php if(Auth::guard('staff')->user()->type == 'Staff'): ?>
           
            
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Mail Template Create
                </th>
                <td class="px-6 py-3">
                    Add our own template for mail content
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/Content'">
                    Modify
                </td>
            </tr>
            <!-- <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Create Shortcut
                </th>
                <td class="px-6 py-3">
                    Add our own shortcut links to navigation
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/shortcut'">
                    Modify
                </td>
            </tr> -->
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Mail Signature
                </th>
                <td class="px-6 py-3">
                    Add our own Mail signature
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/Mailsign'">
                    Modify
                </td>
            </tr>
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Tags
                </th>
                <td class="px-6 py-3">
                    Add our tags and modify
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/tags'">
                    Modify
                </td>
            </tr>
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Auto Suggest
                </th>
                <td class="px-6 py-3">
                    UNDER DEVELOPMENT....
                </td>
                <td class="px-6 py-3 cursor-pointer">
                    <label class="inline-flex items-center cursor-pointer">
                        <input type="checkbox" class="sr-only peer" Onclick="auto_suggest(this)" <?php if($_Suggest == 1) {echo "checked";}?>>
                        <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                    </label>
                </td>
            </tr> 
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Manage Store
                </th>
                <td class="px-6 py-3 ">
                    -
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/mailmodify'">
                    Modify
                </td>
            </tr>
            
           <?php else: ?>
           <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Autonomous Levels
                </th>
                <td class="px-6 py-3">
                    Allows the superadmin to configure the autonomous levels (UNDER DEVELOPMENT....)
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/autonomous-level'">
                    Modify
                </td>
            </tr>  
           <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Groups
                </th>
                <td class="px-6 py-3">
                    Allows the superadmin to Add/Modify the groups & Associate group Vs users
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/groups'">
                    Modify
                </td>
            </tr>
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Roles
                </th>
                <td class="px-6 py-3">
                    Allows the superadmin to Add/Modify the Associate role Vs group
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/Roles'">
                    Modify
                </td>
            </tr>
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Auto escalation
                </th>
                <td class="px-6 py-3">
                    Allows the superadmin to Add/Modify the Auto escalation (UNDER DEVELOPMENT....)
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/auto-escalation'">
                    Modify
                </td>
            </tr> 
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Mail Template Create
                </th>
                <td class="px-6 py-3">
                    Add our own template for mail content
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/Content'">
                    Modify
                </td>
            </tr>
           <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Create Shortcut
                </th>
                <td class="px-6 py-3">
                    Add our own shortcut links to navigation (UNDER DEVELOPMENT....)
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/shortcut'">
                    Modify
                </td>
            </tr>  
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Mail Signature
                </th>
                <td class="px-6 py-3">
                    Add our own Mail signature
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/Mailsign'">
                    Modify
                </td>
            </tr>
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Tags
                </th>
                <td class="px-6 py-3">
                    Add our tags and modify
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/tags'">
                    Modify
                </td>
            </tr>
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Auto Suggest
                </th>
                <td class="px-6 py-3">
                    UNDER DEVELOPMENT....
                </td>
                <td class="px-6 py-3 cursor-pointer">
                    <label class="inline-flex items-center cursor-pointer">
                        <input type="checkbox" class="sr-only peer" Onclick="auto_suggest(this)" <?php if($_Suggest == 1) {echo "checked";}?>>
                        <div class="relative w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-gray-300 darks:peer-focus:ring-blue-800 rounded-full peer darks:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all darks:border-gray-600 peer-checked:bg-gray-900"></div>
                    </label>
                </td>
            </tr> 
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Contact Group/list
                </th>
                <td class="px-6 py-3 ">
                    -
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/contactgrouplist'">
                    Modify
                </td>
            </tr>
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Moderation Auto Escalation
                </th>
                <td class="px-6 py-3 ">
                    -
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/modtimesettings'">
                    Modify
                </td>
            </tr>
            <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                    Manage Store
                </th>
                <td class="px-6 py-3 ">
                    -
                </td>
                <td class="px-6 py-3 cursor-pointer" Onclick="window.onbeforeunload = null;window.location.href = '/mailmodify'">
                    Modify
                </td>
            </tr>
           <?php endif; ?>
          
        </tbody>
    </table>
</div>

</div>

<?php $__env->stopSection(); ?> 
<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\myinfo\smart-hub 6\Smarthub23Nov2024\resources\views/settings.blade.php ENDPATH**/ ?>