
<?php $__env->startSection('content'); ?>
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <script src="https://unpkg.com/@material-tailwind/html@latest/scripts/dismissible.js"></script>
        <link rel="stylesheet" href= "//code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.css">
        <script src="//code.jquery.com/jquery-1.12.4.js"></script>
        <script src="//code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    </head>

    <body>
        <div class="p-4">
            <div class="flex gap-3 items-center justify-between">
                <div class="flex gap-3 items-center">
                    <h1 class="text-2xl font-sans font-bold flex items-center gap-2">
                        <span>Contact Group / List</span>
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                            class="bi bi-people-fill" viewBox="0 0 16 16">
                            <path
                                d="M7 14s-1 0-1-1 1-4 5-4 5 3 5 4-1 1-1 1zm4-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6m-5.784 6A2.24 2.24 0 0 1 5 13c0-1.355.68-2.75 1.936-3.72A6.3 6.3 0 0 0 5 9c-4 0-5 3-5 4s1 1 1 1zM4.5 8a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5" />
                        </svg>
                    </h1>
                    <div class="flex gap-3">
                        <div class="relative inline-flex">
                            <button
                                class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-1.5 px-3 rounded-lg text-black border shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                                type="button" Onclick="allss()">
                                All Users
                            </button>
                            <span
                                class="absolute rounded-full py-1 px-1 text-xs font-medium content-[''] leading-none grid place-items-center top-[4%] right-[2%] translate-x-2/4 -translate-y-2/4 bg-red-500 text-white min-w-[24px] min-h-[24px]">
                                <?php echo e(count($tbList) ?? 0); ?>

                            </span>
                        </div>
                        <div class="relative inline-flex">
                            <button
                                class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-1.5 px-3 rounded-lg text-black border shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                                type="button" Onclick="Premium()">
                                Premium Users
                            </button>
                            <span
                                class="absolute rounded-full py-1 px-1 text-xs font-medium content-[''] leading-none grid place-items-center top-[4%] right-[2%] translate-x-2/4 -translate-y-2/4 bg-red-500 text-white min-w-[24px] min-h-[24px]">
                                <?php echo e(count($tbPremium_User) ?? 0); ?>

                            </span>
                        </div>
                        <div class="relative inline-flex">
                            <button
                                class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-1.5 px-3 rounded-lg text-black border shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                                type="button" Onclick="Priority()">
                                Priority Users
                            </button>
                            <span
                                class="absolute rounded-full py-1 px-1 text-xs font-medium content-[''] leading-none grid place-items-center top-[4%] right-[2%] translate-x-2/4 -translate-y-2/4 bg-red-500 text-white min-w-[24px] min-h-[24px]">
                                <?php echo e(count($tbpriority_User) ?? 0); ?>

                            </span>
                        </div>
                        <div class="relative inline-flex">
                            <button
                                class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-1.5 px-3 rounded-lg text-black border shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                                type="button" Onclick="HPAccount()">
                                HP Account ( High Profile )
                            </button>
                            <span
                                class="absolute rounded-full py-1 px-1 text-xs font-medium content-[''] leading-none grid place-items-center top-[4%] right-[2%] translate-x-2/4 -translate-y-2/4 bg-red-500 text-white min-w-[24px] min-h-[24px]">
                                <?php echo e(count($tbhpaccount_User) ?? 0); ?>

                            </span>
                        </div>
                    </div>
                </div>
                <script>
                    function allss() {
                        jQuery('#view1').css('display', 'block');
                        jQuery('#view2').hide();
                        jQuery('#view3').hide();
                        jQuery('#view4').hide();
                    }

                    function Premium() {
                        jQuery('#view2').css('display', 'block');
                        jQuery('#view1').hide();
                        jQuery('#view3').hide();
                        jQuery('#view4').hide();
                    }

                    function Priority() {
                        jQuery('#view3').css('display', 'block');
                        jQuery('#view2').hide();
                        jQuery('#view1').hide();
                        jQuery('#view4').hide();
                    }

                    function HPAccount() {
                        jQuery('#view4').css('display', 'block');
                        jQuery('#view2').hide();
                        jQuery('#view3').hide();
                        jQuery('#view1').hide();
                    }
                </script>
                <button
                    class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none flex items-center gap-3"
                    type="button" Onclick="addlist()">
                    <!-- <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor"
                    class="w-5 h-5">
                    <path stroke-linecap="round" stroke-linejoin="round"
                        d="M17.593 3.322c1.1.128 1.907 1.077 1.907 2.185V21L12 17.25 4.5 21V5.507c0-1.108.806-2.057 1.907-2.185a48.507 48.507 0 0111.186 0z">
                    </path>
                    </svg> -->
                    <svg width="18" height="20" viewBox="0 0 18 20" fill="none"
                        xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M14.593 1.322C15.693 1.45 16.5 2.399 16.5 3.507V19L9 15.25L1.5 19V3.507C1.5 2.399 2.306 1.45 3.407 1.322C7.12319 0.890632 10.8768 0.890632 14.593 1.322Z"
                            stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                        <path
                            d="M9.42425 4.07574C9.31173 3.96321 9.15912 3.9 8.99999 3.9C8.84086 3.9 8.68825 3.96321 8.57573 4.07574C8.4632 4.18826 8.39999 4.34087 8.39999 4.5V7.4H5.49999C5.34086 7.4 5.18825 7.46321 5.07573 7.57574C4.9632 7.68826 4.89999 7.84087 4.89999 8C4.89999 8.15913 4.9632 8.31174 5.07573 8.42426C5.18825 8.53679 5.34086 8.6 5.49999 8.6H8.39999V11.5C8.39999 11.6591 8.4632 11.8117 8.57573 11.9243C8.68825 12.0368 8.84086 12.1 8.99999 12.1C9.15912 12.1 9.31173 12.0368 9.42425 11.9243C9.53678 11.8117 9.59999 11.6591 9.59999 11.5V8.6H12.5C12.6591 8.6 12.8117 8.53679 12.9243 8.42426C13.0368 8.31174 13.1 8.15913 13.1 8C13.1 7.84087 13.0368 7.68826 12.9243 7.57574C12.8117 7.46321 12.6591 7.4 12.5 7.4H9.59999V4.5C9.59999 4.34087 9.53678 4.18826 9.42425 4.07574Z"
                            fill="white" stroke="white" stroke-width="0.2" />
                    </svg>
                    Add to Contact
                </button>
            </div>
            <br>
            <!-- ------------------------ All Users ---------------------------------- -->
            <div id="view1" class="">
                <div class="flex w-full justify-between">
                    <h5
                        class="block mb-2 font-sans text-xl antialiased font-bold leading-snug tracking-normal text-blue-gray-900">
                        All Users
                    </h5>
                    <div class="relative h-10 min-w-[200px]">
                        <input type="text" placeholder="Search" id="myInput" onkeyup="myFunction1()"
                            class="peer h-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                    </div>
                </div>
                <br>
                <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
                    <table id="myTable" class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                        <thead
                            class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                            <tr>
                                <th scope="col" class="px-6 py-3">
                                    Account
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Email
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Phone#
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Twitter
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Description
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Uid
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Username
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Group
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    MODIFY
                                </th>
                            </tr>
                        </thead>
                        <tbody class="overflow-y-auto" id="ddddd"></tbody>
                    </table>
                </div>
                <div class="w-full text-end">
                    <div id="pagination" class="mt-3"></div>
                </div>
            </div>
            <!-- ------------- Primium user --------------- -->
            <div id="view2" class="hidden">
                <div class="flex w-full justify-between">
                    <h5
                        class="block mb-2 font-sans text-xl antialiased font-bold leading-snug tracking-normal text-blue-gray-900">
                        Premium Users
                    </h5>
                    <div class="relative h-10 min-w-[200px]">
                        <input type="text" placeholder="Search" id="myInput1" onkeyup="myFunction2()"
                            class="peer h-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                    </div>
                </div>
                <!-- <div class="text-slate-400">All Premium user's email will be auto assigned to. <b></b></div> -->
                <br>
                <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
                    <table id="myTable1"
                        class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                        <thead
                            class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                            <tr>
                                <th scope="col" class="px-6 py-3">
                                    Account
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Email
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Phone#
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Twitter
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Description
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Uid
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Username
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Group
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    MODIFY
                                </th>
                            </tr>
                        </thead>
                        <tbody class="overflow-y-auto" id="ddddd1"></tbody>
                    </table>
                </div>
                <div class="w-full text-end">
                    <div id="pagination1" class="mt-3"></div>
                </div>
            </div>
            <!-- ------------- Priority user --------------- -->
            <div id="view3" class="hidden">
                <div class="flex w-full justify-between">
                    <h5
                        class="block mb-2 font-sans text-xl antialiased font-bold leading-snug tracking-normal text-blue-gray-900">
                        Priority Users
                    </h5>
                    <div class="relative h-10 min-w-[200px]">
                        <input type="text" placeholder="Search" id="myInput2" onkeyup="myFunction3()"
                            class="peer h-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                    </div>
                </div>
                <!-- <div class="text-slate-400">All Priority user's email will be auto assigned to. ()</div> -->
                <br>
                <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
                    <table id="myTable2"
                        class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                        <thead
                            class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                            <tr>
                                <th scope="col" class="px-6 py-3">
                                    Account
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Email
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Phone#
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Twitter
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Description
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Uid
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Username
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Group
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    MODIFY
                                </th>
                            </tr>
                        </thead>
                        <tbody class="overflow-y-auto" id="ddddd2"></tbody>
                    </table>
                </div>
                <div class="w-full text-end">
                    <div id="pagination2" class="mt-3"></div>
                </div>
            </div>
            <!-- ------------- HP Account ( High Profile ) --------------- -->
            <div id="view4" class="hidden">
                <div class="flex w-full justify-between">
                    <h5
                        class="block mb-2 font-sans text-xl antialiased font-bold leading-snug tracking-normal text-blue-gray-900">
                        HP Account ( High Profile )
                    </h5>
                    <div class="relative h-10 min-w-[200px]">
                        <input type="text" placeholder="Search" id="myInput3" onkeyup="myFunction4()"
                            class="peer h-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                    </div>
                </div>
                <!-- <div class="text-slate-400">All HP Account ( High Profile ) email will be auto assigned to. ()</div> -->
                <br>
                <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
                    <table id="myTable3"
                        class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                        <thead
                            class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                            <tr>
                                <th scope="col" class="px-6 py-3">
                                    Account
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Email
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Phone#
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Twitter
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Description
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Uid
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Username
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    Group
                                </th>
                                <th scope="col" class="px-6 py-3">
                                    MODIFY
                                </th>
                            </tr>
                        </thead>
                        <tbody class="overflow-y-auto" id="ddddd3"></tbody>
                    </table>
                </div>
                <div class="w-full text-end">
                    <div id="pagination3" class="mt-3"></div>
                </div>
            </div>
        </div>

        <script>
            var data0 = <?php echo json_encode($tbList, 15, 512) ?>;
            const rowsPerPage = 4;
            let currentPage = 1;
            $(document).ready(function() {
                function displayTable0(page) {
                    const table = document.getElementById("myTable");
                    const startIndex = (page - 1) * rowsPerPage;
                    const endIndex = startIndex + rowsPerPage;
                    const slicedData = data0.slice(startIndex, endIndex);


                    const tbody = document.getElementById("ddddd");
                    tbody.innerHTML = '';
                    if (data0.length > 0) {
                        slicedData.forEach((item, index) => {
                            // Create a new table row
                            // console.log('item',item)
                            const newRow = document.createElement("tr");
                            newRow.classList.add("odd:bg-white", "odd:darks:bg-gray-900", "even:bg-gray-50",
                                "even:darks:bg-gray-800", "border-b", "darks:border-gray-700");

                            // Construct the inner HTML of the row
                            newRow.innerHTML = `
                                <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.mail} <br> ${item.me_email}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.description}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.userid}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.name}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.groups}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer" Onclick="modifylist(${item.id})">
                                        MODIFY
                                    </td>
                                </tr>
                            `;

                            // Append the new row to the tbody
                            tbody.appendChild(newRow);
                        });
                    } else {
                        const newRow = document.createElement("tr");
                        newRow.classList.add("odd:bg-white", "odd:darks:bg-gray-900", "even:bg-gray-50",
                            "even:darks:bg-gray-800", "border-b", "darks:border-gray-700");

                        // Construct the inner HTML of the row
                        newRow.innerHTML = `<tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                            <th colspan="9" scope="row" class="text-center text-zinc-400 px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                No data available in table
                            </th>
                        </tr>`;
                        tbody.appendChild(newRow)
                    }




                    // Update pagination 
                    updatePagination0(page);
                }

                function updatePagination0(currentPage) {
                    const pageCount = Math.ceil(data0.length / rowsPerPage);
                    const paginationContainer = $("#pagination");
                    paginationContainer.empty();

                    for (let i = 1; i <= pageCount; i++) {
                        const pageLink = $(`<button
                            class="relative h-10 max-h-[40px] w-10 max-w-[40px] select-none rounded-lg bg-gray-900 text-center align-middle font-sans text-xs font-medium uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                            type="button">
                            <span class="absolute transform -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2">
                            ` + i + `
                            </span>
                            </button>`);
                        pageLink.on("click", function() {
                            displayTable0(i);
                        });
                        if (i === currentPage) {
                            pageLink.css("font-weight", "bold");
                        }
                        paginationContainer.append(pageLink);
                        paginationContainer.append(" ");
                    }
                }
                displayTable0(currentPage);
            });

            function myFunction1() {
                var input, filter, table, tr, td, i, txtValue;
                input = document.getElementById("myInput");
                filter = input.value.toUpperCase();
                table = document.getElementById("myTable");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[0];
                    console.log('td', td)
                    if (td) {
                        txtValue = td.textContent || td.innerText;

                        if (txtValue.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }


            // <!-- ------------- Primium user --------------- -->



            var data1 = <?php echo json_encode($tbPremium_User, 15, 512) ?>;
            // const rowsPerPage = 4; 
            // let currentPage = 1; 
            $(document).ready(function() {
                function displayTable1(page) {
                    const table = document.getElementById("myTable1");
                    const startIndex = (page - 1) * rowsPerPage;
                    const endIndex = startIndex + rowsPerPage;
                    const slicedData = data1.slice(startIndex, endIndex);


                    const tbody = document.getElementById("ddddd1");
                    tbody.innerHTML = '';
                    if (data1.length > 0) {
                        slicedData.forEach((item, index) => {
                            // Create a new table row
                            console.log('item', item)
                            const newRow = document.createElement("tr");
                            newRow.classList.add("odd:bg-white", "odd:darks:bg-gray-900", "even:bg-gray-50",
                                "even:darks:bg-gray-800", "border-b", "darks:border-gray-700");

                            // Construct the inner HTML of the row
                            newRow.innerHTML = `
                                <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.mail} <br> ${item.me_email}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.description}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.userid}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.name}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.groups}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer" Onclick="modifylist(${item.id})">
                                        MODIFY
                                    </td>
                                </tr>
                            `;

                            // Append the new row to the tbody
                            tbody.appendChild(newRow);
                        });
                    } else {
                        const newRow = document.createElement("tr");
                        newRow.classList.add("odd:bg-white", "odd:darks:bg-gray-900", "even:bg-gray-50",
                            "even:darks:bg-gray-800", "border-b", "darks:border-gray-700");

                        // Construct the inner HTML of the row
                        newRow.innerHTML = `<tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                            <th colspan="9" scope="row" class="text-center text-zinc-400 px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                No data available in table
                            </th>
                        </tr>`;
                        tbody.appendChild(newRow)
                    }




                    // Update pagination 
                    updatePagination1(page);
                }

                function updatePagination1(currentPage) {
                    const pageCount = Math.ceil(data1.length / rowsPerPage);
                    const paginationContainer = $("#pagination1");
                    paginationContainer.empty();

                    for (let i = 1; i <= pageCount; i++) {
                        const pageLink = $(`<button
                            class="relative h-10 max-h-[40px] w-10 max-w-[40px] select-none rounded-lg bg-gray-900 text-center align-middle font-sans text-xs font-medium uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                            type="button">
                            <span class="absolute transform -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2">
                            ` + i + `
                            </span>
                            </button>`);
                        pageLink.on("click", function() {
                            displayTable1(i);
                        });
                        if (i === currentPage) {
                            pageLink.css("font-weight", "bold");
                        }
                        paginationContainer.append(pageLink);
                        paginationContainer.append(" ");
                    }
                }
                displayTable1(currentPage);
            });

            function myFunction2() {
                var input, filter, table, tr, td, i, txtValue;
                input = document.getElementById("myInput1");
                filter = input.value.toUpperCase();
                table = document.getElementById("myTable1");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[0];
                    console.log('td', td)
                    if (td) {
                        txtValue = td.textContent || td.innerText;

                        if (txtValue.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }

            // <!-- ------------- Priority user --------------- -->



            var data2 = <?php echo json_encode($tbpriority_User, 15, 512) ?>;
            console.log('data2', data2)
            // const rowsPerPage = 4; 
            // let currentPage = 1; 
            $(document).ready(function() {
                function displayTable2(page) {
                    const table = document.getElementById("myTable2");
                    const startIndex = (page - 1) * rowsPerPage;
                    const endIndex = startIndex + rowsPerPage;
                    const slicedData = data2.slice(startIndex, endIndex);


                    const tbody = document.getElementById("ddddd2");
                    tbody.innerHTML = '';
                    if (data2.length > 0) {
                        slicedData.forEach((item, index) => {
                            // Create a new table row
                            console.log('item', item)
                            const newRow = document.createElement("tr");
                            newRow.classList.add("odd:bg-white", "odd:darks:bg-gray-900", "even:bg-gray-50",
                                "even:darks:bg-gray-800", "border-b", "darks:border-gray-700");

                            // Construct the inner HTML of the row
                            newRow.innerHTML = `
                                <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.mail} <br> ${item.me_email}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.description}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.userid}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.name}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.groups}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer" Onclick="modifylist(${item.id})">
                                        MODIFY
                                    </td>
                                </tr>
                            `;

                            // Append the new row to the tbody
                            tbody.appendChild(newRow);
                        });
                    } else {
                        const newRow = document.createElement("tr");
                        newRow.classList.add("odd:bg-white", "odd:darks:bg-gray-900", "even:bg-gray-50",
                            "even:darks:bg-gray-800", "border-b", "darks:border-gray-700");

                        // Construct the inner HTML of the row
                        newRow.innerHTML = `<tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                            <th colspan="9" scope="row" class="text-center text-zinc-400 px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                No data available in table
                            </th>
                        </tr>`;
                        tbody.appendChild(newRow)
                    }



                    // Update pagination 
                    updatePagination2(page);
                }

                function updatePagination2(currentPage) {
                    const pageCount = Math.ceil(data2.length / rowsPerPage);
                    const paginationContainer = $("#pagination2");
                    paginationContainer.empty();

                    for (let i = 1; i <= pageCount; i++) {
                        const pageLink = $(`<button
                            class="relative h-10 max-h-[40px] w-10 max-w-[40px] select-none rounded-lg bg-gray-900 text-center align-middle font-sans text-xs font-medium uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                            type="button">
                            <span class="absolute transform -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2">
                            ` + i + `
                            </span>
                            </button>`);
                        pageLink.on("click", function() {
                            displayTable2(i);
                        });
                        if (i === currentPage) {
                            pageLink.css("font-weight", "bold");
                        }
                        paginationContainer.append(pageLink);
                        paginationContainer.append(" ");
                    }
                }
                displayTable2(currentPage);
            });

            function myFunction3() {
                var input, filter, table, tr, td, i, txtValue;
                input = document.getElementById("myInput2");
                filter = input.value.toUpperCase();
                table = document.getElementById("myTable2");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[0];
                    console.log('td', td)
                    if (td) {
                        txtValue = td.textContent || td.innerText;

                        if (txtValue.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }

            // ************************** HP Account ( High Profile )

            var data4 = <?php echo json_encode($tbhpaccount_User, 15, 512) ?>;
            // const rowsPerPage = 4; 
            // let currentPage = 1; 
            $(document).ready(function() {
                function displayTable4(page) {
                    const table = document.getElementById("myTable3");
                    const startIndex = (page - 1) * rowsPerPage;
                    const endIndex = startIndex + rowsPerPage;
                    const slicedData = data4.slice(startIndex, endIndex);


                    const tbody = document.getElementById("ddddd3");
                    tbody.innerHTML = '';
                    if (data4.length > 0) {
                        slicedData.forEach((item, index) => {
                            // Create a new table row
                            console.log('item', item)
                            const newRow = document.createElement("tr");
                            newRow.classList.add("odd:bg-white", "odd:darks:bg-gray-900", "even:bg-gray-50",
                                "even:darks:bg-gray-800", "border-b", "darks:border-gray-700");

                            // Construct the inner HTML of the row
                            newRow.innerHTML = `
                                <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.mail} <br> ${item.me_email}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        --
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.description}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.userid}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.name}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer">
                                        ${item.groups}
                                    </td>
                                    <td class="px-6 py-3 cursor-pointer" Onclick="modifylist(${item.id})">
                                        MODIFY
                                    </td>
                                </tr>
                            `;

                            // Append the new row to the tbody
                            tbody.appendChild(newRow);
                        });
                    } else {
                        const newRow = document.createElement("tr");
                        newRow.classList.add("odd:bg-white", "odd:darks:bg-gray-900", "even:bg-gray-50",
                            "even:darks:bg-gray-800", "border-b", "darks:border-gray-700");

                        // Construct the inner HTML of the row
                        newRow.innerHTML = `<tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                            <th colspan="9" scope="row" class="text-center text-zinc-400 px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                No data available in table
                            </th>
                        </tr>`;
                        tbody.appendChild(newRow)
                    }



                    // Update pagination 
                    updatePagination4(page);
                }

                function updatePagination4(currentPage) {
                    const pageCount = Math.ceil(data4.length / rowsPerPage);
                    const paginationContainer = $("#pagination3");
                    paginationContainer.empty();

                    for (let i = 1; i <= pageCount; i++) {
                        const pageLink = $(`<button
                            class="relative h-10 max-h-[40px] w-10 max-w-[40px] select-none rounded-lg bg-gray-900 text-center align-middle font-sans text-xs font-medium uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                            type="button">
                            <span class="absolute transform -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2">
                            ` + i + `
                            </span>
                            </button>`);
                        pageLink.on("click", function() {
                            displayTable4(i);
                        });
                        if (i === currentPage) {
                            pageLink.css("font-weight", "bold");
                        }
                        paginationContainer.append(pageLink);
                        paginationContainer.append(" ");
                    }
                }
                displayTable4(currentPage);
            });

            function myFunction4() {
                var input, filter, table, tr, td, i, txtValue;
                input = document.getElementById("myInput3");
                filter = input.value.toUpperCase();
                table = document.getElementById("myTable3");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[0];
                    console.log('td', td)
                    if (td) {
                        txtValue = td.textContent || td.innerText;

                        if (txtValue.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }



            function addlist() {
                $('#drop_add').show();
            }

            function modifylist(id) {
                $.ajax({
                    type: 'get',
                    url: '<?php echo e(route('getcontactlist')); ?>',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    data: {
                        id: id,
                    },
                    success: function(result) {
                        var data = result.data;
                        console.log(data);
                        $('#message1').val(data[0].description);
                        $('#id1').val(data[0].id);
                        $('#se_email1').val(data[0].me_email);
                        var selectElement = $('#name1');

                        var valueToSelect = data[0].name;

                        // Check if the option exists
                        var optionExists = selectElement.find('option[value="' + valueToSelect + '"]').length > 0;

                        if (optionExists) {
                            selectElement.val(valueToSelect);
                        } else {
                            // Option does not exist, handle accordingly
                            console.warn('Option with value "' + valueToSelect +
                            '" does not exist. Adding it now.');
                            selectElement.append('<option value="' + valueToSelect + '" selected>' + valueToSelect +
                                '</option>');
                        }
                        var selectElement = $('#countries1');

                        var valueToSelect = data[0].groupid;

                        // Check if the option exists
                        var optionExists = selectElement.find('option[value="' + valueToSelect + '"]').length > 0;

                        if (optionExists) {
                            selectElement.val(valueToSelect);
                        } else {
                            // Option does not exist, handle accordingly
                            console.warn('Option with value "' + valueToSelect +
                            '" does not exist. Adding it now.');
                            selectElement.append('<option value="' + valueToSelect + '" selected>' + valueToSelect +
                                '</option>');
                        }

                        $('#drop_modify').show();
                    }
                })





            }

            function signindialog_close1() {
                $('#drop_modify').hide();
            }


            function signindialog_close() {
                $('#drop_add').hide();
            }
        </script>
        <!-- ------------------------ end All Users ---------------------------------- -->

        <div id="drop_modify" class="overflow-y-auto hidden bg-stone-500/50 h-screen w-full absolute inset-0 z-20">
            <div class="w-full h-full flex justify-center overflow-y-auto mt-16">
                <div class="h-max overflow-y-auto w-max bg-white rounded-lg p-8">
                    <div class="relative flex flex-col text-gray-700 bg-transparent shadow-none rounded-xl bg-clip-border">
                        <div class="w-full flex items-center justify-between">
                            <h5
                                class="block mb-2 font-sans text-xl antialiased font-bold leading-snug tracking-normal text-blue-gray-900">
                                Modify User
                            </h5>
                            <button data-ripple-darks="true" data-dialog-close="true" Onclick="signindialog_close1()"
                                class="relative h-8 max-h-[32px] w-8 max-w-[32px] select-none rounded-lg text-center align-middle font-sans text-xs font-medium uppercase text-blue-gray-500 transition-all hover:bg-blue-gray-500/10 active:bg-blue-gray-500/30 disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                                type="button" style="position: relative; overflow: hidden;"><span
                                    class="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 transform"><svg
                                        xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                                        stroke="currentColor" stroke-width="2" class="h-5 w-5">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12">
                                        </path>
                                    </svg></span></button>
                        </div>
                        <div class="flex flex-col gap-4 p-3">
                            <h6
                                class="block -mb-2 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-inherit">
                                User
                            </h6>
                            <div class="w-96">
                                <div class="dropdown1">
                                    <input type="text" id="nameInput1" placeholder="Type to search..."
                                        class="peer h-full w-full rounded-[7px] !border !border-gray-300 bg-white px-3 py-2.5 text-sm font-normal text-blue-gray-700 shadow-lg focus:border-gray-900 focus:outline-none">
                                    <div id="nameDropdown"
                                        class="dropdown-content hidden max-h-48 overflow-auto border border-gray-300 bg-white shadow-lg">
                                    </div>
                                </div>

                                <style>
                                    .dropdown-content {
                                        width: 94%;
                                        position: absolute;
                                        width: 100%;
                                        max-height: 150px;
                                        overflow-y: auto;
                                    }

                                    .dropdown-content div {
                                        padding: 10px;
                                        cursor: pointer;
                                    }

                                    .dropdown-content div:hover {
                                        background-color: #f1f1f1;
                                    }

                                    .dropdown-content.show {
                                        width: 94%;
                                        display: block;
                                    }
                                </style>

                                <script>
                                    var usernames = <?php echo json_encode($usernames, 15, 512) ?>;

                                    // Show dropdown and filter usernames as user types
                                    $('#nameInput1').on('input', function() {
                                        var inputValue = $(this).val().toLowerCase();
                                        var filteredUsernames = usernames.filter(function(item) {
                                            return item.name.toLowerCase().includes(inputValue);
                                        });

                                        displayDropdown(filteredUsernames);
                                    });

                                    function displayDropdown(filteredUsernames) {
                                        var dropdown = $('#nameDropdown');
                                        dropdown.empty();

                                        if (filteredUsernames.length > 0) {
                                            filteredUsernames.forEach(function(item) {
                                                dropdown.append('<div class="dropdown-item" data-value="' + item.name + '">' + item.name +
                                                    '</div>');
                                            });
                                            dropdown.addClass('show');
                                        } else {
                                            dropdown.removeClass('show');
                                        }
                                    }

                                    // Select the value from dropdown and insert into input field
                                    $(document).on('click', '.dropdown-item', function() {
                                        var selectedValue = $(this).attr('data-value');
                                        $('#nameInput1').val(selectedValue);
                                        $('#nameDropdown').removeClass('show'); // Hide dropdown after selection
                                    });

                                    // Hide dropdown when clicking outside
                                    $(document).on('click', function(e) {
                                        if (!$(e.target).closest('.dropdown').length) {
                                            $('#nameDropdown').removeClass('show');
                                        }
                                    });
                                </script>


                            </div>
                            <h6
                                class="block -mb-2 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-inherit">
                                Email ID
                            </h6>
                            <div class="w-96"><input type="hidden" name="id1" id="id1">
                                <div class="relative h-10 w-full min-w-[200px] ">
                                    <input type="email" name="se_email1" id="se_email1" placeholder="Your Email"
                                        class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                                </div>
                            </div>
                            <h6
                                class="block -mb-2 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-inherit">
                                Group
                            </h6>
                            <div class="w-96">
                                <select id="countries1"
                                    class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50">
                                    <option value="" selected>Select Group</option>
                                    <?php $__currentLoopData = $cont_grouplist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($item->id); ?>"><?php echo e($item->groups); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <h6
                                class="block -mb-2 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-inherit">
                                Description
                            </h6>
                            <div class="w-96">
                                <textarea id="message1" rows="4"
                                    class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50"
                                    placeholder="Write your description"></textarea>
                            </div>
                            <button
                                class="align-middle w-full select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                                type="button" Onclick="contact_Add1()">
                                Save
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- ------------------------ Start Models ---------------------------------- -->
        <div id="drop_add" class="overflow-y-auto hidden bg-stone-500/50 h-screen w-full absolute inset-0 z-20">
            <div class="w-full h-full flex justify-center overflow-y-auto mt-16">
                <div class="h-max overflow-y-auto w-max bg-white rounded-lg p-8">
                    <div class="relative flex flex-col text-gray-700 bg-transparent shadow-none rounded-xl bg-clip-border">
                        <div class="w-full flex items-center justify-between">
                            <h5
                                class="block mb-2 font-sans text-xl antialiased font-bold leading-snug tracking-normal text-blue-gray-900">
                                Add User
                            </h5>
                            <button data-ripple-darks="true" data-dialog-close="true" Onclick="signindialog_close()"
                                class="relative h-8 max-h-[32px] w-8 max-w-[32px] select-none rounded-lg text-center align-middle font-sans text-xs font-medium uppercase text-blue-gray-500 transition-all hover:bg-blue-gray-500/10 active:bg-blue-gray-500/30 disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                                type="button" style="position: relative; overflow: hidden;"><span
                                    class="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 transform"><svg
                                        xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                                        stroke="currentColor" stroke-width="2" class="h-5 w-5">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12">
                                        </path>
                                    </svg></span></button>
                        </div>
                        <div class="flex flex-col gap-4 p-3">
                            <h6
                                class="block -mb-2 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-inherit">
                                User
                            </h6>
                            <div class="w-96">

                                <div class="dropdown1">
                                    <input type="text" id="nameInput" placeholder="Type to search..."
                                        class="peer h-full w-full rounded-[7px] !border !border-gray-300 bg-white px-3 py-2.5 text-sm font-normal text-blue-gray-700 shadow-lg focus:border-gray-900 focus:outline-none">
                                    <div id="nameDropdown1"
                                        class="dropdown-content hidden max-h-48 overflow-auto border border-gray-300 bg-white shadow-lg">
                                        <!-- Usernames will be dynamically loaded here -->
                                    </div>
                                </div>

                                <style>
                                    .dropdown-content {
                                        width: 94%;
                                        position: absolute;
                                        width: 100%;
                                        max-height: 150px;
                                        overflow-y: auto;

                                    }

                                    .dropdown-content div {
                                        padding: 10px;
                                        cursor: pointer;
                                    }

                                    .dropdown-content div:hover {
                                        background-color: #f1f1f1;
                                    }

                                    .dropdown-content.show {
                                        width: 94%;
                                        display: block;
                                    }
                                </style>

                                <script>
                                    var usernames = <?php echo json_encode($usernames, 15, 512) ?>;

                                    // Show dropdown and filter usernames as user types
                                    $('#nameInput').on('input', function() {
                                        var inputValue = $(this).val().toLowerCase();
                                        var filteredUsernames = usernames.filter(function(item) {
                                            return item.name.toLowerCase().includes(inputValue);
                                        });

                                        displayDropdown(filteredUsernames);
                                    });

                                    function displayDropdown(filteredUsernames) {
                                        var dropdown = $('#nameDropdown1');
                                        dropdown.empty();

                                        if (filteredUsernames.length > 0) {
                                            filteredUsernames.forEach(function(item) {
                                                dropdown.append('<div class="dropdown-item" data-value="' + item.name + '">' + item.name +
                                                    '</div>');
                                            });
                                            dropdown.addClass('show');
                                        } else {
                                            dropdown.removeClass('show');
                                        }
                                    }

                                    // Select the value from dropdown and insert into input field
                                    $(document).on('click', '.dropdown-item', function() {
                                        var selectedValue = $(this).attr('data-value');
                                        $('#nameInput').val(selectedValue);
                                        $('#nameDropdown1').removeClass('show'); // Hide dropdown after selection
                                    });

                                    // Hide dropdown when clicking outside
                                    $(document).on('click', function(e) {
                                        if (!$(e.target).closest('.dropdown').length) {
                                            $('#nameDropdown1').removeClass('show');
                                        }
                                    });
                                </script>
                            </div>
                            <h6
                                class="block -mb-2 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-inherit">
                                Email ID
                            </h6>
                            <div class="w-96">
                                <div class="relative h-10 w-full min-w-[200px] ">
                                    <input type="email" name="se_email" placeholder="Your Email"
                                        class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                                </div>
                            </div>
                            <h6
                                class="block -mb-2 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-inherit">
                                Group
                            </h6>
                            <div class="w-96">
                                <select id="countries"
                                    class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50">
                                    <option value="" selected>Select Group</option>
                                    <?php $__currentLoopData = $cont_grouplist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($item->id); ?>"><?php echo e($item->groups); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>

                            </div>
                            <h6
                                class="block -mb-2 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-inherit">
                                Description
                            </h6>
                            <div class="w-96">
                                <textarea id="message" rows="4"
                                    class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50"
                                    placeholder="Write your description"></textarea>
                            </div>
                            <button
                                class="align-middle w-full select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                                type="button" Onclick="contact_Add()">
                                Save
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
        $emails = ['ashokkumaar.v@hot.mail.com', 'autovid169@gmail.com', 'mclantest@gmail.com', 'fomulinadra@gufum.comm', 'lusporudre@gufum.com'];
        $users = DB::table('users')->select('uid', 'mail')->whereIn('mail', $emails)->get();
        
        ?>
        <script>
            var subjects = <?php echo $users; ?>.map(m => m.mail);
            $("input[name=se_email]").autocomplete({
                source: subjects
            });

            function contact_Add1() {
                var email = jQuery('input[name=se_email1]').val();
                var group = jQuery('#countries1').val();
                var name = jQuery('#nameInput1').val();
                var id = jQuery('#id1').val();
                var message = jQuery('#message1').val();
                // else {
                console.log(email, group, message);
                $.ajax({
                    type: "post",
                    url: "<?php echo e(route('autonomous-level')); ?>",
                    headers: {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    data: {
                        ref: 'grouplist_modify',
                        email: email,
                        group: group,
                        name: name,
                        id: id,
                        message: message
                    },
                    success: function(result) {

                        alert('Updated Successfully...!');
                        location.reload();
                    }
                })
                // }


            }

            function contact_Add() {
                var email = jQuery('input[name=se_email]').val();
                var group = jQuery('#countries').val();
                var name = jQuery('#nameInput').val();
                var message = jQuery('#message').val();
                // else {
                console.log(email, group, message);
                $.ajax({
                    type: "post",
                    url: "<?php echo e(route('autonomous-level')); ?>",
                    headers: {
                        'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                    },
                    data: {
                        ref: 'grouplist_add',
                        email: email,
                        group: group,
                        name: name,
                        message: message
                    },
                    success: function(result) {
                        if (result.message) {
                            jQuery('input[name=se_email]').val('');
                            jQuery('#countries').val('');
                            jQuery('#message').val('');
                            $('#drop_add').hide();
                            alert('Added Successfully...!');
                            location.reload();
                        }
                    }
                })
                // }


            }
        </script>
        <!-- ------------------------ End Models ---------------------------------- -->
    </body>

    </html>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\myinfo\smart-hub 6\Smarthub23Nov2024\resources\views/contactgrouplist.blade.php ENDPATH**/ ?>