
<?php $__env->startSection('content'); ?>
<head>
    <script type="text/javascript" src="<?php echo e(asset('tinymce/js/tinymce/tinymce.min.js')); ?>"></script>
</head>
    <div class="p-4">
    <nav aria-label="breadcrumb" class="w-max">
    <ol class="flex flex-wrap items-center w-full px-4 py-2 rounded-md bg-blue-gray-50 bg-opacity-60">
        <li
        class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
        <a href="/settings" class="opacity-60">
            <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4" viewBox="0 0 20 20"
            fill="currentColor">
            <path
                d="M10.707 2.293a1 1 0 00-1.414 0l-7 7a1 1 0 001.414 1.414L4 10.414V17a1 1 0 001 1h2a1 1 0 001-1v-2a1 1 0 011-1h2a1 1 0 011 1v2a1 1 0 001 1h2a1 1 0 001-1v-6.586l.293.293a1 1 0 001.414-1.414l-7-7z">
            </path>
            </svg>
        </a>
        <span
            class="mx-2 font-sans text-sm antialiased font-normal leading-normal pointer-events-none select-none text-blue-gray-500">
            /
        </span>
        </li>
        <li
        class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
        <a href="/Mailsign" class="opacity-60">
            <span>
                Mailsign
            </span>
        </a>
        </li>
    </ol>
    </nav>
        <div class="flex items-center justify-between">
            <h1 class="text-3xl">Mail signature</h1>
            <button
                class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                type="button" onclick="save_btn()">Update</button>
        </div>
        
        <br>
        <div>
            <textarea name="text_area" id="text_area" cols="30" rows="10"></textarea>
            <script>
                tinymce.init({
                    selector: "#text_area",
                    relative_urls : false,
                    remove_script_host : false,
                    convert_urls : true,
                    valid_elements : '*[*]',
                    plugins: [
                            "advlist autolink autosave link image lists charmap print preview hr anchor pagebreak spellchecker",
                            "searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
                            "table contextmenu directionality emoticons template textcolor paste textcolor colorpicker textpattern"
                    ],
                    toolbar1: "newdocument | bold italic underline strikethrough | alignleft aligncenter alignright alignjustify | styleselect formatselect fontselect fontsizeselect",
                    toolbar2: "cut copy paste | searchreplace | bullist numlist | outdent indent blockquote | undo redo | link unlink anchor image media code | insertdatetime preview | forecolor backcolor",
                    toolbar3: "table | hr removeformat | subscript superscript | charmap emoticons | print fullscreen | ltr rtl | spellchecker | visualchars visualblocks nonbreaking template pagebreak restoredraft",
                    menubar: false,
                    toolbar_items_size: 'small',
                    style_formats: [
                            {title: 'Bold text', inline: 'b'},
                            {title: 'Red text', inline: 'span', styles: {color: '#ff0000'}},
                            {title: 'Red header', block: 'h1', styles: {color: '#ff0000'}},
                            {title: 'Example 1', inline: 'span', classes: 'example1'},
                            {title: 'Example 2', inline: 'span', classes: 'example2'},
                            {title: 'Table styles'},
                            {title: 'Table row 1', selector: 'tr', classes: 'tablerow1'}
                    ],
                    templates: [
                            {title: 'Test template 1', content: 'Test 1'},
                            {title: 'Test template 2', content: 'Test 2'}
                    ]
                });
                function save_btn() {
                    var editor = (tinymce.get('text_area')).getContent();
                    console.log('editor',editor);
                    if(editor == '' || editor == undefined){
                        alert('Please Enter...');
                    }else{
                        $.ajax({
                            type: "post",
                            url: "<?php echo e(route('autonomous-level')); ?>",
                            headers: {
                                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                            },
                            data: {
                                ref: 'in_mail_sign',
                                editor: editor,
                                user_id: '<?php echo Auth::id(); ?>',
                            },
                            success: function(response){
                                // console.log('response',response);
                                if(response.message == 'completed'){
                                    window.onbeforeunload = null;
                                    alert('Signature added successfully...!')
                                    location.reload();
                                }
                                // images/RouteNote-UnitedMasters-removebg-preview.png
                            },
                            error: function(){}
                        });
                    }
                }
            </script>
        </div>
    </div>
<?php $__env->stopSection(); ?> 
<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\myinfo\smart-hub 6\Smarthub23Nov2024\resources\views/Mailsign.blade.php ENDPATH**/ ?>