<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Carbon\Carbon;
use App\Models\Task;       
use Mail;
use DateTimeZone;
class AllmailPlayController extends Controller
{

    public function Thread(Request $request) {
        function getCurrentDateTimeByCountry($country, $timeZones)
        {
            if (!array_key_exists($country, $timeZones)) {
                return "Invalid country.";
            }

            // Set the time zone
            $timeZone = $timeZones[$country];

            // Get the current datetime in the specified time zone
            $dateTime = Carbon::now(new DateTimeZone($timeZone));

            // Format the datetime
            return $dateTime->format('Y-m-d H:i:s');
        }

        // Example usage
        $countryTimeZones = [
            'USA' => 'America/New_York',
            'India' => 'Asia/Kolkata',
            'UK' => 'Europe/London',
            'Australia' => 'Australia/Sydney',
            'Canada' => 'America/Toronto',
            'Japan' => 'Asia/Tokyo',
            'Germany' => 'Europe/Berlin',
            'France' => 'Europe/Paris',
            'China' => 'Asia/Shanghai',
            'Brazil' => 'America/Sao_Paulo',
            'South Africa' => 'Africa/Johannesburg',
            'Russia' => 'Europe/Moscow',
            'Mexico' => 'America/Mexico_City',
        ];

        $country = 'UK'; // Example country
        $datetime = getCurrentDateTimeByCountry($country, $countryTimeZones);

        if($request->input('ref') == "In-Thread") {
            $ticketid = $request->input('ticketid');
            $userid = $request->input('userid');
            $profile = $request->input('profile');
            $comment = $request->input('comment');
            $name = $request->input('name');

            $res = DB::table('comm_internalthread')->insert([
                'ticketid' => $ticketid, 'message' => $comment, 'commentry_user' => $userid, 'name' => $name, 'image' => $profile, "datetime" => $datetime
            ]);
            if($res){
                $res = DB::table('comm_internalthread')->where('ticketid', $request->input('ticketid'))->orderBy('id', 'desc')->get();
                return response()->json(['success' => 'Comment Added Successfully', 'list' => $res]);
            }
        } else {
            $res = DB::table('comm_internalthread')->where('ticketid', $request->input('ticketid'))->orderBy('id', 'desc')->get();
            return response()->json($res);
        }
    }

    
    public function allmailnew(Request $request) {

        DB::table('comm_action')->where('action_name', $request['action'])->get();

        if($request->has('instant')){
            $instant = '1';
        }else{
            $instant = '0';
        }
        
        
                    $data = DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid1'])->get();
                   // $comment = $data[0]->notes;
                       $comment ='';
                    if($data[0]->uname && $data[0]->uid){
                        $uid = $data[0]->uid;
                        $uname = $data[0]->uname;
                        $upc = $data[0]->upc_id;
                        $user_name = $data[0]->uname;
                        $to = $data[0]->from_addr;
                       
                    }
                    else{
                        $data = DB::table('users')->where('mail', $data[0]->from_addr)->get();
                        $uid = $data[0]->uid;
                        $uname = $data[0]->name;
                        $user_name = $data[0]->name;
                        $to = $data[0]->mail;
                    }
                 
            
        
                    $flagtype = $request['flag'];
        
                   // $comment = $request['comment'];
                   // $comment = addslashes($comment);
                   
                  // $user_name = $data[0]->uname;
                   
        
                    $admin_uid = '11723';
                    $date = date("Y"); 
        
                    $role_name = DB::table('role')
                    ->join('users_roles', 'users_roles.rid', '=', 'role.rid')
                    ->where('users_roles.uid', $admin_uid)
                    ->value('role.name');
        
                    $role_name = $role->name ?? '';
                    $status = '1';
                if ($role_name !== 'admin') {
                    if($request['action'] == 'Close Thread' || $request['action'] == 'No Further Action'){
                    
                        $user = Auth::guard('staff')->user();
                        if($request['action'] == 'No Further Action'){
                            DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid1'])->update(['assigned_to' => $user->uid,'status'=>'No Further Action Needed','completed_at'=> NOW()]); 
    
                        }
                        else{
                            DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid1'])->update(['assigned_to' => $user->uid,'status'=>'Completed','completed_at'=> NOW()]); 
    
                        }
                        return response()->json(['success' => true, 'message' => 'Action done successfully.']);
    
                    }

                    
                  
          if($request['action'] == 'Disapprove all pending releases')
          {
        
        
    //         $nowdate = Carbon::now(); 
    //         $response = [];
            
            
    //         $query = DB::select(
    //             "SELECT * FROM release_table WHERE uid = ? AND status = 1 
    //              AND upc NOT IN (SELECT upc FROM disapproved_releases_logs WHERE uid = ?) 
    //              AND upc NOT IN (SELECT upc FROM approved_releases_logs WHERE uid = ?)",
    //             [$uid, $uid, $uid]
    //         );
            
           
        
    //         if (empty($query)) {
              
    //           // $status = '0';
    //           // $statusmsg =  "Please check your upc or artist userid";
    //            // $response = ["status" => "Please check your upc or artist userid"];
    //         //return response()->json($response);
    //         }
        
    //         foreach ($query as $disch) {
    //             $upc = $disch->upc;
    //             //$date = now()->format('Y-m-d H:i:s');
            
    //             $audioQuery = DB::table('audio as a')
    //                 ->join('node as n', 'a.nid', '=', 'n.nid')
    //                 ->select('n.nid', 'n.uid', 'a.isrc', 'a.upc')
    //                 ->where('a.upc', $upc)
    //                 ->where('n.status', 0)
    //                 ->whereIn('n.del_flag', [0, 1])
    //                 ->where('n.idle', 0)
    //                 ->where('n.disapproved', 0)
    //                 ->get();
    //    if(count($audioQuery) >0){
    //     foreach ($audioQuery as $res) {
    //         $node_id = $res->nid;
    //         $isrc_val = $res->isrc;
    //         $upc_val = $res->upc;
    //         $track_uid = $res->uid;
    
    //         DB::table('node')
    //             ->where('nid', $node_id)
    //             ->update(['disapproved' => 1]);
    
    //         $isrc = DB::table('audio')->where('nid', $node_id)->value('isrc');
    //         $uid = DB::table('node')->where('nid', $node_id)->value('uid');
    //         $track_url = DB::table('soundcloud_track_channel')->where('isrc', $isrc)->value('channel');
    
    //         DB::table('soundcloud_deleted_track_logs')->insert([
    //             'userid' => $uid,
    //             'upc' => $upc,
    //             'isrc' => $isrc,
    //             'track_url' => $track_url,
    //             'deleted_by' => $uid
    //         ]);
    
    //         DB::table('soundcloud_track_channel')->where('isrc', $isrc)->delete();
    //     }
    //    }
                
            
    //             $recordcount_val = DB::table('approved_releases_logs')->where('upc', $upc)->count();
            
    //             if ($recordcount_val != 0) {
    //                 DB::table('approved_releases_logs')
    //                     ->where('upc', $upc)
    //                     ->update([
    //                         'disapp_highlight' => 1,
    //                         'apdated_approve' => 'yes',
    //                         'update_approved_date' => $nowdate
    //                     ]);
            
    //                 DB::table('disapproved_releases_logs')->insert([
    //                     'uid' => $uid,
    //                     'upc' => $upc,
    //                     'admin_id' => $admin_uid,
    //                     'mail_content' => '0',
    //                     'date' => $date,
    //                     'update_releases' => 1
    //                 ]);
    //             } else {
    //                 DB::table('approved_releases_logs')->insert([
    //                     'uid' => $uid,
    //                     'upc' => $upc,
    //                     'admin_id' => $admin_uid,
    //                     'update_approved_date' => $nowdate,
    //                     'mail_content' => '0',
    //                     'disapp_highlight' => 1
    //                 ]);
            
    //                 DB::table('disapproved_releases_logs')->insert([
    //                     'uid' => $uid,
    //                     'upc' => $upc,
    //                     'admin_id' => $admin_uid,
    //                     'mail_content' => '0',
    //                     'date' => $nowdate
    //                 ]);
    //             }
            
    //             DB::table('myuploaded_audio_report')->where('upc', $upc)->update(['release_status' => 'Disapproved']);
    //            // DB::table('discography_api_report')->where('upc', $upc)->update(['release_status' => 'Disapproved']);
    //         }
            
            
        
       


          $content = '<td valign="top" class="textContent">
          <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$uname.'&#44;</strong></h3><br>
          <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>Your all releases has been disapproved based on your request.</p><br>
        <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
        <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
        </p></div>
        </td>';
        $subject = 'Disapprove all pending releases';
        
          }
                  
                else if($request['action'] == 'Adds a note to all RFS releases')
                    {
        
                        if($request->input('comment')){
                            $comment = $request->input('comment');
                          }else{
                            $comment = $request->input('comment1');
                          }
            
                    
                            $comment1 = $comment;
                           // $comment = addslashes($comment1);
                            
        
        $response = [];
        
        $query1 = DB::select("SELECT upc FROM discography_api_report WHERE uid = ? AND release_status = 'Removed from Sale'", [$uid]);
        $row_count1 = count($query1);
        
        if ($row_count1 == 0) {
            // $status = '0';
            // $statusmsg = "Please check your upc or artist userid";
            // $response = ["status" => "Please check your upc or artist userid"];
            // return response()->json($response);
        }
        
        if ($row_count1 > 0) {
            foreach ($query1 as $disch1) {
                $upc = $disch1->upc;
                $timestamp = Carbon::now()->timestamp; 
                $user_name = DB::select("SELECT name FROM users WHERE uid = ?", [$admin_uid]);
                $name = $user_name[0]->name;
        
                DB::insert('INSERT INTO audit_comments (upc, username, comments, date, uid, upc_location, filename, filepath, userid) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)', [
                    $upc, $name, $comment1, $timestamp, $admin_uid, '', '', '', $uid
                ]);
            }
        
        } else {
           // $response = ["status" => "Please check your user id"]; 
        //    $status = '0';
        //    $statusmsg =  "Please check your user id";
        }
        
        
        
        
            $content =  '<td valign="top" class="textContent">
            <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$uname.'&#44;</strong></h3><br>
            <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>Following comment added to all RFS releases belong to UID '.$uid.'.</p>
        <p><b>Comments :</b> '.$comment.' </p><br>
        <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
        <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
        </p></div>
        </td>';
        
        $subject = 'Add a notes to all RFS releases';
                          
        
           
                    }   
        
                    else if($request['action'] == 'Delete all unfinished releases')
                    {
        
                        
                        // $response = [];
                      
                 
                        // $releases = DB::select("SELECT * FROM release_table WHERE uid = ?  AND status = 0", [$uid]);
                        // $row_count = count($releases);
                        
                        // if ($row_count == 0) {
                        //     // $response = ["status" => "Please check your upc or artist userid"];
                        //     // return response()->json($response);
                        //     $status = '0';
                        //     $statusmsg = "Please check your upc or artist userid";
                        // }
                        
                        // if ($row_count > 0) {
                        //     foreach ($releases as $release) {
                        //         $upc = $release->upc;
                        //         $timestamp = Carbon::now()->timestamp; 

                        //         $SQL = DB::select("SELECT upc FROM release_table WHERE upc = ?", [$upc]);
                        //         $sqlcount = count($SQL);
                        //         if ($sqlcount == 0) {
                        //         $SQL = DB::select("SELECT nid FROM audio WHERE upc = ?", [$upc]);
                        //         $sqlcount = count($SQL);
                              
                        //            // DB::insert('INSERT INTO deleted_release_logs (upc, release_uid, login_uid) VALUES (?, ?, ?)', [$upc, $uid, $uid]);
                        //            // Pending Moderation
                        //             foreach ($SQL as $nodedel) {
                        //                 $nids = $nodedel->nid;
                        //                 DB::update("UPDATE node SET del_flag = 1 WHERE nid = ?", [$nids]);
                        //             }
                        
                        //             // DB::delete("DELETE FROM album_metadata WHERE upc_id = ?", [$upc]);
                        //             // DB::delete("DELETE FROM release_table WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM audio WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM album_metadata WHERE upc_id = ?", [$upc]);
                        //             // DB::delete("DELETE FROM album_distribution WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM release_coverart WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM release_pricing WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM release_territory WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM discography_api_details WHERE upc = ?", [$upc]);
                        
                        //            // DB::update("UPDATE upc_tracklist SET delete_userid = ?, deleted_date = ?, reused_status = 1 WHERE upc = ? AND create_userid = ? AND reused_status = 0", [$uid, $timestamp, $upc, $uid]);
                        //             DB::update("UPDATE discography_api_report SET release_status = 'DELETED' WHERE upc = ?", [$upc]);
                        //             DB::update("UPDATE myuploaded_audio_report SET release_status = 'DELETED' WHERE upc = ?", [$upc]);
                        //             DB::update("UPDATE releases_logs SET deleted_uid = ?, deleted_status = 1 WHERE upc = ?", [$uid, $upc]);
                        //         } else {
                                
                        //             DB::insert('INSERT INTO deleted_release_logs (upc, release_uid, login_uid) VALUES (?, ?, ?)', [$upc, $uid, $uid]);
                        //             $SQL = DB::select("SELECT nid FROM audio WHERE upc = ?", [$upc]);
                        //             $sqlcount = count($SQL);
                        //             foreach ($SQL as $nodedel) {
                        //                 $nids = $nodedel->nid;
                        //                 DB::update("UPDATE node SET del_flag = 1 WHERE nid = ?", [$nids]);
                        //             }
                        
                                    
                        //             // DB::delete("DELETE FROM album_metadata WHERE upc_id = ?", [$upc]);
                        //             // DB::delete("DELETE FROM release_table WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM audio WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM album_metadata WHERE upc_id = ?", [$upc]);
                        //             // DB::delete("DELETE FROM album_distribution WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM release_coverart WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM release_pricing WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM release_territory WHERE upc = ?", [$upc]);
                        //             // DB::delete("DELETE FROM discography_api_details WHERE upc = ?", [$upc]);
                        
                        //             DB::update("UPDATE upc_tracklist SET delete_userid = ?, deleted_date = ?, reused_status = 1 WHERE upc = ? AND create_userid = ? AND reused_status = 0", [$uid, $timestamp, $upc, $uid]);
                        //             DB::update("UPDATE discography_api_report SET release_status = 'DELETED' WHERE upc = ?", [$upc]);
                        //             DB::update("UPDATE myuploaded_audio_report SET release_status = 'DELETED' WHERE upc = ?", [$upc]);
                        //             DB::update("UPDATE releases_logs SET deleted_uid = ?, deleted_status = 1 WHERE upc = ?", [$uid, $upc]);
                        //         }
                        //     }
                        
                          
                        // } else {
                        //    // $response = ["status" => "No pending moderation release for the user"];
                        //     // $status = '0';
                        //     // $statusmsgs = 'No pending moderation release for the user';
                        // }
      
        
                    $content = '	<td valign="top" class="textContent">
                    <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$uname.'&#44;</strong></h3><br>
                    <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>All Unfinished Releases have been deleted based on your request</p><br>
        <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
        <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
        </p></div>
                </td>';
                  $subject = 'Delete all unfinished releases';
        
                        
                    }
                 
                    else if($request['action'] == 'Adds a flag to the account')
                    {
                  
            
                    $result = array();
        
              


                   if($request->input('flag') != "null"){
                    $flagtype = $request->input('flag');
                  }else{
                    $flagtype = $request->input('flag1');
                  }
    
                  if($request->input('comment')){
                    $comment = $request->input('comment');
                  }else{
                    $comment = $request->input('comment1');
                  }
                 
            
                    $comment1 = $comment;
                    $comment = addslashes($comment1);
                    
                  
                    $time = Carbon::now()->timestamp; 
        
                    $user = DB::table('users')
                        ->where('uid', $uid)
                        ->first();
                
                    if (!$user) {
                        //return response()->json(['status' => 'Please check your user id']);
                        // $status = '0';
                        // $statusmsg = 'Please check your user id';
                    }
                
                   
                    if ($flagtype != "") {
                        // Insert into flag_comment table
                        DB::table('flag_comment')->insert([
                            'uid' => $uid,
                            'flagtype' => $flagtype,
                            'comment' => "<p>" . $comment . "</p>",
                            'timestamp' => $time,
                            'admin_id' => $admin_uid,
                        ]);
                
                        // Insert into fsa_existing_new table
                        DB::table('fsa_existing_new')->insert([
                            'uid' => $uid,
                            'flagtype' => $flagtype,
                            'email_address' => '',
                            'paypal_id' => '',
                            'comment' => "<p>" . $comment . "</p>",
                            'timestamp' => $time,
                            'admin_id' => $admin_uid,
                            'Flagged_term' => ''
                        ]);
                    }
                    
        
                        $content = '<td valign="top" class="textContent">
                        <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$uname.'&#44;</strong></h3><br>
                        <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>All releases belong to UID '.$uid.' has been marked as '.$flagtype.'.</p>
        <p><b>Comments :</b> '.$comment1.' </p><br>
        
        <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
        <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
        </p></div>
                    </td>';
                    $subject = 'Adds a Flag to the Account';
                
                        
                    }
        
        
                    else if($request['action'] == 'RFS all active releases')
                    {
                        
                        $time = Carbon::now()->timestamp;
        
              
                        $releases =   DB::select("
                        SELECT a.upc
                        FROM node n
                        LEFT JOIN audio a ON n.nid = a.nid
                        LEFT JOIN release_table rt ON rt.upc = a.upc
                        LEFT JOIN discography_api_report dar ON a.upc = dar.upc AND dar.uid = :uid1 AND dar.release_status = 'Removed from Sale'
                        WHERE n.status = 1
                        AND n.del_flag = 0
                        AND n.moderate = 0
                        AND n.type = 'audio'
                        AND rt.uid = :uid2
                        AND dar.upc IS NULL
                        GROUP BY a.upc
                    ", ['uid1' => $uid, 'uid2' => $uid]);

                        
                        $response = [];
                        
                        if (empty($releases)) {
                           // $response = ['status' => 'Please check your UPC or artist userid'];
                          // $status = '0';
                           //$statusmsg ='Please check your UPC or artist userid';
                        } else {
                            foreach ($releases as $release) {
                                $upc = $release->upc;
                        
                                // Get distributors for the current UPC
                                $distributors = DB::select("
                                    SELECT distributors
                                    FROM album_distribution
                                    WHERE upc = :upc
                                ", ['upc' => $upc]);
                        
                                if ($distributors) {
                                    $distributors_arr = array_unique(array_map('trim', explode(',', str_replace(['[', ']'], '', $distributors[0]->distributors))));
                        
                                    foreach ($distributors_arr as $distributor) {
                                        // Get the nodes associated with the UPC
                                        $audioNodes = DB::select("
                                            SELECT nid
                                            FROM audio
                                            WHERE upc = :upc
                                        ", ['upc' => $upc]);
                        
                                        foreach ($audioNodes as $audioNode) {
                                            $nid = $audioNode->nid;
                                            $routeAudioDistribution = DB::select("
                                                SELECT prepage
                                                FROM route_audio_distribution
                                                WHERE nid = :nid
                                                AND did IN (:distributor)
                                                AND did NOT IN (0, 1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 14, 19, 23, 26, 20, 25)
                                            ", ['nid' => $nid, 'distributor' => $distributor]);
                        
                                            if ($routeAudioDistribution) {
                                                $wwid = $routeAudioDistribution[0]->prepage;
                                                if ($wwid != '' && $wwid != '0') {
                                                    // Update the route audio distribution with the correct info
                                                    DB::update("
                                                        UPDATE route_audio_distribution
                                                        SET wid = :wid, prepage = 0, tkid = 1
                                                        WHERE nid = :nid
                                                        AND did IN (:distributor)
                                                    ", ['wid' => $wwid, 'nid' => $nid, 'distributor' => $distributor]);
                                                } else {
                                                    DB::update("
                                                        UPDATE route_audio_distribution
                                                        SET tkid = 1, prepage = 0
                                                        WHERE nid = :nid
                                                        AND did IN (:distributor)
                                                    ", ['nid' => $nid, 'distributor' => $distributor]);
                                                }
                                            }
                                        }
                                    }
                                }
                        
                                // Query to check if any distribution exists for this UPC
                                $distributionCheck = DB::select("
                                    SELECT COUNT(DISTINCT n.nid) as count
                                    FROM audio a
                                    LEFT JOIN node n ON n.nid = a.nid
                                    LEFT JOIN route_audio_distribution rad ON rad.nid = a.nid
                                    WHERE a.upc = :upc
                                    AND n.status = 1
                                    AND rad.wid IN (1, 2, 3, 4)
                                ", ['upc' => $upc]);
                        
                                if ($distributionCheck[0]->count > 0) {
                                    // Log the removal action
                                    $admin_name_chk = DB::select("
                                        SELECT name
                                        FROM users
                                        WHERE uid = :admin_uid
                                    ", ['admin_uid' => $admin_uid]);
                        
                                    $admin_name = $admin_name_chk[0]->name;
                                    DB::insert("
                                        INSERT INTO update_review_log (admin_uid, admin_name, upc, action, date)
                                        VALUES (:admin_uid, :admin_name, :upc, 'Removed from Sale by', NOW())
                                    ", ['admin_uid' => $admin_uid, 'admin_name' => $admin_name, 'upc' => $upc]);
                        
                                    // Update the release logs, sales log, and other relevant tables
                                    DB::update("
                                        UPDATE releases_logs
                                        SET removed = NOW()
                                        WHERE upc = :upc
                                        AND deleted_status = 0
                                    ", ['upc' => $upc]);
                        
                                    DB::update("
                                        UPDATE removed_sales_log
                                        SET last_update = 0
                                        WHERE upc = :upc
                                    ", ['upc' => $upc]);
                        
                                    DB::insert("
                                        INSERT INTO removed_sales_log (upc, adminid, date, last_update)
                                        VALUES (:upc, :admin_uid, :time, 1)
                                    ", ['upc' => $upc, 'admin_uid' => $admin_uid, 'time' => $time]);
                        
                                    DB::update("
                                        UPDATE myuploaded_audio_report
                                        SET release_status = 'Removed from Sale'
                                        WHERE upc = :upc
                                    ", ['upc' => $upc]);
                        
                                    DB::update("
                                        UPDATE discography_api_report
                                        SET release_status = 'Removed from Sale', removed_at = NOW()
                                        WHERE upc = :upc
                                    ", ['upc' => $upc]);
                        
                                    DB::update("
                                        UPDATE approving_user_updates
                                        SET present_id = 1
                                        WHERE upc = :upc
                                    ", ['upc' => $upc]);
                        
                                    DB::update("
                                        UPDATE moderation_upc_ls
                                        SET m_status = 'OLD'
                                        WHERE upc = :upc
                                    ", ['upc' => $upc]);
                        
                                   
                                }
                            }
                        }
                        
                
                
                    
        
                       $content =  '<td valign="top" class="textContent">
                        <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$uname.'&#44;</strong></h3><br>
                        <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>All the releases in your account are removed from sale as per your request.</p><br>
        <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
        <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
        </p></div>
                    </td>';
        
                    $subject = 'RFS all active releases';
             
                    }
        
                    else  if($request['action'] == 'Manual Account Activation')
                    {
                        $a = $uid;
                        $userActive = DB::table('user_active_link_table')
                ->where('uid', $a)
                ->where('active_status', 0)
                ->first();
        
            if ($userActive) {
              
                $passwordData = DB::table('signup_temp')
                    ->where('uid', $a)
                    ->first();
                
               
                if ($passwordData) {
                    $passwd = $passwordData->pass;
        
                    // Fetch the user's name from the users table
                    $userData = DB::table('users')
                        ->where('uid', $a)
                        ->first();
        
                    if ($userData) {
                        $namevalue = $userData->name;
        
                        // Hash the password using Laravel's bcrypt function
                        $userpwd = Hash::make($passwd);
        
                        // Update user_active_link_table to set active_status = 1
                        DB::table('user_active_link_table')
                            ->where('uid', $a)
                            ->update(['active_status' => 1]);
        
                        // Update the user's password in the users table
                        DB::table('users')
                            ->where('uid', $a)
                            ->update(['pass' => $userpwd]);
        
                      
        
                        
                    }
            }
        
                        
                    }
        
        
        
            $content =  ' <td valign="top" class="textContent">
            <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$uname.'&#44;</strong></h3><br>
            <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>Your Account have been activated.</p><br><p>Please check and confirm.</p>
        <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
        <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
        </p></div>
        </td>';
        
        $subject = 'Manual Account Activation';
        
                }
                else if($request['action'] == 'Takedown for all stores')
                    {
        
                        $time = Carbon::now()->timestamp;
        
                        
                        $releases = DB::select("
                        SELECT a.upc
                        FROM node n
                        LEFT JOIN audio a ON n.nid = a.nid
                        LEFT JOIN release_table rt ON rt.upc = a.upc
                        WHERE n.status = 1
                        AND n.del_flag = 0
                        AND n.moderate = 0
                        AND n.type = 'audio'
                        AND rt.uid = :uid1
                        AND a.upc NOT IN (
                            SELECT upc 
                            FROM discography_api_report 
                            WHERE uid = :uid2 
                            AND release_status = 'Removed from Sale'
                        )
                        GROUP BY a.upc
                    ", ['uid1' => $uid, 'uid2' => $uid]);
                       
                        
                        if (empty($releases)) {
                            //$response = ['status' => 'Please check your UPC or artist user ID'];
                            //return response()->json($response);
                            // $status = '0';
                            // $statusmsg = 'Please check your UPC or artist userid';
                        }else{

                       
                        
                        // Assuming $upc is provided or found in your logic
                        $distributors = DB::select("
                            SELECT distributors
                            FROM album_distribution
                            WHERE upc = :upc
                        ", ['upc' => $upc]);
                        
                        if ($distributors) {
                            $distributors_arr_val = str_replace(['[', ']'], '', $distributors[0]->distributors);
                            $array_folder = array_unique(explode(',', $distributors_arr_val));
                        
                            foreach ($array_folder as $tech_count) {
                                // Fetch NID and ISRC
                                $nid_query1 = DB::select("
                                    SELECT nid, isrc 
                                    FROM audio 
                                    WHERE upc = :upc
                                ", ['upc' => $upc]);
                        
                                foreach ($nid_query1 as $nid_query_arr1) {
                                    // Get prepage for specific distributors
                                    $re = DB::select("
                                        SELECT prepage
                                        FROM route_audio_distribution
                                        WHERE nid = :nid 
                                        AND did IN (:distributor)
                                        AND did NOT IN (0,1,2,3,4,6,7,8,9,10,11,14)
                                    ", ['nid' => $nid_query_arr1->nid, 'distributor' => $tech_count]);
                        
                                    $wwid = $re[0]->prepage ?? '';
                                    if ($wwid && $wwid != '0') {
                                        DB::update("
                                            UPDATE route_audio_distribution
                                            SET wid = :wid, prepage = 0, tkid = 1
                                            WHERE nid = :nid
                                            AND did IN (:distributor)
                                        ", ['wid' => $wwid, 'nid' => $nid_query_arr1->nid, 'distributor' => $tech_count]);
                                    } else {
                                        DB::update("
                                            UPDATE route_audio_distribution
                                            SET tkid = 1, prepage = 0
                                            WHERE nid = :nid
                                            AND did IN (:distributor)
                                        ", ['nid' => $nid_query_arr1->nid, 'distributor' => $tech_count]);
                                    }
                                }
                            }
                        }
                        
                        // Check for active distribution of the UPC
                        $distributionCheck = DB::select("
                            SELECT COUNT(DISTINCT n.nid) AS count
                            FROM audio a
                            LEFT JOIN node n ON n.nid = a.nid
                            LEFT JOIN route_audio_distribution rad ON rad.nid = a.nid
                            WHERE a.upc = :upc
                            AND n.status = 1
                            AND rad.wid IN (1, 2, 3, 4)
                        ", ['upc' => $upc]);
                        
                        if ($distributionCheck[0]->count > 0) {
                            // Get admin details
                            $admin_name_chk = DB::select("
                                SELECT name
                                FROM users
                                WHERE uid = :admin_uid
                            ", ['admin_uid' => $admin_uid]);
                        
                            $admin_name = $admin_name_chk[0]->name;
                        
                            // Insert into update_review_log
                            DB::insert("
                                INSERT INTO update_review_log (admin_uid, admin_name, upc, action, date)
                                VALUES (:admin_uid, :admin_name, :upc, 'Removed from Sale by', NOW())
                            ", ['admin_uid' => $admin_uid, 'admin_name' => $admin_name, 'upc' => $upc]);
                        
                            // Update the release logs and sales log
                            DB::update("
                                UPDATE releases_logs
                                SET removed = NOW()
                                WHERE upc = :upc
                                AND deleted_status = 0
                            ", ['upc' => $upc]);
                        
                            DB::update("
                                UPDATE removed_sales_log
                                SET last_update = 0
                                WHERE upc = :upc
                            ", ['upc' => $upc]);
                        
                            DB::insert("
                                INSERT INTO removed_sales_log (upc, adminid, date, last_update)
                                VALUES (:upc, :admin_uid, :time, 1)
                            ", ['upc' => $upc, 'admin_uid' => $admin_uid, 'time' => $time]);
                        
                            DB::update("
                                UPDATE myuploaded_audio_report
                                SET release_status = 'Removed from Sale'
                                WHERE upc = :upc
                            ", ['upc' => $upc]);
                        
                            DB::update("
                                UPDATE discography_api_report
                                SET release_status = 'Removed from Sale', removed_at = NOW()
                                WHERE upc = :upc
                            ", ['upc' => $upc]);
                        
                            DB::update("
                                UPDATE approving_user_updates
                                SET present_id = 1
                                WHERE upc = :upc
                            ", ['upc' => $upc]);
                        
                            DB::update("
                                UPDATE moderation_upc_ls
                                SET m_status = 'OLD'
                                WHERE upc = :upc
                            ", ['upc' => $upc]);
                        
                          
                        }
                    }
                  
        
        $content =  '	<td valign="top" class="textContent">
        <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$uname.'&#44;</strong></h3><br>
        <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>Your release <strong>'.$upc.'</strong> has been taken-down from all stores based on your request.</p><br>
        <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
        <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
        </p></div>
        </td>';
        
        $subject = 'Takedown for all stores';
                    }
                    else if($request['action'] == 'Unlinks all YT channels')
                    {
                        
                        $role_name = DB::table('role as r')
                ->join('users_roles as ur', 'ur.rid', '=', 'r.rid')
                ->where('ur.uid', $admin_uid)
                ->value('r.name');
        
            $result = [];
        
            // Check if the admin is not an 'admin' role
            if ($role_name != 'admin') {
                // $result = ["status" => "You cannot authorize to request this service"];
                // // return response()->json($result);
                // $status = '0';
                // $statusmsg = "You cannot authorize to request this service";
            }
        
            $youtube_channel = DB::table('youtube_channel')
                ->where('uid', $uid)
                ->first();
        
            if (!$youtube_channel) {
                $result = ["status" => "Please check your userid"];
                return response()->json($result);
            }
        
            DB::table('youtube_channel')
                ->where('uid', $uid)
                ->update(['status' => 3]);
        
            $user_name = DB::table('users')
                ->where('uid', $uid)
                ->value('name');
        
        
                $content =  '<td valign="top" class="textContent">
                <h3 style="color:#1355AC;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:20px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:left;"><strong>Dear '.$uname.'&#44;</strong></h3><br>
                <div style="text-align:left;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;margin-top:3px;color:#000000;line-height:150%;"><p>All YT channels unlinked from your account as per your request.</p><br>
        <span style="font-size:16px;text-align:center;">Many Warm Regards&#44;</span><br>
        <span style="color:#1355ac;font-size:16px; font-style:italic;"><strong>The RouteNote Team</strong></span>
        </p></div>
            </td>';
            
            $subject = 'Unlink All Youtube Channels';
        
                    }
                    if($status != '0'){
        $body = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <meta name="format-detection" content="telephone=no" /> <!-- disable auto telephone linking in iOS -->
            <style type="text/css">
            #emailstart{margin-top: -1rem;}
            #emailstar1:hover{color: #deb217;}
            #emailstar1:hover~a{color: #deb217;}
            #emailstar1:checked~a{color: #ffc700;}
            </style>
            <title>Your Release requires your action.</title>
            <style type="text/css">
                /* RESET STYLES */
                html { background-color:#EEEEEE; margin:0; padding:0; }
                body, #bodyTable, #bodyCell, #bodyCell{height:100% !important; margin:0; padding:0; width:100% !important; font-family: Arial,Helvetica,sans-serif;;}
                table{border-collapse:collapse;}
                table[id=bodyTable] {width:100%!important;margin:auto;max-width:500px!important;color:#000000;font-weight:normal;}
                img, a img{border:0; outline:none; text-decoration:none;height:auto; line-height:100%;}
                a {text-decoration:none !important;border-bottom: 1px solid; font-size:16px !important;}
                h1, h2, h3, h4, h5, h6{color:#1355ac; font-weight:bold; font-family: Arial,Helvetica,sans-serif; font-size:20px; line-height:125%; text-align:left; letter-spacing:normal;margin-top:0;margin-right:0;margin-bottom:10px;margin-left:0;padding-top:0;padding-bottom:0;padding-left:0;padding-right:0;}
        
                /* CLIENT-SPECIFIC STYLES */
                .ReadMsgBody{width:100%;} .ExternalClass{width:100%;} /* Force Hotmail/Outlook.com to display emails at full width. */
                .ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div{line-height:100%;} /* Force Hotmail/Outlook.com to display line heights normally. */
                table, td{mso-table-lspace:0pt; mso-table-rspace:0pt;} /* Remove spacing between tables in Outlook 2007 and up. */
                #outlook a{padding:0;} /* Force Outlook 2007 and up to provide a "view in browser" message. */
                img{-ms-interpolation-mode: bicubic;display:block;outline:none; text-decoration:none;} /* Force IE to smoothly render resized images. */
                body, table, td, p, a, li, blockquote{-ms-text-size-adjust:100%; -webkit-text-size-adjust:100%; font-weight:normal!important;} /* Prevent Windows- and Webkit-based mobile platforms from changing declared text sizes. */
                .ExternalClass td[class="ecxflexibleContainerBox"] h3 {padding-top: 10px !important;} /* Force hotmail to push 2-grid sub headers down */
        
                /* /\/\/\/\/\/\/\/\/ TEMPLATE STYLES /\/\/\/\/\/\/\/\/ */
        
                /* ========== Page Styles ========== */
                h1{display:block;font-size:24px;font-style:normal;font-weight:normal;line-height:100%;}
                h2{display:block;font-size:20px;font-style:normal;font-weight:normal;line-height:120%;}
                h3{display:block;font-size:16px;font-style:normal;font-weight:normal;line-height:110%;}
                h4{display:block;font-size:14px;font-style:italic;font-weight:normal;line-height:100%;}
                .flexibleImage{height:auto;}
                .linkRemoveBorder{border-bottom:0 !important;}
                table[class=flexibleContainerCellDivider] {padding-bottom:0 !important;padding-top:0 !important;}
        
                body, #bodyTable{background-color:#EEEEEE;}
                #emailHeader{background-color:#FFFFFF;}
                #emailBody{background-color:#FFFFFF;}
                #emailFooter{background-color:#E1E1E1;}
                .nestedContainer{background-color:#F8F8F8; border:2px solid #1355ac;}
                .emailButton{background-color:#205478; border-collapse:separate;}
                .buttonContent{color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:18px; font-weight:bold; line-height:100%; padding:15px; text-align:center;}
                .buttonContent a{color:#FFFFFF; display:block; text-decoration:none!important; border:0!important;}
                .emailCalendar{background-color:#FFFFFF; border:2px solid #1355ac;}
                .emailCalendarMonth{background-color:#1355ac; color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:16px; font-weight:bold; padding-top:10px; padding-bottom:10px; text-align:center;}
                .emailCalendarDay{color:#1355ac; font-family: Arial,Helvetica,sans-serif; font-size:60px; font-weight:bold; line-height:100%; padding-top:20px; padding-bottom:20px; text-align:center;}
                .imageContentText {margin-top: 10px;line-height:0;}
                .imageContentText a {line-height:0;}
                #invisibleIntroduction {display:none !important;} /* Removing the introduction text from the view */
        
                /*FRAMEWORK HACKS & OVERRIDES */
                span[class=ios-color-hack] a {color:#1355ac!important;text-decoration:none!important;} /* Remove all link colors in IOS (below are duplicates based on the color preference) */
                span[class=ios-color-hack2] a {color:#1355ac!important;text-decoration:none!important;}
                span[class=ios-color-hack3] a {color:#1355ac!important;text-decoration:none!important;}
                /* A nice and clean way to target phone numbers you want clickable and avoid a mobile phone from linking other numbers that look like, but are not phone numbers.  Use these two blocks of code to "unstyle" any numbers that may be linked.  The second block gives you a class to apply with a span tag to the numbers you would like linked and styled.
                Inspired by Campaign Monitor\'s article on using phone numbers in email: http://www.campaignmonitor.com/blog/post/3571/using-phone-numbers-in-html-email/.
                */
                .a[href^="tel"], a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:none!important;cursor:default!important;}
                .mobile_link a[href^="tel"], .mobile_link a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:auto!important;cursor:default!important;}
        
        
                /* MOBILE STYLES */
                @media only screen and (max-width: 480px){
                    /*////// CLIENT-SPECIFIC STYLES //////*/
                    body{width:100% !important; min-width:100% !important;} /* Force iOS Mail to render the email at full width. */
        
                    /* FRAMEWORK STYLES */
                    /*
                    CSS selectors are written in attribute
                    selector format to prevent Yahoo Mail
                    from rendering media query styles on
                    desktop.
                    */
                    /*td[class="textContent"], td[class="flexibleContainerCell"] { width: 100%; padding-left: 10px !important; padding-right: 10px !important; }*/
                    table[id="emailHeader"],
                    table[id="emailBody"],
                    table[id="emailFooter"],
                    table[class="flexibleContainer"],
                    td[class="flexibleContainerCell"] {width:100% !important;}
                    td[class="flexibleContainerBox"], td[class="flexibleContainerBox"] table {display: block;width: 100%;text-align: left;}
                    /*
                    The following style rule makes any
                    image classed with \'flexibleImage\'
                    fluid when the query activates.
                    Make sure you add an inline max-width
                    to those images to prevent them
                    from blowing out.
                    */
                    td[class="imageContent"] img {height:auto !important; width:100% !important; max-width:100% !important; }
                    img[class="flexibleImage"]{height:auto !important; width:100% !important;max-width:100% !important;}
                    img[class="flexibleImageSmall"]{height:auto !important; width:auto !important;}
        
        
                    /*
                    Create top space for every second element in a block
                    */
                    table[class="flexibleContainerBoxNext"]{padding-top: 10px !important;}
        
                    /*
                    Make buttons in the email span the
                    full width of their container, allowing
                    for left- or right-handed ease of use.
                    */
                    table[class="emailButton"]{width:100% !important;}
                    td[class="buttonContent"]{padding:0 !important;}
                    td[class="buttonContent"] a{padding:15px !important;}
        
                }
        
                /*  CONDITIONS FOR ANDROID DEVICES ONLY
                *   http://developer.android.com/guide/webapps/targeting.html
                *   http://pugetworks.com/2011/04/css-media-queries-for-targeting-different-mobile-devices/ ;
                =====================================================*/
        
                @media only screen and (-webkit-device-pixel-ratio:.75){
                    /* Put CSS for low density (ldpi) Android layouts in here */
                }
        
                @media only screen and (-webkit-device-pixel-ratio:1){
                    /* Put CSS for medium density (mdpi) Android layouts in here */
                }
        
                @media only screen and (-webkit-device-pixel-ratio:1.5){
                    /* Put CSS for high density (hdpi) Android layouts in here */
                }
                /* end Android targeting */
        
                /* CONDITIONS FOR IOS DEVICES ONLY
                =====================================================*/
                @media only screen and (min-device-width : 320px) and (max-device-width:568px) {
        
                }
                /* end IOS targeting */
            </style>
            <!--
                Outlook Conditional CSS
        
                These two style blocks target Outlook 2007 & 2010 specifically, forcing
                columns into a single vertical stack as on mobile clients. This is
                primarily done to avoid the \'page break bug\' and is optional.
        
                More information here:
                http://templates.mailchimp.com/development/css/outlook-conditional-css
            -->
            <!--[if mso 12]>
                <style type="text/css">
                    .flexibleContainer{display:block !important; width:100% !important;}
                </style>
            <![endif]-->
            <!--[if mso 14]>
                <style type="text/css">
                    .flexibleContainer{display:block !important; width:100% !important;}
                </style>
            <![endif]-->
        </head>
        <body bgcolor="#E1E1E1" leftmargin="0" marginwidth="0" topmargin="0" marginheight="0" offset="0">
        
            <!-- CENTER THE EMAIL // -->
            <!--
            1.  The center tag should normally put all the
                content in the middle of the email page.
                I added "table-layout: fixed;" style to force
                yahoomail which by default put the content left.
        
            2.  For hotmail and yahoomail, the contents of
                the email starts from this center, so we try to
                apply necessary styling e.g. background-color.
            -->
            <center style="background-color:#FFFFFF;">
                <table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" id="bodyTable" style="table-layout: fixed;max-width:100% !important;width: 100% !important;min-width: 100% !important;">
                    <tr>
                        <td align="center" valign="top" id="bodyCell">
        
                            <!-- EMAIL HEADER // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#FFFFFF" border="0" cellpadding="0" cellspacing="0" width="500" id="emailHeader">
        
                                <!-- HEADER ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="10" cellspacing="0" width="500" class="flexibleContainer">
                                                        <tr>
                                                            <td valign="top" width="500" class="flexibleContainerCell">
        
                                                                <!-- CONTENT TABLE // -->
                                                                <table align="left" border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                    <tr>
                                                                        <!--
                                                                            The "invisibleIntroduction" is the text used for short preview
                                                                            of the email before the user opens it (50 characters max). Sometimes,
                                                                            you do not want to show this message depending on your design but this
                                                                            text is highly recommended.
        
                                                                            You do not have to worry if it is hidden, the next <td> will automatically
                                                                            center and apply to the width 100% and also shrink to 50% if the first <td>
                                                                            is visible.
                                                                        -->
                                                                        <td align="left" valign="middle" id="invisibleIntroduction" class="flexibleContainerBox" style="display:none !important; mso-hide:all;">
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                <tr>
                                                                                    <td align="left" class="textContent">
                                                                                        <div style="font-family: Arial,Helvetica,sans-serif;font-size:13px;color:#828282;text-align:center;line-height:120%;">
                                                                                            Your release has been flagged by our moderation team and requires your attention.
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                        <td align="right" valign="middle" class="flexibleContainerBox">
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                <tr>
                                                                                    <td align="left" class="textContent">
                                                                                        <!-- CONTENT // -->
                                                                                        
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // END -->
        
                            </table>
                            <!-- // END -->
        
                            <!-- EMAIL BODY // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#FFFFFF"  border="0" cellpadding="0" cellspacing="0" width="500" id="emailBody">
        
                                <!-- MODULE ROW // -->
                                <!--
                                    To move or duplicate any of the design patterns
                                    in this email, simply move or copy the entire
                                    MODULE ROW section for each content block.
                                -->
        
        
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <!--
                                            The centering table keeps the content
                                            tables centered in the emailBody table,
                                            in case its width is set to 100%.
                                        -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" style="color:#FFFFFF;" bgcolor="#1355ac">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <!--
                                                        The flexible container has a set width
                                                        that gets overridden by the media query.
                                                        Most content tables within can then be
                                                        given 100% widths.
                                                    -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#1355ac">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
        
                                                                <!-- CONTENT TABLE // -->
                                                                <!--
                                                                The content table is the first element
                                                                    that\'s entirely separate from the structural
                                                                    framework of the email.
                                                                -->
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#1355AC">
                                                                    <tr>
                                                                        <td align="center" valign="top" class="textContent">
                                                                            <a href="https://routenote.com/" target="_blank"><img src="https://www.routenote.com/rn/images/activation_email_rnlogo.jpg" width="500" class="flexibleImage" style="max-width:500px;width:100%;display:block;color:#ffffff;" alt="RouteNote" title="RouteNote" /></a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                                
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->
        
                                <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#FFFFFF">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                    <tr>
                                                                        <td align="center" valign="top">
        
                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                                <tr>
                                                                                  '.$content.'
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->
        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->
        
        
                                    <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#000000">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#000000">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#000000">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#000000">
                                                                    <tr>
                                                                        <td align="center" valign="top">
        
                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <!--
                                                                                            The "mc:edit" is a feature for MailChimp which allows
                                                                                            you to edit certain row. It makes it easy for you to quickly edit row sections.
                                                                                            http://kb.mailchimp.com/templates/code/create-editable-content-areas-with-mailchimps-template-language
                                                                                        -->
                                                                                        <h3 mc:edit="header" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:center;"><a href="https://routenote.com/" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;text-align:center; text-decoration:none !important;" target="_blank"><strong>Visit your Account &#62;</strong></a></h3><br>
                                                                                        <div mc:edit="body" style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;color:#FFFFFF;line-height:150%;">Head over to your account now to continue working through your releases.<br></div>
        
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->
        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->
        
        
                                <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#ffffff">
                                                        
                                                    <tr>
                                                    <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                        <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                            <tr>
                                                                <td align="center" valign="top">
        
                                                                    <!-- CONTENT TABLE // -->
                                                                    <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                        <tr>
                                                                            <td valign="top" class="textContent">
                                                                                <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                If we exceeded your expectations, please consider leaving us a review on <a href="" style="color:#1355ac;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Routenote reviews</a>
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <!-- // CONTENT TABLE -->
        
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    </tr>
        
                                                    <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                    <tr>
                                                                        <td align="center" valign="top">
        
                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                        <a href="https://www.facebook.com/routenote?_rdr=p" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Facebook</a>
                                                                                        <a href="https://www.youtube.com/user/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Youtube</a>
                                                                                        <a href="https://twitter.com/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Twitter</a>
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->
        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                                <table>
                                                    
                                                            
                                                            </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->
        
                            </table>
                            <!-- // END -->
        
                            <!-- EMAIL FOOTER // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#E1E1E1" border="0" cellpadding="0" cellspacing="0" width="500" id="emailFooter">
        
                                <!-- FOOTER ROW // -->
                                <!--
                                    To move or duplicate any of the design patterns
                                    in this email, simply move or copy the entire
                                    MODULE ROW section for each content block.
                                -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#E1E1E1">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#E1E1E1">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%">
                                                                    <tr>
                                                                        <td valign="top" bgcolor="#FAFAFA">
        
                                                                            <div style="font-family: Arial,Helvetica,sans-serif;font-size:12px;color:#828282;text-align:center;line-height:120%;">
                                                                                <div>Copyright &#169; '.$date.' <a href="https://routenote.com/" target="_blank" style="text-decoration:none;color:#000000;" target="_blank"><span style="color:#1355ac;font-size:12px;">RouteNote</span></a>. All&nbsp;rights&nbsp;reserved.</div>
                                                                            </div>
        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
        
                            </table>
                            <!-- // END -->
        
                        </td>
                    </tr>
                </table>
            </center>
        </body>
        </html>';
        
         // dd($body);
        //  $to = 'mcldev24@gmail.com';
          $user = Auth::guard('staff')->user();
          DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid1'])->update(['assigned_to' => $user->uid,'status'=>'Completed','completed_at'=> NOW()]); 


          Mail::send([], [], function ($message) use ($to, $body, $subject) {
            $message->from('noreply@smarthub.com', 'noreply@smarthub.com');
            $message->to($to);
            $message->subject($subject);
            $message->setBody($body, 'text/html');
            $message->replyTo($to);
        });
    }else{
        return response()->json(['success' => false, 'message' => $statusmsg]);
    }        
            }

                   return response()->json(['success' => true, 'message' => 'Action done successfully.']);
                
        
    }
    public function upcbased() {
      
        $result = DB::table('comm_tbl_smthub_ticket')->get();

       
        $lastEntry = DB::table('comm_action')->where('show_hide',1)->get();
        $stafflist = DB::table('comm_staffs')
                    ->whereNotIn('uid', ['1'])
                    ->get();
        $mail_temp = DB::table('comm_mail_templates')->get();    
        
        $user = Auth::guard('staff')->user();
        
        
        $values = DB::table('comm_staffs')->where('uid','!=',$user->uid)->get();
        $userid = DB::table('comm_staffs')->where('uid','=',$user->uid)->get();
        $idsss = $_GET['user_id'] ?? null;
        // dd($idsss);
        if($idsss == null) {
            $array = array([
            'uid' => 0,
            'name' => 'Bot',
            'image' => '/uploads/pexels-photo-8294554.webp' 
            ]);
            $json = json_encode($array);
            $userid1 = json_decode($json);
            // var_dump($userid1);
            
        }else {
            $userid1 = DB::table('comm_staffs')->where('uid','=',$_GET['user_id'])->get();
        }

        $jsonFilePath = public_path('emoji.json');

        // Check if the file exists
        if (file_exists($jsonFilePath)) {
            // Read the contents of the JSON file
            $jsonContents = file_get_contents($jsonFilePath);

            $data = json_decode($jsonContents, true); // true to get associative array

         
        }
        $names = DB::table('comm_staffs')->get();

     
     
        if($user->auto_suggest == '1'){
            $mailtemplates = DB::table('comm_mail_templates')->where('show_hide','=','0')->get();

         }
         else{
            $mailtemplates =  '';
         }
         $result22 = DB::table('comm_action')->select('action_name AS actionlist')->get();

   
        return view('upcbased', ['cmemailtg_rows100' => $result22, 'mailtemplates' => $mailtemplates,'names' => $names,'emaildata' => $result, 'commlist' => $values, 'lastEntry' => $lastEntry, 'stafflist' => $stafflist, 'mailtemp' => $mail_temp, 'message' => 'Hello, World!','emoji' =>$data['emojis'], 'logUser' => $user->uid, 'user_id' => $userid[0]->uid,'image' => $userid[0]->image , 'username' => $userid[0]->name, 'value' => $values, 'msg_userid' => $userid1[0]->uid, 'msg_name' => $userid1[0]->name, 'msg_image'=>$userid1[0]->image]);
    }

    public function userbased() {
      
        $result = DB::table('comm_tbl_smthub_ticket')->get();

       
        $lastEntry = DB::table('comm_action')->where('show_hide',1)->get();
        $stafflist = DB::table('comm_staffs')
                    ->whereNotIn('uid', ['1'])
                    ->get();
        $mail_temp = DB::table('comm_mail_templates')->get();    
        
        $user = Auth::guard('staff')->user();
        
        
        $values = DB::table('comm_staffs')->where('uid','!=',$user->uid)->get();
        $userid = DB::table('comm_staffs')->where('uid','=',$user->uid)->get();
        $idsss = $_GET['user_id'] ?? null;
        // dd($idsss);
        if($idsss == null) {
            $array = array([
            'uid' => 0,
            'name' => 'Bot',
            'image' => '/uploads/pexels-photo-8294554.webp' 
            ]);
            $json = json_encode($array);
            $userid1 = json_decode($json);
            // var_dump($userid1);
            
        }else {
            $userid1 = DB::table('comm_staffs')->where('uid','=',$_GET['user_id'])->get();
        }

        $jsonFilePath = public_path('emoji.json');

        // Check if the file exists
        if (file_exists($jsonFilePath)) {
            // Read the contents of the JSON file
            $jsonContents = file_get_contents($jsonFilePath);

            $data = json_decode($jsonContents, true); // true to get associative array

         
        }
        $names = DB::table('comm_staffs')->get();

     
     
        if($user->auto_suggest == '1'){
            $mailtemplates = DB::table('comm_mail_templates')->where('show_hide','=','0')->get();

         }
         else{
            $mailtemplates =  '';
         }
         $result22 = DB::table('comm_action')->select('action_name AS actionlist')->get();

   
        return view('userbased', ['cmemailtg_rows100' => $result22, 'mailtemplates' => $mailtemplates,'names' => $names,'emaildata' => $result, 'commlist' => $values, 'lastEntry' => $lastEntry, 'stafflist' => $stafflist, 'mailtemp' => $mail_temp, 'message' => 'Hello, World!','emoji' =>$data['emojis'], 'logUser' => $user->uid, 'user_id' => $userid[0]->uid,'image' => $userid[0]->image , 'username' => $userid[0]->name, 'value' => $values, 'msg_userid' => $userid1[0]->uid, 'msg_name' => $userid1[0]->name, 'msg_image'=>$userid1[0]->image]);
    }

    public function duplicate() {
      
        $result = DB::table('comm_tbl_smthub_ticket')->get();

       
        $lastEntry = DB::table('comm_action')->where('show_hide',1)->get();
        $stafflist = DB::table('comm_staffs')
                    ->whereNotIn('uid', ['1'])
                    ->get();
        $mail_temp = DB::table('comm_mail_templates')->get();    
        
        $user = Auth::guard('staff')->user();
        
        
        $values = DB::table('comm_staffs')->where('uid','!=',$user->uid)->get();
        $userid = DB::table('comm_staffs')->where('uid','=',$user->uid)->get();
        $idsss = $_GET['user_id'] ?? null;
        // dd($idsss);
        if($idsss == null) {
            $array = array([
            'uid' => 0,
            'name' => 'Bot',
            'image' => '/uploads/pexels-photo-8294554.webp' 
            ]);
            $json = json_encode($array);
            $userid1 = json_decode($json);
            // var_dump($userid1);
            
        }else {
            $userid1 = DB::table('comm_staffs')->where('uid','=',$_GET['user_id'])->get();
        }

        $jsonFilePath = public_path('emoji.json');

        // Check if the file exists
        if (file_exists($jsonFilePath)) {
            // Read the contents of the JSON file
            $jsonContents = file_get_contents($jsonFilePath);

            $data = json_decode($jsonContents, true); // true to get associative array

         
        }
        $names = DB::table('comm_staffs')->get();

     
     
        if($user->auto_suggest == '1'){
            $mailtemplates = DB::table('comm_mail_templates')->where('show_hide','=','0')->get();

         }
         else{
            $mailtemplates =  '';
         }
         $result22 = DB::table('comm_action')->select('action_name AS actionlist')->get();

   
        return view('duplicate', ['cmemailtg_rows100' => $result22, 'mailtemplates' => $mailtemplates,'names' => $names,'emaildata' => $result, 'commlist' => $values, 'lastEntry' => $lastEntry, 'stafflist' => $stafflist, 'mailtemp' => $mail_temp, 'message' => 'Hello, World!','emoji' =>$data['emojis'], 'logUser' => $user->uid, 'user_id' => $userid[0]->uid,'image' => $userid[0]->image , 'username' => $userid[0]->name, 'value' => $values, 'msg_userid' => $userid1[0]->uid, 'msg_name' => $userid1[0]->name, 'msg_image'=>$userid1[0]->image]);
    }

    
    public function removeduplicateid(Request $request) {


                DB::table('comm_tbl_smthub_ticket')
                    ->where('id', $request['id'])
                    ->update(['duplicate' => 0]);  
    
                return response()->json(['message' => 'Duplicate status updated successfully'], 200);
            
    }
    


    public function allmailplay() {
      
        $result = DB::table('comm_tbl_smthub_ticket')->get();

       
        $lastEntry = DB::table('comm_action')->where('show_hide',1)->get();
        $stafflist = DB::table('comm_staffs')
                    ->whereNotIn('uid', ['1'])
                    ->get();
        $mail_temp = DB::table('comm_mail_templates')->get();    
        
        $user = Auth::guard('staff')->user();
        
        
        $values = DB::table('comm_staffs')->where('uid','!=',$user->uid)->get();
        $userid = DB::table('comm_staffs')->where('uid','=',$user->uid)->get();
        $idsss = $_GET['user_id'] ?? null;
        // dd($idsss);
        if($idsss == null) {
            $array = array([
            'uid' => 0,
            'name' => 'Bot',
            'image' => '/uploads/pexels-photo-8294554.webp' 
            ]);
            $json = json_encode($array);
            $userid1 = json_decode($json);
            // var_dump($userid1);
            
        }else {
            $userid1 = DB::table('comm_staffs')->where('uid','=',$_GET['user_id'])->get();
        }

        $jsonFilePath = public_path('emoji.json');

        // Check if the file exists
        if (file_exists($jsonFilePath)) {
            // Read the contents of the JSON file
            $jsonContents = file_get_contents($jsonFilePath);

            $data = json_decode($jsonContents, true); // true to get associative array

         
        }
        $names = DB::table('comm_staffs')->get();

     
     
        if($user->auto_suggest == '1'){
            $mailtemplates = DB::table('comm_mail_templates')->where('show_hide','=','0')->get();

         }
         else{
            $mailtemplates =  '';
         }
         $result22 = DB::table('comm_action')->select('action_name AS actionlist')->get();
   
        return view('allmailplay', ['cmemailtg_rows100' => $result22, 'mailtemplates' => $mailtemplates,'names' => $names,'emaildata' => $result, 'commlist' => $values, 'lastEntry' => $lastEntry, 'stafflist' => $stafflist, 'mailtemp' => $mail_temp, 'message' => 'Hello, World!','emoji' =>$data['emojis'], 'logUser' => $user->uid, 'user_id' => $userid[0]->uid,'image' => $userid[0]->image , 'username' => $userid[0]->name, 'value' => $values, 'msg_userid' => $userid1[0]->uid, 'msg_name' => $userid1[0]->name, 'msg_image'=>$userid1[0]->image]);
    }

   

    public function storeAssignee(Request $request)
    {
         
      DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid'])->update(['assigned_to' => $request['assignee_id']]); 
            return response()->json(['success' => true, 'message' => 'Assignee updated successfully.']);
        
    }

     public function storeAssignee1(Request $request)
    {
         
      DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid1'])->update(['priority' => $request['priority_type']]); 
            return response()->json(['success' => true, 'message' => 'Assignee updated successfully.']);
        
    }

    
     public function storeAssignee3(Request $request)
    {
         
      DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid1'])->update(['due_date' => $request['duudate']]); 
            return response()->json(['success' => true, 'message' => 'Assignee updated successfully.']);
        
    }

     public function Catogrisedmove(Request $request)
    { 
         
      DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid'])->update(['tag_id' => $request['assigneeId']]); 
       
            return response()->json(['success' => true, 'message' => 'Assignee updated successfully.']);
       
        
    }

    public function Fetchloadtemplatess(Request $request)
    { 

    $data3 = DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid44'])->get();

      return response()->json(['data3' => $data3]);
        
    }

    public function getpagenumber(Request $request)
    { 

        $data_id = $request['id']; 
        $perPage = 10; 
        $page = $request['page']; 
        $user = Auth::guard('staff')->user();

        // dd($user->type);

    if($user->type == 'Staff'){

        if($page == "all"){

        $allRecords = DB::table('comm_tbl_smthub_ticket')
            ->where('assigned_to', $user->uid)
            ->whereNotNull('action_id')
            ->whereNotIn('action_id', [1, 2, 3, 4])
            ->where('duplicate', '0')
            ->orderBy('tickets_received', 'desc')
            ->pluck('id') // Get only the IDs
            ->toArray();
        }
        else if($page == "upc"){

            $allRecords = DB::table('comm_tbl_smthub_ticket')
                ->where('assigned_to', $user->uid)
                ->whereNotnull('upc_id')
                ->where('upc_id','!=','')
                ->whereNotNull('action_id')
                ->whereNotIn('action_id', [1, 2, 3, 4])
                ->where('duplicate', '0')
                ->orderBy('tickets_received', 'desc')
                ->pluck('id') // Get only the IDs
                ->toArray();
        }
        else if($page == "upc"){

            $allRecords = DB::table('comm_tbl_smthub_ticket')
                ->where('assigned_to', $user->uid)
                ->whereNotnull('upc_id')
                ->where('upc_id','!=','')
                ->whereNotNull('action_id')
                ->whereNotIn('action_id', [1, 2, 3, 4])
                ->where('duplicate', '0')
                ->orderBy('tickets_received', 'desc')
                ->pluck('id') // Get only the IDs
                ->toArray();
        }
        else if($page == "user"){

            $allRecords = DB::table('comm_tbl_smthub_ticket')
                ->where('assigned_to', $user->uid)
                ->whereNull('upc_id')
                ->orWhere('upc_id', '')
                ->whereNotNull('action_id')
                ->where('action_id','!=','')
                ->whereNotIn('action_id', [1, 2, 3, 4])
                ->where('duplicate', '0')
                ->orderBy('tickets_received', 'desc')
                ->pluck('id') // Get only the IDs
                ->toArray();
        }
        else if($page == "duplicate"){

            $allRecords = DB::table('comm_tbl_smthub_ticket')
                ->where('assigned_to', $user->uid)
                ->where('duplicate' , '1')
                ->orderBy('tickets_received', 'desc')
                ->pluck('id') // Get only the IDs
                ->toArray();
        }
        else if($page == "tag"){

            $allRecords = DB::table('comm_tbl_smthub_ticket')
                ->where('assigned_to', $user->uid)
                ->where('tag_id' , $request['tagid'])
                ->where('duplicate', '0')
                ->orderBy('tickets_received', 'desc')
                ->pluck('id') // Get only the IDs
                ->toArray();
        }
    }
    else{
       
        if($page == "all"){

            $allRecords = DB::table('comm_tbl_smthub_ticket')
                // ->where('assigned_to', $user->uid)
                ->whereNotNull('action_id')
                ->whereNotIn('action_id', [1, 2, 3, 4])
                ->where('duplicate', '0')
                ->orderBy('tickets_received', 'desc')
                ->pluck('id') // Get only the IDs
                ->toArray();
            }
            else if($page == "upc"){
    
                $allRecords = DB::table('comm_tbl_smthub_ticket')
                    // ->where('assigned_to', $user->uid)
                    ->whereNotnull('upc_id')
                    ->where('upc_id','!=','')
                    ->whereNotNull('action_id')
                    ->whereNotIn('action_id', [1, 2, 3, 4])
                    ->where('duplicate', '0')
                    ->orderBy('tickets_received', 'desc')
                    ->pluck('id') // Get only the IDs
                    ->toArray();
            }
            else if($page == "upc"){
    
                $allRecords = DB::table('comm_tbl_smthub_ticket')
                    // ->where('assigned_to', $user->uid)
                    ->whereNotnull('upc_id')
                    ->where('upc_id','!=','')
                    ->whereNotNull('action_id')
                    ->whereNotIn('action_id', [1, 2, 3, 4])
                    ->where('duplicate', '0')
                    ->orderBy('tickets_received', 'desc')
                    ->pluck('id') // Get only the IDs
                    ->toArray();
            }
            else if($page == "user"){
    
                $allRecords = DB::table('comm_tbl_smthub_ticket')
                    // ->where('assigned_to', $user->uid)
                    ->whereNull('upc_id')
                    ->orWhere('upc_id', '')
                    ->whereNotNull('action_id')
                    ->where('action_id','!=','')
                    ->whereNotIn('action_id', [1, 2, 3, 4])
                    ->where('duplicate', '0')
                    ->orderBy('tickets_received', 'desc')
                    ->pluck('id') // Get only the IDs
                    ->toArray();
            }
            else if($page == "duplicate"){
    
                $allRecords = DB::table('comm_tbl_smthub_ticket')
                    // ->where('assigned_to', $user->uid)
                    ->where('duplicate' , '1')
                    ->orderBy('tickets_received', 'desc')
                    ->pluck('id') // Get only the IDs
                    ->toArray();
            }
            else if($page == "tag"){
    
                $allRecords = DB::table('comm_tbl_smthub_ticket')
                    // ->where('assigned_to', $user->uid)
                    ->where('tag_id' , $request['tagid'])
                    ->where('duplicate', '0')
                    ->orderBy('tickets_received', 'desc')
                    ->pluck('id') // Get only the IDs
                    ->toArray();
            }
    }

        $position = array_search($data_id, $allRecords);
        $pageNumber = ($position !== false) ? intval(floor($position / $perPage)) + 1 : null;

        return response()->json(['pageNumber' => $pageNumber]);
    }
 

    
    public function Fetchloadtemplate(Request $request)
    { 
    $data =  DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid44'])->get(); 
 
    $usuid = $data[0]->from_addr;
    $conf_email = $data[0]->conf_email;
    $datas2 = DB::table('users')->where('mail',$usuid)->get();

            if(count($datas2) > 0 ){
                $ememail_data1 =  "RECORD";             
            }else{
                $exists = DB::table('comm_grouplist')
                ->where('me_email', 'LIKE', "%$usuid%")->get();
                 
                   if(count($exists) > 0) {
                    $ememail_data1 =  "RECORD";                      
                   }else {
                    $ememail_data1 =  "NO RECORD";                      
                   }
                }


    $data1 = DB::table('comm_tbl_smthub_ticket')
    ->join('comm_staffs', 'comm_tbl_smthub_ticket.assigned_to', '=', 'comm_staffs.uid')
    ->where('comm_tbl_smthub_ticket.id', $request['rowid44'])
    ->get();

    $data3 = DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid44'])->get();
   

      return response()->json(['success' => true, 'message' => 'Assignee updated successfully.', 'data' => $data, 'data1' => $data1,'conf_email' => $conf_email, 'ememail_data1' => $ememail_data1, 'data3' => $data3]);
        
    }
    
    
    public function Schedule(Request $request)
    { 
     $date = str_replace('T', ' ', $request['date']);


  
      DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid1'])->update(['smart_schedule' => $date]); 
      return response()->json(['success' => true, 'message' => 'Assignee updated successfully.']); 
    }
 
        public function Actionpopup(Request $request)
    { 
    //  dd($request['rowid1']);
        
      DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid1'])->update(['instant_action' => 1,'completed_at' => NOW()]); 
      return response()->json(['success' => true, 'message' => 'Assignee updated successfully.']); 
    }
 
    public function requestdone(Request $request)
    { 
    
        $to = $request['to'];
        $subject = $request['subject'];
        $body = $request['body'];
        $date = date("Y"); 
        $id = $request['rowid1']; 

        $result = DB::select("SELECT * FROM comm_tbl_smthub_ticket where  comm_tbl_smthub_ticket.id= $id;");

foreach( $result  as $item){
    $lang = $item->language_detect;
}

// if($request['langdetect'] == 'false'){
//     $body = $body;
// }else{

//     $filePath = base_path('public/tmp.txt');
//     file_put_contents($filePath, '');
// file_put_contents($filePath, $body);

//     $scriptPath = base_path('public/langdetect1.py');
//     $command = escapeshellcmd("python3 $scriptPath $filePath $lang");
//     $output1 = shell_exec($command);
   
// $output1 = str_replace("\n", "", $output1);
// $output1 = str_replace("converted language:", "", $output1);
// $body = $output1;

// }


        $body = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <meta name="format-detection" content="telephone=no" /> <!-- disable auto telephone linking in iOS -->
            <style type="text/css">
            #emailstart{margin-top: -1rem;}
            #emailstar1:hover{color: #deb217;}
            #emailstar1:hover~a{color: #deb217;}
            #emailstar1:checked~a{color: #ffc700;}
            </style>
            <title>Your Release requires your action.</title>
            <style type="text/css">
                /* RESET STYLES */
                html { background-color:#EEEEEE; margin:0; padding:0; }
                body, #bodyTable, #bodyCell, #bodyCell{height:100% !important; margin:0; padding:0; width:100% !important; font-family: Arial,Helvetica,sans-serif;;}
                table{border-collapse:collapse;}
                table[id=bodyTable] {width:100%!important;margin:auto;max-width:500px!important;color:#000000;font-weight:normal;}
                img, a img{border:0; outline:none; text-decoration:none;height:auto; line-height:100%;}
                a {text-decoration:none !important;border-bottom: 1px solid; font-size:16px !important;}
                h1, h2, h3, h4, h5, h6{color:#1355ac; font-weight:bold; font-family: Arial,Helvetica,sans-serif; font-size:20px; line-height:125%; text-align:left; letter-spacing:normal;margin-top:0;margin-right:0;margin-bottom:10px;margin-left:0;padding-top:0;padding-bottom:0;padding-left:0;padding-right:0;}
        
                /* CLIENT-SPECIFIC STYLES */
                .ReadMsgBody{width:100%;} .ExternalClass{width:100%;} /* Force Hotmail/Outlook.com to display emails at full width. */
                .ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div{line-height:100%;} /* Force Hotmail/Outlook.com to display line heights normally. */
                table, td{mso-table-lspace:0pt; mso-table-rspace:0pt;} /* Remove spacing between tables in Outlook 2007 and up. */
                #outlook a{padding:0;} /* Force Outlook 2007 and up to provide a "view in browser" message. */
                img{-ms-interpolation-mode: bicubic;display:block;outline:none; text-decoration:none;} /* Force IE to smoothly render resized images. */
                body, table, td, p, a, li, blockquote{-ms-text-size-adjust:100%; -webkit-text-size-adjust:100%; font-weight:normal!important;} /* Prevent Windows- and Webkit-based mobile platforms from changing declared text sizes. */
                .ExternalClass td[class="ecxflexibleContainerBox"] h3 {padding-top: 10px !important;} /* Force hotmail to push 2-grid sub headers down */
        
                /* /\/\/\/\/\/\/\/\/ TEMPLATE STYLES /\/\/\/\/\/\/\/\/ */
        
                /* ========== Page Styles ========== */
                h1{display:block;font-size:24px;font-style:normal;font-weight:normal;line-height:100%;}
                h2{display:block;font-size:20px;font-style:normal;font-weight:normal;line-height:120%;}
                h3{display:block;font-size:16px;font-style:normal;font-weight:normal;line-height:110%;}
                h4{display:block;font-size:14px;font-style:italic;font-weight:normal;line-height:100%;}
                .flexibleImage{height:auto;}
                .linkRemoveBorder{border-bottom:0 !important;}
                table[class=flexibleContainerCellDivider] {padding-bottom:0 !important;padding-top:0 !important;}
        
                body, #bodyTable{background-color:#EEEEEE;}
                #emailHeader{background-color:#FFFFFF;}
                #emailBody{background-color:#FFFFFF;}
                #emailFooter{background-color:#E1E1E1;}
                .nestedContainer{background-color:#F8F8F8; border:2px solid #1355ac;}
                .emailButton{background-color:#205478; border-collapse:separate;}
                .buttonContent{color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:18px; font-weight:bold; line-height:100%; padding:15px; text-align:center;}
                .buttonContent a{color:#FFFFFF; display:block; text-decoration:none!important; border:0!important;}
                .emailCalendar{background-color:#FFFFFF; border:2px solid #1355ac;}
                .emailCalendarMonth{background-color:#1355ac; color:#FFFFFF; font-family: Arial,Helvetica,sans-serif; font-size:16px; font-weight:bold; padding-top:10px; padding-bottom:10px; text-align:center;}
                .emailCalendarDay{color:#1355ac; font-family: Arial,Helvetica,sans-serif; font-size:60px; font-weight:bold; line-height:100%; padding-top:20px; padding-bottom:20px; text-align:center;}
                .imageContentText {margin-top: 10px;line-height:0;}
                .imageContentText a {line-height:0;}
                #invisibleIntroduction {display:none !important;} /* Removing the introduction text from the view */
        
                /*FRAMEWORK HACKS & OVERRIDES */
                span[class=ios-color-hack] a {color:#1355ac!important;text-decoration:none!important;} /* Remove all link colors in IOS (below are duplicates based on the color preference) */
                span[class=ios-color-hack2] a {color:#1355ac!important;text-decoration:none!important;}
                span[class=ios-color-hack3] a {color:#1355ac!important;text-decoration:none!important;}
                /* A nice and clean way to target phone numbers you want clickable and avoid a mobile phone from linking other numbers that look like, but are not phone numbers.  Use these two blocks of code to "unstyle" any numbers that may be linked.  The second block gives you a class to apply with a span tag to the numbers you would like linked and styled.
                Inspired by Campaign Monitor\'s article on using phone numbers in email: http://www.campaignmonitor.com/blog/post/3571/using-phone-numbers-in-html-email/.
                */
                .a[href^="tel"], a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:none!important;cursor:default!important;}
                .mobile_link a[href^="tel"], .mobile_link a[href^="sms"] {text-decoration:none!important;color:#1355ac!important;pointer-events:auto!important;cursor:default!important;}
        
        
                /* MOBILE STYLES */
                @media only screen and (max-width: 480px){
                    /*////// CLIENT-SPECIFIC STYLES //////*/
                    body{width:100% !important; min-width:100% !important;} /* Force iOS Mail to render the email at full width. */
        
                    /* FRAMEWORK STYLES */
                    /*
                    CSS selectors are written in attribute
                    selector format to prevent Yahoo Mail
                    from rendering media query styles on
                    desktop.
                    */
                    /*td[class="textContent"], td[class="flexibleContainerCell"] { width: 100%; padding-left: 10px !important; padding-right: 10px !important; }*/
                    table[id="emailHeader"],
                    table[id="emailBody"],
                    table[id="emailFooter"],
                    table[class="flexibleContainer"],
                    td[class="flexibleContainerCell"] {width:100% !important;}
                    td[class="flexibleContainerBox"], td[class="flexibleContainerBox"] table {display: block;width: 100%;text-align: left;}
                    /*
                    The following style rule makes any
                    image classed with \'flexibleImage\'
                    fluid when the query activates.
                    Make sure you add an inline max-width
                    to those images to prevent them
                    from blowing out.
                    */
                    td[class="imageContent"] img {height:auto !important; width:100% !important; max-width:100% !important; }
                    img[class="flexibleImage"]{height:auto !important; width:100% !important;max-width:100% !important;}
                    img[class="flexibleImageSmall"]{height:auto !important; width:auto !important;}
        
        
                    /*
                    Create top space for every second element in a block
                    */
                    table[class="flexibleContainerBoxNext"]{padding-top: 10px !important;}
        
                    /*
                    Make buttons in the email span the
                    full width of their container, allowing
                    for left- or right-handed ease of use.
                    */
                    table[class="emailButton"]{width:100% !important;}
                    td[class="buttonContent"]{padding:0 !important;}
                    td[class="buttonContent"] a{padding:15px !important;}
        
                }
        
                /*  CONDITIONS FOR ANDROID DEVICES ONLY
                *   http://developer.android.com/guide/webapps/targeting.html
                *   http://pugetworks.com/2011/04/css-media-queries-for-targeting-different-mobile-devices/ ;
                =====================================================*/
        
                @media only screen and (-webkit-device-pixel-ratio:.75){
                    /* Put CSS for low density (ldpi) Android layouts in here */
                }
        
                @media only screen and (-webkit-device-pixel-ratio:1){
                    /* Put CSS for medium density (mdpi) Android layouts in here */
                }
        
                @media only screen and (-webkit-device-pixel-ratio:1.5){
                    /* Put CSS for high density (hdpi) Android layouts in here */
                }
                /* end Android targeting */
        
                /* CONDITIONS FOR IOS DEVICES ONLY
                =====================================================*/
                @media only screen and (min-device-width : 320px) and (max-device-width:568px) {
        
                }
                /* end IOS targeting */
            </style>
            <!--
                Outlook Conditional CSS
        
                These two style blocks target Outlook 2007 & 2010 specifically, forcing
                columns into a single vertical stack as on mobile clients. This is
                primarily done to avoid the \'page break bug\' and is optional.
        
                More information here:
                http://templates.mailchimp.com/development/css/outlook-conditional-css
            -->
            <!--[if mso 12]>
                <style type="text/css">
                    .flexibleContainer{display:block !important; width:100% !important;}
                </style>
            <![endif]-->
            <!--[if mso 14]>
                <style type="text/css">
                    .flexibleContainer{display:block !important; width:100% !important;}
                </style>
            <![endif]-->
        </head>
        <body bgcolor="#E1E1E1" leftmargin="0" marginwidth="0" topmargin="0" marginheight="0" offset="0">
        
            <!-- CENTER THE EMAIL // -->
            <!--
            1.  The center tag should normally put all the
                content in the middle of the email page.
                I added "table-layout: fixed;" style to force
                yahoomail which by default put the content left.
        
            2.  For hotmail and yahoomail, the contents of
                the email starts from this center, so we try to
                apply necessary styling e.g. background-color.
            -->
            <center style="background-color:#FFFFFF;">
                <table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" id="bodyTable" style="table-layout: fixed;max-width:100% !important;width: 100% !important;min-width: 100% !important;">
                    <tr>
                        <td align="center" valign="top" id="bodyCell">
        
                            <!-- EMAIL HEADER // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#FFFFFF" border="0" cellpadding="0" cellspacing="0" width="500" id="emailHeader">
        
                                <!-- HEADER ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="10" cellspacing="0" width="500" class="flexibleContainer">
                                                        <tr>
                                                            <td valign="top" width="500" class="flexibleContainerCell">
        
                                                                <!-- CONTENT TABLE // -->
                                                                <table align="left" border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                    <tr>
                                                                        <!--
                                                                            The "invisibleIntroduction" is the text used for short preview
                                                                            of the email before the user opens it (50 characters max). Sometimes,
                                                                            you do not want to show this message depending on your design but this
                                                                            text is highly recommended.
        
                                                                            You do not have to worry if it is hidden, the next <td> will automatically
                                                                            center and apply to the width 100% and also shrink to 50% if the first <td>
                                                                            is visible.
                                                                        -->
                                                                        <td align="left" valign="middle" id="invisibleIntroduction" class="flexibleContainerBox" style="display:none !important; mso-hide:all;">
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                <tr>
                                                                                    <td align="left" class="textContent">
                                                                                        <div style="font-family: Arial,Helvetica,sans-serif;font-size:13px;color:#828282;text-align:center;line-height:120%;">
                                                                                            Your release has been flagged by our moderation team and requires your attention.
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                        <td align="right" valign="middle" class="flexibleContainerBox">
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width:100%;">
                                                                                <tr>
                                                                                    <td align="left" class="textContent">
                                                                                        <!-- CONTENT // -->
                                                                                        
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // END -->
        
                            </table>
                            <!-- // END -->
        
                            <!-- EMAIL BODY // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#FFFFFF"  border="0" cellpadding="0" cellspacing="0" width="500" id="emailBody">
        
                                <!-- MODULE ROW // -->
                                <!--
                                    To move or duplicate any of the design patterns
                                    in this email, simply move or copy the entire
                                    MODULE ROW section for each content block.
                                -->
        
        
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <!--
                                            The centering table keeps the content
                                            tables centered in the emailBody table,
                                            in case its width is set to 100%.
                                        -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" style="color:#FFFFFF;" bgcolor="#1355ac">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <!--
                                                        The flexible container has a set width
                                                        that gets overridden by the media query.
                                                        Most content tables within can then be
                                                        given 100% widths.
                                                    -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#1355ac">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
        
                                                                <!-- CONTENT TABLE // -->
                                                                <!--
                                                                The content table is the first element
                                                                    that\'s entirely separate from the structural
                                                                    framework of the email.
                                                                -->
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#1355AC">
                                                                    <tr>
                                                                        <td align="center" valign="top" class="textContent">
                                                                            <a href="https://routenote.com/" target="_blank"><img src="https://www.routenote.com/rn/images/activation_email_rnlogo.jpg" width="500" class="flexibleImage" style="max-width:500px;width:100%;display:block;color:#ffffff;" alt="RouteNote" title="RouteNote" /></a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                                
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->
        
                                <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#FFFFFF">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                    <tr>
                                                                        <td align="center" valign="top">
        
                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#FFFFFF">
                                                                                <tr>
                                                                                  '.$body.'
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->
        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->
        
        
                                    <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#000000">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#000000">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#000000">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#000000">
                                                                    <tr>
                                                                        <td align="center" valign="top">
        
                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <!--
                                                                                            The "mc:edit" is a feature for MailChimp which allows
                                                                                            you to edit certain row. It makes it easy for you to quickly edit row sections.
                                                                                            http://kb.mailchimp.com/templates/code/create-editable-content-areas-with-mailchimps-template-language
                                                                                        -->
                                                                                        <h3 mc:edit="header" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:0;margin-bottom:3px;text-align:center;"><a href="https://routenote.com/" style="color:#FFFFFF;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;text-align:center; text-decoration:none !important;" target="_blank"><strong>Visit your Account &#62;</strong></a></h3><br>
                                                                                        <div mc:edit="body" style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:14px;margin-bottom:0;color:#FFFFFF;line-height:150%;">Head over to your account now to continue working through your releases.<br></div>
        
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->
        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->
        
        
                                <!-- MODULE ROW // -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#ffffff">
                                                        
                                                    <tr>
                                                    <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                        <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                            <tr>
                                                                <td align="center" valign="top">
        
                                                                    <!-- CONTENT TABLE // -->
                                                                    <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                        <tr>
                                                                            <td valign="top" class="textContent">
                                                                                <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                If we exceeded your expectations, please consider leaving us a review on <a href="" style="color:#1355ac;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Routenote reviews</a>
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    <!-- // CONTENT TABLE -->
        
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    </tr>
        
                                                    <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell" bgcolor="#ffffff">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                    <tr>
                                                                        <td align="center" valign="top">
        
                                                                            <!-- CONTENT TABLE // -->
                                                                            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
                                                                                <tr>
                                                                                    <td valign="top" class="textContent">
                                                                                        <div style="text-align:center;font-family: Arial,Helvetica,sans-serif;font-size:15px;margin-bottom:0;margin-top:3px;color:#5F5F5F;line-height:135%;">
                                                                                        <a href="https://www.facebook.com/routenote?_rdr=p" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Facebook</a>
                                                                                        <a href="https://www.youtube.com/user/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:16px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Youtube</a>
                                                                                        <a href="https://twitter.com/routenote" style="color:#000000;line-height:125%;font-family: Arial,Helvetica,sans-serif;font-size:14px;font-weight:normal;margin-top:10px;margin-bottom:3px;margin-left:3px;text-align:left; font-size:16px;text-decoration:none !important;" target="_blank">Twitter</a>
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                            <!-- // CONTENT TABLE -->
        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                                <table>
                                                    
                                                            
                                                            </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
                                <!-- // MODULE ROW -->
        
                            </table>
                            <!-- // END -->
        
                            <!-- EMAIL FOOTER // -->
                            <!--
                                The table "emailBody" is the email\'s container.
                                Its width can be set to 100% for a color band
                                that spans the width of the page.
                            -->
                            <table bgcolor="#E1E1E1" border="0" cellpadding="0" cellspacing="0" width="500" id="emailFooter">
        
                                <!-- FOOTER ROW // -->
                                <!--
                                    To move or duplicate any of the design patterns
                                    in this email, simply move or copy the entire
                                    MODULE ROW section for each content block.
                                -->
                                <tr>
                                    <td align="center" valign="top">
                                        <!-- CENTERING TABLE // -->
                                        <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#E1E1E1">
                                            <tr>
                                                <td align="center" valign="top">
                                                    <!-- FLEXIBLE CONTAINER // -->
                                                    <table border="0" cellpadding="0" cellspacing="0" width="500" class="flexibleContainer" bgcolor="#E1E1E1">
                                                        <tr>
                                                            <td align="center" valign="top" width="500" class="flexibleContainerCell">
                                                                <table border="0" cellpadding="30" cellspacing="0" width="100%">
                                                                    <tr>
                                                                        <td valign="top" bgcolor="#FAFAFA">
        
                                                                            <div style="font-family: Arial,Helvetica,sans-serif;font-size:12px;color:#828282;text-align:center;line-height:120%;">
                                                                                <div>Copyright &#169; '.$date.' <a href="https://routenote.com/" target="_blank" style="text-decoration:none;color:#000000;" target="_blank"><span style="color:#1355ac;font-size:12px;">RouteNote</span></a>. All&nbsp;rights&nbsp;reserved.</div>
                                                                            </div>
        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <!-- // FLEXIBLE CONTAINER -->
                                                </td>
                                            </tr>
                                        </table>
                                        <!-- // CENTERING TABLE -->
                                    </td>
                                </tr>
        
                            </table>
                            <!-- // END -->
        
                        </td>
                    </tr>
                </table>
            </center>
        </body>
        </html>';


$to = 'mcldev24@gmail.com';

        Mail::send([], [], function ($message) use ($to, $body, $subject) {
            $message->from('noreply@smarthub.com', 'noreply@smarthub.com');
            $message->to($to);
            $message->subject($subject);
            $message->setBody($body, 'text/html');
            $message->replyTo($to);
        });

     DB::table('comm_tbl_smthub_ticket')->where('id', $request['rowid1'])->update(['completed_at' => NOW(),'status' => 'Requested Information']); 
      return response()->json(['success' => true, 'message' => 'email sent successfully.']); 
    }
 


        public function allmailplayai(Request $request) {

            $text = json_encode($request->input('message'));
            $text = str_replace(",", " ", $text);
            $text = str_replace(".", " ", $text);
            $scriptPath = base_path('public/searchai.py');
            
            $page = $request->input('page');
            if($page == 'tag'){
                $tag = $request->input('tagid');
                $user = Auth::guard('staff')->user();
                if($user->type == 'Staff'){
                $uid = $user->uid; 
                $command = escapeshellcmd("python3 $scriptPath '$uid' '$text' '$page.$tag'");
                }else{
                    $command = escapeshellcmd("python3 $scriptPath '$text' '$page.$tag'");
                }
            }else{
                $tag = '';
                $user = Auth::guard('staff')->user();
                if($user->type == 'Staff'){
                $uid = $user->uid; 
                $command = escapeshellcmd("python3 $scriptPath '$uid' '$text' '$page.$tag'");
                }else{
                    $command = escapeshellcmd("python3 $scriptPath '$text' '$page.$tag'");
                }
            }
            

            $output_step1 = shell_exec($command . " 2>&1");
            
            $text = str_replace("\n", " ", $output_step1);
           
           
            $output = trim(str_replace(['```sql ', '```'], '', $text));
          
            
            $f_hold = ''; 
            if($output == 'INVALID REQUEST'){
                return response()->json(['sfsfsfd'=>$f_hold]); 
            }else{
                if ($page == 'all') {
                    // Append the additional condition to $text
                    $output .= " AND (tag_id IS NULL OR tag_id = '')";
                }
            }
         
$result = DB::select($output); 

if($result){


foreach($result as $key => $items) {

    $completed_at = $items->completed_at;

        $status = $items->status;

    

    $uid = $items->uid; 
    $tag_id = $items->tag_id; 
    $assignee = $items->assigned_to; 
    $action_id = $items->action_id; 
    
    $tags_name = DB::table('comm_tag')->where('id','=', $tag_id)->get();
    if(count($tags_name) >0){
        $tag_n = $tags_name[0]->tag_name;
        $tag_n_id = $items->id;
    }
    else{
        $tag_n ='Assign';
        $tag_n_id = $items->id;
    }
   
    
    
    $user_details = DB::table('users')->where('uid','=', $uid)->get(); 
    if(count($user_details) > 0){
        $user_email =   $user_details[0]->mail; 
    }else{
        $user_email = $items->from_addr; 

    }

    if($assignee){
        $assinee_Details = DB::table('comm_staffs')->where('uid','=', $assignee)->get();   
if(count($assinee_Details) > 0){
$assinee_name1 =   $assinee_Details[0]->name; 
$assinee_name = '<span class=" ">'.$assinee_Details[0]->name.'</span>';
        
$first_two_chars1 = substr($assinee_name1, 0, 2);
$first_two_chars = '<span class="p-[5px] bg-[#ffe300] w-[30px] h-[30px] grid rounded-full font-medium text-[12px]">'.$first_two_chars1.'</span>';
}else{
$assinee_name1='';
$assinee_name =   'No Assignee'; 
$first_two_chars = '<span class="p-[5px] bg-[#ffe300] w-[30px] h-[30px] grid rounded-full font-medium text-[12px]">!</span>';
$first_two_chars1='!';
}

     
    }
    else{
        $assinee_name1='';
        $assinee_name =   'No Assignee'; 
        $first_two_chars = '<span class="p-[5px] bg-[#ffe300] w-[30px] h-[30px] grid rounded-full font-medium text-[12px]">!</span>';
        $first_two_chars1='!';
    }

    $action_details = DB::table('comm_action')->where('id','=', $action_id)->get(); 
    if(count($action_details)>0){
        $action_name_id =   $action_details[0]->action_name; 
    }else{
        $action_name_id =   ''; 
    }
    if($items->language_detect == '' || $items->language_detect == 'English'){
$body = $items->body;
    }
    else{
        $body = $items->body_content;
    }
    
  

     $f_hold .= '<tr class="  border-b">';
     $f_hold .= '<td>
            <input type="checkbox" data-id="'.$items->id.'" onclick="toggleSelection(this)"/> 
        </td>';
        if($page != 'tag'){
        $f_hold .= '<td scope="row" class="border-r font-medium text-gray-900 whitespace-nowrap dark:text-white" style="place-items:center"> <div style="display: flex;justify-content: center;">
        <img id="tigger'.$items->id.'" class="cont_icons slide_c"  data-id="'.$items->id.'"  data-username="'.$items->uname.'" data-assignee="'.$items->assigned_to.'"  data-due_date="'.$items->due_date.'"  data-status="'.$status.'" data-priority_type="'.$items->priority.'" data-user_email="'.$user_email.'" data-subject="'.$subject.'"     data-body="'.$body.'" data-two_char="'.$first_two_chars1.'"   data-assignee_name="'.$assinee_name1.'"  onclick="loadTemplate(this)" src="/images/arr_right.svg" style="background-color: #000;padding: 5px;border-radius: 5px;height: 22px;cursor: pointer;display:block;object-fit: none;"></div></td>
        <td class="capitalize  border-r">
            '.$items->uname.'
        </td>
        ';
    }else{
        $f_hold .= '<td scope="row" class="border-r font-medium text-gray-900 whitespace-nowrap dark:text-white" style="place-items:center"> <div style="display: flex;justify-content: center;">
        <img id="tigger'.$items->id.'" class="cont_icons slide_c"  data-id="'.$items->id.'"  data-username="'.$items->uname.'" data-assignee="'.$items->assigned_to.'"  data-due_date="'.$items->due_date.'"  data-status="'.$status.'" data-priority_type="'.$items->priority.'" data-user_email="'.$user_email.'" data-subject="'.$subject.'"     data-body="'.$body.'" data-two_char="'.$first_two_chars1.'"   data-assignee_name="'.$assinee_name1.'"  onclick="loadTemplate(this)" src="/images/arr_right.svg" style="background-color: #000;padding: 5px;border-radius: 5px;height: 22px;cursor: pointer;display:block;object-fit: none;"></div></td>
        <td class="border-r">
            '.$user_email.'
        </td>
        ';
    }
 
    $f_hold .= '
                    <td class="text-left border-r">
                    <div  data-id="'.$items->id.'"  data-username="'.$items->uname.'" data-assignee="'.$items->assigned_to.'"  data-due_date="'.$items->due_date.'" data-status="'.$status.'" data-priority_type="'.$items->priority.'" data-user_email="'.$user_email.'" data-subject="'.$subject.'"    data-body="'.$body.'"  data-two_char="'.$first_two_chars1.'" data-assignee_name="'.$assinee_name1.'"    onclick="loadTemplate(this)" class="slide_c pop_btns cursor-pointer" >
                        '.$subject.'
                        </div>
                    </td>
                    <td class="  border-r">
                    <div class="flex gap-2 " style="width: max-content;">
                    '.$first_two_chars.'   
                    '.$assinee_name.'
                    </div>
                    </td>
                    <td class="  border-r"> 
                        '. date('d-M-y', strtotime($items->tickets_received)).'
                    </td>';
$dudedate = $items->due_date;
if($dudedate){


$due = explode(' ',$dudedate);
$currentDate = date('Y-m-d');
$yesterday = date('Y-m-d', strtotime('-1 day'));
$tomorrow = date('Y-m-d', strtotime('+1 day'));

if ($dudedate == $currentDate) {
$DueDate = '<span style="color: green;">Today</span>';
} elseif ($dudedate == $yesterday || $dudedate < $currentDate) {
$DueDate = '<div class="cursor-pointer group relative" style="width: max-content;
display: block;"><span class="group" style="color: red;">' . $due[0] . '</span><div class="group-hover:block hidden absolute z-20 bg-white -top-[35px] py-[3px] px-[10px] border font-semibold rounded-[10px] w-max text-[red]">Over Due</div></div>';
} elseif ($dudedate == $tomorrow) {
$DueDate = '<div style="
width: max-content;
"><span style="color: grey;">' . $due[0] . '</span></div>';
} 
else {
$DueDate = '<div style="
width: max-content;
"><span style="color: grey;"> '.$due[0].'</span></div>';
}
}


else {

$DueDate = '<span style="color: grey;">No Due </span>';
}

if($items->smart_schedule){
$formattedSchedule = Carbon::parse($items->smart_schedule)->format('d M Y h:i A');
}else{
$formattedSchedule ='';
}

$f_hold .= '<td class="border-r">' . $DueDate . '</td>';
if ($items->instant_action == 0) {
if($status == 'Completed'){
$insta_action_btn = '<div class="group relative"><img src="/images/check_block.svg" id="instant_active'.$key.'"  data-action_name="'.$action_name_id.'"   data-id="'.$items->id.'"    data-from_addr="'.$items->from_addr.'"  data-uid="'.$items->uid.'"  " id="check_block'.$key.'" alt="check" class="bg-[#34df3e] group bg-[#fff] rounded-full border p-[2px] cursor-pointer slide_c pop_btns"><div class="group-hover:block hidden absolute bg-white z-20 py-[5px] -top-[35px] -left-[44px] p-[10px] border font-semibold rounded-[10px] w-max">Action Completed</div></div>';

}else{
$insta_action_btn = '<div class="group relative"><img src="/images/check_block.svg" id="instant_active'.$key.'"  data-action_name="'.$action_name_id.'"   data-id="'.$items->id.'"   data-from_addr="'.$items->from_addr.'"  data-notes="'.$items->notes.'"  data-uid="'.$items->uid.'" onclick="insta_act_btn(this)"  id="check_block'.$key.'" alt="check" class="group bg-[#fff] rounded-full border p-[2px] cursor-pointer slide_c pop_btns"><div class="group-hover:block hidden absolute bg-white z-20 py-[5px] -top-[35px] -left-[44px] p-[10px] border font-semibold rounded-[10px] w-max">Instant Action</div></div>';

}
}else{
$insta_action_btn = '<div class="group relative"><img src="/images/check.svg" id="instant_active'.$key.'"  data-action_name="'.$action_name_id.'"   data-id="'.$items->id.'"    data-from_addr="'.$items->from_addr.'" data-uid="'.$items->uid.'"   id="check_block'.$key.'" alt="check" class="group bg-[#34df3e] rounded-full border p-[2px] cursor-pointer slide_c pop_btns"><div class="group-hover:block hidden absolute bg-white z-20 py-[5px] -top-[35px] -left-[55px] p-[10px] border font-semibold rounded-[10px] w-max">Action Completed</div></div>'; 
}
                   
                    $f_hold .= '<td class=" hidee_div  border-r">
                    <div class="grid justify-center">
                        '.$insta_action_btn.' 
                        </div>
                    </td>
                    <td class="  border-r hidee_div">';

                if($items->smart_schedule){
                    if($status == 'Completed'){
                        $f_hold .= '  <div class="sched_hov_div sch_title_hov relative date_mail pop_btns" data-value="'.$items->uid.'" data-id="'.$items->id.'" data-sub="'.$subject.'" data-action="'.$items->action_id.'" data-smart_schedule="'.$items->smart_schedule.'"  style="display: flex;justify-content: center;column-gap: 10px;" > 
                        
                        <div class="sched_hov absolute bg-white z-20 py-[5px] -top-[35px] -left-[15px] p-[10px] border font-semibold rounded-[10px] w-max">Action Completed</div>
                        
                                <img src="../images/cal.png" class="" style="width: 20px;cursor: pointer;" title="Schedule At '.$items->completed_at.' "">
                        </div>';
                    }else{
                        $f_hold .= '  <div class="sch_title_hov relative date_mail pop_btns" data-value="'.$items->uid.'" data-id="'.$items->id.'" data-sub="'.$subject.'" data-action="'.$items->action_id.'" data-action1="'.$action_name_id.'" data-smart_schedule="'.$items->smart_schedule.'"  style="display: flex;justify-content: center;column-gap: 10px;" onclick="actup1(this)" > 
                        <div class="!border-[#bbb] z-20 sch_title"> Schedule At - '.$formattedSchedule.' </div>
                        
                                <img src="../images/cal.png" style="width: 20px;cursor: pointer;" title="Schedule At '.$items->completed_at.' "">
                        </div>';
                    }
                 
                }else{


                    if($status == 'Completed'){
                        $f_hold .= '  <div class="date_mail pop_btns relative sched_hov_div" data-value="'.$items->uid.'" data-id="'.$items->id.'" data-sub="'.$subject.'" data-action="'.$items->action_id.'" data-smart_schedule="'.$items->smart_schedule.'"  style="display: flex;justify-content: center;column-gap: 10px;"    >    
                        
                        <div class="sched_hov absolute bg-white z-20 py-[5px] -top-[35px] -left-[15px] p-[10px] border font-semibold rounded-[10px] w-max" >Action Completed</div>

                        <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" style="cursor: pointer;" fill="currentColor" class="bi bi-calendar2-week-fill" viewBox="0 0 16 16">
<path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5m9.954 3H2.545c-.3 0-.545.224-.545.5v1c0 .276.244.5.545.5h10.91c.3 0 .545-.224.545-.5v-1c0-.276-.244-.5-.546-.5M8.5 7a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5zm3 0a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5zM3 10.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5m3.5-.5a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5z"/>
</svg>
</div>';
                    }else{
                        $f_hold .= '  <div class="date_mail pop_btns" data-value="'.$items->uid.'" data-id="'.$items->id.'" data-sub="'.$subject.'" data-action="'.$items->action_id.'" data-action1="'.$action_name_id.'" data-smart_schedule="'.$items->smart_schedule.'"  style="display: flex;justify-content: center;column-gap: 10px;"  onclick="actup2(this)"  >     
                    <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" style="cursor: pointer;" fill="currentColor" class="bi bi-calendar2-week-fill" viewBox="0 0 16 16">
<path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5m9.954 3H2.545c-.3 0-.545.224-.545.5v1c0 .276.244.5.545.5h10.91c.3 0 .545-.224.545-.5v-1c0-.276-.244-.5-.546-.5M8.5 7a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5zm3 0a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5zM3 10.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5m3.5-.5a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5z"/>
</svg>
</div>';
                    }
                 
                  
}

                    $Thread_count = DB::table('comm_internalthread')->where('ticketid', $items->id)->count();
                    $cnt_thread = "";
                    if($Thread_count > 0) {
                        $cnt_thread = $Thread_count;
                    }else {
                        $cnt_thread = 0;
                    }

                    
                    
                     $f_hold .= '</td>
                     <td class="hide_allcate inbox_hidden">
                     <div class=" hov_span_div pop_btns rounded-[10px] bg-[#bbb] text-[#000] cursor-pointer flex gap-2 justify-center items-center py-[2px]" onclick="catg_click(\''.$tag_n.'\', \''.$tag_n_id.'\')"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" fill="currentColor" class="bi bi-pencil hov_span" viewBox="0 0 16 16"><path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325"></path></svg>'.$tag_n.'</div>
                     </td>
                    <td><button onclick="commented('.$key.', '.$items->id.', '.str_replace('"', '&quot;', $items->internal_thread).')"
                                    class="pop_btns select-none  font-sans text-xs flex items-center justify-center gap-2 font-bold uppercase w-full">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chat-right" viewBox="0 0 16 16">
                                    <path d="M2 1a1 1 0 0 0-1 1v8a1 1 0 0 0 1 1h9.586a2 2 0 0 1 1.414.586l2 2V2a1 1 0 0 0-1-1zm12-1a2 2 0 0 1 2 2v12.793a.5.5 0 0 1-.854.353l-2.853-2.853a1 1 0 0 0-.707-.293H2a2 2 0 0 1-2-2V2a2 2 0 0 1 2-2z"/>
                                    </svg>
                                     '.$cnt_thread.'
                                </button></td>';
            }
            $f_hold .= '</tr>';
            return response()->json(['sfsfsfd'=>$f_hold]); 
}else  {return response()->json(['sfsfsfd'=>$f_hold]); 
}
} 


        public function allmailplay1(Request $request) {
            $data = $request->input('ref');
            if($data == 'allmailplay_data') {

            $user = Auth::guard('staff')->user(); 
            $page = $request->input('page');

            $html = '';
            $user = Auth::guard('staff')->user();
           if($user->type == 'Staff'){
            if($page == 'all') {
                $result = DB::table('comm_tbl_smthub_ticket')->whereNotIn('action_id', [5,6])->where('assigned_to',$user->uid)->whereNOTnull('action_id')->whereNotIn('action_id', [1, 2, 3, 4])->where('duplicate', '0')->orderBy('tickets_received', 'desc')->get();
            

        }
        else  if($page == 'upc') {
            $result = DB::table('comm_tbl_smthub_ticket')->whereNotIn('action_id', [5,6])->where('assigned_to',$user->uid)->whereNotnull('upc_id')->where('upc_id','!=','')->whereNOTnull('action_id')->whereNotIn('action_id', [1, 2, 3, 4])->where('duplicate', '0')->orderBy('tickets_received', 'desc')->get();
           

    }
     else if($page == 'tag') {


            $result = DB::table('comm_tbl_smthub_ticket')->where('assigned_to',$user->uid)->where('tag_id' , $request['tagid'])->where('duplicate', '0')->orderBy('tickets_received', 'desc')->get();
        

    }
    else  if($page == 'user') {
        $result = DB::table('comm_tbl_smthub_ticket')->where('assigned_to',$user->uid)->whereNull('upc_id')
        ->orWhere('upc_id', '')->whereNOTnull('action_id')->where('action_id','!=','')->whereNotIn('action_id', [1, 2, 3, 4])->where('duplicate', '0')->orderBy('tickets_received', 'desc')->get();

        $result = DB::select("SELECT *
        FROM comm_tbl_smthub_ticket
        WHERE assigned_to = $user->uid
        AND (upc_id IS NULL OR upc_id = '')
        AND action_id IS NOT NULL
        AND action_id != ''
        AND action_id NOT IN (1, 2, 3, 4,5,6)
        AND duplicate = '0'
        ORDER BY tickets_received DESC");

    
    }
    else if($page == 'duplicate') {

        $result = DB::table('comm_tbl_smthub_ticket')->whereNotIn('action_id', [5,6])->where('assigned_to',$user->uid)->where('duplicate' , '1')->orderBy('tickets_received', 'desc')->get(); 

    }
 }
 
 else{
            if($page == 'all') {
                $result = DB::table('comm_tbl_smthub_ticket')->whereNotIn('action_id', [5,6])->whereNOTnull('action_id')->whereNotIn('action_id', [1, 2, 3, 4])->where('duplicate', '0')->orderBy('tickets_received', 'desc')->get();

        }
        else  if($page == 'upc') {
            $result = DB::table('comm_tbl_smthub_ticket')->whereNotIn('action_id', [5,6])->whereNOTnull('upc_id')->where('upc_id','!=','')->whereNotIn('action_id', [1, 2, 3, 4])->where('duplicate', '0')->orderBy('tickets_received', 'desc')->whereNOTnull('action_id')->get();


    }
     else if($page == 'tag') {
            
                $result = DB::table('comm_tbl_smthub_ticket')->where('tag_id' , $request['tagid'])->where('duplicate', '0')->orderBy('tickets_received', 'desc')->get();
            
            

    }
    else  if($page == 'user') {
        $result = DB::table('comm_tbl_smthub_ticket')
        ->whereNull('upc_id')->orWhere('upc_id', '')
        ->whereNOTnull('action_id')->where('action_id','!=','')->whereNotIn('action_id', [5,6])->whereNotIn('action_id', [1, 2, 3, 4])->where('duplicate', '0')->orderBy('tickets_received', 'desc')->get();

        $result = DB::select("SELECT *
        FROM comm_tbl_smthub_ticket
        WHERE  (upc_id IS NULL OR upc_id = '')
        AND action_id IS NOT NULL
        AND action_id != ''
        AND action_id NOT IN (1, 2, 3, 4,5,6)
        AND duplicate = '0'
        ORDER BY tickets_received DESC");
            
        }
        else if($page == 'duplicate') {
            
            $result = DB::table('comm_tbl_smthub_ticket')->whereNotIn('action_id', [5,6])->where('duplicate' , '1')->orderBy('tickets_received', 'desc')->get();
        
        }

           }
               
          
    
            $f_hold = ''; 

            foreach($result as $key => $items) {
 
                $completed_at = $items->completed_at;
           
                    $status = $items->status;
            
                

                $uid = $items->uid; 
                $tag_id = $items->tag_id; 
                $assignee = $items->assigned_to; 
                $action_id = $items->action_id; 
                
                $tags_name = DB::table('comm_tag')->where('id','=', $tag_id)->get();
                if(count($tags_name) >0){
                    $tag_n = $tags_name[0]->tag_name;
                    $tag_n_id = $items->id;
                }
                else{
                    $tag_n ='Assign';
                    $tag_n_id = $items->id;
                }
               
                
                
                $user_details = DB::table('users')->where('uid','=', $uid)->get(); 
                if(count($user_details) > 0){
                    $user_email =   $user_details[0]->mail; 
                }else{
                    $user_email = $items->from_addr; 
        
                }
   


                if($assignee){
                    $assinee_Details = DB::table('comm_staffs')->where('uid','=', $assignee)->get();   
if(count($assinee_Details) > 0){
    $assinee_name1 =   $assinee_Details[0]->name; 
    $assinee_name = '<span class=" ">'.$assinee_Details[0]->name.'</span>';
                    
    $first_two_chars1 = substr($assinee_name1, 0, 2);
    $first_two_chars = '<span class="p-[5px] bg-[#ffe300] w-[30px] h-[30px] grid rounded-full font-medium text-[12px]">'.$first_two_chars1.'</span>';
}else{
    $assinee_name1='';
    $assinee_name =   'No Assignee'; 
    $first_two_chars = '<span class="p-[5px] bg-[#ffe300] w-[30px] h-[30px] grid rounded-full font-medium text-[12px]">!</span>';
    $first_two_chars1='!';
}

                 
                }
                else{
                    $assinee_name1='';
                    $assinee_name =   'No Assignee'; 
                    $first_two_chars = '<span class="p-[5px] bg-[#ffe300] w-[30px] h-[30px] grid rounded-full font-medium text-[12px]">!</span>';
                    $first_two_chars1='!';
                }

                $action_details = DB::table('comm_action')->where('id','=', $action_id)->get(); 
                if(count($action_details)>0){
                    $action_name_id =   $action_details[0]->action_name; 
                }else{
                    $action_name_id =   ''; 
                }
                $body = $items->body;
                // $subject = $items->subject;

                // dd($items->subject);
                if($items->language_detect == '' || $items->language_detect == 'English'){
                   
                    // $body = $items->body;
                    $subject = $items->subject;
                }
                else{
                    // $body = $items->body_content;
                    $subject = $items->subject_content;
                            
                }
                        
                if($items->language_detect == '' || $items->language_detect == 'English'){
                            
                 $detect = '0';
                }
                else{
                    $detect = $items->language_detect;
                }
                                
                 $f_hold .= '<tr class="border-b group hover:bg-gray-100">';

                // if ($items->priority_type == '1') {
                //     $tooltip_text = "Priority";
                //     $icon_color = "text-orange-500 animate-pulse";
                // } else if ($items->priority_type == '2') {
                //         $tooltip_text = "Severity";
                //         $icon_color = "text-red-500 animate-pulse";
                // }else{
                //     $tooltip_text = "";
                //     $icon_color = "hidden";
                // }

                 $f_hold .= '<td class=" border-r">
                        <input type="checkbox" data-id="'.$items->id.'" onclick="toggleSelection(this)"/> 
                    </td>';
                    
                 if($page == 'tag') {
                    $f_hold .= '<td scope="row" class="border-r font-medium text-gray-900 whitespace-nowrap dark:text-white" style="place-items:center"> <div style="display: flex;justify-content: center;">
                    <img id="tigger'.$items->id.'" class="cont_icons slide_c"   data-id="'.$items->id.'"  data-username="'.$items->uname.'" data-assignee="'.$items->assigned_to.'"  data-due_date="'.$items->due_date.'" data-bodycontent="'.$items->body_content.'"  data-orgsubject="'.$items->subject.'"  data-langdetect="'.$detect.'" data-status="'.$status.'" data-priority_type="'.$items->priority.'" data-user_email="'.$user_email.'" data-subject="'.$subject.'"     data-body="'.$body.'" data-two_char="'.$first_two_chars1.'"   data-assignee_name="'.$assinee_name1.'"  onclick="loadTemplate(this)" src="/images/arr_right.svg" style="background-color: #000;padding: 5px;border-radius: 5px;height: 22px;cursor: pointer;display:block;object-fit: none;"></div></td>
                    <td class="capitalize border-r">  '.$items->id.' </td>';

                    if($page == 'duplicate'){

                        $f_hold .='<td class="capitalize border-r">'.$items->original_id.'</td>';

                     }

                    // $f_hold .= '<td class="border-r text-center relative group">
                    // <div class="inline-block relative">
                    //     <svg class="w-6 h-6 ' . $icon_color . '" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor" viewBox="0 0 24 24">
                    //         <path d="M13.09 3.294c1.924.95 3.422 1.69 5.472.692a1 1 0 0 1 1.438.9v9.54a1 1 0 0 1-.562.9c-2.981 1.45-5.382.24-7.25-.701a38.739 38.739 0 0 0-.622-.31c-1.033-.497-1.887-.812-2.756-.77-.76.036-1.672.357-2.81 1.396V21a1 1 0 1 1-2 0V4.971a1 1 0 0 1 .297-.71c1.522-1.506 2.967-2.185 4.417-2.255 1.407-.068 2.653.453 3.72.967.225.108.443.216.655.32Z"/>
                    //     </svg>
                    // </div>
                    
                    // <!-- Tooltip (Now inside the same <td> and will appear on hover) -->
                    // <div class="absolute bottom-full left-1/2 transform -translate-x-1/2 mt-1 hidden group-hover:flex bg-white text-black text-sm font-bold border rounded-lg px-4 py-2 whitespace-nowrap z-50 shadow-lg">
                    //     ' . $tooltip_text . '
                    // </div>
                    // <style>
                    //         .bottom-full {
                    //             bottom: 80%; 
                    //         }
                    //         .py-2 {
                    //             padding-top: 5px;
                    //             padding-bottom: 5px;
                    //         }
                    // </style>

                    // </td>';
                               
                    $f_hold .='<td class="border-r">'.$items->from_addr.'</td>';

                 }else{
                    $f_hold .= '<td scope="row" class="border-r font-medium text-gray-900 whitespace-nowrap dark:text-white" style="place-items:center"> <div style="display: flex;justify-content: center;">
                    <img id="tigger'.$items->id.'" class="cont_icons slide_c"   data-id="'.$items->id.'"  data-username="'.$items->uname.'" data-assignee="'.$items->assigned_to.'"  data-due_date="'.$items->due_date.'"   data-bodycontent="'.$items->body_content.'"   data-orgsubject="'.$items->subject.'"  data-langdetect="'.$detect.'" data-status="'.$status.'" data-priority_type="'.$items->priority.'" data-user_email="'.$user_email.'" data-subject="'.$subject.'"     data-body="'.$body.'" data-two_char="'.$first_two_chars1.'"   data-assignee_name="'.$assinee_name1.'"  onclick="loadTemplate(this)" src="/images/arr_right.svg" style="background-color: #000;padding: 5px;border-radius: 5px;height: 22px;cursor: pointer;display:block;object-fit: none;"></div></td>
                    <td class="capitalize border-r">  '.$items->id.' </td>
                    ';

                    if($page == 'duplicate'){

                        $f_hold .='<td class="capitalize border-r">'.$items->original_id.'</td>';

                     }

                    // $f_hold .= '<td class="border-r text-center relative group">
                    //     <div class="inline-block relative">
                    //         <svg class="w-6 h-6 ' . $icon_color . '" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor" viewBox="0 0 24 24">
                    //             <path d="M13.09 3.294c1.924.95 3.422 1.69 5.472.692a1 1 0 0 1 1.438.9v9.54a1 1 0 0 1-.562.9c-2.981 1.45-5.382.24-7.25-.701a38.739 38.739 0 0 0-.622-.31c-1.033-.497-1.887-.812-2.756-.77-.76.036-1.672.357-2.81 1.396V21a1 1 0 1 1-2 0V4.971a1 1 0 0 1 .297-.71c1.522-1.506 2.967-2.185 4.417-2.255 1.407-.068 2.653.453 3.72.967.225.108.443.216.655.32Z"/>
                    //         </svg>
                    //     </div>
                        
                    //     <!-- Tooltip (Now inside the same <td> and will appear on hover) -->
                    //     <div class="absolute bottom-full left-1/2 transform -translate-x-1/2 mt-1 hidden group-hover:flex bg-white text-black text-sm font-bold border rounded-lg px-4 py-2 whitespace-nowrap z-50 shadow-lg">
                    //         ' . $tooltip_text . '
                    //     </div>
                    //     <style>
                    //             .bottom-full {
                    //                 bottom: 80%; 
                    //             }
                    //             .py-2 {
                    //                 padding-top: 5px;
                    //                 padding-bottom: 5px;
                    //             }
                    //     </style>

                    // </td>';
                                   
                $f_hold .='<td class="capitalize border-r">'.$items->uname.'</td>';
                

                 }
                
                $f_hold .= '
                                <td class="text-left border-r">
                                <div  data-id="'.$items->id.'"  data-username="'.$items->uname.'" data-assignee="'.$items->assigned_to.'"  data-due_date="'.$items->due_date.'" data-status="'.$status.'" data-priority_type="'.$items->priority.'"   data-bodycontent="'.$items->body_content.'"  data-langdetect="'.$detect.'" data-user_email="'.$user_email.'"   data-orgsubject="'.$items->subject.'"  data-subject="'.$subject.'"    data-body="'.$body.'"  data-two_char="'.$first_two_chars1.'" data-assignee_name="'.$assinee_name1.'"    onclick="loadTemplate(this)" class="slide_c pop_btns cursor-pointer" >
                                    '.$subject.'
                                    </div>
                                </td>
                                <td class="  border-r">
                                <div class="flex gap-2 " style="width: max-content;">
                                '.$first_two_chars.'   
                                '.$assinee_name.'
                                </div>
                                </td>
                                <td class="  border-r"> 
                                    '. date('d-M-y', strtotime($items->tickets_received)).'
                                </td>';


         if($page == 'duplicate'){

            $f_hold .= '<td class="capitalize border-r">
            <button onclick="remove_id(' . $items->id . ')" class="bg-black text-white px-2 py-2 rounded">
            Not Duplicate
            </button>
        </td>';
        

         }

if($page != 'duplicate'){

$dudedate = $items->due_date;
if($dudedate){
    $due = explode(' ',$dudedate);
$currentDate = date('Y-m-d');
$yesterday = date('Y-m-d', strtotime('-1 day'));
$tomorrow = date('Y-m-d', strtotime('+1 day'));

    if ($dudedate == $currentDate) {
        $DueDate = '<span style="color: green;">Today</span>';
    } elseif ($dudedate == $yesterday || $dudedate < $currentDate) {
        $DueDate = '<div class="cursor-pointer group relative" style="width: max-content;
        display: block;"><span class="group" style="color: red;">' . $due[0] . '</span><div class="group-hover:block hidden absolute z-20 bg-white -top-[35px] py-[3px] px-[10px] border font-semibold rounded-[10px] w-max text-[red]">Over Due</div>

    <style>
        .py-\[3px\] {
             padding-top: 5px;
             padding-bottom: 5px;
          }
    </style>
        
        </div>';
    } elseif ($dudedate == $tomorrow) {
        $DueDate = '<div style="
        width: max-content;
    "><span style="color: grey;">' . $due[0] . '</span></div>';
    } 
    else {
        $DueDate = '<div style="
        width: max-content;
    "><span style="color: grey;"> '.$due[0].'</span></div>';
    }
}


else {
  
    $DueDate = '<span style="color: grey;">No Due </span>';
}

if($items->smart_schedule){
    $formattedSchedule = Carbon::parse($items->smart_schedule)->format('d M Y h:i A');
}else{
    $formattedSchedule ='';
}

$f_hold .= '<td class="border-r">' . $DueDate . '</td>';

if ($items->instant_action == 0) {
    if($status == 'Completed'){
        $insta_action_btn = '<div class="group relative"><img src="/images/check_block.svg" id="instant_active'.$key.'"  data-action_name="'.$action_name_id.'"   data-id="'.$items->id.'"    data-from_addr="'.$items->from_addr.'"  data-uid="'.$items->uid.'"  " id="check_block'.$key.'" alt="check" class="bg-[#34df3e] group bg-[#fff] rounded-full border p-[2px] cursor-pointer slide_c pop_btns"><div class="group-hover:block hidden absolute bg-white z-20 py-[5px] -top-[35px] -left-[44px] p-[10px] border font-semibold rounded-[10px] w-max">Action Completed</div></div>';

    }else{
        $insta_action_btn = '<div class="group relative"><img src="/images/check_block.svg" id="instant_active'.$key.'"  data-action_name="'.$action_name_id.'"   data-id="'.$items->id.'"   data-from_addr="'.$items->from_addr.'"  data-notes="'.$items->notes.'"  data-uid="'.$items->uid.'" onclick="insta_act_btn(this)"  id="check_block'.$key.'" alt="check" class="group bg-[#fff] rounded-full border p-[2px] cursor-pointer slide_c pop_btns"><div class="group-hover:block hidden absolute bg-white z-20 py-[5px] -top-[35px] -left-[44px] p-[10px] border font-semibold rounded-[10px] w-max">Instant Action</div></div>';

    }
}else{
    $insta_action_btn = '<div class="group relative"><img src="/images/check.svg" id="instant_active'.$key.'"  data-action_name="'.$action_name_id.'"   data-id="'.$items->id.'"    data-from_addr="'.$items->from_addr.'" data-uid="'.$items->uid.'"   id="check_block'.$key.'" alt="check" class="group bg-[#34df3e] rounded-full border p-[2px] cursor-pointer slide_c pop_btns"><div class="group-hover:block hidden absolute bg-white z-20 py-[5px] -top-[35px] -left-[55px] p-[10px] border font-semibold rounded-[10px] w-max">Action Completed</div></div>'; 
}
                               
                                $f_hold .= '<td class=" hidee_div  border-r">
                                <div class="grid justify-center">
                                    '.$insta_action_btn.' 
                                    </div>
                                </td>
                                <td class="  border-r hidee_div">';

                            if($items->smart_schedule){
                                if($status == 'Completed'){
                                    $f_hold .= '  <div class="sched_hov_div sch_title_hov relative date_mail pop_btns" data-value="'.$items->uid.'" data-id="'.$items->id.'" data-sub="'.$subject.'" data-action="'.$items->action_id.'" data-smart_schedule="'.$items->smart_schedule.'"  style="display: flex;justify-content: center;column-gap: 10px;" > 
                                    
                                    <div class="sched_hov absolute bg-white z-20 py-[5px] -top-[35px] -left-[15px] p-[10px] border font-semibold rounded-[10px] w-max">Action Completed</div>
                                    
                                            <img src="../images/cal.png" class="" style="width: 20px;cursor: pointer;" title="Schedule At '.$items->completed_at.' "">
                                    </div>';
                                }else{
                                    $f_hold .= '  <div class="sch_title_hov relative date_mail pop_btns" data-value="'.$items->uid.'" data-id="'.$items->id.'" data-sub="'.$subject.'" data-action="'.$items->action_id.'" data-action1="'.$action_name_id.'" data-smart_schedule="'.$items->smart_schedule.'"  style="display: flex;justify-content: center;column-gap: 10px;" onclick="actup1(this)" > 
                                    <div class="!border-[#bbb] z-20 sch_title"> Schedule At - '.$formattedSchedule.' </div>
                                    
                                            <img src="../images/cal.png" style="width: 20px;cursor: pointer;" title="Schedule At '.$items->completed_at.' "">
                                    </div>';
                                }
                             
                            }else{


                                if($status == 'Completed'){
                                    $f_hold .= '  <div class="date_mail pop_btns relative sched_hov_div" data-value="'.$items->uid.'" data-id="'.$items->id.'" data-sub="'.$subject.'" data-action="'.$items->action_id.'" data-smart_schedule="'.$items->smart_schedule.'"  style="display: flex;justify-content: center;column-gap: 10px;"    >    
                                    
                                    <div class="sched_hov absolute bg-white z-20 py-[5px] -top-[35px] -left-[15px] p-[10px] border font-semibold rounded-[10px] w-max" >Action Completed</div>

                                    <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" style="cursor: pointer;" fill="currentColor" class="bi bi-calendar2-week-fill" viewBox="0 0 16 16">
      <path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5m9.954 3H2.545c-.3 0-.545.224-.545.5v1c0 .276.244.5.545.5h10.91c.3 0 .545-.224.545-.5v-1c0-.276-.244-.5-.546-.5M8.5 7a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5zm3 0a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5zM3 10.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5m3.5-.5a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5z"/>
    </svg>
    </div>';
                                }else{
                                    $f_hold .= '  <div class="date_mail pop_btns" data-value="'.$items->uid.'" data-id="'.$items->id.'" data-sub="'.$subject.'" data-action="'.$items->action_id.'" data-action1="'.$action_name_id.'" data-smart_schedule="'.$items->smart_schedule.'"  style="display: flex;justify-content: center;column-gap: 10px;"  onclick="actup2(this)"  >     
                                <svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" style="cursor: pointer;" fill="currentColor" class="bi bi-calendar2-week-fill" viewBox="0 0 16 16">
  <path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5m9.954 3H2.545c-.3 0-.545.224-.545.5v1c0 .276.244.5.545.5h10.91c.3 0 .545-.224.545-.5v-1c0-.276-.244-.5-.546-.5M8.5 7a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5zm3 0a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5zM3 10.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5m3.5-.5a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h1a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5z"/>
</svg>
</div>';
                                }
                             
                              
}

                                $Thread_count = DB::table('comm_internalthread')->where('ticketid', $items->id)->count();
                                $cnt_thread = "";
                                if($Thread_count > 0) {
                                    $cnt_thread = $Thread_count;
                                }else {
                                    $cnt_thread = 0;
                                }

                                
                                
                                 $f_hold .= '</td>
                                 <td class="hide_allcate inbox_hidden">
                                 <div class=" hov_span_div pop_btns rounded-[10px] bg-[#bbb] text-[#000] cursor-pointer flex gap-2 justify-center items-center py-[2px]" onclick="catg_click(\''.$tag_n.'\', \''.$tag_n_id.'\')"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" fill="currentColor" class="bi bi-pencil hov_span" viewBox="0 0 16 16"><path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325"></path></svg>'.$tag_n.'</div>
                                 </td>
                                <td><button onclick="commented('.$key.', '.$items->id.', '.str_replace('"', '&quot;', $items->internal_thread).')"
                                                class="pop_btns select-none  font-sans text-xs flex items-center justify-center gap-2 font-bold uppercase w-full">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chat-right" viewBox="0 0 16 16">
                                                <path d="M2 1a1 1 0 0 0-1 1v8a1 1 0 0 0 1 1h9.586a2 2 0 0 1 1.414.586l2 2V2a1 1 0 0 0-1-1zm12-1a2 2 0 0 1 2 2v12.793a.5.5 0 0 1-.854.353l-2.853-2.853a1 1 0 0 0-.707-.293H2a2 2 0 0 1-2-2V2a2 2 0 0 1 2-2z"/>
                                                </svg>
                                                 '.$cnt_thread.'
                                            </button></td>';
                     }
                }
                        $f_hold .= '</tr>';
            } 
            return response()->json(['sfsfsfd'=>$f_hold]); 
        }
       
}