<?php

namespace App\Http\Controllers;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use App\Models\User;
use PDF;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Hash;
use GuzzleHttp\Client as GuzzleClient;
use GuzzleHttp\Client;
use Illuminate\Support\Facades\Mail;
use Carbon\Carbon;

class CronController extends Controller
{
    public function cronset()
    {

        $data = DB::Select("select distinct a.upc FROM  node n JOIN audio a on a.nid = n.nid LEFT JOIN audio_image ai ON ai.nid = n.nid JOIN users u ON u.uid=n.uid JOIN upc_distribution ud on ud.upcid=a.upc where n.status=0 and n.moderate=1 and n.del_flag=0 and n.disapproved=0 and n.type='audio' and ud.main_dis_option='free' and n.useraction=0 and ud.final_review=0 and ud.admin_id=0 and a.upc != '' and (file_path = '' or file_path like 'files%') and n.created > 1378936264");
       
        $upcArray = array_map(function($data) {
            return $data->upc;  
        }, $data); 
        

        $upcList = implode("', '", $upcArray);

        $datas = DB::Select("
    SELECT s.upc, s.mail, s.name,s.uid,s.date
    FROM (
        SELECT 
            a.upc,u.mail,u.name,u.uid,n.created as date
        FROM node n
        JOIN audio a ON a.nid = n.nid
        LEFT JOIN audio_image ai ON ai.nid = n.nid
        JOIN users u ON u.uid = n.uid
        JOIN upc_distribution ud ON ud.upcid = a.upc
        WHERE n.status = 0
        AND n.moderate = 1
        AND n.del_flag = 0
        AND a.upc NOT IN ('$upcList') 
        AND n.disapproved = 0
        AND n.type = 'audio'
        AND a.upc != ''
        AND n.useraction = 0
        AND ud.final_review = 0
        AND ud.admin_id = 0
        GROUP BY a.upc,u.mail,u.name,u.uid,n.created 
    ) AS s
    WHERE s.date > 1378936264
");


$finalData = []; 

if (!empty($datas)) {
foreach($datas as $item){

$upc= $item->upc;

$datas1 = DB::Select("SELECT distribution_type FROM discography_api_report WHERE upc = ?", [$upc]);

if (!empty($datas1)) {
    $distributionType = $datas1[0]->distribution_type;
   if($distributionType == 'free') {
    $distributionType = 'Free';
   }
   if($distributionType == 'premium') {
    $distributionType = 'Premium';
   }
   if($distributionType == 'Enterprise') {
    $distributionType = 'Enterprise';
   }
} else { 
    $distributionType = null;   
}



$datas2 = DB::Select("SELECT distinct el.uid as enuser FROM enterprise_label_customer el JOIN enterprise_user_details ed ON el.uid = ed.userid where ed.delete_status=0 and  (ed.status='Active' or ed.status='Cancelling') and el.uid='$item->uid'");
if(count($datas2) > 0){
    $usertype = 'Enterprise';

}
else{
    $check = DB::table('flag_comment')
    ->where('flagtype', 'priority')
    ->where('uid', $item->uid)
    ->get();
    if(count($check) > 0){
        $usertype = 'Priority';
    }
else{
    $usertype = 'Free';
}
    
}
$finalData[] = [
    'uid'=>$item->uid,
    'upc' => $item->upc,
    'mail' => $item->mail,
    'name' => $item->name,
    'upctype' => $distributionType,
    'usertype' => $usertype,
    'created' =>Carbon::createFromTimestamp($item->date)->format('Y-m-d H:i:s')
];
}


}      

   dd($finalData);    
       
        
    }
    public function langdetect()
    {
   $result = DB::select("SELECT * FROM comm_tbl_smthub_ticket where id = '167'");

   foreach($result as $item){
    $text_quest = $item->body;
    
    $id = $item->id;
    $filePath = base_path('public/tmp.txt');
    file_put_contents($filePath, '');
file_put_contents($filePath, $text_quest);

if($text_quest){

    $scriptPath = base_path('public/langdetect.py');
$command = escapeshellcmd("python3 $scriptPath $filePath");
$output = shell_exec($command);
$output = str_replace("\n", "", $output);
echo $output = str_replace("Detected Language:", "", $output);

if($output == 'English'){
    $result = DB::select("Update comm_tbl_smthub_ticket set comm_tbl_smthub_ticket.language_detect = '$output' where id= '$id';");
}
else{
    $scriptPath = base_path('public/changelangeng.py');
    $command = escapeshellcmd("python3 $scriptPath $filePath");
    $output1 = shell_exec($command);
   
$output1 = str_replace("\n", "", $output1);
echo $output1 = str_replace("converted language:", "", $output1);


 
    $result = DB::select("Update comm_tbl_smthub_ticket set comm_tbl_smthub_ticket.language_detect = '$output' , comm_tbl_smthub_ticket.body_content = '$output1' where id= '$id';");
}
}
else{
    $result = DB::select("Update comm_tbl_smthub_ticket set comm_tbl_smthub_ticket.language_detect = '' where id= '$id';");

    $result = DB::select("Update comm_tbl_smthub_ticket set comm_tbl_smthub_ticket.language_detect = '' , comm_tbl_smthub_ticket.body_content = '' where id= '$id';");

}

    $text_quest = $item->subject;
    if($text_quest){
    $id = $item->id;
    $filePath = base_path('public/tmp.txt');
    file_put_contents($filePath, '');
file_put_contents($filePath, $text_quest);



    $scriptPath = base_path('public/langdetect.py');
$command = escapeshellcmd("python3 $scriptPath $filePath");
$output = shell_exec($command);
$output = str_replace("\n", "", $output);
echo $output = str_replace("Detected Language:", "", $output);

if($output == 'English'){
    $result = DB::select("Update comm_tbl_smthub_ticket set comm_tbl_smthub_ticket.language_detect = '$output' where id= '$id';");
}
else{
   
    $scriptPath = base_path('public/changelangeng.py');
    $command = escapeshellcmd("python3 $scriptPath $filePath");
    $output1 = shell_exec($command);
   
$output1 = str_replace("\n", "", $output1);
 $output1 = str_replace("converted language:", "", $output1);

    $result = DB::select("Update comm_tbl_smthub_ticket set comm_tbl_smthub_ticket.language_detect = '$output' , comm_tbl_smthub_ticket.subject_content = '$output1' where id= '$id';");
}
   }
else{
    $result = DB::select("Update comm_tbl_smthub_ticket set comm_tbl_smthub_ticket.language_detect = '' where id= '$id';");

    $result = DB::select("Update comm_tbl_smthub_ticket set comm_tbl_smthub_ticket.language_detect = '' , comm_tbl_smthub_ticket.body_content = '' where id= '$id';");

}



} 



   }

    public function escalationcron()
    {

        //I would appreciate it if all the pending releases from my account could be disapproved as soon as possible. This issue has been ongoing for a while, and I kindly request that it be addressed promptly to avoid any further delays.
       // Please Delete all my unfinished releases from my account.
       //Can you please just delete all my unfinished releases from my account already? It's really annoying that this is still pending.
        $cetag_qur = DB::table('comm_tbl_smthub_ticket')
          ->where('status', 'Received')
        ->where('tone_detection_updated', '0')
     
            ->get();  
          
        if ($cetag_qur->count() > 0) {
            foreach ($cetag_qur as $ticket) {
        
                if ($ticket->language_detect != 'English') {
                    $body = $ticket->body_content;
                } else {
                    $body = $ticket->body;
                }
                $id = $ticket->id;
                
                $result1Json = json_encode($ticket);
              // $ids[] = $id;

                
        $scriptPath = base_path('public/tonedetection.py');

        $command = escapeshellcmd("python3 $scriptPath '$result1Json'");

        $output_step1 = shell_exec($command . " 2>&1");

        $text = str_replace("\n", "", $output_step1);
        
        if($text != 'none' || $text != 'None'){
            $ids[] = $id;
            DB::update("UPDATE comm_tbl_smthub_ticket SET tone_detection = '$text' WHERE id = '$id'");
            DB::update("UPDATE comm_tbl_smthub_ticket SET tone_detection_updated = '1' WHERE id = '$id'");
        }

        
                $scriptPath = base_path('public/escalation.py');
                $command = escapeshellcmd("python3 $scriptPath '$body'");
        
                $output = shell_exec($command);
                
                 $output = str_replace("\n", "", $output);
if($output == 'Severity'){
    $output ='1';
}else if($output == 'Priority'){
    $output ='2';
}else{
    $output ='0';
}
DB::update("UPDATE comm_tbl_smthub_ticket SET priority_type = '$output' WHERE id = '$id'");

               
           }
           
        } else {
            echo "No tickets found with the status 'Received'.<br>";
            exit;
        }



      //  $cetag_qur = DB::table('comm_tbl_smthub_ticket')->whereIn('id', [154 to 158])->where('tone_detection_updated', '1')->where('tone_detection','!=','None')->where('status', 'Received') ->get();
               // ->whereDate('tickets_received', Carbon::today()->format('Y-m-d')) // Filter by today's date
               // Using range() for the array of IDs
    //->where('tone_detection_updated', '1')
   // ->where('tone_detection', '!=', 'None')
   // ->where('status', 'Received')
               $cetag_qur = DB::table('comm_tbl_smthub_ticket')
    ->whereIn('id', $ids)  
    ->get();


// HTML output initialization
$html_output = ''; 
$html_output .= "🔴🔴🔴 *ESCALATION ALERTS* 🔴🔴🔴\n\n";

$html_output .= "*Please Review the Following Escalation Tickets:*\n\n";



// Initialize an array to dynamically group tickets by their tone (based on the `tone_detection` column)
$tones = [];

// Loop through the fetched tickets
foreach ($cetag_qur as $ticket) {
    $action = $ticket->action_id;
    $upc_id = $ticket->upc_id;
    $id = $ticket->id;
    $tag = $ticket->tag_id;
    $tone_detection = $ticket->tone_detection;
    $body = $ticket->body;
    $max_length = 75; 
    $body = substr($body, 0, $max_length); 
    
    // Initialize the path variable
    $path = '';

    // Set the ticket URL path based on conditions
    if ($tag) {
        $path = "https://smarthub.rn-test.com/alluncategorised?id=" . $id;
        if (in_array($ticket->tag_id, [1, 2, 3, 4])) {
            $path = "https://smarthub.rn-test.com/uncategorised?id=" . $id;
        }
    } elseif (is_null($upc_id) || $upc_id == '') {
        if (!is_null($action) && $action != '' && !in_array($action, [1, 2, 3, 4]) && !in_array($ticket->tag_id, [1, 2, 3, 4]) && is_null($ticket->tag_id) || $ticket->tag_id == '') {
            $path = "https://smarthub.rn-test.com/userbased?id=" . $id;
        }
    } elseif (!is_null($upc_id) && $upc_id != '' && !in_array($action, [1, 2, 3, 4])) {
        $path = "https://smarthub.rn-test.com/upcbased?id=" . $id;
    }
    if (!is_null($action) && !in_array($action, [1, 2, 3, 4])) {
        $path = "https://smarthub.rn-test.com/allmail?id=" . $id;
    }

    // Only add the ticket if the path is valid
    if ($path) {
        $ticket_info = "$body...<{$path}|View Details>\n\n";

        // Dynamically group tickets by their tone_detection value
        if (!array_key_exists($tone_detection, $tones)) {
            $tones[$tone_detection] = []; // Initialize the group if tone doesn't exist yet
        }

        // Add ticket to the appropriate tone group
        $tones[$tone_detection][] = $ticket_info;
    }
}


foreach ($tones as $tone => $ticket_group) {
    $html_output .= "\n*Tone: {$tone}*\n"; // Add tone heading
    foreach ($ticket_group as $ticket) {
        $html_output .= $ticket; // Add the ticket URL for this tone
    }
}


$client = new Client();
            
            $endpoint = 'https://slack.com/api/chat.postMessage';
            $token = "xoxb-6898630061328-6861380470567-sBJdnLKIuImJcnsh2jMipbO1";
            $channelId = 'C08ECMLKAN5';
$response = $client->post($endpoint, [
    'form_params' => [
        'channel' => $channelId,
        'text' => 'ESCALATION ALERTS', 
        'blocks' => json_encode([ 
            [
                "type" => "section",
                "block_id" => "escalation_alerts",
                "text" => [
                    "type" => "mrkdwn",
                    "text" => $html_output,
                ],
            ],
        ]),
    ],
    'headers' => [
        'Authorization' => 'Bearer ' . $token,
        'Content-Type' => 'application/x-www-form-urlencoded',
    ]
]);

$body = $response->getBody();
$responseArray = json_decode($body, true);


          
    

    }
        
      
    public function duplicatetickets()
    {

        //$result = DB::select("SELECT uid,uname,body,body_content,subject,subject_content FROM comm_tbl_smthub_ticket where status != 'Completed' AND not_duplicate_marked_by IS NOT NULL");

        $result = DB::table('comm_tbl_smthub_ticket')
        ->select('id','uid', 'uname', 'body', 'body_content', 'subject', 'subject_content')
        ->where('status', '!=', 'Completed')
        ->whereNull('not_duplicate_marked_by')
       ->get();
    


        $result1Json = json_encode($result);
 
        $scriptPath = base_path('public/duplicate.py');
        $command = escapeshellcmd("python3 $scriptPath $result1Json");
        $output = shell_exec($command);
        $output = str_replace("\n", "", $output);
       



preg_match_all('/original ticket id: (\d+) duplicate ticket ids: \[(.*?)\]/', $output, $matches);

$originalTickets = $matches[1];
$duplicateTickets = $matches[2];

foreach ($originalTickets as $key => $originalId) {
    $duplicateIds = explode(', ', $duplicateTickets[$key]);

    $duplicateIdsStr = implode(', ', $duplicateIds);

    DB::update("UPDATE comm_tbl_smthub_ticket 
                SET duplicate = '1', original_id = '$originalId'
                WHERE id IN ($duplicateIdsStr)");
}




dd($output);
    //     $output = str_replace("json", "", $output);
    //     $output = str_replace("```", "", $output);

       
    // $output = explode(',', trim($output, '[]'));
    // $output = array_map('trim', $output);  

    // if (is_array($output)) {
    //     $placeholders = rtrim(str_repeat('?,', count($output)), ',');
    
    //     $result = DB::update("UPDATE comm_tbl_smthub_ticket SET duplicate = '1' WHERE id IN ($placeholders)", $output);
    // }

  



echo 'Success';


    
    }


   
}



