<?php
    namespace App\Http\Controllers;

    use Illuminate\Http\Request;
    use JoggApp\LaravelNaturalLanguage\Facades\NaturalLanguage;
    use SpellChecker\SpellChecker;
    use SpellChecker\WordsParsers\ArrayWordsParser;
    use SpellChecker\WordsParsers\FileWordsParser;
    //use Illuminate\Support\Facades\DB; // Import the DB facade
    use DB;
    use Auth;
    use Illuminate\Support\Facades\Redirect;
    class CustomerControll extends Controller
    {
        public function customer()
        {

          
        //     $user= Auth()->user(); 
            // $data = DB::table('comm_email')->where('assigned_to',$user->id)->get();
            $datas = DB::table('comm_custom_users')
                    ->whereDate('datetime', now()->toDateString())
                    ->get();

                    $user = Auth::guard('staff')->user(); ;
                    // dd($user->uid);
                    $values = DB::table('comm_staffs')->where('uid','!=',$user->uid)->get();
                    $userid = DB::table('comm_staffs')->where('uid','=',$user->uid)->get();
                    $idsss = $_GET['user_id'] ?? null;
                    // dd($idsss);
                    if($idsss == null) {
                        $array = array([
                        'uid' => 0,
                        'name' => 'Bot',
                        'image' => '/uploads/pexels-photo-8294554.webp' 
                        ]);
                        $json = json_encode($array);
                        $userid1 = json_decode($json);
                        // var_dump($userid1);
                        
                    }else {
                        $userid1 = DB::table('comm_staffs')->where('uid','=',$_GET['user_id'])->get();
                    }
            
                    $jsonFilePath = public_path('emoji.json');
            
                    // Check if the file exists
                    if (file_exists($jsonFilePath)) {
                        // Read the contents of the JSON file
                        $jsonContents = file_get_contents($jsonFilePath);
            
                        $data = json_decode($jsonContents, true); // true to get associative array
                    }


                    $CUS_list = DB::table('comm_custom_users')->get();

                    $star = DB::table('comm_custom_users')->where('star','1')->count();
                    $star2 = DB::table('comm_custom_users')->where('star','2')->count();
                    $star3 = DB::table('comm_custom_users')->where('star','3')->count();
                    $star4 = DB::table('comm_custom_users')->where('star','4')->count();
                    $star5 = DB::table('comm_custom_users')->where('star','5')->count();
//dd($star); 


$currentMonth = date('n'); 
   $currentYear = date('Y');
   
   $months = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
   
  
   $startMonthIndex = $currentMonth - 1;  
   $twoMonthsBeforeIndex = $startMonthIndex - 2;
   
   if ($twoMonthsBeforeIndex < 0) {
       $twoMonthsBeforeIndex += 12;
   }

   $dates = [];
   for ($i = 0; $i <= 2; $i++) {
       $index = ($twoMonthsBeforeIndex + $i) % 12;
       $dates[] = $months[$index];
   }
   
   $allgraph = [];
   foreach ($dates as $month) {
   $allgraph[] = DB::table('comm_custom_users')
     ->whereMonth('datetime', '=', \Carbon\Carbon::parse($month)->month)
     ->whereYear('datetime', '=', $currentYear)
     ->count();  
   }
 
   $allgraph = [];
   foreach ($dates as $month) {
   $allgraph[] = DB::table('comm_custom_users')
     ->whereMonth('datetime', '=', \Carbon\Carbon::parse($month)->month)
     ->whereYear('datetime', '=', $currentYear)
     ->count();  
   }
   $onestar = [];
   foreach ($dates as $month) {
   $onestar[] = DB::table('comm_custom_users')
     ->whereMonth('datetime', '=', \Carbon\Carbon::parse($month)->month)
     ->whereYear('datetime', '=', $currentYear)  ->where('star','1')
     ->count();  
   }
   $twostar = [];
   foreach ($dates as $month) {
   $twostar[] = DB::table('comm_custom_users')
     ->whereMonth('datetime', '=', \Carbon\Carbon::parse($month)->month)
     ->whereYear('datetime', '=', $currentYear)  ->where('star','2')
     ->count();  
   }
   $threestar = [];
   foreach ($dates as $month) {
   $threestar[] = DB::table('comm_custom_users')
     ->whereMonth('datetime', '=', \Carbon\Carbon::parse($month)->month)
     ->whereYear('datetime', '=', $currentYear)  ->where('star','3')
     ->count();  
   }
   $fourstar = [];
   foreach ($dates as $month) {
   $fourstar[] = DB::table('comm_custom_users')
     ->whereMonth('datetime', '=', \Carbon\Carbon::parse($month)->month)
     ->whereYear('datetime', '=', $currentYear)  ->where('star','4')
     ->count();  
   }
   $fivestar = [];
   foreach ($dates as $month) {
   $fivestar[] = DB::table('comm_custom_users')
     ->whereMonth('datetime', '=', \Carbon\Carbon::parse($month)->month)
     ->whereYear('datetime', '=', $currentYear)
     ->where('star','5')
     ->count();  
   }
 
            return view('/customer',compact('datas'),['fivestar' => $fivestar,'fourstar' => $fourstar,'threestar' => $threestar,'twostar' => $twostar,'onestar' => $onestar,'dates' => $dates,'allgraph' => $allgraph,'message' => 'Hello, World!','CUS_list' => $CUS_list, 'emoji' =>$data['emojis'], 'logUser' => $user->uid, 'user_id' => $userid[0]->uid,'image' => $userid[0]->image , 'username' => $userid[0]->name, 'value' => $values, 'msg_userid' => $userid1[0]->uid, 'msg_name' => $userid1[0]->name, 'msg_image'=>$userid1[0]->image]);
        }








        public function showAnnotationPage()
        {
            $text = "Your text to annotate";
            $result = NaturalLanguage::annotateText($text);
    
            return view('/playground', compact('result'));
        }

        public function spellcheck()
        {
            $wordsParsers = [
                new ArrayWordsParser($text),
                new FileWordsParser('/path/to/file.txt'),
            ];
            $aspellPath = '/usr/bin/aspell'; // replace with the path to the Aspell binary on your system
            $lang = 'en_US';
            $dictDir = '/usr/share/aspell/'.$lang; // replace with the path to the Aspell dictionary directory on your system
            $affFile = '/usr/share/aspell/'.$lang.'.aff'; // replace with the path to the Aspell affix file on your system
            $spellChecker = new SpellChecker($wordsParsers, $aspellPath, $dictDir, $affFile);
            // $spellChecker = '';
            return view('supporthub/playground1', compact('spellChecker'));
        }

          public function unchart(Request $request) {
            if($_REQUEST['ref'] == 'csat_pi') {
                // $result = DB::table('comm_customer')->whereDate('datetime', '>=', $_POST['startDate'])->whereDate('datetime', '<=', $_POST['endDate'])->get();
                // $result = DB::select("SELECT SUM(star1)/count(*) as star1, SUM(star2)/count(*) as star2, SUM(star3)/count(*) as star3, SUM(star4)/count(*) as star4, SUM(star5)/count(*) as star5, count(*) FROM comm_customer WHERE DATE(datetime) >= ".$_POST['startDate']." AND DATE(datetime) <= ".$_POST['endDate']);
                // $result = DB::table('comm_customer')
                //     ->selectRaw('SUM(star1)/count(*) as star1, SUM(star2)/count(*) as star2, SUM(star3)/count(*) as star3, SUM(star4)/count(*) as star4, SUM(star5)/count(*) as star5')
                //     ->whereRaw("DATE(datetime) >= '2024-04-14' AND DATE(datetime) <= '2024-04-16'")
                //     ->get();
                $startDate = $_POST['startDate'];
                $endDate = $_POST['endDate'];

                // $result = DB::table('comm_custom_users')
                //     ->selectRaw('SUM(star1)/count(*) as star1, SUM(star2)/count(*) as star2, SUM(star3)/count(*) as star3, SUM(star4)/count(*) as star4, SUM(star5)/count(*) as star5, count(*) as total_count')
                //     ->whereRaw("DATE(datetime) >= '$startDate' AND DATE(datetime) <= '$endDate'")
                //     ->get();

                    
                    // $result = DB::table('comm_custom_users')
                    // ->selectRaw('
                    //     SUM(CASE WHEN star = 1 THEN 1 ELSE 0 END) as star1_count,
                    //     COUNT(*) as total_count
                    // ')
                    // ->whereRaw("DATE(datetime) >= ? AND DATE(datetime) <= ?", [$startDate, $endDate])
                    // ->get();
                    $result = DB::table('comm_custom_users')
                    ->selectRaw('
                        (SUM(CASE WHEN star = 1 THEN 1 ELSE 0 END) * 100.0 / COUNT(*)) as star1,
                        (SUM(CASE WHEN star = 2 THEN 1 ELSE 0 END) * 100.0 / COUNT(*)) as star2,
                        (SUM(CASE WHEN star = 3 THEN 1 ELSE 0 END) * 100.0 / COUNT(*)) as star3,
                        (SUM(CASE WHEN star = 4 THEN 1 ELSE 0 END) * 100.0 / COUNT(*)) as star4,
                        (SUM(CASE WHEN star = 5 THEN 1 ELSE 0 END) * 100.0 / COUNT(*)) as star5,
                        COUNT(*) as total_count
                    ')
                    ->whereRaw("DATE(datetime) >= ? AND DATE(datetime) <= ?", [$startDate, $endDate])
                    ->get();
                

                //     $result = DB::table('comm_custom_users')
                //     ->selectRaw('
                //         SUM(CASE WHEN star = 1 THEN 1 ELSE 0 END) / count(*) as star1,
                //         SUM(CASE WHEN star = 2 THEN 1 ELSE 0 END) / count(*) as star2,
                //         SUM(CASE WHEN star = 3 THEN 1 ELSE 0 END) / count(*) as star3,
                //         SUM(CASE WHEN star = 4 THEN 1 ELSE 0 END) / count(*) as star4,
                //         SUM(CASE WHEN star = 5 THEN 1 ELSE 0 END) / count(*) as star5,
                //         count(*) as total_count
                //     ')
                //     ->whereBetween(DB::raw('DATE(datetime)'), [$startDate, $endDate])

                //    // ->whereRaw("DATE(datetime) >= '$startDate' AND DATE(datetime) <= '$endDate'")
                //     ->get();
                // // dd($result);
                // $result = DB::table(DB::raw("(SELECT *, (SELECT count(*) FROM comm_custom_users WHERE DATE(datetime) BETWEEN '$startDate' AND '$endDate') as total_count FROM comm_custom_users WHERE DATE(datetime) BETWEEN '$startDate' AND '$endDate') as sub"))
                // ->selectRaw('
                //     SUM(CASE WHEN star = 1 THEN 1 ELSE 0 END) / total_count as star1,
                //     SUM(CASE WHEN star = 2 THEN 1 ELSE 0 END) / total_count as star2,
                //     SUM(CASE WHEN star = 3 THEN 1 ELSE 0 END) / total_count as star3,
                //     SUM(CASE WHEN star = 4 THEN 1 ELSE 0 END) / total_count as star4,
                //     SUM(CASE WHEN star = 5 THEN 1 ELSE 0 END) / total_count as star5,
                //     total_count
                // ')
                // ->get();
            

                    $startDate = $_POST['startDate'];
                    $endDate = $_POST['endDate'];
                   
                    $startDate = new \DateTime($startDate);
                    $endDate = new \DateTime($endDate);
                    
                    $dates1 = array();
                    $currentDate = clone $startDate;
                    
                    while ($currentDate <= $endDate) {
                      $dates1[] = $currentDate->format('Y-m-d');
                      $currentDate->modify('+1 day');
                    }

                   
                    $onestar=[];
                   

                    for($i=0;$i<count($dates1);$i++){
                
                    
                         $onestar[] = DB::table('comm_custom_users')
                         ->whereBetween('datetime', [$dates1[$i] . ' 00:00:00', $dates1[$i] . ' 23:59:59'])
                         ->where('star','1')
                         ->count();  
                    }  $twostar=[];
                    for($i=0;$i<count($dates1);$i++){
                
                    
                         $twostar[] = DB::table('comm_custom_users')
                         ->whereBetween('datetime', [$dates1[$i] . ' 00:00:00', $dates1[$i] . ' 23:59:59'])
                         ->where('star','2')
                         ->count();  
                    }  $threestar=[];
                    for($i=0;$i<count($dates1);$i++){
                
                    
                         $threestar[] = DB::table('comm_custom_users')
                         ->whereBetween('datetime', [$dates1[$i] . ' 00:00:00', $dates1[$i] . ' 23:59:59'])
                         ->where('star','3')
                         ->count();  
                    }  $fourstar=[];
                    for($i=0;$i<count($dates1);$i++){
                
                    
                         $fourstar[] = DB::table('comm_custom_users')
                         ->whereBetween('datetime', [$dates1[$i] . ' 00:00:00', $dates1[$i] . ' 23:59:59'])
                         ->where('star','4')
                         ->count();  
                    }
                    $fivestar=[];
                    for($i=0;$i<count($dates1);$i++){
                
                    
                         $fivestar[] = DB::table('comm_custom_users')
                         ->whereBetween('datetime', [$dates1[$i] . ' 00:00:00', $dates1[$i] . ' 23:59:59'])
                         ->where('star','5')
                         ->count();  
                    }
                    $startDate = $_POST['startDate'];
                    $endDate = $_POST['endDate'];
                    
                    $startDate = new \DateTime($startDate);
                    $endDate = new \DateTime($endDate);
                    $dates = array();
                    while ($startDate <= $endDate) {
                        $dates[] = $startDate->format('M') . $startDate->format('d'); 
                        $startDate->modify('+1 day');
                    }
                    $startDate = $_POST['startDate'];
                    $endDate = $_POST['endDate'];
                    $CUS_list = DB::table('comm_custom_users')->whereRaw("DATE(datetime) >= '$startDate' AND DATE(datetime) <= '$endDate'")->get();


                return response()->json(['CUS_list'=>$CUS_list,'dates'=>$dates,'upchart' => $result,'onestar' => $onestar,'twostar' => $twostar,'threestar' => $threestar,'fourstar' => $fourstar,'fivestar' => $fivestar]);
               // return redirect()->route('customer'); 
            }
        }   
        // public function unchart(Request $request) {
        //     if($_REQUEST['ref'] == 'csat_pi') {
        //         // $result = DB::table('comm_customer')->whereDate('datetime', '>=', $_POST['startDate'])->whereDate('datetime', '<=', $_POST['endDate'])->get();
        //         // $result = DB::select("SELECT SUM(star1)/count(*) as star1, SUM(star2)/count(*) as star2, SUM(star3)/count(*) as star3, SUM(star4)/count(*) as star4, SUM(star5)/count(*) as star5, count(*) FROM comm_customer WHERE DATE(datetime) >= ".$_POST['startDate']." AND DATE(datetime) <= ".$_POST['endDate']);
        //         // $result = DB::table('comm_customer')
        //         //     ->selectRaw('SUM(star1)/count(*) as star1, SUM(star2)/count(*) as star2, SUM(star3)/count(*) as star3, SUM(star4)/count(*) as star4, SUM(star5)/count(*) as star5')
        //         //     ->whereRaw("DATE(datetime) >= '2024-04-14' AND DATE(datetime) <= '2024-04-16'")
        //         //     ->get();
        //         $startDate = $_POST['startDate'];
        //         $endDate = $_POST['endDate'];

        //         $result = DB::table('comm_customer')
        //             ->selectRaw('SUM(star1)/count(*) as star1, SUM(star2)/count(*) as star2, SUM(star3)/count(*) as star3, SUM(star4)/count(*) as star4, SUM(star5)/count(*) as star5, count(*) as total_count')
        //             ->whereRaw("DATE(datetime) >= '$startDate' AND DATE(datetime) <= '$endDate'")
        //             ->get();
        //         return response()->json(['upchart' => $result]);
        //         return redirect()->route('customer'); 
        //     }
        // }
    }




    

    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('10','2','2','16','70');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('2','10','2','70','16');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');
    // INSERT INTO `comm_customer`(`star1`, `star2`, `star3`, `star4`, `star5`) VALUES ('70','2','16','2','10');


    // update comm_customer set datatime = '2024-02-29 18:55:01' where id=3