<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class GetdataController extends Controller
{
    public function GetTasks() {
  
        // $data = DB::table('task_manager_report')->get();
        $data = DB::table('task_manager_report as ku')
            ->join('comm_moderation_autoescalation as ju', 'ku.upctype', '=', 'ju.type')
            ->select(
                'ku.id',
                'ku.User',
                'ku.Email',
                'ku.usertype',
                'ku.upctype',
                'ku.upc',
                'ku.Created_Time',
                'ku.moderation_time',
                'ku.Level1',
                'ku.Level2',
                'ku.level1_at',
                'ku.level2_at',
                'ju.elapsetime1',
                'ju.elapsetime2',
                'ju.type2'
            )
            ->get();
        return response()->json($data); 
    }
    public function GetTasks1(Request $request) {
        //dd($request->all());
              $option = $request['option'];
              if($option == 'overdue'){
            //    $data = DB::table('task_manager_report')
            //    ->whereRaw('DATEDIFF(NOW(), created_time) > moderation_time')
            //    ->get();
                $data = DB::table('task_manager_report as ku')
                ->join('comm_moderation_autoescalation as ju', 'ku.upctype', '=', 'ju.type')
                ->select(
                    'ku.id',
                    'ku.User',
                    'ku.Email',
                    'ku.usertype',
                    'ku.upctype',
                    'ku.upc',
                    'ku.Created_Time',
                    'ku.moderation_time',
                    'ku.Level1',
                    'ku.Level2',
                    'ku.level1_at',
                    'ku.level2_at',
                    'ju.elapsetime1',
                    'ju.elapsetime2',
                    'ju.type2'
                )
                ->whereRaw('DATEDIFF(NOW(), ku.Created_Time) > ku.moderation_time')
                ->get();
              }
              if ($option == 'indue') {
            //    $data = DB::table('task_manager_report')
            //        ->whereRaw('DATEDIFF(NOW(), created_time) <= moderation_time')
            //        ->get();
                $data = DB::table('task_manager_report as ku')
                    ->join('comm_moderation_autoescalation as ju', 'ku.upctype', '=', 'ju.type')
                    ->select(
                        'ku.id',
                        'ku.User',
                        'ku.Email',
                        'ku.usertype',
                        'ku.upctype',
                        'ku.upc',
                        'ku.Created_Time',
                        'ku.moderation_time',
                        'ku.Level1',
                        'ku.Level2',
                        'ku.level1_at',
                        'ku.level2_at',
                        'ju.elapsetime1',
                        'ju.elapsetime2',
                        'ju.type2'
                    )
                    ->whereRaw('DATEDIFF(NOW(), ku.Created_Time) <= ku.moderation_time')
                    ->get();
              }
               $data = DB::table('task_manager_report')->where('User','sellernn')->get();
               return response()->json($data); 
           }
        
    
    public function GetMethod() {

        
        $data = DB::table('Task_List')->get();
        return response()->json($data);
    }

    public function ShowIdLog(Request $request) {
        
        $id = $request->input('id');
        if($id == null) {
            $data = DB::table('Task_List')->get();
            return response()->json($data);
        }elseif($id == 0){
            $data = DB::table('Task_List')->where('id', $id)->get();
            $data1 = DB::table('task_manager')->where('Maintask', 'Moderation review time queries and complaints')->where('delete_in', 0)->get();
            return response()->json(['data' => $data, 'data1' => $data1]);
        }else {
            $data = DB::table('Task_List')->where('id', $id)->get();
            $data1 = DB::table('task_manager')->where('Subtask', $data[0]->Subtask)->where('delete_in', 0)->get();
  
            
            return response()->json(['data' => $data, 'data1' => $data1]);
        }
    }

    public function Showcreatetask(Request $request) {
        $id = $request->input('id');
        $taskname = $request->input('taskname');
        $assignUsers = $request->input('assignUsers');
        $date = $request->input('date');
        $proritylist = $request->input('proritylist');
        $ststus = $request->input('ststus');
        $maintask = $request->input('maintask');
        $subtask = $request->input('subtask');
        
        

        $create = DB::table('task_manager')->insert(['Maintask' => $maintask, 'Subtask' => $subtask, 'Status' => $ststus, 'Taskname' => $taskname, 'Assignee' => $assignUsers, 'Datetime' => $date, 'Priority' => $proritylist]);
        DB::table('task_manager_log')->insert(['Userid' => Auth::guard('staff')->user()->uid, 'List' => 'Create newtask in ' . Auth::guard('staff')->user()->name]);

        if($create) {
            $data = DB::table('Task_List')->where('id', $id)->get();
            $jsonget = DB::table('task_manager')->where('Subtask', $data[0]->Subtask)->where('delete_in',0)->get();
            return response()->json(['response' => 'Successfully...', 'result' => $jsonget]); 
        }else {
            return response()->json(['response' => 'Worng']); 
        }
    }

    public function GetTask() {
        $data = DB::table('task_manager')->where('delete_in',0)->get();
        return response()->json($data); 
    }

    public function Updatetask(Request $request) {
        $id = $request->input('id');
        $name = $request->input('name');

        $update = DB::table('task_manager')->where('id', $id)->update(['Taskname' => $name]);
        if($update) {
            $jsonget = DB::table('task_manager')->where('delete_in',0)->get();
            return response()->json(['response' => 'Successfully...', 'result' => $jsonget]); 
        }else {
            return response()->json(['response' => 'Worng']); 
        }
    }

    public function Trashtask(Request $request) {
        $id = $request->input('id');

        $update = DB::table('task_manager')->where('id', $id)->update(['delete_in' => 1]);
        if($update) {
            $jsonget = DB::table('task_manager')->where('delete_in',0)->get();
            return response()->json(['response' => 'Successfully...', 'result' => $jsonget]); 
        }else {
            return response()->json(['response' => 'Worng']); 
        }
    }

    public function UpadteStatus(Request $request) {
        $ids = $request->input('id');
        $status1 = $request->input('status');
        $tag = $request->input('tag');


        $update = DB::table('task_manager')->where('id', $ids)->update(['Status' => $status1]);
        if($update) {
            if($tag != null) {
                $data = DB::table('Task_List')->where('id', $tag)->get();
                $jsonget = DB::table('task_manager')->where('Subtask', $data[0]->Subtask)->where('delete_in', 0)->get();
            } else {
                $jsonget = DB::table('task_manager')->where('delete_in',0)->get();
            }
            
            return response()->json(['response' => 'Successfully...', 'result' => $jsonget]); 
        }else {
            return response()->json(['response' => 'Worng']); 
        }
    }

    public function Getelement(Request $request) {
        $id = $request->input('id');
        $data = DB::table('task_manager')->where('id', $id)->get();
        return response()->json($data);
    }

    public function AddThread(Request $request) {
        $id = $request->input('id');
        $text = $request->input('text');
        $data = DB::table('task_manager')->where('id', $id)->update(['Thread' => $text]);
        $data1 = DB::table('task_manager')->where('id', $id)->get();
        return response()->json($data1);
    }
    public function Getuserdet() {
        
        return response()->json(Auth::guard('staff')->user());
    }
}
