<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="stylesheet" type="text/css" href="/style.css" media="screen" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    @vite('resources/js/app.js')
    <style>
      .wrapper {
        position: static;

      }
      .ux-popup-main {
        position: absolute;
        height: 100vh;
        background: #60606052;
        width: 100%;
        z-index: 2;
        inset: 0;
        display:none; 
        /* position: absolute;
        height: 95vh;
        background: #60606052;
        width: 29.4%;
        z-index: 2;
        /* inset: 0; */
        /* display: none;
        left: 20.4%;
        border-radius: 15px; */
      }
      .ux-popup-main .model-ox-ux {
        height: max-content;
        width: 25rem;
        background-color: #fff;
        z-index: 2;
        border-radius: 12px;
        padding: 1rem;
        position: absolute;
        top: 25%;
        left: 35%;
        /* top: 23%;
        left: 7%; */
      }
      .ux-popup-main .model-ox-ux .ox-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
      }
      .ux-popup-main .model-ox-ux .ox-content {
        height: 8rem;
        width: 23rem;
        display: flex;
        align-items: center;
        justify-content: center;
        border: 2px dotted #848484;
        border-radius: 12px;
        cursor: pointer;
        margin: 15px 0px;
      } 
      .ux-popup-main .model-ox-ux .ox-content label {
        cursor: pointer;
      }
      .ux-popup-main .model-ox-ux .ox-uhs-footer button {
        height: 2.4rem;
        width: 85px;
        letter-spacing: 1px;
        background: #4747fb;
        color: #fff;
        font-weight: 600;
        border: 2px solid #4747fb;
        border-radius: 8px;
      }
      .ux-popup-main .model-ox-ux .ox-uhs-footer button:hover {
        background-color:#fff;
        color: #4747fb;
        border: 2px solid #4747fb;
        cursor: pointer;
      }
      .upload_img {
        color: #fff;
        width: 55px;
        border: none;
        outline: none;
        background: #333;
        font-size: 19px;
        cursor: pointer;
        opacity: 0.7;
        /* pointer-events: none; */
        border-radius: 5px;
        transition: all 0.3s ease;
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0 5px;
      }


      .wrapper .users header .content .blur_pro{
        height: 50px;
        width: 50px;
        position: relative;
      }
      .wrapper .users header .content {
        cursor: pointer;
      }
      .wrapper .users header .content .blur_pro #blur_pro_in svg {
        display:none;
      }
      .wrapper .users header .content .blur_pro:hover #blur_pro_in {
        background: #68686896;
        height: 50px;
        width: 50px;
        position: absolute;
        border-radius: 50%;
        display: flex;
        justify-content: center;
        align-items: center;
      }
      .wrapper .users header .content .blur_pro:hover #blur_pro_in svg {
        display:block;
      }


    /* view */

    .view-popup {
        position: absolute;
        height: 100vh;
        background: #60606052;
        width: 100%;
        z-index: 2;
        inset: 0;
        display:none; 
      }
      #model-view-img {
        position: absolute;
        top: 15%;
        left: 30%;
        border-radius: 16px;
        border: 2px solid #fff;
      }
      .view-popup svg {
        height: 30px;
        width: 30px;
        z-index: 1111111;
        position: absolute;
        top: 17%;
        left: 66%;
      }
      .min-view ul li:hover {
        background-color: #ddd;
        border-radius: 50%;
        height: 32px;
        width: 32px;
      }
    </style>
</head>
<body>



<!-- list -->

<div class="ux-popup-main">
  <div class="model-ox-ux">
    <div class="ox-header">
      <h2>Profile</h2>
      <div><img src="/images/close-outline.svg" alt="close" style="height:24px;width:24px;cursor:pointer;" Onclick="close_()"></div>
    </div>
    <div class="ox-content">

      <input type="file" id="actual-btn" name="actual-btn" style="display:none;"/>
      <label for="actual-btn" id="file-label">Choose File</label>

    </div>
    <div class="ox-uhs-footer"><button id="upload-btn" Onclick="Uploadimg({{$logUser ?? ''}})">Upload</button></div>
  </div>
</div>


<!-- list1 -->

<div class="view-popup">
  <div>
    <svg xmlns="http://www.w3.org/2000/svg" class="ionicon" viewBox="0 0 512 512" style="height:30px;width:30px;"><path fill="none" stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="32" d="M368 368L144 144M368 144L144 368"/></svg>
    <img src="" alt="view" id="model-view-img">
  </div>
</div>



<script>
  const actualBtn = document.getElementById('actual-btn');
  const fileLabel = document.getElementById('file-label');

  actualBtn.addEventListener('change', function() {
    const fileName = this.value.split('\\').pop();
    fileLabel.textContent = fileName !== '' ? fileName : 'Choose File';
  });

  function profile() {
    $('.ux-popup-main').toggle();
  }
  function close_() {
    $('.ux-popup-main').hide();
  }


$('.view-popup svg').click(function() {
  $('.view-popup').hide();
})






//   document.getElementById('actual-btn').addEventListener('change', function() {
//     const file = this.files[0];
//     const fileName = file.name;
//     document.getElementById('file-label').innerText = fileName;
// });

// document.getElementById('upload-btn').addEventListener('click', function() {
//     const file = document.getElementById('actual-btn').files[0];
//     if (!file) {
//         alert("Please select a file.");
//         return;
//     }


  function Uploadimg(event) {
    // var file = $('#actual-btn')[0].files[0]
    // console.log('file',$('#actual-btn')[0].files, $('#actual-btn')[0].value, $('#actual-btn')[0])
    // const formData = new FormData();

    var fileInput = document.getElementById('actual-btn');
    var file = fileInput.files[0];

    console.log('fileInput',fileInput);

    if (file) {
      var formData = new FormData();
      formData.append('file', file);
      formData.append('paths', fileInput.value);
      formData.append('Userid', event);

      // console.log('formData',formData)

      fetch("{{ route('chat') }}",{
        method: "POST",
        headers: {
          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        body:formData
      }).then(val=>val.json())
      .then(res=>{
        console.log('res',res);
        $('.ux-popup-main').css('display','none');
        if(res.message == 'Upload Successfully...') {
          alert(res.message);
          $('#main_profile').attr('src',res.paths)
        }
      })


    }else {
      console.error('No file selected');
    }
    
  }










  // function Uploadimg(event) {
  //   var file = $('#actual-btn')[0].files;
  //   // var file = $('#actual-btn')[0].files[0]
  //   if (file){
  //     console.log(file,event);
  //   }
  //   // $.ajax({
  //   //   url: 
  //   //   type: "POST",
  //   //   data: {
  //   //     file: ""
  //   //   }
  //   // })
  // }

</script>



<!-- Users list-->
<div class="wrapper" style="min-height: 666px;max-height: 666px;">
    <section class="users">
      <header>
        <div class="content">
          <div class="blur_pro">
            <div id="blur_pro_in" onclick="document.getElementById('main_profile').click()">
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="#fff" class="bi bi-pen" viewBox="0 0 16 16">
                <path d="m13.498.795.149-.149a1.207 1.207 0 1 1 1.707 1.708l-.149.148a1.5 1.5 0 0 1-.059 2.059L4.854 14.854a.5.5 0 0 1-.233.131l-4 1a.5.5 0 0 1-.606-.606l1-4a.5.5 0 0 1 .131-.232l9.642-9.642a.5.5 0 0 0-.642.056L6.854 4.854a.5.5 0 1 1-.708-.708L9.44.854A1.5 1.5 0 0 1 11.5.796a1.5 1.5 0 0 1 1.998-.001m-.644.766a.5.5 0 0 0-.707 0L1.95 11.756l-.764 3.057 3.057-.764L14.44 3.854a.5.5 0 0 0 0-.708z"/>
              </svg>
            </div>
            <img src="{{$image ?? ''}}" alt="1" id="main_profile" Onclick="profile()">
          </div>
          <div class="details">
            <span>{{$username}}</span>
            <p>Active Now</p>
          </div>
        </div>
        <a class="logout_"><img src="/images/dot_vert.svg" alt="dots" style="height: 32px;width: 32px;cursor: pointer;"></a>
      </header>
      <div class="search">
        <span class="text">Select an user to start chat</span>
        <input type="text" id="searchInput" placeholder="Enter name to search...">
        <button onclick="search_chat()"><i class="fas fa-search"></i></button>
      </div>
      <div class="users-list">
        @foreach($value as $items)
        <a href="chat?user_id={{ $items->uid }}">
            <div class="content" id="contentss">
                <img src="{{ $items->image }}" alt="">
                <div class="details">
                    <span>{{ $items->name }}</span>
                </div>
            </div>
            <div class="status-dot "><i class="fas fa-circle"></i></div>
        </a>
        @endforeach
      </div>
      <script>
        function search(query) {
            $('.users-list').html('');
            console.log('query',query);

            const filteredData = @json($value).filter(item => {
                // Modify this condition based on your search criteria
                return item.name.toLowerCase().includes(query.toLowerCase());
            });

            filteredData.forEach(item => {
                const listItem = `
                <a href="chat?user_id=`+item.uid+`">
                    <div class="content" id="contentss">
                        <img src="`+item.image+`" alt="">
                        <div class="details">
                            <span>`+item.name+`</span>
                        </div>
                    </div>
                    <div class="status-dot "><i class="fas fa-circle"></i></div>
                </a>
                `;
                $('.users-list').append(listItem);
            });
        }
        document.getElementById('searchInput').addEventListener('input', function(event) {
            const query = event.target.value;
            search(query);
        });
      </script>
    </section>
  </div>
&nbsp;&nbsp;
<!-- <script src="javascript/users.js"></script> -->
<!-- chat list -->
  <div class="wrapper kkhhiihiu">
    <section class="chat-area">
      <header>
     
      <a class="back-icon" onclick="rsgdth(this)"><i class="fas fa-arrow-left"></i></a>
        <img src="{{$msg_image ?? ''}}" alt="">
        <div class="details">
          <span>{{$msg_name}}</span>
          <p>Active Now</p>
        </div>
      </header>
      <div class="chat-box" id="messages">
        
      </div>
      <div>
        <div class="min-view" style="display:none;">
          <img id="preview" src="" alt="upload" style="cursor: pointer;height: 100%; width: 45%;object-fit: cover;border-radius: 8px;">
        </div>
        <form class="typing-area" id="message-form">
          <input type="hidden" class="incoming_id" name="incoming_id" value="<?php echo $user_id; ?>" >
          <input type="hidden" class="sendincoming_id" name="sendcoming_id" value="<?php echo $msg_userid; ?>" >
          <input type="hidden" name="image_msg_chat" id="image_msg_chat" value="">
          <div class="upload_img"><img Onclick="emojilist()" src="/images/emoji_smile.svg" alt="upload" style="border-radius: 0;cursor: pointer;"/></div>
          <input type="text" name="message" class="input-field" id="message-input" placeholder="Type a message here..." autocomplete="off">
          <input type="file" name="chat_img" id="chat_img" style="display:none" Onchange="up_link_image(this)">
          <div class="upload_img"><img onclick="document.getElementById('chat_img').click()" src="/images/upload_img.svg" alt="upload" style="border-radius: 0;cursor: pointer;"/></div>
          <button type="submit" style="border-radius: 5px;"><i class="fab fa-telegram-plane"></i></button>
        </form>
      </div>
      <div id="myPopup" style="display: none; position: absolute; background-color: #f9f9f9; border: 1px solid #ccc; padding: 8px;">
        <p>Option 1</p>
        <p>Option 2</p>
        <p>Option 3</p>
      </div>
    </section>
  </div>

  <script src="https://www.gstatic.com/firebasejs/8.2.1/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.2.1/firebase-database.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>

      function rsgdth(val) {
        $('.kkhhiihiu').css('display','none')
      }


        function up_link_image(input) {
          const preview = document.getElementById('preview');
          if (input.files && input.files[0]) {
            $('.chat-box').css({
              'min-height': '300px',
              'max-height': '300px',
            });
           
            $('.min-view').css({
              'height': '200px',
              'display':'block',
              'padding': '2rem 2rem 1rem 2rem',
              'transition': 'all 0.5s ease',
            })

            
           
            
            const reader = new FileReader();
            reader.onload = function(e) {
              
                preview.src = e.target.result;
                // console.log('input',e.target.result);
                $('#image_msg_chat').val(e.target.result);
            };
            reader.readAsDataURL(input.files[0]);
          }
         
        }

        function listem(value) {
          // console.log('value',value.textContent)
          var value1 = $('#message-input').val();
          $('#message-input').val(value1+value.textContent)
        }

        function closeemoji() {
          $('.min-view').css({
            'transition': 'height 0.5s ease',
            'display':'none',
          });
          $('.chat-box').css({
            'min-height': '500px',
            'max-height': '500px',
          });
          $('.min-view').html('');
        }

        function emojilist() {
          $('.min-view').html('');
          $('.chat-box').css({
            'min-height': '300px',
            'max-height': '300px',
          });
          $('.min-view').css({
            'height': '200px',
            'display':'block',
            'padding': '1rem 2rem 1rem 2rem',
            'transition': 'all 0.5s ease',
            'overflow': 'auto'
          });

          var emoji = @json($emoji ?? '');
          console.log('emoji',emoji);
          $('.min-view').append('<div onclick="closeemoji()" style="text-align: end;cursor: pointer;"><img src="/images/chevron-back-outline.svg" style="height:24px;width:24px;rotate: -90deg;"/></div>');
          $('.min-view').append('<div><ul style="display: flex;flex-wrap: wrap;list-style: none;"></ul></div>');
          
          // $('.min-view').html('<div style="display: flex;flex-wrap: wrap;"></div>');
         for(let i = 0; i < emoji.length; i++) {
          $('.min-view div ul').append('<li onclick="listem(this)" style="padding: 5px;cursor: pointer;">'+emoji[i]+'</li>')
          // $('.min-view div').append('<li style="padding: 2px;cursor: pointer;">'+emoji[i]+'</li>')
         }
        }


      var firebaseConfig = {
        apiKey: "AIzaSyAalKYqMlAD7kHD9_dUWyrGdTjfS4Z11UE",
        authDomain: "runchat-6c3ca.firebaseapp.com",
        projectId: "runchat-6c3ca",
        storageBucket: "runchat-6c3ca.appspot.com",
        messagingSenderId: "17478807369",
        appId: "1:17478807369:web:5f57693170b71a460eb498",
        measurementId: "G-Q01Y5EM0CY"
      };
      firebase.initializeApp(firebaseConfig);
      const db = firebase.database();


     
      // document.getElementById('myElement').addEventListener('contextmenu', function(event) {
      // event.preventDefault(); // Prevent default right-click behavior

      // //     // Show the popup at the mouse position
      // //     const popup = document.getElementById('myPopup');
      // //     popup.style.display = 'block';
      // //     popup.style.left = event.pageX + 'px';
      // //     popup.style.top = event.pageY + 'px';

      // //     // Hide the popup when clicking outside of it
      // //     document.addEventListener('click', function hidePopup(e) {
      // //         if (!popup.contains(e.target) && e.target.id !== 'myElement') {
      // //             popup.style.display = 'none';
      // //             document.removeEventListener('click', hidePopup);
      // //         }
      // //     });
      // });

     
 
     

      function getCurrentId() {
        return db.ref("messages").once("value").then(function(snapshot) {
          var currentId = snapshot.val() || 0;
          var count = Object.keys(currentId).length;
          return count;
        });
      }

      function isImageDataUrl(str) {
            // Regular expression to match data URL format
            const dataUrlRegex = /^data:image\/(png|jpeg|jpg|gif|webp);base64,/;

            // Check if the string matches the data URL format
            return dataUrlRegex.test(str);
        }

        function view_img(data) {
          $('.view-popup').toggle();
          var im_src = $(data).attr('src');
          $('#model-view-img').attr('src',im_src);
          console.log('im_src',im_src);
        }

        function myElement() {

          alert('');

        $(document).ready(function() {
          $('#myElement').on('contextmenu', function(event) {
              event.preventDefault(); // Prevent default right-click behavior
console.log('event',event);
              // Show the popup at the mouse position
              const popup = $('#myPopup');
              popup.css({
                  display: 'block',
                  left: event.pageX + 'px',
                  top: event.pageY + 'px'
              });

              // Hide the popup when clicking outside of it
              $(document).on('click', function hidePopup(e) {
                  if (!popup.is(e.target) && popup.has(e.target).length === 0 && e.target.id !== 'myElement') {
                      popup.hide();
                      $(document).off('click', hidePopup);
                  }
              });
          });
      });
    }
      async function message_member(username, reciv_user) {
        db.ref("messages").once("value").then(function(snapshot) {
          var currentId = snapshot.val() || 0;
          const dataArray = Object.values(currentId);
          // 
          var mes_sent = dataArray.filter(m=>m.incoming_msg_id == username && m.outgoing_msg_id == reciv_user || m.incoming_msg_id == reciv_user && m.outgoing_msg_id == username);
          // console.log('dataArray',mes_sent);

          // var mes_recv = dataArray.filter(m=>m.outgoing_msg_id == reciv_user);
          // var mes_recv1 = mes_recv.filter(m=>m.incoming_msg_id == username);
          // console.log('dataArray',mes_sent);
          
        if(mes_sent.length > 0) {
          $('#messages').css('display','block');
          $('#messages').html('');
          for(let i = 0; i < mes_sent.length; i++) {
            var message= '';
            if(mes_sent[i].outgoing_msg_id == reciv_user) {
              //  message = `<div class="chat outgoing">
              //           <div class="details">
              //               <p>`+mes_sent[i].msg+`</p>
              //               <div style="font-size: 12px;display: flex;justify-content: end;color: #575757;">`+mes_sent[i].datetime+`</div>
              //             </div>
              //       </div>`;
              message = `<div class="chat outgoing">
                       <div class="details">`;
                        if(isImageDataUrl(mes_sent[i].msg) == true) {
                          message += `<div id="myElement" onclick="myElement()"><img id="" src="`+mes_sent[i].msg+`" alt="upload" style="cursor: pointer;height: 150px;object-fit: cover;border-radius: 8px;" onclick="view_img(this)"></div>`;
                        }else {
                          message += `<p>`+mes_sent[i].msg+`</p>`;
                        }
                         
                         message +=`<div style="font-size: 12px;display: flex;justify-content: end;color: #575757;">`+mes_sent[i].datetime+`</div>
                         </div>
                   </div>`;
            }else {
              //  message = `<div class="chat incoming">
              //          <div class="details">
              //              <p>`+mes_sent[i].msg+`</p>
              //              <div style="font-size: 12px;display: flex;justify-content: start;color: #575757;">`+mes_sent[i].datetime+`</div>
              //            </div>
              //      </div>`;
              message = `<div class="chat incoming">
                       <div class="details">`;
                        if(isImageDataUrl(mes_sent[i].msg) == true) {
                          message += `<img id="" src="`+mes_sent[i].msg+`" alt="upload" style="cursor: pointer;width: auto;height: 150px;object-fit: cover;border-radius: 8px;" onclick="view_img(this)">`;
                        }else {
                          message += `<p>`+mes_sent[i].msg+`</p>`;
                        }
                         
                         message +=`<div style="font-size: 12px;display: flex;justify-content: start;color: #575757;">`+mes_sent[i].datetime+`</div>
                         </div>
                   </div>`;
            }
            document.getElementById("messages").innerHTML += message;
          }
        }else {
          $('#messages').css({
            'display': 'flex',
            'justify-content': 'center',
            'align-items': 'center',
            'color': '#5f5f5f'
          })
          $('#messages').html('🖐 Hellow');
        }

          
        });
      }


     
      

      var username1 = $('.incoming_id').val();
      var reciv_user1 = $('.sendincoming_id').val();

      message_member(username1, reciv_user1);
      

      document.getElementById("message-form").addEventListener("submit", sendMessage);

      // send message to db
      async function sendMessage(e) {
        e.preventDefault();

        var username = $('.incoming_id').val();
        var reciv_user = $('.sendincoming_id').val();
        var id = await getCurrentId();
        var image = $('#image_msg_chat').val();

        

        // get values to be submitted
        const timestamp = Date.now();
        const messageInput = document.getElementById("message-input");
        const message = messageInput.value;

        // clear the input box
        messageInput.value = "";

        //auto scroll to bottom
        document
          .getElementById("messages")
          .scrollIntoView({ behavior: "smooth", block: "end", inline: "nearest" });

          // var counts = db.ref("messages").once("value", function(snapshot) {
          //   var currentId = snapshot.val() || 0;
          //   var count = Object.keys(currentId).length;
          //   return count;
          // });
          // console.log('counts',counts);

          // getCurrentId().then(function(currentId) {return currentId;})

          const currentDate = new Date();

          let hours = currentDate.getHours();
          const minutes = currentDate.getMinutes();
          const seconds = currentDate.getSeconds();

          const amOrPm = hours >= 12 ? 'PM' : 'AM';

          hours = (hours % 12 || 12).toString().padStart(2, '0');

          const formattedTime = `${hours}:${minutes} ${amOrPm}`;

          $('.chat-box').css({
              'min-height': '500px',
              'max-height': '500px',
            });
            $('.min-view').css({
              'display':'none',
              'transition': 'all 0.5s ease'
            })
            $('#preview').attr('src','');

          
        // create db collection and send in the data
      db.ref("messages/" + timestamp).set({
          msg_id: id+1,
          incoming_msg_id: username,
          outgoing_msg_id: reciv_user,
          msg: message == '' ? image : message,
          datetime: formattedTime
        });
      }

      const fetchChat = db.ref("messages/");

      fetchChat.on("child_added", function (snapshot) {
        const messages = snapshot.val();
        message_member(username1, reciv_user1);
        // const message = `<li class=${
        //   username === messages.username ? "sent" : "receive"
        // }><span>${messages.username}: </span>${messages.message}</li>`;
        // function isImageDataUrl(str) {
        //     // Regular expression to match data URL format
        //     const dataUrlRegex = /^data:image\/(png|jpeg|jpg|gif);base64,/;

        //     // Check if the string matches the data URL format
        //     return dataUrlRegex.test(str);
        // }
        // `<p>`+messages.msg+`</p>`
        // console.log(isImageDataUrl(messages.msg) == true ? '<img id="preview" src="'+messages.msg+'" alt="upload" style="cursor: pointer;object-fit: cover;border-radius: 8px;">' : messages.msg);
        // append the message on the page
        // if(isImageDataUrl(messages.msg) == true) {
        //   console.log(`<img id="preview" src="`+messages.msg+`" alt="upload" style="cursor: pointer;object-fit: cover;border-radius: 8px;">`);
        // }else {
        //   console.log(`<p>`+messages.msg+`</p>`)
        // }
        var message = `<div class="chat outgoing">
                       <div class="details">`;
                        if(isImageDataUrl(messages.msg) == true) {
                          message += `<img id="" src="`+messages.msg+`" alt="upload" style="cursor: pointer;object-fit: cover;border-radius: 8px;">`;
                        }else {
                          message += `<p>`+messages.msg+`</p>`;
                        }
                         
                         message +=`<div style="font-size: 12px;display: flex;justify-content: end;color: #575757;">`+messages.datetime+`</div>
                         </div>
                   </div>`;
        document.getElementById("messages").innerHTML += message;
      });

        function search_chat() {
            $('.users .search input').css({
                'opacity': 1,
                'pointer-events': 'all'
            });
        }
    </script>

  <script>
    // function myfunction(event) {
    //     event.preventDefault();
    //     var formData = {};
    //     var fomrvalue = event.target;

    //     for(let i = 0; i < fomrvalue.length; i++) {
    //         if(fomrvalue[i].type == 'text') {
    //             formData[fomrvalue[i].name] = fomrvalue[i].value;
    //         }
    //     }
    //     console.log('formData',formData);

    //     $('.chat-box').append(`<div class="chat outgoing">
    //                     <div class="details">
    //                         <p>`+formData.message+`</p>
    //                     </div>
    //                 </div>`);
    //                 $('.input-field').val('');
    // }
  </script>



</body>
</html>