@extends('includes.layout')


@section('content')
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
        {{-- <link href="{{ asset('js/chart.min.css') }}" rel="stylesheet" /> --}}

    </head>
    <style>
        .pt-6 {
            padding-top: 0px;
        }
    </style>

    <body>
        <div class="p-8 overflow-y-auto" style="height:40rem;">
            <div class="flex flex-wrap -mx-3">
                <div class="w-full max-w-full px-3 mb-6 sm:w-1/2 sm:flex-none xl:mb-0 xl:w-1/4">
                    <div style="height: 5.5rem;box-shadow: -2px 3px 16px 1px #dbdbdbb5;"
                        class="relative flex flex-col min-w-0 break-words bg-white shadow-soft-xl rounded-2xl bg-clip-border">
                        <div class="flex-auto p-4 w-full">
                            <div class="flex flex-row -mx-3 items-center justify-between">
                                <div class="flex-none w-2/3 max-w-full px-3">
                                    <div class="w-max space-y-2">
                                        <p class="mb-0 font-sans font-bold leading-normal text-slate-500 text-base">Account Closure</p>
                                        <h5 class="mb-0 font-bold">
                                        {{$totalcount}}
                                        </h5>
                                    </div>
                                </div>
                                <div class="px-3 text-right basis-1/3">
                                
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="w-full max-w-full px-3 mb-6 sm:w-1/2 sm:flex-none xl:mb-0 xl:w-1/4">
                    <div style="height: 5.5rem;box-shadow: -2px 3px 16px 1px #dbdbdbb5;"
                        class="relative flex flex-col min-w-0 break-words bg-white shadow-soft-xl rounded-2xl bg-clip-border">
                        <div class="flex-auto p-4 w-full">
                            <div class="flex flex-row -mx-3 items-center justify-between">
                                <div class="flex-none w-2/3 max-w-full px-3">
                                    <div class="w-max space-y-2">
                                        <p class="mb-0 font-sans font-bold leading-normal text-slate-500 text-base">Revenue Share</p>
                                        <h5 class="mb-0 font-bold">
                                        {{$totalcount3}}
                                        </h5>
                                    </div>
                                </div>
                                <div class="px-3 text-right basis-1/3">
                                    <!-- <div class="text-white p-3 text-center inline-flex items-center justify-center w-12 h-12 shadow-lg rounded-full "
                                        style="background: #23b7e5">
                                        <i class="fas fa-chart-pie"></i>
                                    </div> -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="w-full max-w-full px-3 mb-6 sm:w-1/2 sm:flex-none xl:mb-0 xl:w-1/4">
                    <div style="height: 5.5rem;box-shadow: -2px 3px 16px 1px #dbdbdbb5;"
                        class="relative flex flex-col min-w-0 break-words bg-white shadow-soft-xl rounded-2xl bg-clip-border">
                        <div class="flex-auto p-4 w-full">
                            <div class="flex flex-row -mx-3 items-center justify-between">
                                <div class="flex-none w-2/3 max-w-full px-3">
                                    <div class="w-max space-y-2">
                                        <p class="mb-0 font-sans font-bold leading-normal text-slate-500 text-base">Content Mapping </p>
                                        <h5 class="mb-0 font-bold">
                                        {{$totalcount1}}
                                        </h5>
                                    </div>
                                </div>
                                <div class="px-3 text-right basis-1/3">
                                    <!-- <div class="text-white p-3 text-center inline-flex items-center justify-center w-12 h-12 shadow-lg rounded-full"
                                        style="background: #26bf94">
                                        <i class="fas fa-users"></i>
                                    </div> -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="w-full max-w-full px-3 sm:w-1/2 sm:flex-none xl:w-1/4">
                    <div style="height: 5.5rem;box-shadow: -2px 3px 16px 1px #dbdbdbb5;"
                        class="relative flex flex-col min-w-0 break-words bg-white shadow-soft-xl rounded-2xl bg-clip-border">
                        <div class="flex-auto p-4 w-full">
                            <div class="flex flex-row -mx-3 items-center justify-between ">
                                <div class="flex-none w-2/3 max-w-full px-3">
                                    <div class="w-max space-y-2">
                                        <p class="mb-0 font-sans font-bold leading-normal text-slate-500 text-base">Youtube OAC </p>
                                        <h5 class="mb-0 font-bold">
                                        {{$totalcount2}}
                                        </h5>
                                    </div>
                                </div>
                                <div class="px-3 text-right basis-1/3">
                                    <!-- <div class="text-white p-3 text-center inline-flex items-center justify-center w-12 h-12 shadow-lg rounded-full"
                                        style="background: #f5b849">
                                        <i class="fas fa-percent"></i>
                                    </div> -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <br>
            {{-- Chart Start --}}


            <!-- <div class="w-full  items-center ">
                <div class="relative flex flex-col rounded-xl bg-white bg-clip-border text-gray-700 shadow-md">
                    <div class="pt-6 px-2 pb-0 w-full">
                        <div id="line-chart"></div>
                    </div>
                </div>
                
            </div> -->
            @php
                $currentYear = date('Y'); 
                $previousYear = $currentYear - 1; 
            @endphp
            <div class="w-full  items-center ">
               
                <div class="relative flex flex-col rounded-xl bg-white bg-clip-border text-gray-700 shadow-md">
                  <div class="flex justify-between items-center pb-2" style="margin: 15px;">
                        <text x="10" y="16.5" text-anchor="start" dominant-baseline="auto" font-size="14px" font-family="Helvetica, Arial, sans-serif" font-weight="900" fill="#373d3f" class="apexcharts-title-text" style="font-family: Helvetica, Arial, sans-serif; opacity: 1;font-weight: 800;"> Action Based Report</text>
                        <!-- <h3 class="text-lg font-semibold text-gray-800">Action Based Report</h3> -->
                        <select id="yearSelector" class="border rounded-md px-2 py-1 text-gray-700" style="margin-left: 10px;">
                        <option value="{{ $currentYear }}" selected>Current Year</option>
                        <option value="{{ $previousYear }}">Previous Year</option>
                        </select>
                    </div>
                <div class="pt-6 px-2 pb-0 w-full">
                   <div id="bar-chart"></div>
                </div>
              </div>
            </div>
            {{-- Chart End --}}
            {{-- 2 Chart Start --}}
            <br>

            <div class="w-full  items-center ">
               
                <!-- <div class="relative flex flex-col rounded-xl bg-white bg-clip-border text-gray-700 shadow-md">
                  <div class="flex justify-between items-center pb-2" style="margin: 15px;">
                        <text x="10" y="16.5" text-anchor="start" dominant-baseline="auto" font-size="14px" font-family="Helvetica, Arial, sans-serif" font-weight="900" fill="#373d3f" class="apexcharts-title-text" style="font-family: Helvetica, Arial, sans-serif; opacity: 1;font-weight: 800;"> Efficiency Report</text>
                        <select id="yearSelected" class="border rounded-md px-2 py-1 text-gray-700" style="margin-left: 10px;">
                        <option value="{{ $currentYear }}" selected>Current Year</option>
                        <option value="{{ $previousYear }}">Previous Year</option>
                        </select>

                        <div id="lastDaysdropdown" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44 dark:bg-gray-700">  
                        </div>
                    </div>
                <div class="pt-6 px-2 pb-0 w-full">
                   <div id="bar-chart"></div>
                </div>
              </div>
            </div> -->
            
            <div class="w-full flex items-center gap-4">
                <div style="width:100%;"
                    class=" relative flex flex-col rounded-xl bg-white bg-clip-border text-gray-700 shadow-md">
                    <div class="w-full flex justify-center">
                        <div style="width:100%;"
                            class="border-gray-200 border-b dark:border-gray-700 justify-between w-full pt-8 pb-0 px-4">
                            <div class="flex justify-start items-center pb-2" style="margin-bottom:10px;">
                                <text x="10" y="16.5" text-anchor="start" dominant-baseline="auto" font-size="14px" font-family="Helvetica, Arial, sans-serif" font-weight="900" fill="#373d3f" class="apexcharts-title-text" style="font-family: Helvetica, Arial, sans-serif; opacity: 1;font-weight: 800;"> Efficiency Report</text>
                                <select id="yearSelected" class="border rounded-md px-2 py-1 text-gray-700" style="margin-left: 10px;">
                                <option value="{{ $currentYear }}" selected>Current Year</option>
                                <option value="{{ $previousYear }}">Previous Year</option>
                                </select>
                                <!-- <a
                                class="uppercase text-sm font-semibold inline-flex items-center rounded-lg text-blue-600 hover:text-blue-700 dark:hover:text-blue-500  hover:bg-gray-100 dark:hover:bg-gray-700 dark:focus:ring-gray-700 dark:border-gray-700 px-3 py-2">
                                Efficiency Reports
                            </a> -->
                                <div id="lastDaysdropdown"
                                    class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44 dark:bg-gray-700">
                                  
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="pt-6 px-2 pb-0 w-full">
                        <div id="line-chart-4"></div>
                    </div>
                </div>
            </div>
            
            {{-- 3 Chart End --}}
            <br>
            {{-- 4 Table Start --}}
            <div class="w-full flex items-center gap-2">
               
            </div>
            {{-- 4 Table End --}}
            <br>
            <br>
            <br>
            <br>
            <br>
        </div>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/flowbite/2.3.0/flowbite.min.js"></script>
        <script>
            var monthsUpToCurrent = @json($monthsUpToCurrent);
            var requestreceived = JSON.parse(@json($requestreceived));
            var requestcompleted = JSON.parse(@json($requestcompleted));
            var formadminneeded = JSON.parse(@json($formadminneeded));
            var formwaiting = JSON.parse(@json($formwaiting));
            var formcomp = JSON.parse(@json($formcomp));
            var formadminneededJson = JSON.parse(@json($formadminneededJson));
            var formwaitingJson = JSON.parse(@json($formwaitingJson));
            var formcompJson = JSON.parse(@json($formcompJson));
            var authUserType = @json($usertype);

            var allmonths = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
            
      
            function lineChart(year) {
                return {
                    series: [
                        {
                            name: "Waiting For User",
                            data: year === new Date().getFullYear().toString() ? formwaiting : formwaitingJson,
                        },
                        {
                            name: "Admin Action Needed",
                            data: year === new Date().getFullYear().toString() ? formadminneeded : formadminneededJson,
                        },
                        {
                            name: "Completed",
                            data: year === new Date().getFullYear().toString() ? formcomp : formcompJson,
                        }
                    ],
                    chart: {
                        type: "line",
                        height: 400,
                        toolbar: {
                            show: false,
                        },
                    },
                    title: {
                        show: false,
                    },
                    dataLabels: {
                        enabled: false,
                    },
                    colors: ["#FACC15", "#22D3EE", "#34D399"],
                    stroke: {
                        width: 3,
                        lineCap: "round",
                        curve: "smooth",
                        dashArray: [0, 8, 5],
                    },
                    markers: {
                        size: 0,
                    },
                    xaxis: {
                        axisTicks: {
                            show: false,
                        },
                        axisBorder: {
                            show: false,
                        },
                        labels: {
                            style: {
                                colors: "#616161",
                                fontSize: "12px",
                                fontFamily: "inherit",
                                fontWeight: 100,
                            },
                        },
                        categories: year === new Date().getFullYear().toString() ? monthsUpToCurrent : allmonths, 
                    },
                    yaxis: {
                        labels: {
                            style: {
                                colors: "#616161",
                                fontSize: "12px",
                                fontFamily: "inherit",
                                fontWeight: 400,
                            },
                        },
                    },
                    grid: {
                        show: true,
                        borderColor: "#dddddd",
                        strokeDashArray: 2,
                        xaxis: {
                            lines: {
                                show: true,
                            },
                        },
                        padding: {
                            top: 5,
                            right: 20,
                        },
                    },
                    fill: {
                        opacity: 0.8,
                    },
                    tooltip: {
                        theme: "dark",
                    },
                };

            }

            var selectedYear = new Date().getFullYear().toString();

            var chart2 = new ApexCharts(document.querySelector("#line-chart-4"), lineChart(selectedYear));
            chart2.render();

            document.getElementById("yearSelected").addEventListener("change", function () {
                selectedYear = this.value;
                chart2.updateOptions(lineChart(selectedYear));
            });
   

            var months_currentyear = @json($monthsUpToCurrent);
            var requestReceived_currentyear= JSON.parse(@json($requestreceived));
            var requestCompleted_currentyear = JSON.parse(@json($requestcompleted));

            var months_beforeyear = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
            var requestReceived_beforeyear = JSON.parse(@json($requestReceivedJson));
            var requestCompleted_beforeyear = JSON.parse(@json($requestCompletedJson));

            function getChartConfig(year) {
                return {
                    series: [{
                        name: "Request Received",
                        data: year === new Date().getFullYear().toString() ? requestReceived_currentyear: requestReceived_beforeyear,
                    },
                    {
                        name: "Request Completed",
                        data: year === new Date().getFullYear().toString() ? requestCompleted_currentyear : requestCompleted_beforeyear,
                    }],
                    chart: {
                        type: "bar",
                        height: 350,
                        toolbar: { show: false },
                    },
                    // title: { text: "Action Based Report", show: false },
                    dataLabels: { enabled: false },
                    colors: ["#5e39ff", "#87dafe"],
                    plotOptions: {
                        bar: {
                            columnWidth: "40%",
                            borderRadius: 2,
                            horizontal: false,
                            dataLabels: { position: 'top' },
                        },
                    },
                    xaxis: {
                        categories: year === new Date().getFullYear().toString() ? months_currentyear : months_beforeyear,
                        labels: { style: { colors: "#616161", fontSize: "12px" } },
                    },
                    yaxis: {
                        labels: { style: { colors: "#616161", fontSize: "12px" } },
                    },
                    grid: {
                        show: true,
                        borderColor: "#dddddd",
                        strokeDashArray: 5,
                        xaxis: { lines: { show: true } },
                        padding: { top: 5, right: 20 },
                    },
                    fill: {
                        opacity: 0.8,
                        type: 'gradient',
                        gradient: {
                            shade: 'dark',
                            gradientToColors: ['#5e39ff'],
                            shadeIntensity: 2,
                            type: 'vertical',
                            opacityFrom: 1,
                            opacityTo: 2,
                            stops: [0, 200, 200, 200]
                        },
                    },
                    tooltip: { theme: "dark" },
                };
            }

            // var selectedYear = new Date().getFullYear();
            var chart = new ApexCharts(document.querySelector("#bar-chart"), getChartConfig(selectedYear));
            chart.render();

            document.getElementById("yearSelector").addEventListener("change", function () {
                selectedYear = this.value;
                chart.updateOptions(getChartConfig(selectedYear));
            });


            const getChartOptions = () => {
                return {
                    series: [35.1, 23.5, 2.4, 5.4],
                    colors: ["#1C64F2", "#16BDCA", "#FDBA8C", "#E74694"],
                    chart: {
                        height: 320,
                        width: "100%",
                        type: "donut",
                    },
                    stroke: {
                        colors: ["transparent"],
                        lineCap: "",
                    },
                    plotOptions: {
                        pie: {
                            donut: {
                                labels: {
                                    show: true,
                                    name: {
                                        show: true,
                                        fontFamily: "Inter, sans-serif",
                                        offsetY: 20,
                                    },
                                    total: {
                                        showAlways: true,
                                        show: true,
                                        label: "Unique visitors",
                                        fontFamily: "Inter, sans-serif",
                                        formatter: function(w) {
                                            const sum = w.globals.seriesTotals.reduce((a, b) => {
                                                return a + b
                                            }, 0)
                                            return '$' + sum + 'k'
                                        },
                                    },
                                    value: {
                                        show: true,
                                        fontFamily: "Inter, sans-serif",
                                        offsetY: -20,
                                        formatter: function(value) {
                                            return value + "k"
                                        },
                                    },
                                },
                                size: "80%",
                            },
                        },
                    },
                    grid: {
                        padding: {
                            top: -2,
                        },
                    },
                    labels: ["Direct", "Sponsor", "Affiliate", "Email marketing"],
                    dataLabels: {
                        enabled: false,
                    },
                    legend: {
                        show: false,
                        position: "bottom",
                        fontFamily: "Inter, sans-serif",
                    },
                    yaxis: {
                        labels: {
                            formatter: function(value) {
                                return value + "k"
                            },
                        },
                    },
                    xaxis: {
                        labels: {
                            formatter: function(value) {
                                return value + "k"
                            },
                        },
                        axisTicks: {
                            show: false,
                        },
                        axisBorder: {
                            show: false,
                        },
                    },
                }
            }

            if (document.getElementById("donut-chart") && typeof ApexCharts !== 'undefined') {
                const chart = new ApexCharts(document.getElementById("donut-chart"), getChartOptions());
                chart.render();

                // Get all the checkboxes by their class name
                const checkboxes = document.querySelectorAll('#devices input[type="checkbox"]');

                // Function to handle the checkbox change event
                function handleCheckboxChange(event, chart) {
                    const checkbox = event.target;
                    if (checkbox.checked) {
                        switch (checkbox.value) {
                            case 'desktop':
                                chart.updateSeries([15.1, 22.5, 4.4, 8.4]);
                                break;
                            case 'tablet':
                                chart.updateSeries([25.1, 26.5, 1.4, 3.4]);
                                break;
                            case 'mobile':
                                chart.updateSeries([45.1, 27.5, 8.4, 2.4]);
                                break;
                            default:
                                chart.updateSeries([55.1, 28.5, 1.4, 5.4]);
                        }

                    } else {
                        chart.updateSeries([35.1, 23.5, 2.4, 5.4]);
                    }
                }

                // Attach the event listener to each checkbox
                checkboxes.forEach((checkbox) => {
                    checkbox.addEventListener('change', (event) => handleCheckboxChange(event, chart));
                });
            }
            // -----------------



            const chartConfig21 = {

                series: [{
                    name: "Count",
                   // data: [290, 40, 230],
                   data: authUserType === 'Admin' 
        ? [290, 40, 230]
        : [103, 10, 340]
                }, ],
                
                chart: {
                    type: "bar",
                    height: 190,
                    toolbar: {
                        show: false,
                    },
                },
                title: {
                    show: "",
                },
                
                dataLabels: {
                    enabled: false,
                },
                colors: ["#FACC15", "#22D3EE", "#34d399"],
                plotOptions: {
                    bar: {
                        columnWidth: "40%",
                        borderRadius: 2,
                        distributed: true,
                    },
                },

                xaxis: {
                    axisTicks: {
                        show: false,
                    },
                    axisBorder: {
                        show: false,
                    },
                    
                    labels: {
                        show: false,
                        style: {
                            colors: "#616161",
                            fontSize: "12px",
                            fontFamily: "inherit",
                            fontWeight: 400,
                        },
                    },
                    categories: [
                        "Waiting For user",
                        "Action Needed",
                        "Completed"
                    ],
                },
                yaxis: {
                    labels: {
                        style: {
                            colors: "#616161",
                            fontSize: "12px",
                            fontFamily: "inherit",
                            fontWeight: 400,
                        },
                    },
                },
                grid: {
                    show: false,
                    borderColor: "#dddddd",
                    strokeDashArray: 5,

                    xaxis: {
                        lines: {
                            show: false,
                        },
                    },
                    padding: {
                        top: 5,
                        right: 20,
                    },
                },
                fill: {
                    opacity: 0.8,
                },
                tooltip: {
                    theme: "dark",
                },
                legend: {
                    show: false,
                },
            };

            const chart21 = new ApexCharts(document.querySelector("#chart-bars"), chartConfig21);
            chart21.render();
          

            const counters = document.querySelectorAll(".count");
            const speed = 90;

            counters.forEach((counter) => {
                const updateCount = () => {
                    const target = parseInt(+counter.getAttribute("data-target"));
                    const count = parseInt(+counter.innerText);
                    const increment = Math.trunc(target / speed);
                    // console.log(increment);

                    if (count < target) {
                        counter.innerText = count + increment;
                        setTimeout(updateCount, 1);
                    } else {
                        count.innerText = target;
                    }
                };
                updateCount();
            });
        </script>
    </body>

    </html>
@endsection
