<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="../images/favicon.png">
    <title>Smarthub - RN</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">



    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">


    <style>
        .ok_btn {
            background-color: #0069d9;
            color: #fff;
            padding: 5px 20px;
            border: none;
            border-radius: 5px;
        }

        .sou-yt-pupop {
            height: 19rem;
            width: 39rem;
            background-color: white;
            position: absolute;
            top: 1rem;
            right: 2rem;
            box-shadow: 4px 6px 11px -1px #ddd;
            border-radius: 8px;
            padding: 1rem;
            display: none;
        }

        .sou-pay-pupop {
            height: 19rem;
            width: 39rem;
            background-color: white;
            position: absolute;
            top: 22rem;
            right: 2rem;
            box-shadow: 4px 6px 11px -1px #ddd;
            border-radius: 8px;
            padding: 1rem;
            display: none;
        }


        html,
        body,
        .main_container {
            font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif !important;
            margin: 0;
            padding: 0;
            height: 100%;
        }

        .main {
            font-size: 18px;
            margin: 2rem 0 0;
        }

        .main_body_container {
            display: flex;
            width: 100%;
            height: 100%;
        }

        .compose_btn {
            border-radius: 25px !important;
            font-size: 14px !important;
            height: 30px;
            width: 45%;
            background-color: #4573d2;
            color: #fff;
            border: 2px solid #4573d2;
            font-weight: 500;
        }

        .compose_btn:hover {
            background-color: #fff;
            color: #4573d2;
        }

        .dropdown-content a {
            position: relative !important;
            left: -21px !important;
            padding: 8px 0px 13px 0px !important;
        }

        #yourDataTableId_wrapper {
            top: -27px;
        }

        .dataTables_wrapper .dataTables_paginate .paginate_button {
            background-color: #fff !important;
            color: #186ed5 !important;
            border: 1px solid #0d71e9 !important;
            font-weight: 500 !important;
            padding: 2px 10px !important;
        }

        .dataTables_wrapper .dataTables_paginate .paginate_button.current {
            background-color: #186ed5 !important;
            color: #fff !important;
            border: 1px solid #0d71e9 !important;
            font-weight: bold !important;
        }

        .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
            background: #82afe5 !important;
            color: #fff !important;
            border: 1px solid #0d71e9 !important;
        }

        #yourDataTableId {
            border-collapse: collapse;
            width: 100%;
            border: 1px solid #ddd;
        }

        #yourDataTableId th {
            padding: 8px;
        }

        #yourDataTableId td {
            border: 1px solid #ddd;
            padding: 8px;
        }

        .dataTables_info,
        .dataTables_paginate,
        .dataTables_length {
            padding-top: 20px !important;
            padding-bottom: 20px !important;
        }

        .dataTables_wrapper .dataTables_filter {
            padding: 20px !important;
            right: 65px !important;
            position: relative !important;
        }

        #yourDataTableId_filter label {
            color: #fff !important;
        }

        #yourDataTableId_filter input {
            border-radius: 20px !important;
            padding-left: 20px !important;
            padding-right: 15px !important;
            color: #000 !important;
        }

        .dataTables_length select {
            border: 1px solid #efefef !important;
        }

        .test[data-title] {
            position: relative;
        }

        /* Tooltip text */
        .test[data-title]::after {
            content: attr(data-title);
            position: absolute;
            transform: translateX(-50%);
            background-color: black;
            color: white;
            padding: 5px;
            border-radius: 3px;
            white-space: nowrap;
            opacity: 0;
            transition: opacity 0.3s;
            z-index: 1;
        }

        /* Tooltip display on hover */
        .test[data-title]:hover::after {
            opacity: 1;
        }

        textarea {
            text-decoration: none;
        }

        .login {
            border-color: #1345ac !important;
            box-shadow: none;
            background-color: #1345AB !important;
            position: relative;
        }

        .modal-header {
            display: -ms-flexbox;
            display: flex;
            -ms-flex-align: start;
            align-items: flex-start;
            -ms-flex-pack: justify;
            justify-content: space-between;
            padding: 1rem 1rem;
            border-bottom: 1px solid #dee2e6;
            border-top-left-radius: calc(.3rem - 1px);
            border-top-right-radius: calc(.3rem - 1px);
            background-color: #4573d1;
        }

        .modalabel {
            font-size: 14px;
            line-height: 28px;
            font-weight: bold;
            color: #1345ac;
        }

        .modal {
            overflow: auto !important;
        }


        .green {
            padding: 10px;
            background: green;
            color: #fff;
            border-radius: 7px;
        }

        .red {
            padding: 10px;
            background: red;
            color: #fff;
            border-radius: 7px;

        }

        .full {
            width: auto;
            height: auto;
            border-radius: 6px;
            overflow: auto;
        }

        summary {
            height: 50px;
        }

        .number {
            background-color: #ccc;
            position: relative;
            z-index: 1;
            color: #0069d9;
            border: 2px solid;
            border-radius: 20px;
            padding: 7px 13px;
        }

        .open_div {
            padding: 20px 10px;
            display: none;
            color: #000000;
            font-size: 16px;
            background-color: #f8f8f8;
            margin-top: 20px;
            border-radius: 6px;
            box-shadow: 3px 3px 4px -4px;
        }

        #sentence_1 {
            font-weight: 600;
            cursor: pointer;
        }

        .open_div span {
            font-size: 14px;
            font-weight: 500;
        }

        .mail {
            background: lightgreen;
            padding: 10px 15px;
            border: none;
            border-radius: 6px;
            color: #000;
        }

        .remove {
            background: lightgrey;
            padding: 10px 15px;
            border: none;
            border-radius: 6px;
            color: #000;
        }

        .actiondone11 {
            background: #0069d9;
            padding: 10px 15px;
            border: none;
            border-radius: 6px;
            color: #fff;
        }

        .modal-dialog {
            max-width: 500px;
            position: relative;
            left: 0;
        }

        .modal-body {
            z-index: 11;
        }

        .modal-content {
            box-shadow: 0px 0px 10px -2px #000 !important;
        }

        #payment_div,
        #send_mail,
        #request_div {
            padding: 20px;
            background-color: #ffffff00;
            position: relative;
            height: 100%;
            top: 0;
            width: 0%;
            position: absolute;
            left: 50%;
            display: none;
        }

        .email_send_divv {
            padding: 20px;
            background-color: #ffffff00;
            position: relative;
            height: 100%;
            top: 0;
            width: 0%;
            position: absolute;
            left: 50%;
            display: none;
        }
    </style>



    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
    <script type="module" src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.esm.js"></script>
    <script nomodule src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.js"></script>

    <!-- Include Bootstrap CSS and JS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

    <!-- jQuery UI library -->
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js"></script>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js">
    </script>
    <script>
        $.noConflict();
        jQuery(document).ready(function($) {
            $('#yourDataTableId').DataTable({
                "pageLength": 10,
                "stripeClasses": []
            });
        });
    </script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>


    <script>
        function toggleDiv() {
            $('#div1').toggle();
            $('#div2').hide();
            $('#div3').hide();
            $('#div4').hide();
            $('#div5').hide();
            $('#div6').hide();
        }
        function toggleDiv2() {
            $('#div1').hide();
            $('#div2').toggle();
            $('#div3').hide();
            $('#div4').hide();
            $('#div5').hide();
            $('#div6').hide();
        }
        function toggleDiv3() {
            $('#div1').hide();
            $('#div2').hide();
            $('#div3').toggle();
            $('#div4').hide();
            $('#div5').hide();
            $('#div6').hide();
        }
        function toggleDiv4() {
            $('#div1').hide();
            $('#div2').hide();
            $('#div3').hide();
            $('#div4').toggle();
            $('#div5').hide();
            $('#div6').hide();
        }
        function toggleDiv5() {
            $('#div1').hide();
            $('#div2').hide();
            $('#div3').hide();
            $('#div4').hide();
            $('#div5').toggle();
            $('#div6').hide();
        }
        function toggleDiv6() {
            $('#div1').hide();
            $('#div2').hide();
            $('#div3').hide();
            $('#div4').hide();
            $('#div5').hide();
            $('#div6').toggle();
        }


    
       
        function close_mail() {
            $('#pandaromail').css('display', 'none');
            $('#jiomail').css('display', 'none');
            $('.modal-dialog').css('max-width', '500px');
            $('.modal-dialog').css('transition', 'max-width 0.4s ease');

        }


        function rsentmail1() {
            $('.modal-dialog').css('max-width', '796px');
            $('#pandaromail').html(`<div id=" " style=" width: 300px;">
                        <div class="modal-content" style="border: none !important;">
                            <div class="modal-header">
                                <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                                <button type="button" class="close">
                                    <span onclick="close_mail()" style="color: #fff"></span>
                                </button>
                            </div>
                            <div class="modal-body">
Email sent successfully.   </div>
                             
                        </div>
                    </div>`);
                   
            $('#panreq').css('background', 'grey');
            $('#panreq').text('Request Sent');
            $('#pandaromail').css('top', '30rem');
            $('#pandaromail').css('right', '2rem');

            setTimeout(function() {
               $('#pandaromail').hide();

               $('.modal-dialog').css('left', '0');
               $('.modal-dialog').css('max-width', '500px');
               $('.modal-dialog').css('transition', 'max-width 0.4s ease');

            }, 2000);

        }
        function rsentmail2() {
            $('.modal-dialog').css('max-width', '796px');
            $('#playmail').html(`<div id=" " style=" width: 300px;">
                        <div class="modal-content" style="border: none !important;">
                            <div class="modal-header">
                                <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                                <button type="button" class="close">
                                    <span onclick="close_mail()" style="color: #fff"></span>
                                </button>
                            </div>
                            <div class="modal-body">
                            Email sent successfully.   </div>
                             
                        </div>
                    </div>`);
                    $('.svglast').css('display', 'block');
            $('.svgfirst').css('display', 'none');
            $('.hovertextlast').text('Completed');
            $('.numberlast').css('background-color', '#0069d9');
            $('#numberlast').css('color', 'white');
            $('#playreq').css('background', 'grey');
            $('#playreq').text('Request Sent');
            $('#playmail').css('top', '30rem');
            $('#playmail').css('right', '2rem');

            setTimeout(function() {
               $('#playmail').hide();

               $('.modal-dialog').css('left', '0');
               $('.modal-dialog').css('max-width', '500px');
               $('.modal-dialog').css('transition', 'max-width 0.4s ease');

            }, 2000);

        }
        function rsentmail() {
            $('.modal-dialog').css('max-width', '796px');
            $('#jiomail').html(`<div id=" " style=" width: 300px;">
                        <div class="modal-content" style="border: none !important;">
                            <div class="modal-header">
                                <h5 style="color: white;" class="modal-title" id="customPopupLabel">INFO</h5>
                                <button type="button" class="close">
                                    <span onclick="close_mail()" style="color: #fff"></span>
                                </button>
                            </div>
                            <div class="modal-body">
                            Email sent successfully. 
                               </div>
                             
                        </div>
                    </div>`);
                    $('#jioreq').css('background', 'grey');

                    $('#jioreq').text('Request Sent');
            $('#jiomail').css('top', '30rem');
            $('#jiomail').css('right', '2rem');
            setTimeout(function() {
                $('#jiomail').hide();
                $('.modal-dialog').css('left', '0');
                $('.modal-dialog').css('max-width', '500px');
                $('.modal-dialog').css('transition', 'max-width 0.4s ease');

            }, 2000);

        }

        function approve() {
            $('#approvemodal').modal('show');
            $('#analysismodal1').modal('hide');
            $('#requestmodal').modal('hide');
            $('#rejectmodal').modal('hide');

        }
        
        function request() {
            $('#approvemodal').modal('hide');
            $('#analysismodal1').modal('hide');
            $('#requestmodal').modal('show');
            $('#rejectmodal').modal('hide');
        }

        function reject() {
            $('#approvemodal').modal('hide');
            $('#analysismodal1').modal('hide');
            $('#requestmodal').modal('hide');
            $('#rejectmodal').modal('show');

        }  

        function sendmail() {
            $('#approvemodal').modal('hide');
            $('#analysismodal1').modal('hide');
            $('#requestmodal').modal('hide');
            $('#rejectmodal').modal('hide');
             $('#sendmail').modal('show');

        }  
        
          
$(document).ready(function() {
    var analysisData = <?php echo json_encode($data); ?>;

    $('.analysis').click(function() {
        var formId = $(this).data('form-id');

        var matchingEntry = analysisData.find(function(item) {
            return item.id === formId;  
        });

        if (matchingEntry) {  

            $('#div1').html(`
                <span style="padding: 10px;">EMAIL: ${matchingEntry.email}</span><br>
                <span style="padding: 10px;">USER NAME: ${matchingEntry.username}</span><br>
                <span style="padding: 10px;">USER ID: ${matchingEntry.userid}</span>
            `);

            $('#div2').html(`
            <ul><li>${matchingEntry.action_needed}</li></ul>
            `);
           var upc = matchingEntry.upc;
            $.ajax({
        url: 'checkreleasestatus',  
        method: 'GET',                  
        data: { upc:upc},        
        dataType: 'json',                 
        success: function(response) {
            console.log(response);

            $('#div3').html(`
            <ul style="text-align: left;">
            <li>
            <b>Is that release status has Pending Moderation?</b>
            <span style="padding: 3px 1rem; background: ${response.pend_mod_status === null || response.pend_mod_status === '' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">
                ${response.pend_mod_status === null || response.pend_mod_status === '' ? 'No' : 'Yes'}
            </span>
        </li>
<li> <b>Is that release status has Update Review?</b> <br>
<span>User Action</span>  <span style="padding: 3px 1rem; background: ${response.useraction_status === null || response.useraction_status === '' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">
                ${response.useraction_status === null || response.useraction_status === '' ? 'No' : 'Yes'}
            </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<span>User Action (Ready)</span>  <span style="padding: 3px 1rem; background: ${response.usacst_status === null || response.usacst_status === '' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">
                ${response.usacst_status === null || response.usacst_status === '' ? 'No' : 'Yes'}
            </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<span>PremMod</span>  <span style="padding: 3px 1rem; background: ${response.pend_mod_status === null || response.pend_mod_status === '' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">
                ${response.pend_mod_status === null || response.pend_mod_status === '' ? 'No' : 'Yes'}
            </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<span>Disapproved Update Review statuses</span>  <span style="padding: 3px 1rem; background: ${response.disapp_status === null || response.disapp_status === '' ? '#f40505' : 'green'}; color: #fff; border-radius: 5px; font-weight: 600;">
                ${response.disapp_status === null || response.disapp_status === '' ? 'No' : 'Yes'}
            </span>
</li>


</ul>

            `);


        if(response.pend_mod_status === null && response.useraction_status === null && response.usacst_status === null  && response.pend_mod_status === null && response.disapp_status === null){
           $('.div3done').css('display','block');
           $('.div3notdone').css('display','none');
           $('#numberdiv3').css('background-color','#0069d9'); 
           $('#div3number').css('color','white');
           $('#div3text').text('Completed');
            }
            else{
                $('.div3done').css('display','none');
           $('.div3notdone').css('display','block');
           $('#numberdiv3').css('background-color','#ccc'); 
           $('#div3number').css('color','black');
           $('#div3text').text('Admin Action Needed');
            }


        },
      
    });

    $('#div4').html(`        
<ul style="text-align: left;">
<li> Artist Name: ${matchingEntry.artist_name}&nbsp;&nbsp;<svg
class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
xmlns="http://www.w3.org/2000/svg" width="24" height="24"
fill="green" viewBox="0 0 24 24"
style="position: absolute;z-index: 1;width: 20px;">
<path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
stroke-width="2"
d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
</path>
</svg>
</li>
</ul>
`);
var artistLinksHtml = '';

if (matchingEntry.artist_links && matchingEntry.artist_links.trim() !== '') {
                // Split the comma-separated string into an array of links
                var linksArray = matchingEntry.artist_links.split(',').map(link => link.trim());

                // Create HTML for artist links
                artistLinksHtml = `
                    <div>
                        <strong>Artist Pages</strong><br>
                        ${linksArray.map(link => `
                            <span style="width: 100%;"><a href="${link}" target="_blank">${link}</a></span><br>
                        `).join('')}
                    </div>
                `;
} 


var releaseLinksHtml = '';

if (matchingEntry.release_links && matchingEntry.release_links.trim() !== '') {
                // Split the comma-separated string into an array of links
                var linksArray = matchingEntry.release_links.split(',').map(link => link.trim());

                // Create HTML for artist links
                releaseLinksHtml = `
                    <div>
                        <strong>Releae Links</strong><br>
                        ${linksArray.map(link => `
                            <span style="width: 100%;"><a href="${link}" target="_blank">${link}</a></span><br>
                        `).join('')}
                    </div>
                `;
} 
var storeLinksHtml = '';

if (matchingEntry.store_links && matchingEntry.store_links.trim() !== '') {
                // Split the comma-separated string into an array of links
                var linksArray = matchingEntry.store_links.split(',').map(link => link.trim());

                // Create HTML for artist links
                storeLinksHtml = `
                    <div>
                        <strong>Store Links</strong><br>
                        ${linksArray.map(link => `
                            <span style="width: 100%;"><a href="${link}" target="_blank">${link}</a></span><br>
                        `).join('')}
                    </div>
                `;
} 

$('#div5').html(`
    <div style="justify-content: space-around;">
    ${artistLinksHtml}
    &nbsp;  &nbsp;  &nbsp;  &nbsp;
    ${releaseLinksHtml}
    &nbsp;  &nbsp;  &nbsp;  &nbsp;
    ${storeLinksHtml}
    </div>
`);
  






        }

        $('#analysismodal1').modal('show');
    });



           
       

        function jiorequest() {
            $('#jiomail').css('display', 'block');
            $('.jiomail').css('right', '5rem');
            $('.jiomail').css('z-index', '999');
            $('.jiomail').css('top', '20rem');


            $('.modal-dialog').css('left', '-6%');
            $('.modal-dialog').css('max-width', '70%');
            $('.modal-dialog').css('transition', 'max-width 0.4s ease');

        }

        function Pandorarequest() {
            $('#pandaromail').css('display', 'block');
            $('.pandaromail').css('right', '5rem');
            $('.pandaromail').css('top', '20rem');
            $('.pandaromail').css('z-index', '999');

            $('.modal-dialog').css('left', '-6%');
            $('.modal-dialog').css('max-width', '70%');
            $('.modal-dialog').css('transition', 'max-width 0.4s ease');

        }
        function Playrequest() {
            $('#playmail').css('display', 'block');
            $('.playmail').css('right', '5rem');
            $('.playmail').css('z-index', '999');
            $('.playmail').css('top', '20rem');


            $('.modal-dialog').css('left', '-6%');
            $('.modal-dialog').css('max-width', '70%');
            $('.modal-dialog').css('transition', 'max-width 0.4s ease');

        }
    });
    </script>

<body>
    <div class="main_container">
        <div class="header_container">
            @include('header/header')
        </div>
        <div class="main_body_container">
            <div class="nav_cont">
                @include('navigation/navigation')
            </div>

            <!-- Full Container Start -->
            <div class="full_container_start" style="width: 100%;overflow: scroll;height: 75vh;">
                <br> <br>
                <h4>Content Mapping OTL Forms</h4><br>




                <table id="yourDataTableId" style="font-size: 14px;" class="stripe bordered">
                    <thead
                        style="width: 100%;background-color: #807a7a; justify-content: space-between;color: #fff;font-size: 14px; font-weight: 500;text-align: center;">
                        <tr>
                            <th style="width:5%">#</th>
                            <th style="width:10%">Form Type</th>
                            <th style="width:10%">UserName</th>
                            <th style="width:10%">Submitted On</th>

                            <th style="width:15%">Form Details</th>
                            <th style="width:10%">Smarthub Report</th>
                        </tr>
                    </thead>
                    <tbody id="tbody">
                        @foreach ($data as $item)
                            <tr>
                                <td>{{ $item->id }}</td>
                                <td>Content Mapping Form</td>
                                <td>{{ $item->username }}
                                </td>
                                <td>{{ $item->submitted_at }}</td>
                                <td><button class="btn btn-secondary view"
                                        style="border-radius: 9px;background-color: #0069d9;"
                                        data-form-id="{{ $item->id }}">View Details</button></td>
                                <td><button class="btn btn-secondary analysis"
                                        style="width: 128px;height: 37px;border-radius: 9px;background-color: #0069d9;"
                                        data-form-id="{{ $item->id }}">View Details</button></td>

                            </tr>
                        @endforeach
                        
                    </tbody>
                </table>

            </div>
        </div>

        <script>
            function revenue_request() {
                $('#revenueshare').toggle();
            }

            function revenue_request_close() {
                $('#revenueshare').toggle();
            }
        </script>

       

        <!-- Modal HTML -->
        <div class="modal fade" id="analysismodal1" tabindex="-1" role="dialog"
            aria-labelledby="customPopupLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width: 127%;height: ;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Processing the Content
                            Mapping Request</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span onclick="close_mail()" style="color: #fff">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">




                        <div class="full">
                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">
                                    <span class="number" style="background-color: #0069d9;"> <span
                                            style="color:#fff;font-weight: bold">1</span></span>

                                    <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                        fill="green" viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2"
                                            d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>
                                    <span class="hover_txt">Completed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv()" style="font-size: medium;"> Checking
                                        Email Address</span>
                                    <div class="open_div" id="div1">
                                       
                                    </div>
                                 
                                </div>
                            </div>
                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">
                                    <span class="number" style="background-color: #0069d9;"> <span
                                            style="color:#fff;font-weight: bold">2</span></span>

                                    <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                        fill="green" viewBox="0 0 24 24"
                                        style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2"
                                            d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>
                                    <span class="hover_txt">Completed</span>

                                </div>

                                <div style="padding: 20px;">
                                    <span id="sentence_1" onclick="toggleDiv2()" style="font-size: medium;"> Action
                                        Required</span>

                                    <div class="open_div" id="div2">
                                    
                                    </div>
                                </div>
                            </div>
                            <div style="display: flex;">
                                <div style="padding: 20px;position: relative;" class="hover_div">

                                    <span class="number" id="numberdiv3" style="background-color: #0069d9;"><span id="div3number"
                                            style="color:white;font-weight: bold">3</span></span>

                                            <svg class="div3done w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                        fill="green" viewBox="0 0 24 24"
                                        style="display:none;position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                        <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="2"
                                            d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                        </path>
                                    </svg>


                                    <svg class="div3notdone exelen_half5 w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#fff" viewBox="0 0 24 24" style="display:none;position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                    <path stroke="red" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z"></path>
                                </svg>

                                    <span id="div3text" class="hover_txt">
                                        Completed</span>
                                </div>

                                <div style="padding: 20px;width: 100%;gap: 10px;">
                                    <span id="sentence_1" onclick="toggleDiv3()" style="font-size: medium;">
                                        Release Status</span>

                                    <div style="width: 98%;display: flex;">
                                        <div id="div3" class="open_div"
                                            style=" width: auto;height: 10%;z-index:11">
                                            <div style="display: grid;">

                                               

                                            </div>

                                        </div>

                                        <div class="box svg" style="display: none;margin-top: -31px;"></div>


                                    </div>
                                </div>
                            </div>
                        </div>


                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">
                                <span class="number" style="background-color: #0069d9;"> <span
                                        style="color:#fff;font-weight: bold">4</span></span>

                                <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                        stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>
                                <span class="hover_txt">Completed</span>

                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv4()" style="font-size: medium;"> Does the
                                    artist name on the release match the request? </span>

                                <div class="open_div" id="div4">
                               
                                </div>
                            </div>
                        </div>
                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">
                                <span class="number" style="background-color: #0069d9;"> <span
                                        style="color:#fff;font-weight: bold">5</span></span>

                                <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round"
                                        stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>
                                <span class="hover_txt">Completed</span>

                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv5()" style="font-size: medium;"> Have the
                                    correct links been provided? </span>

                                <div class="open_div" id="div5" style="width: 148%;">
                              
                                </div>
                            </div>
                        </div>

                        <div style="display: flex;">
                            <div style="padding: 20px;position: relative;" class="hover_div">
                                <span class="number numberlast" style="background-color: #ccc;"> <span id="numberlast"
                                        style="color:black;font-weight: bold">6</span></span>
                                <svg class="svgfirst exelen_half5 w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="#fff"
                                    viewBox="0 0 24 24"
                                    style="position: absolute;z-index: 1;width: 18px;top: 35px;right: 20px;">
                                    <path stroke="red" stroke-linecap="round" stroke-linejoin="round"
                                        stroke-width="2" d="M12 13V8m0 8h.01M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                                </svg>

                                <svg class="svglast w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="green" viewBox="0 0 24 24" style="display:none;position: absolute;z-index: 1;width: 20px;top: 35px;right: 20px;">
                                    <path stroke="#fff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z">
                                    </path>
                                </svg>

                                <span class="hovertextlast hover_txt">Admin Action Needed</span>

                            </div>

                            <div style="padding: 20px;">
                                <span id="sentence_1" onclick="toggleDiv6()" style="font-size: medium;"> Processing
                                    the request</span>

                                <div class="open_div" id="div6" style="width: 141%;">
                                   

                                    <span style="font-size: 20px;font-weight: bold;padding-top: 20px"> Pandora </span>
                                    <span style="
  padding: 3px 1rem;
  background: #0069d9;
  color: #fff;
  border-radius: 5px;
  font-weight: 600;
  left: 217px;
  position: relative;
  top: 81px;
  " onclick="Pandorarequest()" id="panreq">Request To Store</span><br><br>

                                
                                    <div style="    width: 70%;display: flex;gap: 10px;">
                                        <span style="width: 50%"> Primary genre</span> <span style="width: 50%">:
                                            Rock</span>
                                    </div>
                                    <div style="    width: 70%;display: flex;gap: 10px;">
                                        <span style="width: 50%"> Secondary genre</span> <span style="width: 50%">:
                                        Hip hop music</span>
                                    </div>
                                    <div style="    width: 70%;display: flex;gap: 10px;">
                                        <span style="width: 50%">City</span> <span style="width: 50%">:
                                            Cleveland</span>
                                    </div>
                                   
                                    <div style="    width: 70%;display: flex;gap: 10px;">
                                        <span style="width: 50%">State</span> <span style="width: 50%">:
                                            Ohio</span>
                                    </div>

                                    <div style="    width: 70%;display: flex;gap: 10px;">
                                        <span style="width: 50%">Country</span> <span style="width: 50%">:
                                            USA</span>
                                    </div>
                                   
                                    <br><br>
                                    <span style="font-size: 20px;font-weight: bold" > Zing MP3 </span>
                                    <span style="
  padding: 3px 1rem;
  background: #0069d9;
  color: #fff;
  border-radius: 5px;
  font-weight: 600;
  left: 210px;
  top: 49px;
  position: relative;
  " onclick="jiorequest()" id="jioreq">Request To Store</span><br><br>


                                        
                                    <link rel="stylesheet"
                                        href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css">
                                    <script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js"></script>

                                    <span> Artist photo</span> &nbsp;&nbsp;&nbsp;
                                  
                                        <a href="{{ asset('images/imgonline-com-ua-resize-rZilfWXvKQr.jpg') }}" data-lightbox="image" target="_blank">
    <span style="font-weight: bold; color: #0e82ff;">View</span>
</a>



                                 

                                    <br><br>

<span style="font-size: 20px;font-weight: bold;padding-top: 20px"> Boomplay </span>
<span style="
padding: 3px 1rem;
background: #0069d9;
color: #fff;
border-radius: 5px;
font-weight: 600;
left: 217px;
position: relative;
top: 81px;
" onclick="Playrequest()" id="playreq">Request To Store</span><br><br>


<div style="    width: 70%;display: flex;gap: 10px;">
    <span style="width: 50%"> Artist name</span> <span style="width: 50%">:
        Tems</span>
</div>
<div style="    width: 70%;display: flex;gap: 10px;">
    <span style="width: 50%"> Artist country</span> <span style="width: 50%">:
    USA</span>
</div>
<div style="    width: 70%;display: flex;gap: 10px;">
    <span style="width: 50%">Artist gender</span> <span style="width: 50%">:
        Male</span>
</div>

<div style="    width: 70%;display: flex;gap: 10px;">
    <span style="width: 50%">Artist biography</span> <span style="width: 50%">:
   German composer and pianist.</span>
</div>

<div style="    width: 70%;display: flex;gap: 10px;">
    <span style="width: 50%">Artist photo</span> <span style="width: 50%">:
    <a href="{{ asset('images/imgonline-com-ua-resize-rZilfWXvKQr.jpg') }}" data-lightbox="image" target="_blank">
    <span style="font-weight: bold; color: #0e82ff;">View</span>
</a></span>
</div>


                                </div>
                            </div>
                        </div>


                        <div class="jiomail" id="jiomail"
                            style="box-shadow: 4px 6px 11px -1px #ddd;display:none;overflow: hidden;border-radius: 7px;position: absolute;right: 2rem;top: 2rem; ">


                            <div id=" " style=" width: 100%;">
                                <div class="modal-content" style="border: none !important;">
                                    <div class="modal-header">
                                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Request To Store(Zing MP3)</h5>
                                        <button type="button" class="close">
                                            <span onclick="close_mail()" style="color: #fff">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <label class="modalabel">To:</label><br>
                                        <label disabled class="login-form__input">
                                        roland@zalo.me</label><br>
                                      
                                        
                                        <label class="modalabel">Subject:</label><br>
                                        <input class="login-form__input" type="text" name="Email"
                                            id="name" size="59px" value="Request To Store(Zing MP3)">
                                        <br><br>
                                        <label class="modalabel">Body:</label><br>
       
<textarea class="login-form__input" type="text" name="Email" id="name"
                                            style="position: relative;height: 150px;width: 100%;text-align: left">Dear roland,
Can this release please be moved to the correct artist page?

Release link: https://releasezing.com/

Correct artist page link: https://tems.zing.com/

Store link:  https://Zing.com/

Please find the attachment of artist profile picture.


Many Warm Regards,
The RouteNote Team

</textarea>
<p>ATTACHEMENT:<a href="http://localhost/routeapp/public/images/imgonline-com-ua-resize-rZilfWXvKQr.jpg" download="">imgonline-com-ua-resize-rZilfWXvKQr.jpg</a></p>

                                    </div>
                                    <div class="modal-footer">
                                    
                                        <button type="button" class="btn btn-secondary"
                                            onclick="">Close</button>
                                        <button type="submit" class="btn btn-secondary login maill"
                                            onclick="rsentmail()">Send</button>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div class="playmail" id="playmail"
                            style="box-shadow: 4px 6px 11px -1px #ddd;display:none;overflow: hidden;border-radius: 7px;position: absolute;right: 2rem;top: 2rem; ">


                            <div id=" " style=" width: 100%;">
                                <div class="modal-content" style="border: none !important;">
                                    <div class="modal-header">
                                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Request To Store(Boomplay)</h5>
                                        <button type="button" class="close">
                                            <span onclick="close_mail()" style="color: #fff">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <label class="modalabel">To:</label><br>
                                        <label disabled class="login-form__input">
                                        support.content@boomplay.com</label><br>
                                       
                                        <label class="modalabel">Subject:</label><br>
                                        <input class="login-form__input" type="text" name="Email"
                                            id="name" size="59px" value="Request To Store(Boomplay)">
                                        <br><br>
                                        <label class="modalabel">Body:</label><br>
       
<textarea class="login-form__input" type="text" name="Email" id="name"
                                            style="position: relative;height: 150px;width: 100%;text-align: left">Dear support,
Can this release please be moved to the correct artist page?

Release link: https://boomplay.com/

Correct artist page link: https://tems.boomplay.com/

Artist name : Tems
Artist Country : USA
Artist gender: Male
Artist biography: German composer and pianist.


Please find the attachment of artist photo.


Many Warm Regards,
The RouteNote Team

</textarea>
<p>ATTACHEMENT:<a href="http://localhost/routeapp/public/images/images.png" download="">images.png</a></p>

                                    </div>
                                    <div class="modal-footer">
                                    
                                        <button type="button" class="btn btn-secondary"
                                            onclick="">Close</button>
                                        <button type="submit" class="btn btn-secondary login maill"
                                            onclick="rsentmail2()">Send</button>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="pandaromail" id="pandaromail"
                            style="box-shadow: 4px 6px 11px -1px #ddd;display:none;overflow: hidden;border-radius: 7px;position: absolute;right: 2rem;top: 2rem; ">


                            <div id=" " style=" width: 100%;">
                                <div class="modal-content" style="border: none !important;">
                                    <div class="modal-header">
                                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Request To Store(Pandora)</h5>
                                        <button type="button" class="close">
                                            <span onclick="close_mail()" style="color: #fff">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <label class="modalabel">To:</label><br>
                                        <label disabled class="login-form__input">
                                        jalbertsen@pandora.com</label><br>
                                        <label class="modalabel">CC:</label><br>
                                        <label disabled class="login-form__input">
                                        ajonat@pandora.com</label><br>
                                        <label class="modalabel">Subject:</label><br>
                                        <input class="login-form__input" type="text" name="Email"
                                            id="name" size="59px" value="Request To Store(Pandora)">
                                        <br><br>
                                        <label class="modalabel">Body:</label><br>
                                        <textarea class="login-form__input" type="text" name="Email" id="name"
                                            style="position: relative;height: 150px;width: 100%;text-align: left">Dear jalbertsen,
Can this release please be moved to the correct artist page?

Release link: https://releasepandora.com/

Correct artist page link: https://tems.pandora.com/

Store link:  https://pandora.com/


Primary genre : Rock
Secondary genre : Hip hop music
City : Cleveland
State : Ohio
Country : USA
                                   
                                


Many Warm Regards,
The RouteNote Team

</textarea>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary"
                                            onclick="">Close</button>
                                        <button type="submit" class="btn btn-secondary login maill"
                                            onclick="rsentmail1()">Send</button>
                                    </div>
                                </div>
                            </div>

                        </div>


                        <div class="bar"
                            style="width: 6px;left: 52px;position: absolute;background-color: #0069d9;top: 30px;bottom: 30px;">
                        </div>
                    </div>

                    <style>
                        .frm_vals {
                            padding: 3px 5px;
                            background: #eee;
                            border: none;
                            border-radius: 5px;
                            display: block;
                            width: 100%;
                        }

                        .ap_rej_btns {
                            padding: 5px 5px;
                            border: 1px solid;
                            border-radius: 8px;
                            color: #fff;
                        }

                        .form_input input {
                            width: 95%;
                            border: 1px solid #ccc;
                            padding: 5px;
                            border-radius: 6px;
                            margin-top: 5px;
                        }

                        .user_detailss {
                            display: flex;

                            background: #f7f7f7;
                            border-radius: 10px;
                            padding: 10px;
                        }

                        .user_detailss span {
                            margin: auto 0;
                        }
                    </style>

                    <div style="display: flex;padding: 10px;justify-content: end;gap: 10px;">
                        <button class="ap_rej_btns" style="background: #00a000;" onclick="approve()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none"
                                viewBox="0 0 24 24">
                                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                                    stroke-width="2" d="M8.5 11.5 11 14l4-4m6 2a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                            </svg>


                            Approve & Confirm the Request</button>


                        <button class="ap_rej_btns" style="background: #d41111;" onclick="reject()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd" />
                            </svg>


                            Reject
                        </button>

                        <button class="ap_rej_btns" style="background: #fcba03;" onclick="request()">

                            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="currentColor"
                                viewBox="0 0 24 24">
                                <path fill-rule="evenodd"
                                    d="M2 12C2 6.477 6.477 2 12 2s10 4.477 10 10-4.477 10-10 10S2 17.523 2 12Zm7.707-3.707a1 1 0 0 0-1.414 1.414L10.586 12l-2.293 2.293a1 1 0 1 0 1.414 1.414L12 13.414l2.293 2.293a1 1 0 0 0 1.414-1.414L13.414 12l2.293-2.293a1 1 0 0 0-1.414-1.414L12 10.586 9.707 8.293Z"
                                    clip-rule="evenodd" />
                            </svg>


                            Request Information
                        </button>
                    </div>


                </div>

            </div>
        </div>
    </div>





<style>
.hover_div:hover {
    cursor: pointer;
}

.hover_div:hover .hover_txt {
    display: block;
    cursor: pointer;
    color: #01216a;
}

.hover_txt {
    width: max-content;
    left: 50px;
    top: 20px;
    display: none;
    position: absolute;
    z-index: 9999;
    background: white;
    padding: 3px 14px;
    box-shadow: 0px 0px 15px 0px;
    border-radius: 7px;
}

input {
    width: 100%;
}
</style>



 
    </div>

 


    






    <!-- Modal HTML -->
    <div class="modal fade" id="approvemodal" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content" style="width:130%">
                <div class="modal-header">
                    <h5 style="color: white;" class="modal-title" id="customPopupLabel">
                        INFO</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true" style="color: white;">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="modal-body">
                        Content Mapping Request Sent to store successfully..
                    </div>
                   
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" 
                                data-dismiss="modal">Close</button>
                        </div>

                    </div>
                </div>
            </div>
        </div>




        <!-- Modal HTML -->
        <div class="modal fade" id="rejectmodal" tabindex="-1" role="dialog"
            aria-labelledby="customPopupLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:123% !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Email Confirmation
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="modalabel">To:</label>
                        <label disabled class="login-form__input"> mcldev2024@gmail.com</label><br>
                        <label class="modalabel">Subject:</label>
                        <input class="login-form__input" type="text" name="Email" id="name"
                            size="59px" value=" Content Mapping Request Form - Reject">
                        <br><br>
                        <label class="modalabel">Body:</label><br>
                        <textarea class="login-form__input" type="text" name="Email" id="name"
                            style="position: relative;height: 205px;width: 100%;">
                    Dear sellerrnn,

                    Content Mapping Request form request is rejected for the following reasons: 
                        1) 







                    Many Warm Regards,
                    The RouteNote Team
                    </textarea>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-secondary login"  onclick="sendmail()"
                            data-dismiss="modal">Send</button>
                        <button type="button" class="btn btn-secondary"
                            data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>



        <div class="modal fade" id="requestmodal" tabindex="-1" role="dialog"
            aria-labelledby="customPopupLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content" style="width:123% !important;">
                    <div class="modal-header">
                        <h5 style="color: white;" class="modal-title" id="customPopupLabel">Email Confirmation
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true" style="color: white;">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="modalabel">To:</label>
                        <label disabled class="login-form__input"> mcldev2024@gmail.com</label><br>
                        <label class="modalabel">Subject:</label>
                        <input class="login-form__input" type="text" name="Email" id="name"
                            size="59px" value=" Content Mapping Request Form - Request for Information">
                        <br><br>
                        <label class="modalabel">Body:</label><br>
                        <textarea class="login-form__input" type="text" name="Email" id="name"
                            style="position: relative;height: 205px;width: 100%;">
                    Dear sellerrnn,

                    Content Mapping Request form request is rejected for the following reasons: 
                        1) 







                    Many Warm Regards,
                    The RouteNote Team
                    </textarea>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-secondary login"  onclick="sendmail()"
                            data-dismiss="modal">Send</button>
                        <button type="button" class="btn btn-secondary"
                            data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="sendmail" tabindex="-1" role="dialog" aria-labelledby="customPopupLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content" style="width:130%">
                <div class="modal-header">
                    <h5 style="color: white;" class="modal-title" id="customPopupLabel">
                        INFO</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true" style="color: white;">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="modal-body">
                        Email Sent Successfully..
                    </div>
                   
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" 
                                data-dismiss="modal">Close</button>
                        </div>

                    </div>
                </div>
            </div>
        </div>


        
    </div>







    </div>
    </div>
    <!-- Full Container End -->


    </div>
    </div>

</body>

</html>

