
<?php $__env->startSection('content'); ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="stylesheet" type="text/css" href="/css/uncate.css" media="screen" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/flowbite/2.3.0/flowbite.min.js"></script>
</head>
<body>
    <?php
        $droplist_support = DB::table('comm_dropdown')->where('main_link','Supporthub')->where('show_hide',0)->where('userid',Auth::id())->get(); 
        $droplist_shared = DB::table('comm_dropdown')->where('main_link','Sharedhub')->where('show_hide',0)->where('userid',Auth::id())->get(); 
        $droplist_private = DB::table('comm_dropdown')->where('main_link','Privatehub')->where('show_hide',0)->where('userid',Auth::id())->get(); 
    ?>
    <div class="p-4 overflow-y-auto" style="height:40rem;">
    <nav aria-label="breadcrumb" class="w-max">
    <ol class="flex flex-wrap items-center w-full px-4 py-2 rounded-md bg-blue-gray-50 bg-opacity-60">
        <li
        class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
        <a href="/settings" class="opacity-60">
            <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4" viewBox="0 0 20 20"
            fill="currentColor">
            <path
                d="M10.707 2.293a1 1 0 00-1.414 0l-7 7a1 1 0 001.414 1.414L4 10.414V17a1 1 0 001 1h2a1 1 0 001-1v-2a1 1 0 011-1h2a1 1 0 011 1v2a1 1 0 001 1h2a1 1 0 001-1v-6.586l.293.293a1 1 0 001.414-1.414l-7-7z">
            </path>
            </svg>
        </a>
        <span
            class="mx-2 font-sans text-sm antialiased font-normal leading-normal pointer-events-none select-none text-blue-gray-500">
            /
        </span>
        </li>
        <li
        class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
        <a href="/shortcut" class="opacity-60">
            <span>
                shortcut
            </span>
        </a>
        </li>
    </ol>
    </nav>
        <div class="flex items-center justify-between" style="width:96.5%;">
            <h5 class="block mb-2 font-sans text-xl antialiased font-bold leading-snug tracking-normal text-blue-gray-900">
            Dropdown Navigation&nbsp; <span style="color: red;">*</span>
            </h5>
            
            <button
                class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
                type="button" Onclick="signindialog()">Add</button>
        </div>

        <div class="flex gap-4 items-center">
            <!-- Support hub -->
            <div class="relative flex flex-col mt-6 text-gray-700 bg-white shadow-md bg-clip-border rounded-xl overflow-y-auto" style="width: 32.3%;">
                <div class="p-6 w-full " style="height: 26.5rem;">
                    <div class="w-full relative shadow-md sm:rounded-lg mt-4">
                        <table class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                            <thead class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                                <tr>
                                    <th scope="col" class="px-6 py-3">
                                        Supporthub
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Viewpage
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Modify
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="overflow-y-auto" id="getAddModifyGroup">
                                <?php if(count($droplist_support) > 0): ?>
                                    <?php $__currentLoopData = $droplist_support; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            <?php echo e($items->pagename); ?>

                                        </th>
                                        <td class="px-6 py-3 cursor-pointer">
                                            <a href="<?php echo e($items->pagelink); ?>" target='blank'>View</a>
                                        </td>
                                        <td class="px-6 py-3 cursor-pointer">
                                            <button Onclick="trash_roles(<?php echo e($items->id); ?>)" class="select-none rounded-lg bg-gray-900 py-1 px-4 text-center align-middle font-sans text-xs font-bold text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button">
                                                Remove
                                            </button>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th colspan="3" scope="row" class="text-center text-zinc-400 px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            No data available in table
                                        </th>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <!-- Shared hub -->
            <div class="relative flex flex-col mt-6 text-gray-700 bg-white shadow-md bg-clip-border rounded-xl overflow-y-auto" style="width: 32.3%;">
                <div class="p-6 w-full " style="height: 26.5rem;">
                    <div class="w-full relative overflow-x-auto shadow-md sm:rounded-lg mt-4">
                        <table class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                            <thead class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                                <tr>
                                    <th scope="col" class="px-6 py-3">
                                        Sharedhub
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Viewpage
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Modify
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="overflow-y-auto" id="getAddModifyGroup">
                                <?php if(count($droplist_shared) > 0): ?>
                                    <?php $__currentLoopData = $droplist_shared; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            <?php echo e($items->pagename); ?>

                                        </th>
                                        <td class="px-6 py-3 cursor-pointer">
                                            <a href="<?php echo e($items->pagelink); ?>" target='blank'>View</a>
                                        </td>
                                        <td class="px-6 py-3 cursor-pointer">
                                            <button Onclick="trash_roles(<?php echo e($items->id); ?>)" class="select-none rounded-lg bg-gray-900 py-1 px-4 text-center align-middle font-sans text-xs font-bold text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button">
                                                Remove
                                            </button>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th colspan="3" scope="row" class="text-center text-zinc-400 px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            No data available in table
                                        </th>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <!-- Private hub -->
            <div class="relative flex flex-col mt-6 text-gray-700 bg-white shadow-md bg-clip-border rounded-xl overflow-y-auto" style="width: 31.3%;">
                <div class="p-6 w-full " style="height: 26.5rem;">
                    <div class="w-full relative overflow-x-auto shadow-md sm:rounded-lg mt-4">
                        <table class="w-full text-sm text-left rtl:text-right text-gray-500 darks:text-gray-400">
                            <thead class="text-xs text-gray-700 uppercase bg-gray-50 darks:bg-gray-700 darks:text-gray-400 sticky top-0">
                                <tr>
                                    <th scope="col" class="px-6 py-3">
                                        Privatehub
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Viewpage
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Modify
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="overflow-y-auto" id="getAddModifyGroup">
                                <?php if(count($droplist_private) > 0): ?>
                                    <?php $__currentLoopData = $droplist_private; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            <?php if(strlen($items->pagename) > 6) {echo '
                                                 <div data-tooltip-target="tooltip-left" data-tooltip-placement="left" type="button" class="w-1/4">'.substr($items->pagename, 0,6).'...</div>

                                                    <div id="tooltip-left" style="top: -40px !important;" role="tooltip" class="absolute invisible inline-block px-3 py-2 text-sm font-medium text-white bg-gray-900 rounded-lg shadow-sm opacity-0 tooltip darks:bg-gray-700">
                                                        '.$items->pagename.'
                                                     <div class="tooltip-arrow" data-popper-arrow></div>
                                                 </div>';}else {echo $items->pagename;}?>
                                        </th>
                                        <td class="px-6 py-3 cursor-pointer">
                                            <a href="<?php echo e($items->pagelink); ?>" target='blank'>View</a>
                                        </td>
                                        <td class="px-6 py-3 cursor-pointer">
                                            <button Onclick="trash_roles(<?php echo e($items->id); ?>)" class="select-none rounded-lg bg-gray-900 py-1 px-4 text-center align-middle font-sans text-xs font-bold text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button">
                                                Remove
                                            </button>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    <tr class="odd:bg-white odd:darks:bg-gray-900 even:bg-gray-50 even:darks:bg-gray-800 border-b darks:border-gray-700">
                                        <th colspan="3" scope="row" class="text-center text-zinc-400 px-6 py-3 font-medium text-gray-900 whitespace-nowrap darks:text-white">
                                            No data available in table
                                        </th>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- model Add -->
    <script>
        function signindialog() {
            $('#drop_add').show();
        }
        function signindialog_close() {
            $('#drop_add').hide();
        }
        function Navigation(event) {
            event.preventDefault();
            var name = $('input[name=mainName]').val();
            var link = $('input[name=mainLink]').val();
            var opt = $('select[name=mainplease]').val();
            $.ajax({
                type: "post",
                url: "<?php echo e(route('autonomous-level')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: {
                    ref: 'Navigation_insert',
                    name: name,
                    link: link,
                    opt: opt
                },
                success: function(response){
                    if(response.message == 'completed'){
                        $('input[name=mainName]').val('');
                        $('input[name=mainLink]').val('');
                        $('select[name=mainplease]').val('');
                        window.onbeforeunload = null;
                        alert('Added successfully...!')
                        location.reload();
                    }
                },
                error: function(){}
            });
        }
        function trash_roles(id) {
            $.ajax({
                type: "post",
                url: "<?php echo e(route('autonomous-level')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: {
                    ref: 'Navigation_Remove',
                    id: id
                },
                success: function(response){
                    if(response.message == 'completed'){
                        window.onbeforeunload = null;
                        alert('Removed successfully...!')
                        location.reload();
                    }
                },
                error: function(){}
            });
        }
    </script>
    <div id="drop_add" class="overflow-y-auto hidden bg-stone-500/50 h-screen w-full absolute inset-0 z-20">
        <div class="w-full h-full flex items-center justify-center">
            <div class="h-max w-max bg-white rounded-lg p-8">
                <div class="relative flex flex-col text-gray-700 bg-transparent shadow-none rounded-xl bg-clip-border">
                    <div class="w-full text-end"><button data-ripple-darks="true" data-dialog-close="true" Onclick="signindialog_close()" class="relative h-8 max-h-[32px] w-8 max-w-[32px] select-none rounded-lg text-center align-middle font-sans text-xs font-medium uppercase text-blue-gray-500 transition-all hover:bg-blue-gray-500/10 active:bg-blue-gray-500/30 disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none" type="button" style="position: relative; overflow: hidden;"><span class="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 transform"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" class="h-5 w-5"><path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12"></path></svg></span></button></div>
                    <form class="max-w-screen-lg mt-1 mb-2 w-80 sm:w-96" onsubmit="Navigation(event)">
                        <div class="flex flex-col gap-6 mb-1">
                        <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Sub Tab Name&nbsp;<span style="color:red;">*</span>
                        </h6>
                        <div class="w-full">
                            <div class="relative h-10 w-full min-w-[200px] ">
                                <input type="text" placeholder="Enter Tab Name" required name="mainName"
                                class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                            </div>
                        </div>
                        <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Sub Tab link&nbsp;<span style="color:red;">*</span>
                        </h6>
                        <div class="w-full">
                            <div class="relative h-10 w-full min-w-[200px] ">
                                <input type="text" placeholder="Enter Tab Link" required name="mainLink"
                                class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" />
                            </div>
                        </div>
                        <h6
                            class="block -mb-3 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-blue-gray-900">
                            Main Tab&nbsp;<span style="color:red;">*</span>
                        </h6>
                        <div class="relative h-11 w-full min-w-[200px]">
                            <select id="select_gp" name="mainplease" required class="peer h-full w-full rounded-[7px]  !border  !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700  shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2  focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" >
                                <option selected="" value="">Select Group</option>
                                <option value="Supporthub">Supporthub</option>
                                <option value="Sharedhub">Sharedhub</option>
                                <option value="Privatehub">Privatehub</option>
                            </select>
                        </div>
                        </div>
                        <button
                        class="mt-6 block w-full select-none rounded-lg bg-gray-900 py-3 px-6 text-center align-middle font-sans text-xs font-bold uppercase text-white shadow-md shadow-gray-900/10 transition-all hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none disabled:pointer-events-none disabled:opacity-50 disabled:shadow-none"
                        type="submit">
                            save
                        </button>
                        
                    </form>
                </div>  
            </div>
        </div>
    </div>
</body>
</html>
<?php $__env->stopSection(); ?> 
<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\myinfo\smart-hub 6\Smarthub23Nov2024\resources\views/shortcut.blade.php ENDPATH**/ ?>