

<?php $__env->startSection('content'); ?>

<head>
    <script src="https://unpkg.com/@material-tailwind/html@latest/scripts/tabs.js"></script>
</head>

<div class="p-4 overflow-y-auto h-5/6">
    <!-- <h1 style="position: absolute;color:red;left: 800px;"><b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;UNDER DEVELOPMENT ....</b></h1> -->
<nav aria-label="breadcrumb" class="w-max">
  <ol class="flex flex-wrap items-center w-full px-4 py-2 rounded-md bg-blue-gray-50 bg-opacity-60">
    <li
      class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
      <a href="/settings" class="opacity-60">
        <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4" viewBox="0 0 20 20"
          fill="currentColor">
          <path
            d="M10.707 2.293a1 1 0 00-1.414 0l-7 7a1 1 0 001.414 1.414L4 10.414V17a1 1 0 001 1h2a1 1 0 001-1v-2a1 1 0 011-1h2a1 1 0 011 1v2a1 1 0 001 1h2a1 1 0 001-1v-6.586l.293.293a1 1 0 001.414-1.414l-7-7z">
          </path>
        </svg>
      </a>
      <span
        class="mx-2 font-sans text-sm antialiased font-normal leading-normal pointer-events-none select-none text-blue-gray-500">
        /
      </span>
    </li>
    <li
      class="flex items-center font-sans text-sm antialiased font-normal leading-normal transition-colors duration-300 cursor-pointer text-blue-gray-900 hover:text-light-blue-500">
      <a href="/autonomous-level" class="opacity-60">
        <span>
            autonomous-level
        </span>
      </a>
    </li>
  </ol>
</nav>

    <?php
        $result = DB::table('comm_autonomous_level')->select('level')->get();
    ?>

    <h1 class="text-2xl font-sans font-bold">Autonomous Level Management</h1>
    <br>
    <h2 class="text-lg font-sans font-medium">Current Autonomous Level</h2>
    <br>
    <select id="select_id" class="py-3 px-4 pe-9 block w-full border-gray-200 rounded-lg text-sm border focus:border-blue-500 focus:ring-blue-500 disabled:opacity-50 disabled:pointer-events-none" >
        <option selected="" value="">Open this select menu</option>
        <option <?php if($result[0]->level =='level1'){echo "selected='selected'";}?> value="level1">Level 1</option>
        <option <?php if($result[0]->level =='level2'){echo "selected='selected'";}?> value="level2">Level 2</option>
        <option <?php if($result[0]->level =='level3'){echo "selected='selected'";}?> value="level3">Level 3</option>
    </select>
    <br>
    <button
    class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none"
    type="button" onclick="Fun_save()">Save</button>
    <br><br>
    <div class="grid grid-cols-[30%_70%]" style="margin-bottom:10px;">
    <h2 class="text-lg font-sans font-medium" style="margin-bottom:10px;">Autonomous Levels</h2>
    
    <h2 class="text-lg font-sans font-medium flex items-start" style="font-size:20px">
        Actions 
        <!-- <svg onclick="Fun_add()" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 18" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
            <circle cx="12" cy="12" r="8" stroke="currentColor" fill="none"/>
            <path d="M12 9v6M9 12h6"/>
        </svg> -->
    </h2>
</div>




    <div class="flex items-start gap-12">
        <div class="w-1/4 flex gap-2 flex-col">
            <div  class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer">
                <input id="bordered-radio-1" type="radio" value="1" name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800  darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                <label for="bordered-radio-1" class="w-full py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer" >Level 1</label>
            </div>
            <div class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer">
                <input id="bordered-radio-2" type="radio" value="2" name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800 darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                <label for="bordered-radio-2" class="w-full py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer" >Level 2</label>
            </div>
            <div class="w-full flex items-center ps-4 border border-gray-200 rounded darks:border-gray-700 cursor-pointer">
                <input id="bordered-radio-3" type="radio" value="3" name="bordered-radio" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 focus:ring-blue-500 darks:focus:ring-blue-600 darks:ring-offset-gray-800  darks:bg-gray-700 darks:border-gray-600 cursor-pointer">
                <label for="bordered-radio-3" class="w-full py-4 ms-2 text-sm font-medium text-gray-900 darks:text-gray-300 cursor-pointer" >Level 3</label>
            </div>
        </div>
    
    <div id="menu11" class="w-3/4 flex gap-2 flex-col ps-6 py-6 border border-gray-200 rounded">

    <?php $__currentLoopData = $autonomouslevel->where('level_id', 1); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <div class="w-[97%] flex items-center justify-between ps-4 border border-gray-200 rounded dark:border-gray-700">
        <label for="bordered-radio-2" class="py-4 text-sm font-medium text-black dark:text-black">
            <?php echo e($item->action_name); ?>

        </label>
        <!-- <svg onclick="Funremove(<?php echo e($item->action_id); ?>)" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="cursor-pointer me-4">
            <path d="M3 6h18" />
            <path d="M8 6V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2" />
            <path d="M10 11v6" />
            <path d="M14 11v6" />
            <path d="M5 6h14v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6z" />
        </svg> -->
     </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    </div> 

    <div id="menu22" class="w-3/4 flex gap-2 flex-col ps-6 py-6 border border-gray-200 rounded">
    <?php $__currentLoopData = $autonomouslevel->where('level_id', 2); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
     <div class="w-[97%] flex items-center justify-between ps-4 border border-gray-200 rounded dark:border-gray-700">
        <label for="bordered-radio-2" class="py-4 text-sm font-medium text-black dark:text-black">
            <?php echo e($item->action_name); ?>

        </label>
        <!-- <svg onclick="Funremove(<?php echo e($item->action_id); ?>)" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="cursor-pointer me-4">
            <path d="M3 6h18" />
            <path d="M8 6V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2" />
            <path d="M10 11v6" />
            <path d="M14 11v6" />
            <path d="M5 6h14v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6z" />
        </svg> -->
      </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>

    <div id="menu33" class="w-3/4 flex gap-2 flex-col ps-6 py-6 border border-gray-200 rounded">
    <?php $__currentLoopData = $autonomouslevel->where('level_id', 3); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
     <div class="w-[97%] flex items-center justify-between ps-4 border border-gray-200 rounded dark:border-gray-700">
        <label for="bordered-radio-2" class="py-4 text-sm font-medium text-black dark:text-black">
            <?php echo e($item->action_name); ?>

        </label>
        <!-- <svg onclick="Funremove(<?php echo e($item->action_id); ?>)" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="cursor-pointer me-4">
            <path d="M3 6h18" />
            <path d="M8 6V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2" />
            <path d="M10 11v6" />
            <path d="M14 11v6" />
            <path d="M5 6h14v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6z" />
        </svg> -->
      </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
  </div>
</div>

<!-- Add Action Popup -->
   <div id="add-action-popup" class="hidden fixed inset-0 z-[999] grid h-screen w-screen place-items-center bg-black bg-opacity-60 backdrop-blur-sm transition-opacity duration-300">
       <div class="w-1/4 bg-white rounded-xl overflow-hidden">
            <div class="p-3 bg-black flex items-center justify-between text-white">
                <h2 class="font-semibold tracking-wider text-lg">Add Action</h2>
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" onclick="signindialog_close()" fill="currentColor" class="bi bi-x-lg cursor-pointer" viewBox="0 0 16 16">
                    <path d="M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z"/>
                </svg>
            </div>
            
            <div class="flex flex-col gap-4 p-3">
                <h6 class="block -mb-2 font-sans text-base antialiased font-semibold leading-relaxed tracking-normal text-inherit">
                    Actions
                </h6>
                <div class="w-96">
                    <select id="countries" class="peer h-full rounded-[7px] !border !border-gray-300 border-t-transparent bg-transparent bg-white px-3 py-2.5 font-sans text-sm font-normal text-blue-gray-700 shadow-lg shadow-gray-900/5 outline outline-0 ring-4 ring-transparent transition-all placeholder:text-gray-500 placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 focus:border-2 focus:!border-gray-900 focus:border-t-transparent focus:!border-t-gray-900 focus:outline-0 focus:ring-gray-900/10 disabled:border-0 disabled:bg-blue-gray-50" style="width:87%;">
                        <option value="" selected="">Select Action</option>
                        <option value="5 Disapprove all pending releases">Disapprove all pending releases</option>
                        <option value="6 Delete all unfinished releases">Delete all unfinished releases</option>
                        <option value="7 Adds a note to all RFS releases">Adds a note to all RFS releases</option>
                        <option value="8 Adds a flag to the account">Adds a flag to the account</option>
                        <option value="9 RFS all active releases">RFS all active releases</option>
                        <option value="10 Takedown for all stores">Takedown for all stores</option>
                        <option value="11 Unlinks all YT channels">Unlinks all YT channels</option>
                        <option value="12 Manual Account Activation">Manual Account Activation</option>
                        <option value="13 Remove release">Remove release</option>
                    </select>
                </div>
                <button class="align-middle w-full select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-3 px-6 rounded-lg bg-gray-900 text-white shadow-md shadow-gray-900/10 hover:shadow-lg hover:shadow-gray-900/20 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none" type="button" onclick="contact_Add()">
                    Save
                </button>
            </div>
        </div>
    </div>

<script>

function Fun_add() {
    // document.getElementById("add-action-popup").style.display = 'flex'; // Show the popup
    $('#add-action-popup').removeClass('hidden');
}


function signindialog_close() {
    // document.getElementById("add-action-popup").style.display = 'none'; // Hide the popup
    $('#add-action-popup').addClass('hidden');
}

    document.getElementById("bordered-radio-1").addEventListener('change', function() {
    document.getElementById("menu11").style.display = '';
    document.getElementById("menu22").style.display = 'none';
    document.getElementById("menu33").style.display = 'none';
});

document.getElementById("bordered-radio-2").addEventListener('change', function() {
    document.getElementById("menu11").style.display = 'none';
    document.getElementById("menu22").style.display = '';
    document.getElementById("menu33").style.display = 'none';
});

document.getElementById("bordered-radio-3").addEventListener('change', function() {
    document.getElementById("menu11").style.display = 'none';
    document.getElementById("menu22").style.display = 'none';
    document.getElementById("menu33").style.display = '';
});

    const showMenu11 = (fleg) => {
        $('#menu11').show();
        $('#menu22').hide();
        $('#menu33').hide();

    }
    const showMenu22 = (fleg) => {
        $('#menu11').hide();
        $('#menu22').hide();
        $('#menu33').hide();
    }
    <?php echo json_encode($result, 15, 512) ?>.forEach(m => {
        if(m.level == 'level1') {
            showMenu11(true);
            jQuery("#bordered-radio-1").attr('checked', true);
        }else if(m.level == 'level2') {
            showMenu22(true);
            jQuery("#bordered-radio-2").attr('checked', true);
        }
    })

    function Fun_save() {
        var data = jQuery('#select_id').val();
         alert(data);
        if(data != '') {
            $.ajax({
                type: "post",
                url: "<?php echo e(route('autonomous-level')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: {
                    ref:'',
                    id: data,
                },
                success: function(result) {
                    if(result.message) {
                        alert(result.message);
                        location.reload();
                    }
                }
            })
        }else {
            alert('Please select level');
        }
    }

    function contact_Add() {
        var data = jQuery('#countries').val();
        var splitData = data.split(' ');
        var action_id = splitData[0];
        var action_name = data.substring(data.indexOf(' ') + 1);

        var level_id = jQuery('input[name="bordered-radio"]:checked').val(); 

        if(data != '') {
            $.ajax({
                type: "post",
                url: "<?php echo e(route('actionlevel')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: {
                    level_id: level_id,
                    action_id: action_id,
                    action_name: action_name,
                },
                success: function(result) {
                    if(result.message) {
                        alert(result.message);
                        location.reload();
                    }
                }
            })
        }else {
            alert('Please select an action.');
        }
    }

    function Funremove(id) {

        var level_id = jQuery('input[name="bordered-radio"]:checked').val(); 

            $.ajax({
                type: "post",
                url: "<?php echo e(route('removeaction')); ?>",
                headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                },
                data: {
                    level_id: level_id,
                    action_id: id,
                },
                success: function(result) {
                    if(result.message) {
                        alert(result.message);
                        location.reload();
                    }
                }
            })
        
    }
</script>

<?php $__env->stopSection(); ?> 
<?php echo $__env->make('includes.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/smart-hub/resources/views/autonomous-level.blade.php ENDPATH**/ ?>